﻿
using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.Facade;
using Savviety.ServiceManager.Facade.Criteria;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 
namespace Savviety.ServiceManager.Facade.ManagementPacks
{

	public static class ManagementPackFactory
	{
		public static ManagementPack GetManagementPack(string id)
		{
			return SCSMServer.GetManagementPack(id);
		}
		public static ManagementPack GetClass(Guid guid)
        {
            return GetManagementPack(guid.ToString());
        }
		public static ManagementPack GetManagementPack(string name, string keyToken, Version version)
        {
            return SCSMServer.GetManagementPack(name, keyToken, version);
        }

        public static ManagementPack GetManagementPack(string name, Version version)
        {
            return SCSMServer.GetManagementPack(name, null, version);
        }
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_Authoring_Forms
				{
					get{return GetManagementPack("266a6ac6-0692-5a66-c38d-ad272f24631f");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_Connector_AD
				{
					get{return GetManagementPack("d43c3091-62c2-6404-607d-4376e592a89b");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_Connector_OpsMgr
				{
					get{return GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_Connector_Sms
				{
					get{return GetManagementPack("f772aa89-b934-2fac-4f37-5e0165d390ec");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_Default
				{
					get{return GetManagementPack("23160e5e-424d-7141-b266-896175063f14");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_UI_Administration
				{
					get{return GetManagementPack("151cd574-c975-0820-0ab3-f68d5632fbc8");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_UI_Administration_Help
				{
					get{return GetManagementPack("a8e0066f-5797-d5e5-975a-ca4694a9a0bc");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_UI_Authoring
				{
					get{return GetManagementPack("c799c9be-19c5-42e0-989a-3e013c6d27af");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_UI_Authoring_Help
				{
					get{return GetManagementPack("ad91e145-99ab-dc0f-af9e-c8dd9e487d4c");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_UI_Console
				{
					get{return GetManagementPack("6712a8ed-10d7-e1ac-17cb-1270fed851cf");}
				}
				public static ManagementPack Microsoft_EnterpriseManagement_ServiceManager_UI_Console_Help
				{
					get{return GetManagementPack("6e4061b3-25be-1a65-0552-3b970986b9cb");}
				}
				public static ManagementPack Microsoft_SystemCenter_Announcements_Configuration
				{
					get{return GetManagementPack("4ac3fbe0-f093-39f6-05d6-ff1055973912");}
				}
				public static ManagementPack Microsoft_SystemCenter_Authoring_Library
				{
					get{return GetManagementPack("9a3368fe-f801-6618-f5e6-50901871caad");}
				}
				public static ManagementPack Microsoft_SystemCenter_ConfigurationManager
				{
					get{return GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
				}
				public static ManagementPack Microsoft_SystemCenter_ConfigurationManager_Datawarehouse
				{
					get{return GetManagementPack("a6043929-94ec-0b2f-0b1f-fd6e30f30730");}
				}
				public static ManagementPack Microsoft_SystemCenter_Datawarehouse_Base
				{
					get{return GetManagementPack("5f131290-085f-8418-e07f-76fd0ecdab4f");}
				}
				public static ManagementPack Microsoft_SystemCenter_Deployment_Library
				{
					get{return GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
				}
				public static ManagementPack Microsoft_SystemCenter_Grooming_Library
				{
					get{return GetManagementPack("70f6a7d7-d6b8-7287-cde5-800359f40c09");}
				}
				public static ManagementPack Microsoft_SystemCenter_InstanceGroup_Library
				{
					get{return GetManagementPack("1205738e-2354-4d9b-d6a2-a52bee1f0e33");}
				}
				public static ManagementPack Microsoft_SystemCenter_Internal
				{
					get{return GetManagementPack("bf362c00-8fde-0cb4-f60b-05dd3a43e0f0");}
				}
				public static ManagementPack Microsoft_SystemCenter_Library
				{
					get{return GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
				}
				public static ManagementPack Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows
				{
					get{return GetManagementPack("11e42b5e-c5d4-d3e3-be49-5a99b52aaa9d");}
				}
				public static ManagementPack Microsoft_SystemCenter_Orchestration
				{
					get{return GetManagementPack("3d610232-c33c-a892-e538-35861372101c");}
				}
				public static ManagementPack Microsoft_SystemCenter_Orchestration_Configuration
				{
					get{return GetManagementPack("5cdbe5ac-dc8a-d5cd-ffe7-b9dae9a8819b");}
				}
				public static ManagementPack Microsoft_SystemCenter_Report_Library
				{
					get{return GetManagementPack("b8de8c96-0916-c66e-c291-0961e5abdceb");}
				}
				public static ManagementPack Microsoft_SystemCenter_ServiceDesigner_Library
				{
					get{return GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
				}
				public static ManagementPack Microsoft_SystemCenter_ServiceManager_Portal
				{
					get{return GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
				}
				public static ManagementPack Microsoft_SystemCenter_Subscriptions
				{
					get{return GetManagementPack("0306141b-bf60-70a1-be18-e979132c873c");}
				}
				public static ManagementPack Microsoft_SystemCenter_WorkflowFoundation_Library
				{
					get{return GetManagementPack("113b0307-4d0f-ec7d-7cb2-c39ebbff76df");}
				}
				public static ManagementPack Microsoft_SystemCenter_WorkItemGroup_Library
				{
					get{return GetManagementPack("356bad42-e43d-63d6-0127-a26f36f54f34");}
				}
				public static ManagementPack Microsoft_Windows_Library
				{
					get{return GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
				}
				public static ManagementPack Microsoft_Windows_Peripheral_Library
				{
					get{return GetManagementPack("fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d");}
				}
				public static ManagementPack ServiceManager_ActivityManagement_Configuration
				{
					get{return GetManagementPack("d97b692d-0a08-b867-1689-e311ed1cedb6");}
				}
				public static ManagementPack ServiceManager_ActivityManagement_Help
				{
					get{return GetManagementPack("ab74a1e3-8b5a-1ada-979a-a3baa3a9f622");}
				}
				public static ManagementPack ServiceManager_ActivityManagement_Library
				{
					get{return GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
				public static ManagementPack ServiceManager_ActivityManagement_Library_Datawarehouse
				{
					get{return GetManagementPack("ab34aad3-9f9a-4ab4-2ed8-135f4e4ea877");}
				}
				public static ManagementPack ServiceManager_ActivityManagement_Report_Library
				{
					get{return GetManagementPack("8520a107-21a6-daa3-32fa-9310d087b76d");}
				}
				public static ManagementPack ServiceManager_AdministrativeOverrides
				{
					get{return GetManagementPack("e45becdf-7cb4-81da-161e-e7baf0f69a0b");}
				}
				public static ManagementPack ServiceManager_ChangeManagement_Configuration
				{
					get{return GetManagementPack("4bd64a2d-d374-4563-fc6f-ad43c6df4284");}
				}
				public static ManagementPack ServiceManager_ChangeManagement_Help
				{
					get{return GetManagementPack("fe7d7398-29b6-3aaa-9d17-844ed48bba3e");}
				}
				public static ManagementPack ServiceManager_ChangeManagement_Library
				{
					get{return GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
				}
				public static ManagementPack ServiceManager_ChangeManagement_Library_Datawarehouse
				{
					get{return GetManagementPack("741d2a22-b469-bf84-ff4a-42f1e0f77dec");}
				}
				public static ManagementPack ServiceManager_ChangeManagement_Report_Library
				{
					get{return GetManagementPack("610de45d-2e3e-6bbc-c52d-192aa952c704");}
				}
				public static ManagementPack ServiceManager_Common_Report_Library
				{
					get{return GetManagementPack("a6343db5-e974-f743-b9ba-ad4d53c2438a");}
				}
				public static ManagementPack ServiceManager_ConfigurationManagement_Configuration
				{
					get{return GetManagementPack("6f584aa4-713d-5ed7-8f8d-75fd6cf0deb0");}
				}
				public static ManagementPack ServiceManager_ConfigurationManagement_Help
				{
					get{return GetManagementPack("0e24bcb8-23fa-02f5-31f3-23fbb3123bb9");}
				}
				public static ManagementPack ServiceManager_ConfigurationManagement_Library
				{
					get{return GetManagementPack("19110da0-0b5d-6c48-085f-8db74d662da4");}
				}
				public static ManagementPack ServiceManager_ConfigurationManagement_Report_Library
				{
					get{return GetManagementPack("5b04d25d-75a9-2aea-5b8b-d8f2121232a1");}
				}
				public static ManagementPack ServiceManager_Core_Library
				{
					get{return GetManagementPack("cc5c1161-4789-7fb7-3f4a-5f661f57626a");}
				}
				public static ManagementPack ServiceManager_Datawarehouse_Help
				{
					get{return GetManagementPack("67473ed5-be46-4f90-df6a-8c583e719afb");}
				}
				public static ManagementPack ServiceManager_Datawarehouse_Library
				{
					get{return GetManagementPack("d75ca502-6194-3e79-e908-87fc09713b73");}
				}
				public static ManagementPack ServiceManager_Grooming_Configuration
				{
					get{return GetManagementPack("d1691edb-49ff-5987-253e-d7befc81180d");}
				}
				public static ManagementPack ServiceManager_InboundEmail_Library
				{
					get{return GetManagementPack("8fbab72b-9640-805e-e968-35303d308f0d");}
				}
				public static ManagementPack ServiceManager_IncidentManagement_Configuration
				{
					get{return GetManagementPack("b1207ce1-d1ee-cd35-65ea-f8b10bebac7d");}
				}
				public static ManagementPack ServiceManager_IncidentManagement_Help
				{
					get{return GetManagementPack("8dfab34e-543f-aaf9-3b78-95bbed75ff08");}
				}
				public static ManagementPack ServiceManager_IncidentManagement_Library
				{
					get{return GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
				public static ManagementPack ServiceManager_IncidentManagement_Library_Datawarehouse
				{
					get{return GetManagementPack("c4a0095c-12c5-5398-4d71-0fd7d8bbe42b");}
				}
				public static ManagementPack ServiceManager_IncidentManagement_Report_Library
				{
					get{return GetManagementPack("9541d60e-9a8b-cfd2-2008-155c3e0ada5c");}
				}
				public static ManagementPack ServiceManager_KnowledgeManagement_Configuration
				{
					get{return GetManagementPack("39426553-cd85-2259-0fa0-de3e5506a84e");}
				}
				public static ManagementPack ServiceManager_KnowledgeManagement_Help
				{
					get{return GetManagementPack("6c5b4b1c-0baf-426b-c920-328cab62ecf6");}
				}
				public static ManagementPack ServiceManager_KnowledgeManagement_Library
				{
					get{return GetManagementPack("ecf7a65d-2c71-993e-c5c6-2d00264d68c2");}
				}
				public static ManagementPack ServiceManager_LinkingFramework_Library
				{
					get{return GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
				}
				public static ManagementPack ServiceManager_ProblemManagement_Configuration
				{
					get{return GetManagementPack("bdde5d97-f65b-24d0-3e07-d7bf586aeae5");}
				}
				public static ManagementPack ServiceManager_ProblemManagement_Help
				{
					get{return GetManagementPack("7967053a-a7e0-0006-9779-3985943bfc65");}
				}
				public static ManagementPack ServiceManager_ProblemManagement_Library
				{
					get{return GetManagementPack("b6bc43b6-49dc-fa34-40cc-b2c1dc8bc61c");}
				}
				public static ManagementPack ServiceManager_ProblemManagement_Library_Datawarehouse
				{
					get{return GetManagementPack("429cae37-9a0d-b408-40bd-c10878699d09");}
				}
				public static ManagementPack ServiceManager_ProblemManagement_Report_Library
				{
					get{return GetManagementPack("c111332b-722d-bd5d-6b6e-3e1f8e1a3857");}
				}
				public static ManagementPack ServiceManager_Reporting_Help
				{
					get{return GetManagementPack("1d0458cd-2440-be6b-fc5c-090425818f1f");}
				}
				public static ManagementPack ServiceManager_ServiceMaps_Configuration
				{
					get{return GetManagementPack("6af472f2-707a-5474-5c69-6e7f66e16ff5");}
				}
				public static ManagementPack ServiceManager_ServiceMaps_Library
				{
					get{return GetManagementPack("1854468c-18a5-9f9d-efd1-32cb932812e8");}
				}
				public static ManagementPack ServiceManager_SoftwareDeployment_Configurations
				{
					get{return GetManagementPack("e466e39c-ec45-9557-c4d9-34f179f824a8");}
				}
				public static ManagementPack ServiceManager_WorkItem_Library
				{
					get{return GetManagementPack("8d850003-3d68-7171-b7c4-cef05c6a740b");}
				}
				public static ManagementPack System_AdminItem_Library
				{
					get{return GetManagementPack("a87c22c5-8fd4-4252-86e8-b246ab404465");}
				}
				public static ManagementPack System_ApplicationLog_Library
				{
					get{return GetManagementPack("a37d9dd0-6b3f-a416-281d-0cd6be753d62");}
				}
				public static ManagementPack System_Hardware_Library
				{
					get{return GetManagementPack("e7e0c9be-0b6f-68bb-48ad-4dd5e3e7e22e");}
				}
				public static ManagementPack System_Health_Library
				{
					get{return GetManagementPack("0abff86f-a35e-b08f-da0e-ff051ab2840c");}
				}
				public static ManagementPack System_Knowledge_Library
				{
					get{return GetManagementPack("0a8001ed-59dc-629c-201f-4643a6a48009");}
				}
				public static ManagementPack System_Library
				{
					get{return GetManagementPack("01c8b236-3bce-9dba-6f1c-c119bcdc2972");}
				}
				public static ManagementPack System_Notifications_Library
				{
					get{return GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
				}
				public static ManagementPack System_Performance_Library
				{
					get{return GetManagementPack("1658a245-41e9-d7cb-de11-6a8aafcfda48");}
				}
				public static ManagementPack System_PolicyItem_Library
				{
					get{return GetManagementPack("863b8cc2-2809-f6ec-b56f-55d2bdf5c60e");}
				}
				public static ManagementPack System_Snmp_Library
				{
					get{return GetManagementPack("0dcb3590-6c11-c215-aee9-328dcb06de7f");}
				}
				public static ManagementPack System_Software_Library
				{
					get{return GetManagementPack("09873caf-e2e2-20d0-c997-cd99c3a31ffd");}
				}
				public static ManagementPack System_SupportingItem_Library
				{
					get{return GetManagementPack("23e3ae8e-1981-8560-2e55-8730cbc04965");}
				}
				public static ManagementPack System_WorkItem_Activity_Library
				{
					get{return GetManagementPack("aa265d90-3e2e-b9a2-d929-be0d36f1a53e");}
				}
				public static ManagementPack System_WorkItem_ChangeRequest_Library
				{
					get{return GetManagementPack("6c2bb84d-3c1f-4006-c551-6ef50179e2e3");}
				}
				public static ManagementPack System_WorkItem_Incident_Library
				{
					get{return GetManagementPack("dd26c521-7c2d-58c0-0980-dac2dacb0900");}
				}
				public static ManagementPack System_WorkItem_Library
				{
					get{return GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
				}
				public static ManagementPack System_WorkItem_Problem_Library
				{
					get{return GetManagementPack("d93ec150-3906-5404-ee41-1aefaa35518e");}
				}
	}

	public static class ManagementPackClassFactory
	{
		public static ManagementPackClass GetClass(string id)
		{
			return SCSMServer.GetClass(id);
		}
		public static ManagementPackClass GetClass(Guid guid)
        {
            return GetClass(guid.ToString());
        }
		public static ManagementPackClass GetClass(string className, ManagementPack managementPack)
        {
            return SCSMServer.GetClass(className, managementPack);
        }

        public static IList<ManagementPackClass> GetClasses(Guid[] guids)
        {
            return SCSMServer.GetClasses(guids);
        }	

				public static ManagementPackClass System_LinkingFramework_ActiveDirectorySource
				{
					get{return GetClass("26db232b-8fa9-4f0a-f64d-da9e01d53693");}
				}
				public static ManagementPackClass Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTarget
				{
					get{return GetClass("8381754a-6ee7-e1b6-0acd-ba2026bd6c62");}
				}
				public static ManagementPackClass Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTarget
				{
					get{return GetClass("7309a2be-d5ac-6ce8-0405-590ea70408ff");}
				}
				public static ManagementPackClass Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector
				{
					get{return GetClass("2f3681d9-153b-36ae-68ce-9197244a3bf5");}
				}
				public static ManagementPackClass Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_Config
				{
					get{return GetClass("424ca957-bf8d-5080-625b-87394cb5bab9");}
				}
				public static ManagementPackClass Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIs
				{
					get{return GetClass("325f752f-77d1-daf9-79c1-d2471d893937");}
				}
				public static ManagementPackClass System_LinkingFramework_SccmSource
				{
					get{return GetClass("55fac7fd-8e3a-b104-1802-c898d5c3bf4d");}
				}
				public static ManagementPackClass System_UserPreference_ViewPersonalization
				{
					get{return GetClass("239f6e77-ab25-9fc2-e16e-1768f2a65069");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Authoring_WorkflowTarget
				{
					get{return GetClass("4ebbd0bf-f816-7277-b932-77c667948752");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_AICatalog
				{
					get{return GetClass("c2d9a42e-a869-c8bd-b2d2-2a32be308538");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_CollectionInfo
				{
					get{return GetClass("fefeb4c7-7168-6718-d77c-50b0b3af3ec5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_DCM_CI
				{
					get{return GetClass("47de8238-f634-1ab2-ef8f-39d013c54dff");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CI
				{
					get{return GetClass("84ee0c77-79b9-2984-902c-f0bac0ddd9f5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_DeployedComputer
				{
					get{return GetClass("f3102c61-d3c3-262e-634b-6cf6fc5d576b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_Package
				{
					get{return GetClass("e3f0d894-8ad1-0ed6-0b87-a46b0c95b2be");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigurationManager_Program
				{
					get{return GetClass("f2a4d7ab-7e76-5ec9-d05f-1f1b9bafda78");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Datawarehouse_Base_ManagedType
				{
					get{return GetClass("e779a229-5d63-698f-068f-e0f6c5dec760");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Datawarehouse_Base_ManagementPack
				{
					get{return GetClass("c8e6cf30-59af-4cf8-3e4e-432dbaf6fc6f");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Datawarehouse_Base_RelationshipType
				{
					get{return GetClass("a4ced1f6-2b11-c159-5935-d1396d9c168f");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_DataWarehouse_DataSource
				{
					get{return GetClass("3d0c3255-31ff-f69f-3b00-0cee5e2579f1");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_DataWarehouse_CMDBSource
				{
					get{return GetClass("0222340f-d0cd-6b06-70a6-aa0a1504f428");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_DataWarehouse_ManagementPack
				{
					get{return GetClass("385d784f-8b3d-d9c2-5c92-ce879d5bc18b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Deployment_DeploymentWorkflowTarget
				{
					get{return GetClass("0b09e978-69c6-709f-5d5e-b03c5477393c");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_StoreProperty
				{
					get{return GetClass("e1bdc536-1c50-ca15-6587-0ebbcc548361");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_CmdbResourceStore
				{
					get{return GetClass("6347494e-b44d-cae2-5d73-22df45cffe7d");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_DagResourceStore
				{
					get{return GetClass("69094ae5-0755-208a-c061-b5bd25c94c66");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStore
				{
					get{return GetClass("59c5493a-c00c-90fd-1f8c-73dbb7578e6c");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_SdkResourceStore
				{
					get{return GetClass("f4af87dc-a521-bbf1-c174-dbb1f56f7133");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_SqlResourceStore
				{
					get{return GetClass("6d1c3db1-26f3-8789-a1b5-9c13de08cd37");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_SrsResourceStore
				{
					get{return GetClass("6671ff1b-43fd-1d5b-50f2-453ce2a52849");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer_Stores
				{
					get{return GetClass("26484645-1713-c272-98b6-25212b5cc376");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ResourceAccessLayer
				{
					get{return GetClass("4e68517b-79fd-1727-0c4f-8f2851b93f7f");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_InstanceGroup
				{
					get{return GetClass("4ce499f1-0298-83fe-7740-7a0fbc8e2449");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigItemGroup
				{
					get{return GetClass("e652cfd7-91ad-784a-552f-60458a0b3053");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ComputerGroup
				{
					get{return GetClass("0c363342-717b-5471-3aa5-9de3df073f2a");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_AllComputersGroup
				{
					get{return GetClass("6f7e3306-beeb-2996-3795-7c1eafb925b8");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Connector
				{
					get{return GetClass("2d63134b-491f-ae0b-d71b-81ff238422bf");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_HealthService
				{
					get{return GetClass("ab4c891f-3359-3fb6-0704-075fbfe36710");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_CollectionManagementServerComputersGroup
				{
					get{return GetClass("9304f671-1619-9b83-97ab-b2613561c1a7");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_GatewayManagementServerComputersGroup
				{
					get{return GetClass("227e113e-c325-3e61-2371-dfd094cc7c67");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Agent
				{
					get{return GetClass("118c0f18-7a70-5f57-3a9b-eeaf1705b3fc");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Agent_ManagementServer
				{
					get{return GetClass("a48b90a0-17b9-a205-1328-8622efd82fb5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_HealthServiceWatchersGroup
				{
					get{return GetClass("a4c8b023-4cfc-52cc-30b7-6c1b959c4723");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_AgentWatchersGroup
				{
					get{return GetClass("2a486fad-116b-73b0-e02f-b98175c997e9");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_CollectionManagementServerWatchersGroup
				{
					get{return GetClass("9db593f3-0e68-60a6-9b7b-7daadf9672d3");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_GatewayManagementServerWatchersGroup
				{
					get{return GetClass("e82a3221-09bb-a0fe-5053-9e8ee69a50d3");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_HealthServiceWatcher
				{
					get{return GetClass("a4899740-ef2f-1541-6c1d-51d34b739491");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_AgentWatcher
				{
					get{return GetClass("3a9dc906-03f3-d5ee-dde3-dd9b9f8d2f9c");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_InternalWorkflowTarget
				{
					get{return GetClass("08cfb1af-53f7-b5c7-9cea-4f814aa50ff2");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_License
				{
					get{return GetClass("914d239f-52ee-dc26-389b-f3ce28989da5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_License_Enterprise
				{
					get{return GetClass("e1d50ef8-dea0-899e-c989-d8ca22181165");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_License_Standard
				{
					get{return GetClass("d93ca6c0-82d6-ec53-9537-e9a09a53d2a5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagedComputer
				{
					get{return GetClass("44ab701b-5da9-ca21-a94b-8b82828a69d8");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagedComputerClient
				{
					get{return GetClass("38ad2a9b-2414-89c8-100f-26ed33b87acf");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroup
				{
					get{return GetClass("d57daa29-063f-6379-7ee0-12e7a3982da0");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagedComputerServer
				{
					get{return GetClass("e1ae9104-c9a3-467f-adba-33f801db7d37");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagementGroup
				{
					get{return GetClass("6b1d1be8-ebb4-b425-08dc-2385c5930b04");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagementServer
				{
					get{return GetClass("9189a49e-b2de-cab0-2e4f-4925b68e335d");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_CollectionManagementServer
				{
					get{return GetClass("7b11b1b9-3462-c54f-9f10-943cabb9d26e");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_GatewayManagementServer
				{
					get{return GetClass("c1721bcc-35f7-5a49-5d5f-6880687c3d48");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagementServerComputersGroup
				{
					get{return GetClass("b9994504-06cd-a393-7a81-d450d9ce5a58");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ManagementServerWatcher
				{
					get{return GetClass("3285fc6d-7b96-ce0b-58a7-c628de0488a8");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_CollectionManagementServerWatcher
				{
					get{return GetClass("9d86a34f-97f7-614d-23f0-67f9838bc5d7");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_GatewayManagementServerWatcher
				{
					get{return GetClass("2e1ff893-6540-f65d-1a69-f9fdb42c5a73");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_OpsMgrDBWatcher
				{
					get{return GetClass("88a7f2ca-2467-7715-544d-9fdaab0cad11");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_OpsMgrDBWatchersGroup
				{
					get{return GetClass("72cbeeb6-6d2c-77f8-6577-64c7ec996e3f");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_RootManagementServer
				{
					get{return GetClass("1a9387f0-6fe5-5527-a2cb-73f2f6be6bc7");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_RootManagementServerComputersGroup
				{
					get{return GetClass("7ce42584-1de7-4863-ebc0-61b67b241707");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Site
				{
					get{return GetClass("6769eaba-4699-cc4b-7eb1-e9f445a8c5a0");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_SiteManagementServer
				{
					get{return GetClass("cecaafda-33b6-b628-0cda-445e21b7291d");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_SiteManagementServerWatcher
				{
					get{return GetClass("d4cd7d6e-cf5e-f014-4a4e-e99538e06958");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_SystemCenterManagedComputerGroup
				{
					get{return GetClass("11fcc474-3e0c-1442-1491-c17ee9fbcfea");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_AgentlessManagedComputerGroup
				{
					get{return GetClass("16b2db18-f45f-946c-5b83-123f09cfd60b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_AgentManagedComputerGroup
				{
					get{return GetClass("1cda808e-5b0e-d25e-5275-3c8b136d62ed");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_TieredManagementGroup
				{
					get{return GetClass("9613172c-363c-452a-3a7e-c6a1e5e7cae3");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_UserActionManager
				{
					get{return GetClass("1a9742b2-cf8d-5ddf-f6bd-0fbb1c5a5565");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_AgentManager
				{
					get{return GetClass("f32167d8-ba6f-2bc6-0790-4db7b3082d86");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_WorkflowTarget
				{
					get{return GetClass("11b35c28-77ba-cf25-2621-cbd17355963e");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ConfigureWorkflowTarget
				{
					get{return GetClass("52ea75d7-6232-a1e1-c510-44a000aa9e02");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_SubscriptionWorkflowTarget
				{
					get{return GetClass("a2a24426-1c31-3a8f-ea39-d316a83c8ef9");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTarget
				{
					get{return GetClass("2f2a8c1b-39ce-f4d5-76ed-839721b93514");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Orchestration_WorkflowTarget
				{
					get{return GetClass("37fecb60-26c5-fcdc-950d-f24ce13c3df6");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Service
				{
					get{return GetClass("cb5a31fe-96e7-2e4b-5f42-bded7b177f5b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_BusinessService
				{
					get{return GetClass("b2a806a6-87f6-0bc9-da74-c27e9ab5a5d7");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_GenericService
				{
					get{return GetClass("cbcd2338-7e0c-f0ce-688b-a38faea16f01");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging
				{
					get{return GetClass("d45ac5ab-151e-eaf3-bd10-773b4f8297de");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_ServiceComponentGroup
				{
					get{return GetClass("48a9c4fb-5158-889d-fb8b-350377f13fc0");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_WebApplication_DatabaseGroup
				{
					get{return GetClass("2876eb14-d1df-996f-134f-96fb4ac8628b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_WebApplication_WebSiteGroup
				{
					get{return GetClass("77d39257-1292-0e88-73e9-8644c0fa44ff");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_StorageDevicesGroup
				{
					get{return GetClass("764c2409-6e3e-4ea5-a3a7-35e893db1dd8");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_WebsiteComponentsGroup
				{
					get{return GetClass("20be7986-f151-ed3a-faff-10f65d110e86");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ApplicationComponentsGroup
				{
					get{return GetClass("b8b99b2a-6e23-156d-49d6-ba9e822ffa98");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_DataBaseComponentsGroup
				{
					get{return GetClass("a1286a6e-9db9-a151-a182-1578787508bd");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_NetworkDevicesGroup
				{
					get{return GetClass("80197622-bf44-3d54-9f2d-9d0f9ec87ae8");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_OtherComponentsGroup
				{
					get{return GetClass("94521e29-79ff-de04-0e45-ffffdbfe494a");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_PhysicalObjectsGroup
				{
					get{return GetClass("1150af91-1a11-8637-9386-fe94512284f0");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Service_ComputersGroup
				{
					get{return GetClass("42d9a904-0b91-6720-548e-6b952b5c45a1");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging_DirectoryServices
				{
					get{return GetClass("93ae3b8d-ef7d-cf40-7c39-2e36b9e58c63");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClients
				{
					get{return GetClass("0b866b12-a389-c024-f823-b882bcfafb37");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponents
				{
					get{return GetClass("a09d15a6-254f-319f-4296-06fc984c5fe5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging_NetworkServices
				{
					get{return GetClass("ca168454-bcc4-3ce0-9203-b42dc2a82de0");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging_PhysicalNetwork
				{
					get{return GetClass("55a8c1f3-161a-5149-f2c2-b57a5d622332");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_Messaging_Storage
				{
					get{return GetClass("d3ff18ec-0215-671a-3c4c-1b2b65d90592");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceDesigner_WebApplication
				{
					get{return GetClass("f22e0873-22a9-83e0-c646-37d7ee84ad1a");}
				}
				public static ManagementPackClass Microsoft_ServiceManager_Portal_ContactSettings
				{
					get{return GetClass("abaf06a5-da99-d7d7-3145-40dba354522e");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceManager_Portal_Links_Configuration
				{
					get{return GetClass("93d5c044-0ca5-c45c-8af6-bbad4facb52f");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_ServiceManager_SoftwareDeployment_Process
				{
					get{return GetClass("af4d4ae2-de20-7ae0-a942-db5262501789");}
				}
				public static ManagementPackClass ServiceManager_SoftwareDeployment_SCCM_Configuration
				{
					get{return GetClass("35eb0df0-a0be-962b-b472-f8b888bc558e");}
				}
				public static ManagementPackClass ServiceManager_SoftwareDeployment_WorkflowTarget
				{
					get{return GetClass("562dded4-fe45-626e-edc0-eed234f73309");}
				}
				public static ManagementPackClass System_WorkItem_Activity_PortalSoftwareDeploymentActivity
				{
					get{return GetClass("87dea200-2dc4-9cf2-63ba-777d7faba31b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_Subscriptions_Administrator_WorkflowTarget
				{
					get{return GetClass("3fdd292d-04cf-e893-9ae2-76740ba4e017");}
				}
				public static ManagementPackClass System_GlobalSetting_Subscription
				{
					get{return GetClass("b02ab241-7184-1051-3d38-5f1e5e0553e7");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_WorkflowFoundation_WorkflowTarget
				{
					get{return GetClass("351a1225-d47f-d3a6-152b-5ca5b54232f6");}
				}
				public static ManagementPackClass Microsoft_AD_Printer
				{
					get{return GetClass("2d41c9e8-68a6-043b-c2cf-57d9d9482170");}
				}
				public static ManagementPackClass Microsoft_AD_UserBase
				{
					get{return GetClass("3567434d-015f-8dcc-f188-0a407f3a2168");}
				}
				public static ManagementPackClass Microsoft_AD_Group
				{
					get{return GetClass("e2386b9b-5364-e438-a317-93836b979c56");}
				}
				public static ManagementPackClass Microsoft_AD_User
				{
					get{return GetClass("10a7f898-e672-ccf3-8881-360bfb6a8f9a");}
				}
				public static ManagementPackClass Microsoft_Windows_ApplicationComponent
				{
					get{return GetClass("fb00bb78-d29c-5508-5707-bf8bafb2127b");}
				}
				public static ManagementPackClass Microsoft_Windows_Computer
				{
					get{return GetClass("ea99500d-8d52-fc52-b5a5-10dcd1e9d2bd");}
				}
				public static ManagementPackClass Microsoft_Windows_Client_Computer
				{
					get{return GetClass("5918e198-2dbe-5f7d-135e-6e43a94ccb5b");}
				}
				public static ManagementPackClass Microsoft_Windows_ComputerRole
				{
					get{return GetClass("273c8793-d1c3-aaf0-cbcb-4962f532fbe5");}
				}
				public static ManagementPackClass Microsoft_Windows_LocalApplication
				{
					get{return GetClass("0d026768-86be-77f5-b58e-7f07d3178cf8");}
				}
				public static ManagementPackClass Microsoft_Windows_LocalService
				{
					get{return GetClass("24055ab7-6676-7d84-05cf-d4dd56c2cbdc");}
				}
				public static ManagementPackClass Microsoft_Windows_LogicalDevice
				{
					get{return GetClass("3361982a-7dfd-288d-f48c-e04e85149750");}
				}
				public static ManagementPackClass Microsoft_Windows_DiskPartition
				{
					get{return GetClass("83a0ee32-c6cd-3daf-ebc8-958ea15fd764");}
				}
				public static ManagementPackClass Microsoft_Windows_LogicalDisk
				{
					get{return GetClass("d0718456-aa7e-7b92-8a46-6a2d762d32a7");}
				}
				public static ManagementPackClass Microsoft_Windows_NetworkAdapter
				{
					get{return GetClass("b574ab90-0d86-d9cb-8d26-d0364eec7976");}
				}
				public static ManagementPackClass Microsoft_Windows_OperatingSystem
				{
					get{return GetClass("66dd9b43-3dc1-3831-95d4-1b03b0a6ea13");}
				}
				public static ManagementPackClass Microsoft_Windows_Client_OperatingSystem
				{
					get{return GetClass("e9377b27-f64b-b2a3-b01d-5de35b1304ac");}
				}
				public static ManagementPackClass Microsoft_Windows_PhysicalDisk
				{
					get{return GetClass("26d62cff-bd8f-bc5a-74df-cbf19e0367d3");}
				}
				public static ManagementPackClass Microsoft_Windows_Processor
				{
					get{return GetClass("48c51707-31d3-0669-128d-c5dca8413809");}
				}
				public static ManagementPackClass Microsoft_Windows_Server_Computer
				{
					get{return GetClass("e817d034-02e8-294c-3509-01ca25481689");}
				}
				public static ManagementPackClass Microsoft_Windows_Server_DC_Computer
				{
					get{return GetClass("eb0749d9-2030-3ab3-1219-971f775f86df");}
				}
				public static ManagementPackClass Microsoft_Windows_Server_OperatingSystem
				{
					get{return GetClass("ab468fc4-467d-841e-0f5d-61c41fa54735");}
				}
				public static ManagementPackClass Microsoft_Windows_SoftwareInstallation
				{
					get{return GetClass("623e8dd1-76d0-4779-332a-e3b2ab1f7c21");}
				}
				public static ManagementPackClass Microsoft_Windows_SoftwareUpdate
				{
					get{return GetClass("7997fba0-60b6-5346-aab9-5a46888036e2");}
				}
				public static ManagementPackClass Microsoft_Windows_UserApplication
				{
					get{return GetClass("db6dee28-bd59-783c-cabb-24d76d1d670e");}
				}
				public static ManagementPackClass Microsoft_Windows_Peripheral_DiskPartition
				{
					get{return GetClass("df25184c-6efc-3a46-8d0c-9269b4dc107e");}
				}
				public static ManagementPackClass Microsoft_Windows_Peripheral_LogicalDisk
				{
					get{return GetClass("abf81a57-0a02-f2d9-e240-7dfd9cd58dda");}
				}
				public static ManagementPackClass Microsoft_Windows_Peripheral_NetworkAdapter
				{
					get{return GetClass("5bdd8f81-9c4a-2d59-48c5-6ea175422592");}
				}
				public static ManagementPackClass Microsoft_Windows_Peripheral_PhysicalDisk
				{
					get{return GetClass("d6cb51c3-66a7-165d-ebfb-2fc8b525967d");}
				}
				public static ManagementPackClass Microsoft_Windows_Peripheral_Processor
				{
					get{return GetClass("afe398e0-d539-05f6-6ab4-44a84701ec71");}
				}
				public static ManagementPackClass System_GlobalSetting_ActivitySettings
				{
					get{return GetClass("5e04a50d-01d1-6fce-7946-15580aa8681d");}
				}
				public static ManagementPackClass System_WorkItem_Activity_InternalWorkflowTarget
				{
					get{return GetClass("2ed5abbb-c0b8-7622-dab6-7d792c212f54");}
				}
				public static ManagementPackClass System_WorkItem_Activity_WorkflowTarget
				{
					get{return GetClass("fee785e2-b8c0-e414-6cdd-fea576cdd5de");}
				}
				public static ManagementPackClass System_GlobalSetting_ChangeSettings
				{
					get{return GetClass("c7fe33bb-9760-3f88-59fc-0951e3221be4");}
				}
				public static ManagementPackClass System_WorkItem_ChangeRequest_InternalWorkflowTarget
				{
					get{return GetClass("901b03db-7894-5da5-0203-8d91d61a609f");}
				}
				public static ManagementPackClass System_WorkItem_ChangeRequest_WorkflowTarget
				{
					get{return GetClass("35e63a37-d49e-9480-eb00-d80cf08e099f");}
				}
				public static ManagementPackClass Microsoft_ServiceManager_SqlJobWorkflowTarget
				{
					get{return GetClass("60028989-bb6c-2df5-7751-372485f27c45");}
				}
				public static ManagementPackClass Microsoft_ServiceManager_InternalDiscoveryCollectorTarget
				{
					get{return GetClass("db18b9a2-0117-0d4f-b484-c3060d1c31f0");}
				}
				public static ManagementPackClass Microsoft_ServiceManager_InternalDiscoverySourceTarget
				{
					get{return GetClass("e1f09c95-6f60-789b-382b-ea2672f6fcdb");}
				}
				public static ManagementPackClass System_Information_DWItem
				{
					get{return GetClass("03279ed4-40fd-fa52-5f95-b3ffeb227d98");}
				}
				public static ManagementPackClass Microsoft_ServiceManager_GroomingWorkflowTarget
				{
					get{return GetClass("84c7d9ef-059e-e8a5-7603-fb257e3bfea3");}
				}
				public static ManagementPackClass System_InboundEmail_Configuration
				{
					get{return GetClass("dd3c3411-2a5a-80fb-c905-053915216cf1");}
				}
				public static ManagementPackClass System_InboundEmail_Rule
				{
					get{return GetClass("65ab523f-eace-59b0-dd73-6ec068a9fb5b");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_WorkItem_DCMIncident
				{
					get{return GetClass("90234dbf-5fd1-a2c3-b34b-429b163b8060");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_WorkItem_SCOMIncident
				{
					get{return GetClass("ac13c801-0f20-83e0-4e8a-344c96516f3d");}
				}
				public static ManagementPackClass System_WorkItem_Incident_GeneralSetting
				{
					get{return GetClass("613c9f3e-9b94-1fef-4088-16c33bfd0be1");}
				}
				public static ManagementPackClass System_WorkItem_Incident_Wizard_AutomaticChangeIncident
				{
					get{return GetClass("f9ed6e4f-dfe3-c3c7-33fd-29424dc81d69");}
				}
				public static ManagementPackClass System_WorkItem_Incident_Wizard_DCMIntegration
				{
					get{return GetClass("2f08e334-d903-280a-3b76-fad41150d4da");}
				}
				public static ManagementPackClass System_WorkItem_Incident_WorkflowTarget
				{
					get{return GetClass("383e578b-e1c9-2802-0047-815853405778");}
				}
				public static ManagementPackClass System_GlobalSetting_KnowledgeSettings
				{
					get{return GetClass("1532349a-e437-842b-44fe-86a0f42a8ff5");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_LinkingFramework_LinkingFrameworkTarget
				{
					get{return GetClass("17ac1b39-d69f-623d-d1fe-cf554dc3b0e6");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTarget
				{
					get{return GetClass("d963c95e-365f-9e5c-14e0-856babf35b17");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_LinkingFramework_GroomingWorkflowTarget
				{
					get{return GetClass("06d7dc4b-a238-11f5-44ed-a2a5e7689dfd");}
				}
				public static ManagementPackClass System_LinkingFramework_DataConnector
				{
					get{return GetClass("dac6acf7-5742-98b5-6f0a-f8306b276688");}
				}
				public static ManagementPackClass System_LinkingFramework_DataCollection
				{
					get{return GetClass("0e7375bc-4c87-60de-bf64-70190d011a24");}
				}
				public static ManagementPackClass System_LinkingFramework_DataSource
				{
					get{return GetClass("71f6cfcd-99b3-3a07-471d-bb9c4bf5ba76");}
				}
				public static ManagementPackClass Microsoft_SystemCenter_LinkingFramework_SyncStatus
				{
					get{return GetClass("2d4afd51-d2ff-92c6-266f-2b6060000dae");}
				}
				public static ManagementPackClass System_LinkingFramework_DataTable
				{
					get{return GetClass("841ffa7f-1265-ffb0-fd75-b9a9e8c398d5");}
				}
				public static ManagementPackClass System_LinkingFramework_Field
				{
					get{return GetClass("bebb28a4-135b-f041-d7f2-7c7bf62f5252");}
				}
				public static ManagementPackClass System_LinkingFramework_GenericDataSource
				{
					get{return GetClass("d29921e1-b2cb-5c27-d535-869bb8d3cbe8");}
				}
				public static ManagementPackClass System_LinkingFramework_SqlSource
				{
					get{return GetClass("6b9af830-5e03-108b-0263-26e5e020d7f8");}
				}
				public static ManagementPackClass System_AdminItem
				{
					get{return GetClass("e9510847-29f6-7d8b-3a10-b53423b58957");}
				}
				public static ManagementPackClass System_Announcement_Item
				{
					get{return GetClass("ef8a786a-5d22-f035-32d7-d0b60d9284ad");}
				}
				public static ManagementPackClass System_GlobalSetting
				{
					get{return GetClass("f4ed5777-bf37-bf1f-e947-0470a69ffa39");}
				}
				public static ManagementPackClass System_Announcement_Config
				{
					get{return GetClass("0f34b6f1-c047-acc5-aac0-3d5d68e51a19");}
				}
				public static ManagementPackClass System_SolutionSettings
				{
					get{return GetClass("e2126fd7-ca26-851e-63ff-93711cc326c0");}
				}
				public static ManagementPackClass System_GroomingConfiguration
				{
					get{return GetClass("03b9465f-17b5-936a-8f5d-5c50e1a75920");}
				}
				public static ManagementPackClass System_HardwareComponent
				{
					get{return GetClass("620cddb3-894a-4d17-b914-6a05637f78f3");}
				}
				public static ManagementPackClass System_Fan
				{
					get{return GetClass("117b4b97-fae6-eb7e-a471-8bdb8591ac2e");}
				}
				public static ManagementPackClass System_HardwareEnclosure
				{
					get{return GetClass("66d71f99-9ab8-13a2-5854-66b9d54121ba");}
				}
				public static ManagementPackClass System_Blade
				{
					get{return GetClass("afcceb46-3c1a-2da6-44bf-264641c9d548");}
				}
				public static ManagementPackClass System_Blade_ComputerBlade
				{
					get{return GetClass("68e3f43e-71d1-99af-e976-eb1bb107bbc6");}
				}
				public static ManagementPackClass System_Blade_NetworkBlade
				{
					get{return GetClass("822ffacb-8d7b-35a0-62fd-d4decb166010");}
				}
				public static ManagementPackClass System_Chassis
				{
					get{return GetClass("1a520bdb-b69e-ec77-ff6a-f6244804f2e1");}
				}
				public static ManagementPackClass System_Chassis_BladeEnclosure
				{
					get{return GetClass("f1bc4692-55c4-80ff-86c2-be1731801ccc");}
				}
				public static ManagementPackClass System_Chassis_NetworkBladeEnclosure
				{
					get{return GetClass("67fed8bc-9736-3d5b-2454-cbd07f8ae358");}
				}
				public static ManagementPackClass System_Chassis_Rackable
				{
					get{return GetClass("834bad6c-b4a5-d5cc-5c1d-755596db03d6");}
				}
				public static ManagementPackClass System_Chassis_ServerBladeEnclosure
				{
					get{return GetClass("79d7bc1d-cbf2-959f-73dc-9f5c6bb4a9ba");}
				}
				public static ManagementPackClass System_Chassis_Standalone
				{
					get{return GetClass("135ab960-128a-36c1-9e0e-ac2ade3ea3ca");}
				}
				public static ManagementPackClass System_Chassis_Storage
				{
					get{return GetClass("4aaa389c-cbe2-e4f2-2063-a8b807331353");}
				}
				public static ManagementPackClass System_ComputerHardware
				{
					get{return GetClass("e31c3c41-4084-d37c-4833-194eea402354");}
				}
				public static ManagementPackClass System_Modem
				{
					get{return GetClass("17fbb9da-d91f-2e0d-dd85-b62951adc5f4");}
				}
				public static ManagementPackClass System_PhysicalDisk
				{
					get{return GetClass("4c0143db-719c-6b2b-3037-179b5d1038dc");}
				}
				public static ManagementPackClass System_PhysicalNetworkInterfaceCard
				{
					get{return GetClass("a2ae9a9f-efa8-42a9-4426-3903412c915f");}
				}
				public static ManagementPackClass System_Port
				{
					get{return GetClass("34ae13e9-41c8-9b8a-be75-ae71f8c05a65");}
				}
				public static ManagementPackClass System_PowerSupply
				{
					get{return GetClass("cd99a60e-09e5-213a-fc85-2d9e268b4dc8");}
				}
				public static ManagementPackClass System_Processor
				{
					get{return GetClass("d4da0895-1051-d452-296e-3710a89069de");}
				}
				public static ManagementPackClass System_Rack
				{
					get{return GetClass("9d5e8ad8-0a5d-d3c7-5b01-4fdf34a993eb");}
				}
				public static ManagementPackClass System_StorageArrayController
				{
					get{return GetClass("784bf487-82a0-c86f-ad1c-0febc572fdc2");}
				}
				public static ManagementPackClass System_VideoCard
				{
					get{return GetClass("b3763037-4e31-7bc1-d938-2ae1bcc7d663");}
				}
				public static ManagementPackClass System_Knowledge_Article
				{
					get{return GetClass("ca1410d8-6182-1531-092b-d2232f396bb8");}
				}
				public static ManagementPackClass System_StarRating
				{
					get{return GetClass("d37f9d4f-d641-a28c-fbae-0afda6dc64f0");}
				}
				public static ManagementPackClass System_Entity
				{
					get{return GetClass("55270a70-ac47-c853-c617-236b0cff9b4c");}
				}
				public static ManagementPackClass System_Collections
				{
					get{return GetClass("6833e0ae-75b0-0e28-7466-98cefe548585");}
				}
				public static ManagementPackClass System_ConfigItem
				{
					get{return GetClass("62f0be9f-ecea-e73c-f00d-3dd78a7422fc");}
				}
				public static ManagementPackClass System_LogicalEntity
				{
					get{return GetClass("885bc562-ed36-c548-b938-44ce5ba7ba2b");}
				}
				public static ManagementPackClass System_ApplicationComponent
				{
					get{return GetClass("15c8d578-72b5-756d-8e11-9a644a44ad67");}
				}
				public static ManagementPackClass System_ComputerRole
				{
					get{return GetClass("fb979319-fa0c-ea0e-3ac5-d514c7bdd043");}
				}
				public static ManagementPackClass System_Database
				{
					get{return GetClass("36866ed8-4de1-32b8-3f01-030fd6005839");}
				}
				public static ManagementPackClass System_Device
				{
					get{return GetClass("7ad221e0-e4bb-39a8-6514-33b60bba46f5");}
				}
				public static ManagementPackClass System_Computer
				{
					get{return GetClass("b4a14ffd-52c8-064f-c936-67616c245b35");}
				}
				public static ManagementPackClass System_FTPSite
				{
					get{return GetClass("2b53defa-ad87-af47-80ef-b0990c36c0dd");}
				}
				public static ManagementPackClass System_Group
				{
					get{return GetClass("d0b32736-5344-2fcc-74b3-f72dc64ef572");}
				}
				public static ManagementPackClass System_LocalApplication
				{
					get{return GetClass("1f06bba9-58a9-fd0b-d980-08d5af2e67d3");}
				}
				public static ManagementPackClass System_LogicalHardware
				{
					get{return GetClass("d7c78218-48b6-1ed9-c7d2-b6b832ef1652");}
				}
				public static ManagementPackClass System_NetworkDevice
				{
					get{return GetClass("4fbfee21-293b-d82f-8af1-da003bebabfc");}
				}
				public static ManagementPackClass System_OperatingSystem
				{
					get{return GetClass("a82191f5-fe0d-cf40-8464-39e75f95db57");}
				}
				public static ManagementPackClass System_Perspective
				{
					get{return GetClass("176ced55-7556-a619-717c-b59ae14e756f");}
				}
				public static ManagementPackClass System_PhysicalEntity
				{
					get{return GetClass("4f931f46-b47a-fd34-cdd6-8aa9dbd819b4");}
				}
				public static ManagementPackClass System_Printer
				{
					get{return GetClass("319e665c-8db5-c06b-fd4b-93991942e429");}
				}
				public static ManagementPackClass System_Service
				{
					get{return GetClass("1d870aa6-edb4-7d13-3950-d3c73755d6bf");}
				}
				public static ManagementPackClass System_SoftwareInstallation
				{
					get{return GetClass("70477f28-c34d-f36c-a630-ae1d33ab1274");}
				}
				public static ManagementPackClass System_User
				{
					get{return GetClass("943d298f-d79a-7a29-a335-8833e582d252");}
				}
				public static ManagementPackClass System_Domain_User
				{
					get{return GetClass("eca3c52a-f273-5cdc-f165-3eb95a2b26cf");}
				}
				public static ManagementPackClass System_WebSite
				{
					get{return GetClass("da018581-a344-a926-c90d-0efb4809b91b");}
				}
				public static ManagementPackClass System_Notification_Channel_SMTP
				{
					get{return GetClass("ab15d533-0d6f-190c-d682-6b16534164ab");}
				}
				public static ManagementPackClass System_Notification_ConfigurationSource
				{
					get{return GetClass("24ca5f0f-0193-5d67-ea57-b2510cb8a6c0");}
				}
				public static ManagementPackClass System_Notification_Endpoint
				{
					get{return GetClass("c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d");}
				}
				public static ManagementPackClass System_Notification_SIPConfigurationSource
				{
					get{return GetClass("c6d9a0e6-8997-9958-82ba-23d358dfd198");}
				}
				public static ManagementPackClass System_Notification_SMTPConfigurationSource
				{
					get{return GetClass("d928b34e-7b52-2a2a-d100-74cb58eb365a");}
				}
				public static ManagementPackClass System_Notification_Template
				{
					get{return GetClass("7fcb0993-2ec7-1912-da4a-a97f508c26e0");}
				}
				public static ManagementPackClass System_Notification_Template_SIP
				{
					get{return GetClass("a187e3fc-9cc9-e357-b749-a6d8f58860a2");}
				}
				public static ManagementPackClass System_Notification_Template_SMS
				{
					get{return GetClass("385113d5-dd89-046d-827f-40d3af7f255c");}
				}
				public static ManagementPackClass System_Notification_Template_SMTP
				{
					get{return GetClass("0814d9a7-8332-a5df-2ec8-34d07f3d40db");}
				}
				public static ManagementPackClass System_Notification_Channel
				{
					get{return GetClass("53c61843-a96b-063f-7ad1-43e04ccf84c6");}
				}
				public static ManagementPackClass System_Notification_Channel_SIP
				{
					get{return GetClass("24b10896-60bc-fb41-fb61-17afe010b1a0");}
				}
				public static ManagementPackClass System_Notification_Channel_SMS
				{
					get{return GetClass("eaa253d6-bdae-7762-0399-e066e2463d4e");}
				}
				public static ManagementPackClass System_PolicyItem
				{
					get{return GetClass("fb737ebf-a6a7-bd22-9fce-2e3da8c72c5b");}
				}
				public static ManagementPackClass System_SoftwareItem
				{
					get{return GetClass("e88c746c-27ba-5b70-9f78-13e96ad9cffb");}
				}
				public static ManagementPackClass System_SoftwareUpdate
				{
					get{return GetClass("7ccd1178-66c1-8fed-c363-e8896651453f");}
				}
				public static ManagementPackClass System_SupportingItem
				{
					get{return GetClass("4d68362d-b5d4-00ba-a0ee-b5cd8f9faa5e");}
				}
				public static ManagementPackClass System_Information
				{
					get{return GetClass("33093c1d-d218-84bb-a948-1231041fddc2");}
				}
				public static ManagementPackClass System_FileAttachment
				{
					get{return GetClass("68a35b6d-ca3d-8d90-f93d-248ceff935c0");}
				}
				public static ManagementPackClass System_UserPreference
				{
					get{return GetClass("8709b497-2951-d4e8-8b09-1998ea520229");}
				}
				public static ManagementPackClass System_Search_ProviderConfig
				{
					get{return GetClass("32b66b6f-1629-c411-394e-fea87a65143c");}
				}
				public static ManagementPackClass System_UserPreference_Localization
				{
					get{return GetClass("efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8");}
				}
				public static ManagementPackClass System_Reviewer
				{
					get{return GetClass("2f28a9ae-0e94-c895-c087-b222b231dd46");}
				}
				public static ManagementPackClass System_WorkItem_Activity
				{
					get{return GetClass("42642d4f-d342-3f1b-965c-628a0f4119e2");}
				}
				public static ManagementPackClass System_WorkItem_Activity_ManualActivity
				{
					get{return GetClass("7ac62bd4-8fce-a150-3b40-16a39a61383d");}
				}
				public static ManagementPackClass System_WorkItem_Activity_ReviewActivity
				{
					get{return GetClass("bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36");}
				}
				public static ManagementPackClass System_WorkItem_ChangeRequest
				{
					get{return GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c");}
				}
				public static ManagementPackClass System_WorkItem_Incident
				{
					get{return GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68");}
				}
				public static ManagementPackClass System_WorkItem
				{
					get{return GetClass("f59821e2-0364-ed2c-19e3-752efbb1ece9");}
				}
				public static ManagementPackClass System_WorkItem_Log
				{
					get{return GetClass("263a89d8-74d4-e8d7-3f34-b4dc77c415cd");}
				}
				public static ManagementPackClass System_WorkItem_ActionLog
				{
					get{return GetClass("c17ed57f-cc9a-0c00-9a15-89c636407bf3");}
				}
				public static ManagementPackClass System_WorkItem_BillableTime
				{
					get{return GetClass("6645cdbe-78a3-ab81-7de9-638b733214fe");}
				}
				public static ManagementPackClass System_WorkItem_CommentLog
				{
					get{return GetClass("898d3903-c4f2-4c4b-3492-8c5af2bf7091");}
				}
				public static ManagementPackClass System_WorkItem_NotificationLog
				{
					get{return GetClass("e8a69d8b-514f-6c44-bddb-3a7fb88d8e3b");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket
				{
					get{return GetClass("f20a2c01-a0fe-c48c-db71-aade427d19ec");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_ActionLog
				{
					get{return GetClass("dbb6a632-0a7e-cef8-1fc9-405d5cd4d911");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_AnalystCommentLog
				{
					get{return GetClass("f14b70f4-878c-c0e1-b5c1-06ca22d05d40");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_AuditCommentLog
				{
					get{return GetClass("c06a4eb0-d21e-1838-0995-ee817b3aac4a");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_NotificationLog
				{
					get{return GetClass("e278714c-b6bf-1c33-0c53-114979d4fc7e");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_SipNotificationLog
				{
					get{return GetClass("cb08816f-c354-348c-f6d4-74f9de9b5680");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_SmtpNotificationLog
				{
					get{return GetClass("b4e0d3c5-b138-5f1a-a5cd-2249c3829646");}
				}
				public static ManagementPackClass System_WorkItem_TroubleTicket_UserCommentLog
				{
					get{return GetClass("a3d4e16f-5e8a-18ba-9198-d9815194c986");}
				}
				public static ManagementPackClass System_WorkItemGroup
				{
					get{return GetClass("31d729d9-83c5-5b36-703b-c51d54395687");}
				}
				public static ManagementPackClass System_GlobalSetting_ProblemSettings
				{
					get{return GetClass("da0eeac9-9c85-e72b-f321-44a3fcec9c9a");}
				}
				public static ManagementPackClass System_WorkItem_Problem
				{
					get{return GetClass("422afc88-5eff-f4c5-f8f6-e01038cde67f");}
				}
				public static ManagementPackClass System_WorkItem_Problem_WorkflowTarget
				{
					get{return GetClass("1684a476-26b0-3576-9562-29d57a8d73c7");}
				}
	}
    
    public static class ManagementPackNames
	{
	public const string Microsoft_EnterpriseManagement_ServiceManager_Authoring_Forms = "Microsoft.EnterpriseManagement.ServiceManager.Authoring.Forms";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Connector_AD = "Microsoft.EnterpriseManagement.ServiceManager.Connector.AD";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Connector_OpsMgr = "Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Connector_Sms = "Microsoft.EnterpriseManagement.ServiceManager.Connector.Sms";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Default = "Microsoft.EnterpriseManagement.ServiceManager.Default";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Administration = "Microsoft.EnterpriseManagement.ServiceManager.UI.Administration";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Administration_Help = "Microsoft.EnterpriseManagement.ServiceManager.UI.Administration.Help";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Authoring = "Microsoft.EnterpriseManagement.ServiceManager.UI.Authoring";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Authoring_Help = "Microsoft.EnterpriseManagement.ServiceManager.UI.Authoring.Help";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Console = "Microsoft.EnterpriseManagement.ServiceManager.UI.Console";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Console_Help = "Microsoft.EnterpriseManagement.ServiceManager.UI.Console.Help";
	public const string Microsoft_SystemCenter_Announcements_Configuration = "Microsoft.SystemCenter.Announcements.Configuration";
	public const string Microsoft_SystemCenter_Authoring_Library = "Microsoft.SystemCenter.Authoring.Library";
	public const string Microsoft_SystemCenter_ConfigurationManager = "Microsoft.SystemCenter.ConfigurationManager";
	public const string Microsoft_SystemCenter_ConfigurationManager_Datawarehouse = "Microsoft.SystemCenter.ConfigurationManager.Datawarehouse";
	public const string Microsoft_SystemCenter_Datawarehouse_Base = "Microsoft.SystemCenter.Datawarehouse.Base";
	public const string Microsoft_SystemCenter_Deployment_Library = "Microsoft.SystemCenter.Deployment.Library";
	public const string Microsoft_SystemCenter_Grooming_Library = "Microsoft.SystemCenter.Grooming.Library";
	public const string Microsoft_SystemCenter_InstanceGroup_Library = "Microsoft.SystemCenter.InstanceGroup.Library";
	public const string Microsoft_SystemCenter_Internal = "Microsoft.SystemCenter.Internal";
	public const string Microsoft_SystemCenter_Library = "Microsoft.SystemCenter.Library";
	public const string Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows = "Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows";
	public const string Microsoft_SystemCenter_Orchestration = "Microsoft.SystemCenter.Orchestration";
	public const string Microsoft_SystemCenter_Orchestration_Configuration = "Microsoft.SystemCenter.Orchestration.Configuration";
	public const string Microsoft_SystemCenter_Report_Library = "Microsoft.SystemCenter.Report.Library";
	public const string Microsoft_SystemCenter_ServiceDesigner_Library = "Microsoft.SystemCenter.ServiceDesigner.Library";
	public const string Microsoft_SystemCenter_ServiceManager_Portal = "Microsoft.SystemCenter.ServiceManager.Portal";
	public const string Microsoft_SystemCenter_Subscriptions = "Microsoft.SystemCenter.Subscriptions";
	public const string Microsoft_SystemCenter_WorkflowFoundation_Library = "Microsoft.SystemCenter.WorkflowFoundation.Library";
	public const string Microsoft_SystemCenter_WorkItemGroup_Library = "Microsoft.SystemCenter.WorkItemGroup.Library";
	public const string Microsoft_Windows_Library = "Microsoft.Windows.Library";
	public const string Microsoft_Windows_Peripheral_Library = "Microsoft.Windows.Peripheral.Library";
	public const string ServiceManager_ActivityManagement_Configuration = "ServiceManager.ActivityManagement.Configuration";
	public const string ServiceManager_ActivityManagement_Help = "ServiceManager.ActivityManagement.Help";
	public const string ServiceManager_ActivityManagement_Library = "ServiceManager.ActivityManagement.Library";
	public const string ServiceManager_ActivityManagement_Library_Datawarehouse = "ServiceManager.ActivityManagement.Library.Datawarehouse";
	public const string ServiceManager_ActivityManagement_Report_Library = "ServiceManager.ActivityManagement.Report.Library";
	public const string ServiceManager_AdministrativeOverrides = "ServiceManager.AdministrativeOverrides";
	public const string ServiceManager_ChangeManagement_Configuration = "ServiceManager.ChangeManagement.Configuration";
	public const string ServiceManager_ChangeManagement_Help = "ServiceManager.ChangeManagement.Help";
	public const string ServiceManager_ChangeManagement_Library = "ServiceManager.ChangeManagement.Library";
	public const string ServiceManager_ChangeManagement_Library_Datawarehouse = "ServiceManager.ChangeManagement.Library.Datawarehouse";
	public const string ServiceManager_ChangeManagement_Report_Library = "ServiceManager.ChangeManagement.Report.Library";
	public const string ServiceManager_Common_Report_Library = "ServiceManager.Common.Report.Library";
	public const string ServiceManager_ConfigurationManagement_Configuration = "ServiceManager.ConfigurationManagement.Configuration";
	public const string ServiceManager_ConfigurationManagement_Help = "ServiceManager.ConfigurationManagement.Help";
	public const string ServiceManager_ConfigurationManagement_Library = "ServiceManager.ConfigurationManagement.Library";
	public const string ServiceManager_ConfigurationManagement_Report_Library = "ServiceManager.ConfigurationManagement.Report.Library";
	public const string ServiceManager_Core_Library = "ServiceManager.Core.Library";
	public const string ServiceManager_Datawarehouse_Help = "ServiceManager.Datawarehouse.Help";
	public const string ServiceManager_Datawarehouse_Library = "ServiceManager.Datawarehouse.Library";
	public const string ServiceManager_Grooming_Configuration = "ServiceManager.Grooming.Configuration";
	public const string ServiceManager_InboundEmail_Library = "ServiceManager.InboundEmail.Library";
	public const string ServiceManager_IncidentManagement_Configuration = "ServiceManager.IncidentManagement.Configuration";
	public const string ServiceManager_IncidentManagement_Help = "ServiceManager.IncidentManagement.Help";
	public const string ServiceManager_IncidentManagement_Library = "ServiceManager.IncidentManagement.Library";
	public const string ServiceManager_IncidentManagement_Library_Datawarehouse = "ServiceManager.IncidentManagement.Library.Datawarehouse";
	public const string ServiceManager_IncidentManagement_Report_Library = "ServiceManager.IncidentManagement.Report.Library";
	public const string ServiceManager_KnowledgeManagement_Configuration = "ServiceManager.KnowledgeManagement.Configuration";
	public const string ServiceManager_KnowledgeManagement_Help = "ServiceManager.KnowledgeManagement.Help";
	public const string ServiceManager_KnowledgeManagement_Library = "ServiceManager.KnowledgeManagement.Library";
	public const string ServiceManager_LinkingFramework_Library = "ServiceManager.LinkingFramework.Library";
	public const string ServiceManager_ProblemManagement_Configuration = "ServiceManager.ProblemManagement.Configuration";
	public const string ServiceManager_ProblemManagement_Help = "ServiceManager.ProblemManagement.Help";
	public const string ServiceManager_ProblemManagement_Library = "ServiceManager.ProblemManagement.Library";
	public const string ServiceManager_ProblemManagement_Library_Datawarehouse = "ServiceManager.ProblemManagement.Library.Datawarehouse";
	public const string ServiceManager_ProblemManagement_Report_Library = "ServiceManager.ProblemManagement.Report.Library";
	public const string ServiceManager_Reporting_Help = "ServiceManager.Reporting.Help";
	public const string ServiceManager_ServiceMaps_Configuration = "ServiceManager.ServiceMaps.Configuration";
	public const string ServiceManager_ServiceMaps_Library = "ServiceManager.ServiceMaps.Library";
	public const string ServiceManager_SoftwareDeployment_Configurations = "ServiceManager.SoftwareDeployment.Configurations";
	public const string ServiceManager_WorkItem_Library = "ServiceManager.WorkItem.Library";
	public const string System_AdminItem_Library = "System.AdminItem.Library";
	public const string System_ApplicationLog_Library = "System.ApplicationLog.Library";
	public const string System_Hardware_Library = "System.Hardware.Library";
	public const string System_Health_Library = "System.Health.Library";
	public const string System_Knowledge_Library = "System.Knowledge.Library";
	public const string System_Library = "System.Library";
	public const string System_Notifications_Library = "System.Notifications.Library";
	public const string System_Performance_Library = "System.Performance.Library";
	public const string System_PolicyItem_Library = "System.PolicyItem.Library";
	public const string System_Snmp_Library = "System.Snmp.Library";
	public const string System_Software_Library = "System.Software.Library";
	public const string System_SupportingItem_Library = "System.SupportingItem.Library";
	public const string System_WorkItem_Activity_Library = "System.WorkItem.Activity.Library";
	public const string System_WorkItem_ChangeRequest_Library = "System.WorkItem.ChangeRequest.Library";
	public const string System_WorkItem_Incident_Library = "System.WorkItem.Incident.Library";
	public const string System_WorkItem_Library = "System.WorkItem.Library";
	public const string System_WorkItem_Problem_Library = "System.WorkItem.Problem.Library";
	}

	public static class ManagementPackIds
	{
	public const string Microsoft_EnterpriseManagement_ServiceManager_Authoring_Forms = "266a6ac6-0692-5a66-c38d-ad272f24631f";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Connector_AD = "d43c3091-62c2-6404-607d-4376e592a89b";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Connector_OpsMgr = "1178ed95-b43a-6722-cc81-95ad0068710a";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Connector_Sms = "f772aa89-b934-2fac-4f37-5e0165d390ec";
	public const string Microsoft_EnterpriseManagement_ServiceManager_Default = "23160e5e-424d-7141-b266-896175063f14";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Administration = "151cd574-c975-0820-0ab3-f68d5632fbc8";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Administration_Help = "a8e0066f-5797-d5e5-975a-ca4694a9a0bc";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Authoring = "c799c9be-19c5-42e0-989a-3e013c6d27af";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Authoring_Help = "ad91e145-99ab-dc0f-af9e-c8dd9e487d4c";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Console = "6712a8ed-10d7-e1ac-17cb-1270fed851cf";
	public const string Microsoft_EnterpriseManagement_ServiceManager_UI_Console_Help = "6e4061b3-25be-1a65-0552-3b970986b9cb";
	public const string Microsoft_SystemCenter_Announcements_Configuration = "4ac3fbe0-f093-39f6-05d6-ff1055973912";
	public const string Microsoft_SystemCenter_Authoring_Library = "9a3368fe-f801-6618-f5e6-50901871caad";
	public const string Microsoft_SystemCenter_ConfigurationManager = "f0f91617-a904-a917-22e2-596390b239ca";
	public const string Microsoft_SystemCenter_ConfigurationManager_Datawarehouse = "a6043929-94ec-0b2f-0b1f-fd6e30f30730";
	public const string Microsoft_SystemCenter_Datawarehouse_Base = "5f131290-085f-8418-e07f-76fd0ecdab4f";
	public const string Microsoft_SystemCenter_Deployment_Library = "cb659187-b47c-32c9-5d3a-339458eed935";
	public const string Microsoft_SystemCenter_Grooming_Library = "70f6a7d7-d6b8-7287-cde5-800359f40c09";
	public const string Microsoft_SystemCenter_InstanceGroup_Library = "1205738e-2354-4d9b-d6a2-a52bee1f0e33";
	public const string Microsoft_SystemCenter_Internal = "bf362c00-8fde-0cb4-f60b-05dd3a43e0f0";
	public const string Microsoft_SystemCenter_Library = "7cfc5cc0-ae0a-da4f-5ac2-d64540141a55";
	public const string Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows = "11e42b5e-c5d4-d3e3-be49-5a99b52aaa9d";
	public const string Microsoft_SystemCenter_Orchestration = "3d610232-c33c-a892-e538-35861372101c";
	public const string Microsoft_SystemCenter_Orchestration_Configuration = "5cdbe5ac-dc8a-d5cd-ffe7-b9dae9a8819b";
	public const string Microsoft_SystemCenter_Report_Library = "b8de8c96-0916-c66e-c291-0961e5abdceb";
	public const string Microsoft_SystemCenter_ServiceDesigner_Library = "30509e8e-9850-8cfa-a78b-40b6feaa2f70";
	public const string Microsoft_SystemCenter_ServiceManager_Portal = "2d5e77d8-1385-c107-542f-a20dbe9540a2";
	public const string Microsoft_SystemCenter_Subscriptions = "0306141b-bf60-70a1-be18-e979132c873c";
	public const string Microsoft_SystemCenter_WorkflowFoundation_Library = "113b0307-4d0f-ec7d-7cb2-c39ebbff76df";
	public const string Microsoft_SystemCenter_WorkItemGroup_Library = "356bad42-e43d-63d6-0127-a26f36f54f34";
	public const string Microsoft_Windows_Library = "545131f0-58de-1914-3a82-4fcac9100a33";
	public const string Microsoft_Windows_Peripheral_Library = "fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d";
	public const string ServiceManager_ActivityManagement_Configuration = "d97b692d-0a08-b867-1689-e311ed1cedb6";
	public const string ServiceManager_ActivityManagement_Help = "ab74a1e3-8b5a-1ada-979a-a3baa3a9f622";
	public const string ServiceManager_ActivityManagement_Library = "7b8d32db-bdb4-cabf-b947-c013c0e00baa";
	public const string ServiceManager_ActivityManagement_Library_Datawarehouse = "ab34aad3-9f9a-4ab4-2ed8-135f4e4ea877";
	public const string ServiceManager_ActivityManagement_Report_Library = "8520a107-21a6-daa3-32fa-9310d087b76d";
	public const string ServiceManager_AdministrativeOverrides = "e45becdf-7cb4-81da-161e-e7baf0f69a0b";
	public const string ServiceManager_ChangeManagement_Configuration = "4bd64a2d-d374-4563-fc6f-ad43c6df4284";
	public const string ServiceManager_ChangeManagement_Help = "fe7d7398-29b6-3aaa-9d17-844ed48bba3e";
	public const string ServiceManager_ChangeManagement_Library = "2bf6413b-bb6c-1108-d33a-152c9d1db56b";
	public const string ServiceManager_ChangeManagement_Library_Datawarehouse = "741d2a22-b469-bf84-ff4a-42f1e0f77dec";
	public const string ServiceManager_ChangeManagement_Report_Library = "610de45d-2e3e-6bbc-c52d-192aa952c704";
	public const string ServiceManager_Common_Report_Library = "a6343db5-e974-f743-b9ba-ad4d53c2438a";
	public const string ServiceManager_ConfigurationManagement_Configuration = "6f584aa4-713d-5ed7-8f8d-75fd6cf0deb0";
	public const string ServiceManager_ConfigurationManagement_Help = "0e24bcb8-23fa-02f5-31f3-23fbb3123bb9";
	public const string ServiceManager_ConfigurationManagement_Library = "19110da0-0b5d-6c48-085f-8db74d662da4";
	public const string ServiceManager_ConfigurationManagement_Report_Library = "5b04d25d-75a9-2aea-5b8b-d8f2121232a1";
	public const string ServiceManager_Core_Library = "cc5c1161-4789-7fb7-3f4a-5f661f57626a";
	public const string ServiceManager_Datawarehouse_Help = "67473ed5-be46-4f90-df6a-8c583e719afb";
	public const string ServiceManager_Datawarehouse_Library = "d75ca502-6194-3e79-e908-87fc09713b73";
	public const string ServiceManager_Grooming_Configuration = "d1691edb-49ff-5987-253e-d7befc81180d";
	public const string ServiceManager_InboundEmail_Library = "8fbab72b-9640-805e-e968-35303d308f0d";
	public const string ServiceManager_IncidentManagement_Configuration = "b1207ce1-d1ee-cd35-65ea-f8b10bebac7d";
	public const string ServiceManager_IncidentManagement_Help = "8dfab34e-543f-aaf9-3b78-95bbed75ff08";
	public const string ServiceManager_IncidentManagement_Library = "7b6d701a-4598-8220-dea8-4ae0504f6f58";
	public const string ServiceManager_IncidentManagement_Library_Datawarehouse = "c4a0095c-12c5-5398-4d71-0fd7d8bbe42b";
	public const string ServiceManager_IncidentManagement_Report_Library = "9541d60e-9a8b-cfd2-2008-155c3e0ada5c";
	public const string ServiceManager_KnowledgeManagement_Configuration = "39426553-cd85-2259-0fa0-de3e5506a84e";
	public const string ServiceManager_KnowledgeManagement_Help = "6c5b4b1c-0baf-426b-c920-328cab62ecf6";
	public const string ServiceManager_KnowledgeManagement_Library = "ecf7a65d-2c71-993e-c5c6-2d00264d68c2";
	public const string ServiceManager_LinkingFramework_Library = "72f46b77-512a-91b5-efd8-0c7f84ebda98";
	public const string ServiceManager_ProblemManagement_Configuration = "bdde5d97-f65b-24d0-3e07-d7bf586aeae5";
	public const string ServiceManager_ProblemManagement_Help = "7967053a-a7e0-0006-9779-3985943bfc65";
	public const string ServiceManager_ProblemManagement_Library = "b6bc43b6-49dc-fa34-40cc-b2c1dc8bc61c";
	public const string ServiceManager_ProblemManagement_Library_Datawarehouse = "429cae37-9a0d-b408-40bd-c10878699d09";
	public const string ServiceManager_ProblemManagement_Report_Library = "c111332b-722d-bd5d-6b6e-3e1f8e1a3857";
	public const string ServiceManager_Reporting_Help = "1d0458cd-2440-be6b-fc5c-090425818f1f";
	public const string ServiceManager_ServiceMaps_Configuration = "6af472f2-707a-5474-5c69-6e7f66e16ff5";
	public const string ServiceManager_ServiceMaps_Library = "1854468c-18a5-9f9d-efd1-32cb932812e8";
	public const string ServiceManager_SoftwareDeployment_Configurations = "e466e39c-ec45-9557-c4d9-34f179f824a8";
	public const string ServiceManager_WorkItem_Library = "8d850003-3d68-7171-b7c4-cef05c6a740b";
	public const string System_AdminItem_Library = "a87c22c5-8fd4-4252-86e8-b246ab404465";
	public const string System_ApplicationLog_Library = "a37d9dd0-6b3f-a416-281d-0cd6be753d62";
	public const string System_Hardware_Library = "e7e0c9be-0b6f-68bb-48ad-4dd5e3e7e22e";
	public const string System_Health_Library = "0abff86f-a35e-b08f-da0e-ff051ab2840c";
	public const string System_Knowledge_Library = "0a8001ed-59dc-629c-201f-4643a6a48009";
	public const string System_Library = "01c8b236-3bce-9dba-6f1c-c119bcdc2972";
	public const string System_Notifications_Library = "8e02a0aa-04b1-812b-6ab5-1c12e3288e99";
	public const string System_Performance_Library = "1658a245-41e9-d7cb-de11-6a8aafcfda48";
	public const string System_PolicyItem_Library = "863b8cc2-2809-f6ec-b56f-55d2bdf5c60e";
	public const string System_Snmp_Library = "0dcb3590-6c11-c215-aee9-328dcb06de7f";
	public const string System_Software_Library = "09873caf-e2e2-20d0-c997-cd99c3a31ffd";
	public const string System_SupportingItem_Library = "23e3ae8e-1981-8560-2e55-8730cbc04965";
	public const string System_WorkItem_Activity_Library = "aa265d90-3e2e-b9a2-d929-be0d36f1a53e";
	public const string System_WorkItem_ChangeRequest_Library = "6c2bb84d-3c1f-4006-c551-6ef50179e2e3";
	public const string System_WorkItem_Incident_Library = "dd26c521-7c2d-58c0-0980-dac2dacb0900";
	public const string System_WorkItem_Library = "405d5590-b45f-1c97-024f-24338290453e";
	public const string System_WorkItem_Problem_Library = "d93ec150-3906-5404-ee41-1aefaa35518e";
	}
	 
	public static class ManagementPackClassIds
	{
			public const string System_LinkingFramework_ActiveDirectorySource = "26db232b-8fa9-4f0a-f64d-da9e01d53693";
			public const string Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector = "2f3681d9-153b-36ae-68ce-9197244a3bf5";
			public const string Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_Config = "424ca957-bf8d-5080-625b-87394cb5bab9";
			public const string Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIs = "325f752f-77d1-daf9-79c1-d2471d893937";
			public const string Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTarget = "8381754a-6ee7-e1b6-0acd-ba2026bd6c62";
			public const string Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTarget = "7309a2be-d5ac-6ce8-0405-590ea70408ff";
			public const string System_LinkingFramework_SccmSource = "55fac7fd-8e3a-b104-1802-c898d5c3bf4d";
			public const string System_UserPreference_ViewPersonalization = "239f6e77-ab25-9fc2-e16e-1768f2a65069";
			public const string Microsoft_SystemCenter_Authoring_WorkflowTarget = "4ebbd0bf-f816-7277-b932-77c667948752";
			public const string Microsoft_SystemCenter_ConfigurationManager_AICatalog = "c2d9a42e-a869-c8bd-b2d2-2a32be308538";
			public const string Microsoft_SystemCenter_ConfigurationManager_CollectionInfo = "fefeb4c7-7168-6718-d77c-50b0b3af3ec5";
			public const string Microsoft_SystemCenter_ConfigurationManager_DCM_CI = "47de8238-f634-1ab2-ef8f-39d013c54dff";
			public const string Microsoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CI = "84ee0c77-79b9-2984-902c-f0bac0ddd9f5";
			public const string Microsoft_SystemCenter_ConfigurationManager_DeployedComputer = "f3102c61-d3c3-262e-634b-6cf6fc5d576b";
			public const string Microsoft_SystemCenter_ConfigurationManager_Package = "e3f0d894-8ad1-0ed6-0b87-a46b0c95b2be";
			public const string Microsoft_SystemCenter_ConfigurationManager_Program = "f2a4d7ab-7e76-5ec9-d05f-1f1b9bafda78";
			public const string Microsoft_SystemCenter_Datawarehouse_Base_ManagedType = "e779a229-5d63-698f-068f-e0f6c5dec760";
			public const string Microsoft_SystemCenter_Datawarehouse_Base_ManagementPack = "c8e6cf30-59af-4cf8-3e4e-432dbaf6fc6f";
			public const string Microsoft_SystemCenter_Datawarehouse_Base_RelationshipType = "a4ced1f6-2b11-c159-5935-d1396d9c168f";
			public const string Microsoft_SystemCenter_DataWarehouse_CMDBSource = "0222340f-d0cd-6b06-70a6-aa0a1504f428";
			public const string Microsoft_SystemCenter_DataWarehouse_DataSource = "3d0c3255-31ff-f69f-3b00-0cee5e2579f1";
			public const string Microsoft_SystemCenter_DataWarehouse_ManagementPack = "385d784f-8b3d-d9c2-5c92-ce879d5bc18b";
			public const string Microsoft_SystemCenter_Deployment_DeploymentWorkflowTarget = "0b09e978-69c6-709f-5d5e-b03c5477393c";
			public const string Microsoft_SystemCenter_ResourceAccessLayer = "4e68517b-79fd-1727-0c4f-8f2851b93f7f";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_CmdbResourceStore = "6347494e-b44d-cae2-5d73-22df45cffe7d";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_DagResourceStore = "69094ae5-0755-208a-c061-b5bd25c94c66";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStore = "59c5493a-c00c-90fd-1f8c-73dbb7578e6c";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_SdkResourceStore = "f4af87dc-a521-bbf1-c174-dbb1f56f7133";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_SqlResourceStore = "6d1c3db1-26f3-8789-a1b5-9c13de08cd37";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_SrsResourceStore = "6671ff1b-43fd-1d5b-50f2-453ce2a52849";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_StoreProperty = "e1bdc536-1c50-ca15-6587-0ebbcc548361";
			public const string Microsoft_SystemCenter_ResourceAccessLayer_Stores = "26484645-1713-c272-98b6-25212b5cc376";
			public const string Microsoft_SystemCenter_ConfigItemGroup = "e652cfd7-91ad-784a-552f-60458a0b3053";
			public const string Microsoft_SystemCenter_InstanceGroup = "4ce499f1-0298-83fe-7740-7a0fbc8e2449";
			public const string Microsoft_SystemCenter_Agent = "118c0f18-7a70-5f57-3a9b-eeaf1705b3fc";
			public const string Microsoft_SystemCenter_Agent_ManagementServer = "a48b90a0-17b9-a205-1328-8622efd82fb5";
			public const string Microsoft_SystemCenter_AgentlessManagedComputerGroup = "16b2db18-f45f-946c-5b83-123f09cfd60b";
			public const string Microsoft_SystemCenter_AgentManagedComputerGroup = "1cda808e-5b0e-d25e-5275-3c8b136d62ed";
			public const string Microsoft_SystemCenter_AgentManager = "f32167d8-ba6f-2bc6-0790-4db7b3082d86";
			public const string Microsoft_SystemCenter_AgentWatcher = "3a9dc906-03f3-d5ee-dde3-dd9b9f8d2f9c";
			public const string Microsoft_SystemCenter_AgentWatchersGroup = "2a486fad-116b-73b0-e02f-b98175c997e9";
			public const string Microsoft_SystemCenter_AllComputersGroup = "6f7e3306-beeb-2996-3795-7c1eafb925b8";
			public const string Microsoft_SystemCenter_CollectionManagementServer = "7b11b1b9-3462-c54f-9f10-943cabb9d26e";
			public const string Microsoft_SystemCenter_CollectionManagementServerComputersGroup = "9304f671-1619-9b83-97ab-b2613561c1a7";
			public const string Microsoft_SystemCenter_CollectionManagementServerWatcher = "9d86a34f-97f7-614d-23f0-67f9838bc5d7";
			public const string Microsoft_SystemCenter_CollectionManagementServerWatchersGroup = "9db593f3-0e68-60a6-9b7b-7daadf9672d3";
			public const string Microsoft_SystemCenter_ComputerGroup = "0c363342-717b-5471-3aa5-9de3df073f2a";
			public const string Microsoft_SystemCenter_ConfigureWorkflowTarget = "52ea75d7-6232-a1e1-c510-44a000aa9e02";
			public const string Microsoft_SystemCenter_Connector = "2d63134b-491f-ae0b-d71b-81ff238422bf";
			public const string Microsoft_SystemCenter_GatewayManagementServer = "c1721bcc-35f7-5a49-5d5f-6880687c3d48";
			public const string Microsoft_SystemCenter_GatewayManagementServerComputersGroup = "227e113e-c325-3e61-2371-dfd094cc7c67";
			public const string Microsoft_SystemCenter_GatewayManagementServerWatcher = "2e1ff893-6540-f65d-1a69-f9fdb42c5a73";
			public const string Microsoft_SystemCenter_GatewayManagementServerWatchersGroup = "e82a3221-09bb-a0fe-5053-9e8ee69a50d3";
			public const string Microsoft_SystemCenter_HealthService = "ab4c891f-3359-3fb6-0704-075fbfe36710";
			public const string Microsoft_SystemCenter_HealthServiceWatcher = "a4899740-ef2f-1541-6c1d-51d34b739491";
			public const string Microsoft_SystemCenter_HealthServiceWatchersGroup = "a4c8b023-4cfc-52cc-30b7-6c1b959c4723";
			public const string Microsoft_SystemCenter_InternalWorkflowTarget = "08cfb1af-53f7-b5c7-9cea-4f814aa50ff2";
			public const string Microsoft_SystemCenter_License = "914d239f-52ee-dc26-389b-f3ce28989da5";
			public const string Microsoft_SystemCenter_License_Enterprise = "e1d50ef8-dea0-899e-c989-d8ca22181165";
			public const string Microsoft_SystemCenter_License_Standard = "d93ca6c0-82d6-ec53-9537-e9a09a53d2a5";
			public const string Microsoft_SystemCenter_ManagedComputer = "44ab701b-5da9-ca21-a94b-8b82828a69d8";
			public const string Microsoft_SystemCenter_ManagedComputerClient = "38ad2a9b-2414-89c8-100f-26ed33b87acf";
			public const string Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroup = "d57daa29-063f-6379-7ee0-12e7a3982da0";
			public const string Microsoft_SystemCenter_ManagedComputerServer = "e1ae9104-c9a3-467f-adba-33f801db7d37";
			public const string Microsoft_SystemCenter_ManagementGroup = "6b1d1be8-ebb4-b425-08dc-2385c5930b04";
			public const string Microsoft_SystemCenter_ManagementServer = "9189a49e-b2de-cab0-2e4f-4925b68e335d";
			public const string Microsoft_SystemCenter_ManagementServerComputersGroup = "b9994504-06cd-a393-7a81-d450d9ce5a58";
			public const string Microsoft_SystemCenter_ManagementServerWatcher = "3285fc6d-7b96-ce0b-58a7-c628de0488a8";
			public const string Microsoft_SystemCenter_OpsMgrDBWatcher = "88a7f2ca-2467-7715-544d-9fdaab0cad11";
			public const string Microsoft_SystemCenter_OpsMgrDBWatchersGroup = "72cbeeb6-6d2c-77f8-6577-64c7ec996e3f";
			public const string Microsoft_SystemCenter_RootManagementServer = "1a9387f0-6fe5-5527-a2cb-73f2f6be6bc7";
			public const string Microsoft_SystemCenter_RootManagementServerComputersGroup = "7ce42584-1de7-4863-ebc0-61b67b241707";
			public const string Microsoft_SystemCenter_Site = "6769eaba-4699-cc4b-7eb1-e9f445a8c5a0";
			public const string Microsoft_SystemCenter_SiteManagementServer = "cecaafda-33b6-b628-0cda-445e21b7291d";
			public const string Microsoft_SystemCenter_SiteManagementServerWatcher = "d4cd7d6e-cf5e-f014-4a4e-e99538e06958";
			public const string Microsoft_SystemCenter_SubscriptionWorkflowTarget = "a2a24426-1c31-3a8f-ea39-d316a83c8ef9";
			public const string Microsoft_SystemCenter_SystemCenterManagedComputerGroup = "11fcc474-3e0c-1442-1491-c17ee9fbcfea";
			public const string Microsoft_SystemCenter_TieredManagementGroup = "9613172c-363c-452a-3a7e-c6a1e5e7cae3";
			public const string Microsoft_SystemCenter_UserActionManager = "1a9742b2-cf8d-5ddf-f6bd-0fbb1c5a5565";
			public const string Microsoft_SystemCenter_WorkflowTarget = "11b35c28-77ba-cf25-2621-cbd17355963e";
			public const string Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTarget = "2f2a8c1b-39ce-f4d5-76ed-839721b93514";
			public const string Microsoft_SystemCenter_Orchestration_WorkflowTarget = "37fecb60-26c5-fcdc-950d-f24ce13c3df6";
			public const string Microsoft_SystemCenter_ApplicationComponentsGroup = "b8b99b2a-6e23-156d-49d6-ba9e822ffa98";
			public const string Microsoft_SystemCenter_BusinessService = "b2a806a6-87f6-0bc9-da74-c27e9ab5a5d7";
			public const string Microsoft_SystemCenter_DataBaseComponentsGroup = "a1286a6e-9db9-a151-a182-1578787508bd";
			public const string Microsoft_SystemCenter_NetworkDevicesGroup = "80197622-bf44-3d54-9f2d-9d0f9ec87ae8";
			public const string Microsoft_SystemCenter_OtherComponentsGroup = "94521e29-79ff-de04-0e45-ffffdbfe494a";
			public const string Microsoft_SystemCenter_PhysicalObjectsGroup = "1150af91-1a11-8637-9386-fe94512284f0";
			public const string Microsoft_SystemCenter_Service_ComputersGroup = "42d9a904-0b91-6720-548e-6b952b5c45a1";
			public const string Microsoft_SystemCenter_ServiceDesigner_GenericService = "cbcd2338-7e0c-f0ce-688b-a38faea16f01";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging = "d45ac5ab-151e-eaf3-bd10-773b4f8297de";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging_DirectoryServices = "93ae3b8d-ef7d-cf40-7c39-2e36b9e58c63";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClients = "0b866b12-a389-c024-f823-b882bcfafb37";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponents = "a09d15a6-254f-319f-4296-06fc984c5fe5";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging_NetworkServices = "ca168454-bcc4-3ce0-9203-b42dc2a82de0";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging_PhysicalNetwork = "55a8c1f3-161a-5149-f2c2-b57a5d622332";
			public const string Microsoft_SystemCenter_ServiceDesigner_Messaging_Storage = "d3ff18ec-0215-671a-3c4c-1b2b65d90592";
			public const string Microsoft_SystemCenter_ServiceDesigner_Service = "cb5a31fe-96e7-2e4b-5f42-bded7b177f5b";
			public const string Microsoft_SystemCenter_ServiceDesigner_ServiceComponentGroup = "48a9c4fb-5158-889d-fb8b-350377f13fc0";
			public const string Microsoft_SystemCenter_ServiceDesigner_WebApplication = "f22e0873-22a9-83e0-c646-37d7ee84ad1a";
			public const string Microsoft_SystemCenter_ServiceDesigner_WebApplication_DatabaseGroup = "2876eb14-d1df-996f-134f-96fb4ac8628b";
			public const string Microsoft_SystemCenter_ServiceDesigner_WebApplication_WebSiteGroup = "77d39257-1292-0e88-73e9-8644c0fa44ff";
			public const string Microsoft_SystemCenter_StorageDevicesGroup = "764c2409-6e3e-4ea5-a3a7-35e893db1dd8";
			public const string Microsoft_SystemCenter_WebsiteComponentsGroup = "20be7986-f151-ed3a-faff-10f65d110e86";
			public const string Microsoft_ServiceManager_Portal_ContactSettings = "abaf06a5-da99-d7d7-3145-40dba354522e";
			public const string Microsoft_SystemCenter_ServiceManager_Portal_Links_Configuration = "93d5c044-0ca5-c45c-8af6-bbad4facb52f";
			public const string Microsoft_SystemCenter_ServiceManager_SoftwareDeployment_Process = "af4d4ae2-de20-7ae0-a942-db5262501789";
			public const string ServiceManager_SoftwareDeployment_SCCM_Configuration = "35eb0df0-a0be-962b-b472-f8b888bc558e";
			public const string ServiceManager_SoftwareDeployment_WorkflowTarget = "562dded4-fe45-626e-edc0-eed234f73309";
			public const string System_WorkItem_Activity_PortalSoftwareDeploymentActivity = "87dea200-2dc4-9cf2-63ba-777d7faba31b";
			public const string Microsoft_SystemCenter_Subscriptions_Administrator_WorkflowTarget = "3fdd292d-04cf-e893-9ae2-76740ba4e017";
			public const string System_GlobalSetting_Subscription = "b02ab241-7184-1051-3d38-5f1e5e0553e7";
			public const string Microsoft_SystemCenter_WorkflowFoundation_WorkflowTarget = "351a1225-d47f-d3a6-152b-5ca5b54232f6";
			public const string Microsoft_AD_Group = "e2386b9b-5364-e438-a317-93836b979c56";
			public const string Microsoft_AD_Printer = "2d41c9e8-68a6-043b-c2cf-57d9d9482170";
			public const string Microsoft_AD_User = "10a7f898-e672-ccf3-8881-360bfb6a8f9a";
			public const string Microsoft_AD_UserBase = "3567434d-015f-8dcc-f188-0a407f3a2168";
			public const string Microsoft_Windows_ApplicationComponent = "fb00bb78-d29c-5508-5707-bf8bafb2127b";
			public const string Microsoft_Windows_Client_Computer = "5918e198-2dbe-5f7d-135e-6e43a94ccb5b";
			public const string Microsoft_Windows_Client_OperatingSystem = "e9377b27-f64b-b2a3-b01d-5de35b1304ac";
			public const string Microsoft_Windows_Computer = "ea99500d-8d52-fc52-b5a5-10dcd1e9d2bd";
			public const string Microsoft_Windows_ComputerRole = "273c8793-d1c3-aaf0-cbcb-4962f532fbe5";
			public const string Microsoft_Windows_DiskPartition = "83a0ee32-c6cd-3daf-ebc8-958ea15fd764";
			public const string Microsoft_Windows_LocalApplication = "0d026768-86be-77f5-b58e-7f07d3178cf8";
			public const string Microsoft_Windows_LocalService = "24055ab7-6676-7d84-05cf-d4dd56c2cbdc";
			public const string Microsoft_Windows_LogicalDevice = "3361982a-7dfd-288d-f48c-e04e85149750";
			public const string Microsoft_Windows_LogicalDisk = "d0718456-aa7e-7b92-8a46-6a2d762d32a7";
			public const string Microsoft_Windows_NetworkAdapter = "b574ab90-0d86-d9cb-8d26-d0364eec7976";
			public const string Microsoft_Windows_OperatingSystem = "66dd9b43-3dc1-3831-95d4-1b03b0a6ea13";
			public const string Microsoft_Windows_PhysicalDisk = "26d62cff-bd8f-bc5a-74df-cbf19e0367d3";
			public const string Microsoft_Windows_Processor = "48c51707-31d3-0669-128d-c5dca8413809";
			public const string Microsoft_Windows_Server_Computer = "e817d034-02e8-294c-3509-01ca25481689";
			public const string Microsoft_Windows_Server_DC_Computer = "eb0749d9-2030-3ab3-1219-971f775f86df";
			public const string Microsoft_Windows_Server_OperatingSystem = "ab468fc4-467d-841e-0f5d-61c41fa54735";
			public const string Microsoft_Windows_SoftwareInstallation = "623e8dd1-76d0-4779-332a-e3b2ab1f7c21";
			public const string Microsoft_Windows_SoftwareUpdate = "7997fba0-60b6-5346-aab9-5a46888036e2";
			public const string Microsoft_Windows_UserApplication = "db6dee28-bd59-783c-cabb-24d76d1d670e";
			public const string Microsoft_Windows_Peripheral_DiskPartition = "df25184c-6efc-3a46-8d0c-9269b4dc107e";
			public const string Microsoft_Windows_Peripheral_LogicalDisk = "abf81a57-0a02-f2d9-e240-7dfd9cd58dda";
			public const string Microsoft_Windows_Peripheral_NetworkAdapter = "5bdd8f81-9c4a-2d59-48c5-6ea175422592";
			public const string Microsoft_Windows_Peripheral_PhysicalDisk = "d6cb51c3-66a7-165d-ebfb-2fc8b525967d";
			public const string Microsoft_Windows_Peripheral_Processor = "afe398e0-d539-05f6-6ab4-44a84701ec71";
			public const string System_GlobalSetting_ActivitySettings = "5e04a50d-01d1-6fce-7946-15580aa8681d";
			public const string System_WorkItem_Activity_InternalWorkflowTarget = "2ed5abbb-c0b8-7622-dab6-7d792c212f54";
			public const string System_WorkItem_Activity_WorkflowTarget = "fee785e2-b8c0-e414-6cdd-fea576cdd5de";
			public const string System_GlobalSetting_ChangeSettings = "c7fe33bb-9760-3f88-59fc-0951e3221be4";
			public const string System_WorkItem_ChangeRequest_InternalWorkflowTarget = "901b03db-7894-5da5-0203-8d91d61a609f";
			public const string System_WorkItem_ChangeRequest_WorkflowTarget = "35e63a37-d49e-9480-eb00-d80cf08e099f";
			public const string Microsoft_ServiceManager_InternalDiscoveryCollectorTarget = "db18b9a2-0117-0d4f-b484-c3060d1c31f0";
			public const string Microsoft_ServiceManager_InternalDiscoverySourceTarget = "e1f09c95-6f60-789b-382b-ea2672f6fcdb";
			public const string Microsoft_ServiceManager_SqlJobWorkflowTarget = "60028989-bb6c-2df5-7751-372485f27c45";
			public const string System_Information_DWItem = "03279ed4-40fd-fa52-5f95-b3ffeb227d98";
			public const string Microsoft_ServiceManager_GroomingWorkflowTarget = "84c7d9ef-059e-e8a5-7603-fb257e3bfea3";
			public const string System_InboundEmail_Configuration = "dd3c3411-2a5a-80fb-c905-053915216cf1";
			public const string System_InboundEmail_Rule = "65ab523f-eace-59b0-dd73-6ec068a9fb5b";
			public const string Microsoft_SystemCenter_WorkItem_DCMIncident = "90234dbf-5fd1-a2c3-b34b-429b163b8060";
			public const string Microsoft_SystemCenter_WorkItem_SCOMIncident = "ac13c801-0f20-83e0-4e8a-344c96516f3d";
			public const string System_WorkItem_Incident_GeneralSetting = "613c9f3e-9b94-1fef-4088-16c33bfd0be1";
			public const string System_WorkItem_Incident_Wizard_AutomaticChangeIncident = "f9ed6e4f-dfe3-c3c7-33fd-29424dc81d69";
			public const string System_WorkItem_Incident_Wizard_DCMIntegration = "2f08e334-d903-280a-3b76-fad41150d4da";
			public const string System_WorkItem_Incident_WorkflowTarget = "383e578b-e1c9-2802-0047-815853405778";
			public const string System_GlobalSetting_KnowledgeSettings = "1532349a-e437-842b-44fe-86a0f42a8ff5";
			public const string Microsoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTarget = "d963c95e-365f-9e5c-14e0-856babf35b17";
			public const string Microsoft_SystemCenter_LinkingFramework_GroomingWorkflowTarget = "06d7dc4b-a238-11f5-44ed-a2a5e7689dfd";
			public const string Microsoft_SystemCenter_LinkingFramework_LinkingFrameworkTarget = "17ac1b39-d69f-623d-d1fe-cf554dc3b0e6";
			public const string Microsoft_SystemCenter_LinkingFramework_SyncStatus = "2d4afd51-d2ff-92c6-266f-2b6060000dae";
			public const string System_LinkingFramework_DataCollection = "0e7375bc-4c87-60de-bf64-70190d011a24";
			public const string System_LinkingFramework_DataConnector = "dac6acf7-5742-98b5-6f0a-f8306b276688";
			public const string System_LinkingFramework_DataSource = "71f6cfcd-99b3-3a07-471d-bb9c4bf5ba76";
			public const string System_LinkingFramework_DataTable = "841ffa7f-1265-ffb0-fd75-b9a9e8c398d5";
			public const string System_LinkingFramework_Field = "bebb28a4-135b-f041-d7f2-7c7bf62f5252";
			public const string System_LinkingFramework_GenericDataSource = "d29921e1-b2cb-5c27-d535-869bb8d3cbe8";
			public const string System_LinkingFramework_SqlSource = "6b9af830-5e03-108b-0263-26e5e020d7f8";
			public const string System_AdminItem = "e9510847-29f6-7d8b-3a10-b53423b58957";
			public const string System_Announcement_Config = "0f34b6f1-c047-acc5-aac0-3d5d68e51a19";
			public const string System_Announcement_Item = "ef8a786a-5d22-f035-32d7-d0b60d9284ad";
			public const string System_GlobalSetting = "f4ed5777-bf37-bf1f-e947-0470a69ffa39";
			public const string System_GroomingConfiguration = "03b9465f-17b5-936a-8f5d-5c50e1a75920";
			public const string System_SolutionSettings = "e2126fd7-ca26-851e-63ff-93711cc326c0";
			public const string System_Blade = "afcceb46-3c1a-2da6-44bf-264641c9d548";
			public const string System_Blade_ComputerBlade = "68e3f43e-71d1-99af-e976-eb1bb107bbc6";
			public const string System_Blade_NetworkBlade = "822ffacb-8d7b-35a0-62fd-d4decb166010";
			public const string System_Chassis = "1a520bdb-b69e-ec77-ff6a-f6244804f2e1";
			public const string System_Chassis_BladeEnclosure = "f1bc4692-55c4-80ff-86c2-be1731801ccc";
			public const string System_Chassis_NetworkBladeEnclosure = "67fed8bc-9736-3d5b-2454-cbd07f8ae358";
			public const string System_Chassis_Rackable = "834bad6c-b4a5-d5cc-5c1d-755596db03d6";
			public const string System_Chassis_ServerBladeEnclosure = "79d7bc1d-cbf2-959f-73dc-9f5c6bb4a9ba";
			public const string System_Chassis_Standalone = "135ab960-128a-36c1-9e0e-ac2ade3ea3ca";
			public const string System_Chassis_Storage = "4aaa389c-cbe2-e4f2-2063-a8b807331353";
			public const string System_ComputerHardware = "e31c3c41-4084-d37c-4833-194eea402354";
			public const string System_Fan = "117b4b97-fae6-eb7e-a471-8bdb8591ac2e";
			public const string System_HardwareComponent = "620cddb3-894a-4d17-b914-6a05637f78f3";
			public const string System_HardwareEnclosure = "66d71f99-9ab8-13a2-5854-66b9d54121ba";
			public const string System_Modem = "17fbb9da-d91f-2e0d-dd85-b62951adc5f4";
			public const string System_PhysicalDisk = "4c0143db-719c-6b2b-3037-179b5d1038dc";
			public const string System_PhysicalNetworkInterfaceCard = "a2ae9a9f-efa8-42a9-4426-3903412c915f";
			public const string System_Port = "34ae13e9-41c8-9b8a-be75-ae71f8c05a65";
			public const string System_PowerSupply = "cd99a60e-09e5-213a-fc85-2d9e268b4dc8";
			public const string System_Processor = "d4da0895-1051-d452-296e-3710a89069de";
			public const string System_Rack = "9d5e8ad8-0a5d-d3c7-5b01-4fdf34a993eb";
			public const string System_StorageArrayController = "784bf487-82a0-c86f-ad1c-0febc572fdc2";
			public const string System_VideoCard = "b3763037-4e31-7bc1-d938-2ae1bcc7d663";
			public const string System_Knowledge_Article = "ca1410d8-6182-1531-092b-d2232f396bb8";
			public const string System_StarRating = "d37f9d4f-d641-a28c-fbae-0afda6dc64f0";
			public const string System_ApplicationComponent = "15c8d578-72b5-756d-8e11-9a644a44ad67";
			public const string System_Collections = "6833e0ae-75b0-0e28-7466-98cefe548585";
			public const string System_Computer = "b4a14ffd-52c8-064f-c936-67616c245b35";
			public const string System_ComputerRole = "fb979319-fa0c-ea0e-3ac5-d514c7bdd043";
			public const string System_ConfigItem = "62f0be9f-ecea-e73c-f00d-3dd78a7422fc";
			public const string System_Database = "36866ed8-4de1-32b8-3f01-030fd6005839";
			public const string System_Device = "7ad221e0-e4bb-39a8-6514-33b60bba46f5";
			public const string System_Domain_User = "eca3c52a-f273-5cdc-f165-3eb95a2b26cf";
			public const string System_Entity = "55270a70-ac47-c853-c617-236b0cff9b4c";
			public const string System_FTPSite = "2b53defa-ad87-af47-80ef-b0990c36c0dd";
			public const string System_Group = "d0b32736-5344-2fcc-74b3-f72dc64ef572";
			public const string System_LocalApplication = "1f06bba9-58a9-fd0b-d980-08d5af2e67d3";
			public const string System_LogicalEntity = "885bc562-ed36-c548-b938-44ce5ba7ba2b";
			public const string System_LogicalHardware = "d7c78218-48b6-1ed9-c7d2-b6b832ef1652";
			public const string System_NetworkDevice = "4fbfee21-293b-d82f-8af1-da003bebabfc";
			public const string System_OperatingSystem = "a82191f5-fe0d-cf40-8464-39e75f95db57";
			public const string System_Perspective = "176ced55-7556-a619-717c-b59ae14e756f";
			public const string System_PhysicalEntity = "4f931f46-b47a-fd34-cdd6-8aa9dbd819b4";
			public const string System_Printer = "319e665c-8db5-c06b-fd4b-93991942e429";
			public const string System_Service = "1d870aa6-edb4-7d13-3950-d3c73755d6bf";
			public const string System_SoftwareInstallation = "70477f28-c34d-f36c-a630-ae1d33ab1274";
			public const string System_User = "943d298f-d79a-7a29-a335-8833e582d252";
			public const string System_WebSite = "da018581-a344-a926-c90d-0efb4809b91b";
			public const string System_Notification_Channel = "53c61843-a96b-063f-7ad1-43e04ccf84c6";
			public const string System_Notification_Channel_SIP = "24b10896-60bc-fb41-fb61-17afe010b1a0";
			public const string System_Notification_Channel_SMS = "eaa253d6-bdae-7762-0399-e066e2463d4e";
			public const string System_Notification_Channel_SMTP = "ab15d533-0d6f-190c-d682-6b16534164ab";
			public const string System_Notification_ConfigurationSource = "24ca5f0f-0193-5d67-ea57-b2510cb8a6c0";
			public const string System_Notification_Endpoint = "c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d";
			public const string System_Notification_SIPConfigurationSource = "c6d9a0e6-8997-9958-82ba-23d358dfd198";
			public const string System_Notification_SMTPConfigurationSource = "d928b34e-7b52-2a2a-d100-74cb58eb365a";
			public const string System_Notification_Template = "7fcb0993-2ec7-1912-da4a-a97f508c26e0";
			public const string System_Notification_Template_SIP = "a187e3fc-9cc9-e357-b749-a6d8f58860a2";
			public const string System_Notification_Template_SMS = "385113d5-dd89-046d-827f-40d3af7f255c";
			public const string System_Notification_Template_SMTP = "0814d9a7-8332-a5df-2ec8-34d07f3d40db";
			public const string System_PolicyItem = "fb737ebf-a6a7-bd22-9fce-2e3da8c72c5b";
			public const string System_SoftwareItem = "e88c746c-27ba-5b70-9f78-13e96ad9cffb";
			public const string System_SoftwareUpdate = "7ccd1178-66c1-8fed-c363-e8896651453f";
			public const string System_FileAttachment = "68a35b6d-ca3d-8d90-f93d-248ceff935c0";
			public const string System_Information = "33093c1d-d218-84bb-a948-1231041fddc2";
			public const string System_Search_ProviderConfig = "32b66b6f-1629-c411-394e-fea87a65143c";
			public const string System_SupportingItem = "4d68362d-b5d4-00ba-a0ee-b5cd8f9faa5e";
			public const string System_UserPreference = "8709b497-2951-d4e8-8b09-1998ea520229";
			public const string System_UserPreference_Localization = "efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8";
			public const string System_Reviewer = "2f28a9ae-0e94-c895-c087-b222b231dd46";
			public const string System_WorkItem_Activity = "42642d4f-d342-3f1b-965c-628a0f4119e2";
			public const string System_WorkItem_Activity_ManualActivity = "7ac62bd4-8fce-a150-3b40-16a39a61383d";
			public const string System_WorkItem_Activity_ReviewActivity = "bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36";
			public const string System_WorkItem_ChangeRequest = "e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c";
			public const string System_WorkItem_Incident = "a604b942-4c7b-2fb2-28dc-61dc6f465c68";
			public const string System_WorkItem = "f59821e2-0364-ed2c-19e3-752efbb1ece9";
			public const string System_WorkItem_ActionLog = "c17ed57f-cc9a-0c00-9a15-89c636407bf3";
			public const string System_WorkItem_BillableTime = "6645cdbe-78a3-ab81-7de9-638b733214fe";
			public const string System_WorkItem_CommentLog = "898d3903-c4f2-4c4b-3492-8c5af2bf7091";
			public const string System_WorkItem_Log = "263a89d8-74d4-e8d7-3f34-b4dc77c415cd";
			public const string System_WorkItem_NotificationLog = "e8a69d8b-514f-6c44-bddb-3a7fb88d8e3b";
			public const string System_WorkItem_TroubleTicket = "f20a2c01-a0fe-c48c-db71-aade427d19ec";
			public const string System_WorkItem_TroubleTicket_ActionLog = "dbb6a632-0a7e-cef8-1fc9-405d5cd4d911";
			public const string System_WorkItem_TroubleTicket_AnalystCommentLog = "f14b70f4-878c-c0e1-b5c1-06ca22d05d40";
			public const string System_WorkItem_TroubleTicket_AuditCommentLog = "c06a4eb0-d21e-1838-0995-ee817b3aac4a";
			public const string System_WorkItem_TroubleTicket_NotificationLog = "e278714c-b6bf-1c33-0c53-114979d4fc7e";
			public const string System_WorkItem_TroubleTicket_SipNotificationLog = "cb08816f-c354-348c-f6d4-74f9de9b5680";
			public const string System_WorkItem_TroubleTicket_SmtpNotificationLog = "b4e0d3c5-b138-5f1a-a5cd-2249c3829646";
			public const string System_WorkItem_TroubleTicket_UserCommentLog = "a3d4e16f-5e8a-18ba-9198-d9815194c986";
			public const string System_WorkItemGroup = "31d729d9-83c5-5b36-703b-c51d54395687";
			public const string System_GlobalSetting_ProblemSettings = "da0eeac9-9c85-e72b-f321-44a3fcec9c9a";
			public const string System_WorkItem_Problem = "422afc88-5eff-f4c5-f8f6-e01038cde67f";
			public const string System_WorkItem_Problem_WorkflowTarget = "1684a476-26b0-3576-9562-29d57a8d73c7";
	}

}
