﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.Facade;
using Savviety.ServiceManager.Facade.Criteria;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 namespace Savviety.ServiceManager.Facade.Relationships
{ 
		public static class Microsoft_EnterpriseManagement_ServiceManager_Connector_OpsMgr
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
		}
		
				
			// Id; 		416a2f63-5263-ebe6-9adf-02f2a69cfba0
			// Target: 	Config
			// Source: 	Connector
			public static ManagementPackRelationship Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnectorHostsConfig
			{
				get{return ManagementPack.GetRelationship("Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnectorHostsConfig");}
			}
				
		}		
		public static class Microsoft_SystemCenter_ConfigurationManager
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
		
				
			// Id; 		11b06f6d-eebd-906b-ebe9-5cf05f1545f1
			// Target: 	CategoryItem
			// Source: 	SoftwareItem
			public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_CategoryOfSoftwareItem
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.CategoryOfSoftwareItem");}
			}
				
				
			// Id; 		a90fef80-bfe5-faf0-c4e5-bdd07c3da25e
			// Target: 	ToCI
			// Source: 	FromCI
			public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_ConfigItemRefersConfigItem
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.ConfigItemRefersConfigItem");}
			}
				
				
			// Id; 		d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
			// Target: 	WindowsComputer
			// Source: 	DeployedComputer
			public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
			}
				
				
			// Id; 		e4964a53-385e-ef6d-649a-9a75ebd66a71
			// Target: 	Computer
			// Source: 	DCMCI
			public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
			}
				
				
			// Id; 		59f90ec6-51e1-0eb5-02b9-01e5acb10e3a
			// Target: 	Program
			// Source: 	Package
			public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_PackageHostsProgram
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.PackageHostsProgram");}
			}
				
		}		
		public static class Microsoft_SystemCenter_Datawarehouse_Base
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("5f131290-085f-8418-e07f-76fd0ecdab4f");}
		}
		
				
			// Id; 		50802f04-98cb-c0ff-6989-60e0590aebb7
			// Target: 	AssociatedManagementPack
			// Source: 	DataSource
			public static ManagementPackRelationship DataSourceAssociatesManagementPack
			{
				get{return ManagementPack.GetRelationship("DataSourceAssociatesManagementPack");}
			}
				
		}		
		public static class Microsoft_SystemCenter_Deployment_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
		
				
			// Id; 		1b45a8b2-9750-a50a-de4f-85ad9a50e942
			// Target: 	KindOfResourceStore
			// Source: 	RoleOfResourceStore
			public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
			}
				
		}		
		public static class Microsoft_SystemCenter_InstanceGroup_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1205738e-2354-4d9b-d6a2-a52bee1f0e33");}
		}
		
				
			// Id; 		fdd1eeb6-e022-761c-58f1-8afd88ffaa88
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
			}
				
		}		
		public static class Microsoft_SystemCenter_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
		
				
			// Id; 		147fd6a6-4425-e385-be72-18d9be55ce4f
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
			}
				
				
			// Id; 		746cfea1-fda4-3196-55b3-9fb0dade4a66
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
			}
				
				
			// Id; 		37848e16-37a2-b81b-daaf-60a5a626be93
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
			}
				
				
			// Id; 		a98c9038-6e2a-9394-3b07-9c8380a8956d
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
			}
				
				
			// Id; 		ca26f3f0-b8ce-c193-d6df-632d53dee714
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
			}
				
				
			// Id; 		2f71c644-e092-b80a-040b-5c81ba1ec353
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
			}
				
				
			// Id; 		a3e0bbc2-9690-555c-7300-036a618e6afe
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
			}
				
				
			// Id; 		d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
			}
				
				
			// Id; 		e4e44d2d-af3b-e5ee-c541-7338ade7cab2
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
			}
				
				
			// Id; 		2c1b76bb-9a22-6716-1bb4-c548469454b8
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgent
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgent");}
			}
				
				
			// Id; 		44b847eb-e790-26b7-c8d8-e026718bede8
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgentWatchersGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgentWatchersGroup");}
			}
				
				
			// Id; 		d39f1bff-89a9-6211-52f9-3d773a61ec1f
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsCollectionManagementServerWatchersGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsCollectionManagementServerWatchersGroup");}
			}
				
				
			// Id; 		aa87dc00-ffdc-09cd-fb79-21163de5d817
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsGatewayManagementServerWatchersGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsGatewayManagementServerWatchersGroup");}
			}
				
				
			// Id; 		039ea920-dc9d-9ebf-6900-ac2b11740d3d
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsHealthServiceWatchersGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsHealthServiceWatchersGroup");}
			}
				
				
			// Id; 		6188a142-7f6b-96bf-0384-0878915e4c4b
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
			}
				
				
			// Id; 		10cc89d9-f0a8-62bf-a271-3f11faa371db
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsOpsMgrDBWatchersGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsOpsMgrDBWatchersGroup");}
			}
				
				
			// Id; 		3c1de6c5-4b67-a69b-0aa6-b3984d6c123e
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsRootManagementServers
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsRootManagementServers");}
			}
				
				
			// Id; 		47aefb79-03c8-e48a-5608-e27a2e3e2ba0
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
			}
				
				
			// Id; 		24d89d5e-e01a-60fc-93e6-b667bd50a16e
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_OpsMgrDBWatchersGroupContainsOpsMgrDBWatcher
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.OpsMgrDBWatchersGroupContainsOpsMgrDBWatcher");}
			}
				
				
			// Id; 		8f9b9f66-9960-4ea5-e2a5-57ad9210a650
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
			}
				
				
			// Id; 		c182d562-f54c-eb24-9638-5ff5bec85aba
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
			}
				
		}		
		public static class Microsoft_SystemCenter_ServiceDesigner_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
		
				
			// Id; 		ee44e96a-3ba7-bc0b-f8fc-b9677f075c85
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsPhysicalHardware
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsPhysicalHardware");}
			}
				
				
			// Id; 		ae037a95-d464-c3f8-0d78-0ef0f69484d0
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageReferencesPhysicalNetwork
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageReferencesPhysicalNetwork");}
			}
				
				
			// Id; 		615cff5b-8472-2e4e-57d6-3e42fc78c3e7
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
			}
				
				
			// Id; 		94a58ace-be8c-5559-3887-b6beb5f5f499
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_WebApplicationContainsDatabaseGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.WebApplicationContainsDatabaseGroup");}
			}
				
				
			// Id; 		f152850e-64ec-b210-367c-bac4a45ace9a
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_WebApplicationContainsWebSiteGroup
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.WebApplicationContainsWebSiteGroup");}
			}
				
				
			// Id; 		750024a8-f7ed-4df6-303d-4c5f367cb314
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_WebSiteGroupContainsWebSite
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.WebSiteGroupContainsWebSite");}
			}
				
				
			// Id; 		993113fe-864e-9e71-d079-b6ad21ad8027
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_WebSiteReferencesDatabase
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.WebSiteReferencesDatabase");}
			}
				
				
			// Id; 		348379d4-f8dc-7eaf-1b29-b305ee4a2e6d
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_DatabaseGroupContainsDatabase
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.DatabaseGroupContainsDatabase");}
			}
				
				
			// Id; 		5cedb617-dc1d-6e14-0cb1-61fd08208abb
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_DirectoryServicesGroupContainsComputerRole
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.DirectoryServicesGroupContainsComputerRole");}
			}
				
				
			// Id; 		ba5f3f48-21ef-dad6-3bc9-de60e584aabc
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_DirectoryServicesReferencesNetworkServices
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.DirectoryServicesReferencesNetworkServices");}
			}
				
				
			// Id; 		72806b8c-4baa-a4de-b6d4-42a4ac50ee44
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_DirectoryServicesReferencesPhysicalNetwork
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.DirectoryServicesReferencesPhysicalNetwork");}
			}
				
				
			// Id; 		032d916c-9e77-df32-7c2c-7a278d1eb6d0
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientReferencesMessagingComponents
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientReferencesMessagingComponents");}
			}
				
				
			// Id; 		9e78447b-8b65-fe30-0c12-428fecdab64b
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
			}
				
				
			// Id; 		5cc7ec2a-56fc-fdbf-ceba-afd230103c96
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
			}
				
				
			// Id; 		6eb63bbd-e3cd-7372-4bb4-e1e510903a4e
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsReferencesDirectoryServices
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsReferencesDirectoryServices");}
			}
				
				
			// Id; 		806743aa-5175-ac55-cd5a-1804dd952748
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsReferencesNetworkServices
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsReferencesNetworkServices");}
			}
				
				
			// Id; 		5e49d3ac-d567-e9f2-899e-7df7f37af969
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsReferencesPhysicalNetwork
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsReferencesPhysicalNetwork");}
			}
				
				
			// Id; 		e50bc57c-2d96-d839-b903-893a16bbceae
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsReferencesStorage
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsReferencesStorage");}
			}
				
				
			// Id; 		682fdb3a-d8c3-fd81-0231-802fde476682
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingServiceContainsDirectoryServices
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingServiceContainsDirectoryServices");}
			}
				
				
			// Id; 		d1b08770-e69d-884a-b187-6f087b5e5421
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingServiceContainsMessagingClients
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingServiceContainsMessagingClients");}
			}
				
				
			// Id; 		346a9f2c-03bf-6e9c-ca3d-08b6739bc221
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingServiceContainsMessagingComponents
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingServiceContainsMessagingComponents");}
			}
				
				
			// Id; 		3d44922b-3d03-79ac-1828-bc6369351a28
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingServiceContainsNetworkServices
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingServiceContainsNetworkServices");}
			}
				
				
			// Id; 		5354ac11-6868-f2ad-ee91-0780ef2d80b0
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingServiceContainsPhysicalNetwork
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingServiceContainsPhysicalNetwork");}
			}
				
				
			// Id; 		9aaaf35b-e1d7-7ba5-f61a-61b3044c9c3d
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingServiceContainsStorage
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingServiceContainsStorage");}
			}
				
				
			// Id; 		a82737e9-781f-f0ba-9bc8-de14faa08863
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_NetworkServicesGroupContainsComputerRole
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.NetworkServicesGroupContainsComputerRole");}
			}
				
				
			// Id; 		fe6be0ce-499f-8f11-d69d-27b4d86565c7
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_NetworkServicesReferencesPhysicalNetwork
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.NetworkServicesReferencesPhysicalNetwork");}
			}
				
				
			// Id; 		ee734434-a405-eed6-09fa-97662dff9e86
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_PhysicalNetworkGroupContainsNetworkDevice
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.PhysicalNetworkGroupContainsNetworkDevice");}
			}
				
				
			// Id; 		4d63f0a1-889e-5463-11c9-537d541d79bb
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsLogicalHardware
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsLogicalHardware");}
			}
				
		}		
		public static class Microsoft_SystemCenter_ServiceManager_Portal
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
		
				
			// Id; 		63edcfae-a695-17e0-a213-6a152aadfd43
			// Target: 	AssignedProgram
			// Source: 	Package
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceManager_Package_AssignedProgram
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceManager.Package.AssignedProgram");}
			}
				
				
			// Id; 		3b530b52-e32e-d370-a991-3a525a42b6b0
			// Target: 	DeploymentProcess
			// Source: 	PackageInfo
			public static ManagementPackRelationship Microsoft_SystemCenter_ServiceManager_PackageDeployedByProcess
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceManager.PackageDeployedByProcess");}
			}
				
		}		
		public static class Microsoft_Windows_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
		
				
			// Id; 		6284518a-90cc-fadd-e56b-26669e2a0a8f
			// Target: 	ComputerRole
			// Source: 	SoftwareInstallation
			public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
			{
				get{return ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
			}
				
				
			// Id; 		b22d9165-494b-5fa8-57af-f2c608e103bc
			// Target: 	LocalApplication
			// Source: 	Computer
			public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
			{
				get{return ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
			}
				
				
			// Id; 		e4c6f8ce-0763-51c6-6421-c424a93a1eb6
			// Target: 	LogicalDevice
			// Source: 	Computer
			public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
			{
				get{return ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
			}
				
				
			// Id; 		139f9fa6-7825-fa42-9c16-e1e2ee98281b
			// Target: 	OperatingSystem
			// Source: 	Computer
			public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
			{
				get{return ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
			}
				
				
			// Id; 		27cb10e7-29d5-984c-ebf4-486b6b6e1b45
			// Target: 	SoftwareInstallation
			// Source: 	Computer
			public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
			{
				get{return ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
			}
				
		}		
		public static class ServiceManager_InboundEmail_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8fbab72b-9640-805e-e968-35303d308f0d");}
		}
		
				
			// Id; 		7371ce70-e6ad-7fb6-45b6-f647f4096329
			// Target: 	Rule
			// Source: 	Configuration
			public static ManagementPackRelationship System_InboundEmail_ConfigurationHasRule
			{
				get{return ManagementPack.GetRelationship("System.InboundEmail.ConfigurationHasRule");}
			}
				
		}		
		public static class ServiceManager_IncidentManagement_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
		
				
			// Id; 		7dca7a64-a5ee-65c6-4019-1ae0bad4363e
			// Target: 	Baseline
			// Source: 	Incident
			public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_Baseline_CI
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.Baseline_CI");}
			}
				
				
			// Id; 		3566b119-ae99-ea2f-b97f-4247b1ed3ec1
			// Target: 	ConfigurationCI
			// Source: 	Incident
			public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_Configuration_CI
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.Configuration_CI");}
			}
				
				
			// Id; 		41650345-efe2-a506-fc2d-e12df7ad10a5
			// Target: 	NonComplianceCI
			// Source: 	Incident
			public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
			}
				
		}		
		public static class ServiceManager_LinkingFramework_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
		
				
			// Id; 		1548950d-6cea-d9c1-11ec-53701fbcbbec
			// Target: 	SyncStatus
			// Source: 	DataSource
			public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
			{
				get{return ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
			}
				
				
			// Id; 		ce0422d0-e363-abb3-a58e-c291b23e2d46
			// Target: 	DataCollection
			// Source: 	Connector
			public static ManagementPackRelationship System_LinkingFramework_ConnectorEmbedsCollections
			{
				get{return ManagementPack.GetRelationship("System.LinkingFramework.ConnectorEmbedsCollections");}
			}
				
				
			// Id; 		62255ea1-077a-bca1-8827-de5cbd3854fa
			// Target: 	DataTable
			// Source: 	Connector
			public static ManagementPackRelationship System_LinkingFramework_ConnectorEmbedsTables
			{
				get{return ManagementPack.GetRelationship("System.LinkingFramework.ConnectorEmbedsTables");}
			}
				
				
			// Id; 		45eaff64-ca1d-8ee8-4c4c-6f2b8999d49f
			// Target: 	Field
			// Source: 	DataTable
			public static ManagementPackRelationship System_LinkingFramework_TableEmbedsFields
			{
				get{return ManagementPack.GetRelationship("System.LinkingFramework.TableEmbedsFields");}
			}
				
		}		
		public static class System_Hardware_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("e7e0c9be-0b6f-68bb-48ad-4dd5e3e7e22e");}
		}
		
				
			// Id; 		eceba167-cc49-25d8-dafa-ac32d7d21905
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship System_ComputerHardwareRunsComputer
			{
				get{return ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
			}
				
				
			// Id; 		efbdd89a-e0e5-8008-adee-fadc4432d88a
			// Target: 	Target
			// Source: 	Source
			public static ManagementPackRelationship System_Hardware_RackContainsRackableChassis
			{
				get{return ManagementPack.GetRelationship("System.Hardware.RackContainsRackableChassis");}
			}
				
		}		
		public static class System_Knowledge_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("0a8001ed-59dc-629c-201f-4643a6a48009");}
		}
		
				
			// Id; 		ec8a256b-cc89-6f18-af6a-e9cdc38cc573
			// Target: 	KnowledgeDocument
			// Source: 	Entity
			public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
			{
				get{return ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
			}
				
				
			// Id; 		7b2bf7bb-29f2-31e3-b205-66cea358b0a9
			// Target: 	Rating
			// Source: 	KnowledgeDocument
			public static ManagementPackRelationship System_Knowledge_DocumentHasAverageRating
			{
				get{return ManagementPack.GetRelationship("System.Knowledge.DocumentHasAverageRating");}
			}
				
		}		
		public static class System_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("01c8b236-3bce-9dba-6f1c-c119bcdc2972");}
		}
		
				
			// Id; 		aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
			// Target: 	UsedBy
			// Source: 	Uses
			public static ManagementPackRelationship System_ComputerPrimaryUser
			{
				get{return ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
			}
				
				
			// Id; 		91ff6f8e-226f-68b6-d132-d1d2df453693
			// Target: 	ContainedConfigItem
			// Source: 	ConfigItem
			public static ManagementPackRelationship System_ConfigItemContainsConfigItem
			{
				get{return ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
			}
				
				
			// Id; 		3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
			// Target: 	BusinessCustomers
			// Source: 	ConfigItem
			public static ManagementPackRelationship System_ConfigItemImpactsCustomers
			{
				get{return ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
			}
				
				
			// Id; 		cbb45424-b0a2-72f0-d535-541941cdf8e1
			// Target: 	OwnedBy
			// Source: 	ConfigItem
			public static ManagementPackRelationship System_ConfigItemOwnedByUser
			{
				get{return ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
			}
				
				
			// Id; 		4448664f-b657-407a-cdbe-b7433af0ccdb
			// Target: 	TargetConfigItem
			// Source: 	SourceConfigItem
			public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
			{
				get{return ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
			}
				
				
			// Id; 		dd01fc9b-20ce-ea03-3ec1-f52b3241b033
			// Target: 	ServicedBy
			// Source: 	ConfigItem
			public static ManagementPackRelationship System_ConfigItemServicedByUser
			{
				get{return ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
			}
				
				
			// Id; 		189f4500-7a70-db53-9566-feea4695da29
			// Target: 	IsContainedBy
			// Source: 	Contains
			public static ManagementPackRelationship System_Containment
			{
				get{return ManagementPack.GetRelationship("System.Containment");}
			}
				
				
			// Id; 		ae80f883-4409-9e35-03da-90ecc19a8b2c
			// Target: 	IsHostedBy
			// Source: 	Hosts
			public static ManagementPackRelationship System_Hosting
			{
				get{return ManagementPack.GetRelationship("System.Hosting");}
			}
				
				
			// Id; 		c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
			// Target: 	Member
			// Source: 	IsMemberOf
			public static ManagementPackRelationship System_Membership
			{
				get{return ManagementPack.GetRelationship("System.Membership");}
			}
				
				
			// Id; 		5996b276-2d7f-7ca5-68e7-09186d9462d5
			// Target: 	IsReferredBy
			// Source: 	RefersTo
			public static ManagementPackRelationship System_Reference
			{
				get{return ManagementPack.GetRelationship("System.Reference");}
			}
				
				
			// Id; 		fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
			// Target: 	ImpactedUser
			// Source: 	Service
			public static ManagementPackRelationship System_ServiceImpactsUser
			{
				get{return ManagementPack.GetRelationship("System.ServiceImpactsUser");}
			}
				
				
			// Id; 		4a807c65-6a1f-15b2-bdf3-e967e58c254a
			// Target: 	Manages
			// Source: 	Manager
			public static ManagementPackRelationship System_UserManagesUser
			{
				get{return ManagementPack.GetRelationship("System.UserManagesUser");}
			}
				
				
			// Id; 		26ae25af-4307-5414-b07f-eda2bf845f9b
			// Target: 	Watches
			// Source: 	IsWatchedBy
			public static ManagementPackRelationship System_WatchedBy
			{
				get{return ManagementPack.GetRelationship("System.WatchedBy");}
			}
				
		}		
		public static class System_Notifications_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
		
				
			// Id; 		f50cb57c-1ed2-ff21-7e1d-5833ede2fe60
			// Target: 	Configuration
			// Source: 	Channel
			public static ManagementPackRelationship System_Notification_ChannelHasConfigurationSource
			{
				get{return ManagementPack.GetRelationship("System.Notification.ChannelHasConfigurationSource");}
			}
				
		}		
		public static class System_PolicyItem_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("863b8cc2-2809-f6ec-b56f-55d2bdf5c60e");}
		}
		
				
			// Id; 		40927c76-8993-7427-dd76-6245e8482ae7
			// Target: 	IsCreatedByUser
			// Source: 	PolicyItem
			public static ManagementPackRelationship System_PolicyItemCreatedByUser
			{
				get{return ManagementPack.GetRelationship("System.PolicyItemCreatedByUser");}
			}
				
		}		
		public static class System_Software_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("09873caf-e2e2-20d0-c997-cd99c3a31ffd");}
		}
		
				
			// Id; 		224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
			// Target: 	SoftwareItem
			// Source: 	Device
			public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
			{
				get{return ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
			}
				
				
			// Id; 		37beea15-dd27-658f-a1c0-e6a5de2cc27a
			// Target: 	SoftwareUpdate
			// Source: 	Device
			public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
			{
				get{return ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
			}
				
		}		
		public static class System_SupportingItem_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("23e3ae8e-1981-8560-2e55-8730cbc04965");}
		}
		
				
			// Id; 		095ebf2a-ee83-b956-7176-ab09eded6784
			// Target: 	FileAttachment
			// Source: 	ConfigItem
			public static ManagementPackRelationship System_ConfigItemHasFileAttachment
			{
				get{return ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
			}
				
				
			// Id; 		ffd71f9e-7346-d12b-85d6-7c39f507b7bb
			// Target: 	AddedBy
			// Source: 	FileAttachment
			public static ManagementPackRelationship System_FileAttachmentAddedByUser
			{
				get{return ManagementPack.GetRelationship("System.FileAttachmentAddedByUser");}
			}
				
				
			// Id; 		649e37ab-bf89-8617-94f6-d4d041a05171
			// Target: 	Preference
			// Source: 	User
			public static ManagementPackRelationship System_UserHasPreference
			{
				get{return ManagementPack.GetRelationship("System.UserHasPreference");}
			}
				
		}		
		public static class System_WorkItem_Activity_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("aa265d90-3e2e-b9a2-d929-be0d36f1a53e");}
		}
		
				
			// Id; 		90da7d7c-948b-e16e-f39a-f6e3d1ffc921
			// Target: 	User
			// Source: 	Reviewer
			public static ManagementPackRelationship System_ReviewerIsUser
			{
				get{return ManagementPack.GetRelationship("System.ReviewerIsUser");}
			}
				
				
			// Id; 		9441a6d1-1317-9520-de37-6c54512feeba
			// Target: 	VotedBy
			// Source: 	VotedFor
			public static ManagementPackRelationship System_ReviewerVotedByUser
			{
				get{return ManagementPack.GetRelationship("System.ReviewerVotedByUser");}
			}
				
				
			// Id; 		2da498be-0485-b2b2-d520-6ebd1698e61b
			// Target: 	Activity
			// Source: 	WorkItem
			public static ManagementPackRelationship System_WorkItemContainsActivity
			{
				get{return ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
			}
				
				
			// Id; 		6e40b18b-0ec4-cd84-fd0c-31f67c9df6c9
			// Target: 	Previous
			// Source: 	Next
			public static ManagementPackRelationship System_ActivityFollowedByActivity
			{
				get{return ManagementPack.GetRelationship("System.ActivityFollowedByActivity");}
			}
				
				
			// Id; 		6e05d202-38a4-812e-34b8-b11642001a80
			// Target: 	Reviewer
			// Source: 	ParticipatesInReviewActivity
			public static ManagementPackRelationship System_ReviewActivityHasReviewer
			{
				get{return ManagementPack.GetRelationship("System.ReviewActivityHasReviewer");}
			}
				
		}		
		public static class System_WorkItem_Incident_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("dd26c521-7c2d-58c0-0980-dac2dacb0900");}
		}
		
				
			// Id; 		42179172-3d24-cfc8-3944-b0a18f550214
			// Target: 	RelatesToIncident
			// Source: 	PrimaryOwner
			public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
			}
				
		}		
		public static class System_WorkItem_Library
		{
	
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
		
				
			// Id; 		dec8d54a-6284-0f9d-cafb-8373f4dc865a
			// Target: 	BillableTime
			// Source: 	WorkingUser
			public static ManagementPackRelationship System_WorkItem_BillableTimeHasWorkingUser
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.BillableTimeHasWorkingUser");}
			}
				
				
			// Id; 		76bc6c3b-a77b-2468-0a63-169d23dfcdf0
			// Target: 	RelatesToTroubleTicket
			// Source: 	ClosedByUser
			public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
			}
				
				
			// Id; 		a860c62e-e675-b121-f614-e52fcbd9ef2c
			// Target: 	AppliesToTroubleTicket
			// Source: 	ActionLog
			public static ManagementPackRelationship System_WorkItem_TroubleTicketHasActionLog
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasActionLog");}
			}
				
				
			// Id; 		835a64cd-7d41-10eb-e5e4-365ea2efc2ea
			// Target: 	AppliesToTroubleTicket
			// Source: 	AnalystComment
			public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAnalystComment
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAnalystComment");}
			}
				
				
			// Id; 		5ad35f7b-8ef4-6c4f-ec6d-7a49b0d8f7d7
			// Target: 	AppliesToTroubleTicket
			// Source: 	AuditComment
			public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAuditComment
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAuditComment");}
			}
				
				
			// Id; 		106285b2-0200-8ecb-324e-342976b16151
			// Target: 	AppliesToTroubleTicket
			// Source: 	NotificationLog
			public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
			}
				
				
			// Id; 		ce423786-16dd-da9c-fb7b-21ab5189e12b
			// Target: 	AppliesToTroubleTicket
			// Source: 	UserComment
			public static ManagementPackRelationship System_WorkItem_TroubleTicketHasUserComment
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasUserComment");}
			}
				
				
			// Id; 		f7d9b385-a84d-3884-7cde-e2c926d931a5
			// Target: 	RelatesToTroubleTicket
			// Source: 	ResolvedByUser
			public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
			{
				get{return ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
			}
				
				
			// Id; 		b73a6094-c64c-b0ff-9706-1822df5c2e82
			// Target: 	HasRelatedWorkItems
			// Source: 	IsAboutConfigItems
			public static ManagementPackRelationship System_WorkItemAboutConfigItem
			{
				get{return ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
			}
				
				
			// Id; 		dff9be66-38b0-b6d6-6144-a412a3ebd4ce
			// Target: 	RequestedWorkItem
			// Source: 	IsCreatedForUser
			public static ManagementPackRelationship System_WorkItemAffectedUser
			{
				get{return ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
			}
				
				
			// Id; 		15e577a3-6bf9-6713-4eac-ba5a5b7c4722
			// Target: 	AssignedWorkItem
			// Source: 	IsAssignedToUser
			public static ManagementPackRelationship System_WorkItemAssignedToUser
			{
				get{return ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
			}
				
				
			// Id; 		df738111-c7a2-b450-5872-c5f3b927481a
			// Target: 	CreatedWorkItem
			// Source: 	IsCreatedByUser
			public static ManagementPackRelationship System_WorkItemCreatedByUser
			{
				get{return ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
			}
				
				
			// Id; 		8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
			// Target: 	DependedByWorkItem
			// Source: 	DependsOnWorkItem
			public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
			{
				get{return ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
			}
				
				
			// Id; 		159de6d2-4de8-f998-7765-52bc063f77e4
			// Target: 	WorkItem
			// Source: 	WorkItemGroup
			public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
			{
				get{return ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
			}
				
				
			// Id; 		33835caa-05f9-f881-7bbe-e407dfdb6c55
			// Target: 	AppliesToWorkItem
			// Source: 	BillableTime
			public static ManagementPackRelationship System_WorkItemHasBillableTime
			{
				get{return ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
			}
				
				
			// Id; 		b3747e50-2cfd-ad01-a547-77fc3b6a9597
			// Target: 	ParentWorkItem
			// Source: 	ChildWorkItem
			public static ManagementPackRelationship System_WorkItemHasChildWorkItem
			{
				get{return ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
			}
				
				
			// Id; 		aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
			// Target: 	FileAttachment
			// Source: 	WorkItem
			public static ManagementPackRelationship System_WorkItemHasFileAttachment
			{
				get{return ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
			}
				
				
			// Id; 		d421cda9-b728-9b41-c27c-7677b9a40d37
			// Target: 	ImpactedService
			// Source: 	ImpactingWorkItem
			public static ManagementPackRelationship System_WorkItemImpactsService
			{
				get{return ManagementPack.GetRelationship("System.WorkItemImpactsService");}
			}
				
				
			// Id; 		d96c8b59-8554-6e77-0aa7-f51448868b43
			// Target: 	RelatesToConfigItem
			// Source: 	RelatesToWorkItem
			public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
			{
				get{return ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
			}
				
				
			// Id; 		cb6ce813-ea8d-094d-ee5a-b755701f4547
			// Target: 	RelatesToWorkItem_
			// Source: 	RelatesToWorkItem
			public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
			{
				get{return ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
			}
				
				
			// Id; 		673535a4-6866-347a-53b7-0550d486ae85
			// Target: 	ResolvedByWorkItem
			// Source: 	ResolvesWorkItem
			public static ManagementPackRelationship System_WorkItemResolvesWorkItem
			{
				get{return ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
			}
				
		}		
}