﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.Facade;
using Savviety.ServiceManager.Facade.Criteria;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 namespace Savviety.ServiceManager.Facade.TypeProjections
{

	public static class TypeProjections
	{
		public static ManagementPackTypeProjection GetTypeProjection(string id)
		{
			return SCSMServer.GetTypeProjection(id);
		}
		public static ManagementPackTypeProjection GetTypeProjection(Guid guid)
        {
            return GetTypeProjection(guid.ToString());
        }
		public static ManagementPackTypeProjection GetTypeProjection(string className, ManagementPack managementPack)
        {

            return SCSMServer.GetTypeProjection(className, managementPack);

        }

        public static IList<ManagementPackTypeProjection> GetClasses(Guid[] guids)
        {

            return SCSMServer.GetTypeProjections(guids);

        }	
	
		public static ManagementPackTypeProjection OpsMgrConnector_Config_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("b5c4ea21-c827-ee85-9e89-62d508785b20");}
		}
		public static ManagementPackTypeProjection System_NotificationChannel_SMTP_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("6df29a42-b778-89b6-d4f2-d4ce3dbdb1ac");}
		}
		public static ManagementPackTypeProjection System_UserPreference_ViewPersonalization_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("95966ef3-81c1-70b1-705b-fdafd8ecad82");}
		}
		public static ManagementPackTypeProjection Microsoft_SystemCenter_ServiceManager_PackageInfoProjection
		{
			  get {	return SCSMServer.GetTypeProjection("777a367d-7752-338e-22c6-13ae4b9245f2");}
		}
		public static ManagementPackTypeProjection System_WorkItem_ChangeRequestAnalystPortalProjection
		{
			  get {	return SCSMServer.GetTypeProjection("06ce15e4-4c34-cd0f-29df-592a31152eee");}
		}
		public static ManagementPackTypeProjection Microsoft_SystemCenter_ServiceManager_DeploymentProcess_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("d3d8fae3-bd7a-4877-07c4-5d36f711a982");}
		}
		public static ManagementPackTypeProjection System_WorkItem_IncidentPortalProjection
		{
			  get {	return SCSMServer.GetTypeProjection("180f5706-3d05-4bbc-ca2d-c33624fdb3c8");}
		}
		public static ManagementPackTypeProjection System_WorkItem_ChangeRequestPortalProjection
		{
			  get {	return SCSMServer.GetTypeProjection("25faf8e8-88e7-8747-96e9-ce09735d21ba");}
		}
		public static ManagementPackTypeProjection System_Knowledge_Article_PortalProjection
		{
			  get {	return SCSMServer.GetTypeProjection("d46653da-2765-c941-9e06-e0a4a3fbc33d");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Activity_ManualActivityViewProjection
		{
			  get {	return SCSMServer.GetTypeProjection("953beaee-acf8-a195-363d-4782b2f919ac");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Activity_ReviewActivityViewProjection
		{
			  get {	return SCSMServer.GetTypeProjection("3043253c-959e-25bd-32b4-c5eb1a7e71dc");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Activity_ReviewActivityProjection
		{
			  get {	return SCSMServer.GetTypeProjection("125d26e0-03c7-adb5-7e4b-77f75adc9270");}
		}
		public static ManagementPackTypeProjection System_ReviewerProjection
		{
			  get {	return SCSMServer.GetTypeProjection("18476888-f6a2-e50a-2a73-d5f5cbc4c192");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Activity_ManualActivityProjection
		{
			  get {	return SCSMServer.GetTypeProjection("d651bf4a-9f5d-0374-3e91-eb91111865c3");}
		}
		public static ManagementPackTypeProjection System_WorkItem_ChangeRequestViewProjection
		{
			  get {	return SCSMServer.GetTypeProjection("cdd001ba-837b-4ec6-9839-7f4c4d6dfde7");}
		}
		public static ManagementPackTypeProjection System_WorkItem_ChangeRequestAndActivityViewProjection
		{
			  get {	return SCSMServer.GetTypeProjection("75e107f7-a19c-5902-e734-f74baaf61bea");}
		}
		public static ManagementPackTypeProjection System_FileAttachmentProjection
		{
			  get {	return SCSMServer.GetTypeProjection("1799f9e5-aef5-901b-379d-116ccc8c27e4");}
		}
		public static ManagementPackTypeProjection System_WorkItem_ChangeRequestProjection
		{
			  get {	return SCSMServer.GetTypeProjection("674194d8-0246-7b90-d871-e1ea015b2ea7");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AffectedByIncidentComputerView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("933d4197-341d-cad8-67ab-0db9c74bbbd4");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_PrinterView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("4de37835-cd92-d23f-0ecf-1f8bc2eedaa7");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_SoftwareUpdateView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("5405cfe1-6fd5-90d3-879b-25729c6d4af2");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AffectedByChangeSoftwareUpdateView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("28ffa68d-ce3c-7166-d091-602f224f3726");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AffectedByChangeComputerView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("4e5070ae-7818-b8c7-7644-71e86f5276be");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_SoftwareView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("5601a4ea-1062-b00d-956b-898db46fcd1c");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AllComputerView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("61bf8124-0a73-6398-b11b-c5864e1ef712");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AffectedByIncidentSoftwareUpdateView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("1bf39115-cf3a-e11f-bbaa-e7e5685f4c50");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AffectedByIncidentSoftwareView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("1e0b8740-a122-9f88-206f-ed644d86a9aa");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_AffectedByChangeSoftwareView_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("73064b47-371d-7fa4-d1f2-ef9fdf84593d");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_Software_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("22cc3106-ce67-9e76-2e98-26309e12c153");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_SoftwareUpdate_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("4897f606-6105-ca7a-e294-7ac2b68d59fb");}
		}
		public static ManagementPackTypeProjection System_ConfigItem_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("8ab27adb-13b1-2b7b-56e6-91598417cbee");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_Computer_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("c95d4106-3f24-d3cc-232e-9f51198b295c");}
		}
		public static ManagementPackTypeProjection System_User_Preferences_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("490ab845-b14c-1d91-c39f-bb9e8a350933");}
		}
		public static ManagementPackTypeProjection Microsoft_Windows_Printer_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("65e9c5e0-83a2-ed58-f57d-d912bf006ed4");}
		}
		public static ManagementPackTypeProjection System_User_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("0e1313ab-dc5c-cf9d-d6b0-e2e9835a132a");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_View_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("1862825e-21bc-3ab2-223e-2a7f2439ba75");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_View_DCMProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("137b63d6-00ea-982f-a5e6-6caedf09bb76");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_View_SCOMProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("ea8ec5b5-6a05-fde2-c884-d505a65df31c");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_DCMProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("c3eec496-48d1-39c2-a82a-1131d3a31c84");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_Activities_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("e3003765-95da-3c80-2716-530515a10732");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_ResolutionAndBillableLog_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("86b0f440-677f-ae8d-b5dc-9fa60edb04e5");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Incident_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("285cb0a2-f276-bccb-563e-bb721df7cdec");}
		}
		public static ManagementPackTypeProjection System_UserOwnedConfigItems_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("4dbeac10-7412-5d44-7ea9-e68231c49f8f");}
		}
		public static ManagementPackTypeProjection Microsoft_Knowledge_MySearchProviders
		{
			  get {	return SCSMServer.GetTypeProjection("2d454278-dbec-aff9-e98e-21818174808c");}
		}
		public static ManagementPackTypeProjection Microsoft_Knowledge_EntityLinksToKnowledgeArticleProjection
		{
			  get {	return SCSMServer.GetTypeProjection("06ae10dc-0312-6525-7dd8-e0987ae9c1c1");}
		}
		public static ManagementPackTypeProjection System_Knowledge_ArticleProjection
		{
			  get {	return SCSMServer.GetTypeProjection("c421d300-5c3e-621b-73e8-e85e37aae4b7");}
		}
		public static ManagementPackTypeProjection System_LinkingFramework_DataConnector_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("4b1e00f8-1f3d-ad95-acdb-5587b3cf7147");}
		}
		public static ManagementPackTypeProjection Microsoft_SystemCenter_LinkingFramework_SyncStatus_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("7b2359a4-5ff2-ef18-6c33-ede4987fba1f");}
		}
		public static ManagementPackTypeProjection System_WorkItem_ProblemViewProjection
		{
			  get {	return SCSMServer.GetTypeProjection("f1aa331a-fa46-59ad-e3aa-6f03050ec463");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Problem_ProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("45c1c404-f3fe-1050-dcef-530e1c2533e1");}
		}
		public static ManagementPackTypeProjection Microsoft_System_Service_UsedByNodeProjection
		{
			  get {	return SCSMServer.GetTypeProjection("aa3fb78b-3ba0-cd0b-d99c-06112bc77eef");}
		}
		public static ManagementPackTypeProjection Microsoft_System_Service_DependsOnNodeProjection
		{
			  get {	return SCSMServer.GetTypeProjection("bb0fa1b0-8725-1d2a-bb24-82da2cf4485b");}
		}
		public static ManagementPackTypeProjection Microsoft_System_Service_ChangeAndIncidents
		{
			  get {	return SCSMServer.GetTypeProjection("5f5a6297-1943-8582-959b-aa77bfdc12b2");}
		}
		public static ManagementPackTypeProjection Microsoft_System_Service_ServiceContainsGroupsProjection
		{
			  get {	return SCSMServer.GetTypeProjection("1275f12b-2975-2468-e2af-b5d7a66ba02b");}
		}
		public static ManagementPackTypeProjection Microsoft_System_Service_FormProjectionType
		{
			  get {	return SCSMServer.GetTypeProjection("8c62f1d6-1bd6-3750-dbf3-cbd5eeb3a9dc");}
		}
		public static ManagementPackTypeProjection Microsoft_System_Service_WorkItemsAboutConfigItem
		{
			  get {	return SCSMServer.GetTypeProjection("e1f0af0c-5fb4-645d-d661-e60221635f9f");}
		}
		public static ManagementPackTypeProjection System_WorkItem_Projection
		{
			  get {	return SCSMServer.GetTypeProjection("bfe4cd41-b43b-93fc-b9bf-109ffd8b8627");}
		}
	} 
}