﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.Facade;
using Savviety.ServiceManager.Facade.Criteria;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 namespace Savviety.ServiceManager.Facade.CreatableEnterpriseManagementObjects
{
/*
			Name	 		: System.LinkingFramework.ActiveDirectorySource	
			Id 				: 26db232b-8fa9-4f0a-f64d-da9e01d53693
			Description 	: Linking Framework AD Source class
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.AD
			Response class inherits from:
				                        System.LinkingFramework.DataSource
				                        Microsoft.SystemCenter.Connector
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_ActiveDirectorySource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_ActiveDirectorySource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_ActiveDirectorySource Create() 
        {
            return new CreatableSystem_LinkingFramework_ActiveDirectorySource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_ActiveDirectorySourceClass.GetManagementPackClass();
		

		public string ComputerList
		{	
			set {this[new Guid("02c67d7a-54f0-84be-54f0-6f6c167fb57c")].Value = value;}	
			get {return (string) this[new Guid("02c67d7a-54f0-84be-54f0-6f6c167fb57c")].Value; }		
		}			

		public string DataProviderDisplayName
		{	
			set {this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value = value;}	
			get {return (string) this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value; }		
		}			

		public string DataProviderName
		{	
			set {this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value = value;}	
			get {return (string) this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value; }		
		}			

		public string DatawarehouseProfileName
		{	
			set {this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value = value;}	
			get {return (string) this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

		public bool? Enabled
		{	
			set {this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value = value;}	
			get {return (bool?) this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value; }		
		}			

		public string FQDN
		{	
			set {this[new Guid("2a6e596a-9adf-b304-24c6-b9ebe09c8ad8")].Value = value;}	
			get {return (string) this[new Guid("2a6e596a-9adf-b304-24c6-b9ebe09c8ad8")].Value; }		
		}			

		public string GroupList
		{	
			set {this[new Guid("8056f71f-b28d-6151-6ca2-7a750e9dc192")].Value = value;}	
			get {return (string) this[new Guid("8056f71f-b28d-6151-6ca2-7a750e9dc192")].Value; }		
		}			

		public bool? ImpersonationEnabled
		{	
			set {this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value = value;}	
			get {return (bool?) this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value; }		
		}			

		public string PrinterList
		{	
			set {this[new Guid("97f597c3-4591-f824-1304-696a4b01df1b")].Value = value;}	
			get {return (string) this[new Guid("97f597c3-4591-f824-1304-696a4b01df1b")].Value; }		
		}			

		public string ReaderProfileName
		{	
			set {this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value = value;}	
			get {return (string) this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value; }		
		}			

		public string Reserved
		{	
			set {this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value = value;}	
			get {return (string) this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value = value;}	
			get {return (string) this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value; }		
		}			

		public int SyncInterval
		{	
			set {this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value = value;}	
			get {return (int) this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value; }		
		}			

		public bool? SyncNow
		{	
			set {this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value = value;}	
			get {return (bool?) this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value; }		
		}			

		public DateTime? SyncTime
		{	
			set {this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value = value;}	
			get {return (DateTime?) this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value; }		
		}			

		public ManagementPackEnumeration SyncType
		{	
			set {this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value; }		
		}			

		public string UserList
		{	
			set {this[new Guid("f6db082b-8242-2579-c6bf-3260a3332932")].Value = value;}	
			get {return (string) this[new Guid("f6db082b-8242-2579-c6bf-3260a3332932")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector	
			Id 				: 2f3681d9-153b-36ae-68ce-9197244a3bf5
			Description 	: Defines the properties of the Operations Manager connector
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			Response class inherits from:
				                        System.LinkingFramework.DataSource
				                        Microsoft.SystemCenter.Connector
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector Create() 
        {
            return new CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnectorClass.GetManagementPackClass();
		

		public string DataProviderDisplayName
		{	
			set {this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value = value;}	
			get {return (string) this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value; }		
		}			

		public string DataProviderName
		{	
			set {this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value = value;}	
			get {return (string) this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value; }		
		}			

		public string DatawarehouseProfileName
		{	
			set {this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value = value;}	
			get {return (string) this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

		public bool? Enabled
		{	
			set {this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value = value;}	
			get {return (bool?) this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value; }		
		}			

		public bool? ImpersonationEnabled
		{	
			set {this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value = value;}	
			get {return (bool?) this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value; }		
		}			

		public string ReaderProfileName
		{	
			set {this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value = value;}	
			get {return (string) this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value; }		
		}			

		public string Reserved
		{	
			set {this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value = value;}	
			get {return (string) this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value = value;}	
			get {return (string) this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value; }		
		}			

		public int SyncInterval
		{	
			set {this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value = value;}	
			get {return (int) this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value; }		
		}			

		public bool? SyncNow
		{	
			set {this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value = value;}	
			get {return (bool?) this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value; }		
		}			

		public DateTime? SyncTime
		{	
			set {this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value = value;}	
			get {return (DateTime?) this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value; }		
		}			

		public ManagementPackEnumeration SyncType
		{	
			set {this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.Config	
			Id 				: 424ca957-bf8d-5080-625b-87394cb5bab9
			Description 	: Defines the properties used as synchronization metadata for the Operations Manager connector
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_Config : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_Config(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_Config Create() 
        {
            return new CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_Config(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_ConfigClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Data
		{	
			set {this[new Guid("7d970a8f-88d3-6b7d-8136-5b1524eb5a1b")].Value = value;}	
			get {return (string) this[new Guid("7d970a8f-88d3-6b7d-8136-5b1524eb5a1b")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public Stream SyncMetadata
		{	
			set {this[new Guid("ac248344-9690-0528-53a6-37f90c859c18")].Value = value;}	
			get {return (Stream) this[new Guid("ac248344-9690-0528-53a6-37f90c859c18")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.OpsMgrCIs	
			Id 				: 325f752f-77d1-daf9-79c1-d2471d893937
			Description 	: Defines the properties of the configuration items that are imported from Operations Manager
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIs : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIs(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIs Create() 
        {
            return new CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIs(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIsClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string CIList
		{	
			set {this[new Guid("8410128a-1991-4bc5-36ad-249a5a3fefb7")].Value = value;}	
			get {return (string) this[new Guid("8410128a-1991-4bc5-36ad-249a5a3fefb7")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.SyncTaskWorkflowTarget	
			Id 				: 8381754a-6ee7-e1b6-0acd-ba2026bd6c62
			Description 	: 
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.SyncWorkflowTarget	
			Id 				: 7309a2be-d5ac-6ce8-0405-590ea70408ff
			Description 	: An internal class used in scheduled workflows that synchronize Operations Manager data
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.LinkingFramework.SccmSource	
			Id 				: 55fac7fd-8e3a-b104-1802-c898d5c3bf4d
			Description 	: Linking Framework Configuration Manager Source class
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.Sms
			Response class inherits from:
				                        System.LinkingFramework.SqlSource
				                        System.LinkingFramework.DataSource
				                        Microsoft.SystemCenter.Connector
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_SccmSource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_SccmSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_SccmSource Create() 
        {
            return new CreatableSystem_LinkingFramework_SccmSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_SccmSourceClass.GetManagementPackClass();
		

		public string DatabaseName
		{	
			set {this[new Guid("0b3374c0-596a-9919-1a1e-c2fa177d7262")].Value = value;}	
			get {return (string) this[new Guid("0b3374c0-596a-9919-1a1e-c2fa177d7262")].Value; }		
		}			

		public string DataProviderDisplayName
		{	
			set {this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value = value;}	
			get {return (string) this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value; }		
		}			

		public string DataProviderName
		{	
			set {this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value = value;}	
			get {return (string) this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value; }		
		}			

		public string DatawarehouseProfileName
		{	
			set {this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value = value;}	
			get {return (string) this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

		public bool? Enabled
		{	
			set {this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value = value;}	
			get {return (bool?) this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value; }		
		}			

		public bool? ImpersonationEnabled
		{	
			set {this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value = value;}	
			get {return (bool?) this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value; }		
		}			

		public string ReaderProfileName
		{	
			set {this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value = value;}	
			get {return (string) this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value; }		
		}			

		public string Reserved
		{	
			set {this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value = value;}	
			get {return (string) this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value; }		
		}			

		public string ServerName
		{	
			set {this[new Guid("d390df24-a189-1f8d-2e33-369ab3373310")].Value = value;}	
			get {return (string) this[new Guid("d390df24-a189-1f8d-2e33-369ab3373310")].Value; }		
		}			

		public string SmsCollectionList
		{	
			set {this[new Guid("d5383dac-2a75-88cc-90a5-8d1a3e66efc3")].Value = value;}	
			get {return (string) this[new Guid("d5383dac-2a75-88cc-90a5-8d1a3e66efc3")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value = value;}	
			get {return (string) this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value; }		
		}			

		public string SqlPassword
		{	
			set {this[new Guid("bff68755-d442-c6a9-e1af-8131a52488df")].Value = value;}	
			get {return (string) this[new Guid("bff68755-d442-c6a9-e1af-8131a52488df")].Value; }		
		}			

		public string SqlUserName
		{	
			set {this[new Guid("1ebd7da5-b2d6-a477-c25d-6b80907adb30")].Value = value;}	
			get {return (string) this[new Guid("1ebd7da5-b2d6-a477-c25d-6b80907adb30")].Value; }		
		}			

		public int SyncInterval
		{	
			set {this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value = value;}	
			get {return (int) this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value; }		
		}			

		public bool? SyncNow
		{	
			set {this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value = value;}	
			get {return (bool?) this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value; }		
		}			

		public DateTime? SyncTime
		{	
			set {this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value = value;}	
			get {return (DateTime?) this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value; }		
		}			

		public ManagementPackEnumeration SyncType
		{	
			set {this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value; }		
		}			

		public bool? TrustedConnection
		{	
			set {this[new Guid("abce43f8-a23c-5413-b0cb-25bf5a1ec7e3")].Value = value;}	
			get {return (bool?) this[new Guid("abce43f8-a23c-5413-b0cb-25bf5a1ec7e3")].Value; }		
		}			

	}//
/*
			Name	 		: System.UserPreference.ViewPersonalization	
			Id 				: 239f6e77-ab25-9fc2-e16e-1768f2a65069
			Description 	: Defines the properties used in the user personalization of views
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.UI.Administration
			Response class inherits from:
				                        System.UserPreference
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_UserPreference_ViewPersonalization : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_UserPreference_ViewPersonalization(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_UserPreference_ViewPersonalization Create() 
        {
            return new CreatableSystem_UserPreference_ViewPersonalization(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_UserPreference_ViewPersonalizationClass.GetManagementPackClass();
		

		public string PersonalizationXml
		{	
			set {this[new Guid("d749bb76-4b74-1d28-46e0-a611d3f147f0")].Value = value;}	
			get {return (string) this[new Guid("d749bb76-4b74-1d28-46e0-a611d3f147f0")].Value; }		
		}			

		public Guid UserID
		{	
			set {this[new Guid("a918feb0-8ad0-1e9d-2b45-f34e717ea965")].Value = value;}	
			get {return (Guid) this[new Guid("a918feb0-8ad0-1e9d-2b45-f34e717ea965")].Value; }		
		}			

		public Guid ViewID
		{	
			set {this[new Guid("e76344b4-f631-faf9-7b61-b181474509bd")].Value = value;}	
			get {return (Guid) this[new Guid("e76344b4-f631-faf9-7b61-b181474509bd")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Authoring.WorkflowTarget	
			Id 				: 4ebbd0bf-f816-7277-b932-77c667948752
			Description 	: System Center Authoring Workflow Target
			ManagementPack	: Microsoft.SystemCenter.Authoring.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Authoring_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Authoring_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Authoring_WorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Authoring_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_Authoring_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.AICatalog	
			Id 				: c2d9a42e-a869-c8bd-b2d2-2a32be308538
			Description 	: Represents the System Center Configuration Manager Asset Intelligence catalog
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_AICatalog : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_AICatalog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_AICatalog Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_AICatalog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_AICatalogClass.GetManagementPackClass();
		

		public ManagementPackEnumeration CategoryType
		{	
			set {this[new Guid("625234f2-53d9-dd11-3eee-1f4d471c073a")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("625234f2-53d9-dd11-3eee-1f4d471c073a")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.CollectionInfo	
			Id 				: fefeb4c7-7168-6718-d77c-50b0b3af3ec5
			Description 	: Collection Info
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_CollectionInfo : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_CollectionInfo(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_CollectionInfo Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_CollectionInfo(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_CollectionInfoClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string CollectionID
		{	
			set {this[new Guid("d17f6dca-980b-95d5-0ded-a068f6e1b872")].Value = value;}	
			get {return (string) this[new Guid("d17f6dca-980b-95d5-0ded-a068f6e1b872")].Value; }		
		}			

		public int CollID
		{	
			set {this[new Guid("7ce33b88-2c22-cb3f-6390-30d02c8e8098")].Value = value;}	
			get {return (int) this[new Guid("7ce33b88-2c22-cb3f-6390-30d02c8e8098")].Value; }		
		}			

		public int MemberCount
		{	
			set {this[new Guid("a1c7f1ef-5b19-df72-fdd6-92af3ebf8615")].Value = value;}	
			get {return (int) this[new Guid("a1c7f1ef-5b19-df72-fdd6-92af3ebf8615")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.DCM_CI	
			Id 				: 47de8238-f634-1ab2-ef8f-39d013c54dff
			Description 	: All compliant System Center Configuration Manager DCM configuration items
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_CI : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_CI(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_CI Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_CI(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_DCM_CIClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e79f2c65-4c71-7f9e-a66e-b1946de4edab")].Value = value;}	
			get {return (string) this[new Guid("e79f2c65-4c71-7f9e-a66e-b1946de4edab")].Value; }		
		}			

		public bool? IsBaseline
		{	
			set {this[new Guid("e8195b93-7ffd-8a76-9dfd-8a9bdb5f51a5")].Value = value;}	
			get {return (bool?) this[new Guid("e8195b93-7ffd-8a76-9dfd-8a9bdb5f51a5")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public Stream SDMPackageDigest
		{	
			set {this[new Guid("4fcdfa2f-6902-62c8-ac9e-f4cd3a72d96a")].Value = value;}	
			get {return (Stream) this[new Guid("4fcdfa2f-6902-62c8-ac9e-f4cd3a72d96a")].Value; }		
		}			

		public string UniqueID
		{	
			set {this[new Guid("7c3449c2-cbc1-5315-7959-ae8f512a814b")].Value = value;}	
			get {return (string) this[new Guid("7c3449c2-cbc1-5315-7959-ae8f512a814b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.DCM_NonCompliance_CI	
			Id 				: 84ee0c77-79b9-2984-902c-f0bac0ddd9f5
			Description 	: All System Center Configuration Manager DCM configuration items that are noncompliant
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CI : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CI(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CI Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CI(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CIClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Baseline_UniqueID
		{	
			set {this[new Guid("d65d0fc2-16fd-d8c8-4520-220e4edcf65d")].Value = value;}	
			get {return (string) this[new Guid("d65d0fc2-16fd-d8c8-4520-220e4edcf65d")].Value; }		
		}			

		public string CI_UniqueID
		{	
			set {this[new Guid("6dccce04-ad67-606a-b675-6ea134d2ff64")].Value = value;}	
			get {return (string) this[new Guid("6dccce04-ad67-606a-b675-6ea134d2ff64")].Value; }		
		}			

		public Stream ComplianceStatusDetails
		{	
			set {this[new Guid("298fec0d-65dd-2a70-8377-e6f766d5a362")].Value = value;}	
			get {return (Stream) this[new Guid("298fec0d-65dd-2a70-8377-e6f766d5a362")].Value; }		
		}			

		public string ComputerName
		{	
			set {this[new Guid("01105257-a644-6039-0d6f-e908daf76dff")].Value = value;}	
			get {return (string) this[new Guid("01105257-a644-6039-0d6f-e908daf76dff")].Value; }		
		}			

		public DateTime? LastComplianceScanTime
		{	
			set {this[new Guid("4143fe58-1398-daf8-2b94-f4f615437fa7")].Value = value;}	
			get {return (DateTime?) this[new Guid("4143fe58-1398-daf8-2b94-f4f615437fa7")].Value; }		
		}			

		public int MaxNonComplianceCriticality
		{	
			set {this[new Guid("01c7f670-1fbd-fdcf-3649-05985c5c8aa2")].Value = value;}	
			get {return (int) this[new Guid("01c7f670-1fbd-fdcf-3649-05985c5c8aa2")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.DeployedComputer	
			Id 				: f3102c61-d3c3-262e-634b-6cf6fc5d576b
			Description 	: All deployed computers
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.ComputerHardware
				                        System.HardwareEnclosure
				                        System.PhysicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_DeployedComputer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_DeployedComputer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_DeployedComputer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_DeployedComputer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_DeployedComputerClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string ChassisType
		{	
			set {this[new Guid("2bec83af-f7f5-c345-ffeb-c40697efced1")].Value = value;}	
			get {return (string) this[new Guid("2bec83af-f7f5-c345-ffeb-c40697efced1")].Value; }		
		}			

		public string HardwareId
		{	
			set {this[new Guid("0adc0f2e-eac7-cf60-b2b2-1ed46f1b6136")].Value = value;}	
			get {return (string) this[new Guid("0adc0f2e-eac7-cf60-b2b2-1ed46f1b6136")].Value; }		
		}			

		public string ISA
		{	
			set {this[new Guid("8177fd1e-e2e2-925c-1e45-237d171a7e4e")].Value = value;}	
			get {return (string) this[new Guid("8177fd1e-e2e2-925c-1e45-237d171a7e4e")].Value; }		
		}			

		public string MACAddresses
		{	
			set {this[new Guid("c33c651e-14a2-8ca7-8a73-5008d5bdf82f")].Value = value;}	
			get {return (string) this[new Guid("c33c651e-14a2-8ca7-8a73-5008d5bdf82f")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("3b55ab82-4b09-c09f-e77f-3de4a048646c")].Value = value;}	
			get {return (string) this[new Guid("3b55ab82-4b09-c09f-e77f-3de4a048646c")].Value; }		
		}			

		public string Model
		{	
			set {this[new Guid("4546d3be-6bf5-2bb9-a0f5-874958900cbe")].Value = value;}	
			get {return (string) this[new Guid("4546d3be-6bf5-2bb9-a0f5-874958900cbe")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public int NumberOfProcessors
		{	
			set {this[new Guid("f0a2fb80-6fd6-8dcc-7b3b-c510075205e5")].Value = value;}	
			get {return (int) this[new Guid("f0a2fb80-6fd6-8dcc-7b3b-c510075205e5")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PlatformType
		{	
			set {this[new Guid("06d7d33c-49dd-a531-ec8a-0f540dbecbb6")].Value = value;}	
			get {return (string) this[new Guid("06d7d33c-49dd-a531-ec8a-0f540dbecbb6")].Value; }		
		}			

		public string SerialNumber
		{	
			set {this[new Guid("aee013d1-eb4a-25d1-a38d-d250c52f271d")].Value = value;}	
			get {return (string) this[new Guid("aee013d1-eb4a-25d1-a38d-d250c52f271d")].Value; }		
		}			

		public string SMBIOS_UUID
		{	
			set {this[new Guid("d66e51cd-38af-79a6-acfc-5931a7140176")].Value = value;}	
			get {return (string) this[new Guid("d66e51cd-38af-79a6-acfc-5931a7140176")].Value; }		
		}			

		public string SMBIOSAssetTag
		{	
			set {this[new Guid("33efe879-6854-bcaa-4d9d-4b30d873ae50")].Value = value;}	
			get {return (string) this[new Guid("33efe879-6854-bcaa-4d9d-4b30d873ae50")].Value; }		
		}			

		public string SystemType
		{	
			set {this[new Guid("d7753751-982a-ae44-710a-9c99c09cb30f")].Value = value;}	
			get {return (string) this[new Guid("d7753751-982a-ae44-710a-9c99c09cb30f")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.Package	
			Id 				: e3f0d894-8ad1-0ed6-0b87-a46b0c95b2be
			Description 	: Package
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_Package : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_Package(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_Package Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_Package(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_PackageClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("2a196e08-aa5b-6005-5234-01c79db36311")].Value = value;}	
			get {return (string) this[new Guid("2a196e08-aa5b-6005-5234-01c79db36311")].Value; }		
		}			

		public string Language
		{	
			set {this[new Guid("aaf45a9b-e1e9-02c8-a6fa-e2138f8364e6")].Value = value;}	
			get {return (string) this[new Guid("aaf45a9b-e1e9-02c8-a6fa-e2138f8364e6")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("f6310527-cea4-5636-f2e4-44657fdadacd")].Value = value;}	
			get {return (string) this[new Guid("f6310527-cea4-5636-f2e4-44657fdadacd")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PackageID
		{	
			set {this[new Guid("852c290d-2773-903f-95d7-74fda9897d44")].Value = value;}	
			get {return (string) this[new Guid("852c290d-2773-903f-95d7-74fda9897d44")].Value; }		
		}			

		public bool? Publish
		{	
			set {this[new Guid("9e72c2ee-4f3f-2e10-73f0-a450511f4edc")].Value = value;}	
			get {return (bool?) this[new Guid("9e72c2ee-4f3f-2e10-73f0-a450511f4edc")].Value; }		
		}			

		public string SourceSite
		{	
			set {this[new Guid("b06b2fef-6d18-36c5-3fe3-a434e0c8d5d8")].Value = value;}	
			get {return (string) this[new Guid("b06b2fef-6d18-36c5-3fe3-a434e0c8d5d8")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("100f2574-0865-c797-c86c-97e4879491a8")].Value = value;}	
			get {return (string) this[new Guid("100f2574-0865-c797-c86c-97e4879491a8")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.Program	
			Id 				: f2a4d7ab-7e76-5ec9-d05f-1f1b9bafda78
			Description 	: Software distribution program
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ConfigurationManager_Program : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ConfigurationManager_Program(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ConfigurationManager_Program Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ConfigurationManager_Program(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConfigurationManager_ProgramClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Command
		{	
			set {this[new Guid("1ec578fd-d094-07c1-2230-605afa38196d")].Value = value;}	
			get {return (string) this[new Guid("1ec578fd-d094-07c1-2230-605afa38196d")].Value; }		
		}			

		public string Comment
		{	
			set {this[new Guid("a34536b0-7ca4-eaa7-4c59-4b73b1880d57")].Value = value;}	
			get {return (string) this[new Guid("a34536b0-7ca4-eaa7-4c59-4b73b1880d57")].Value; }		
		}			

		public string DisplayName1
		{	
			set {this[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
			get {return (string) this[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
		}			

		public string MSIFilePath
		{	
			set {this[new Guid("7277dbea-7aa6-0783-0793-861ff9a2f794")].Value = value;}	
			get {return (string) this[new Guid("7277dbea-7aa6-0783-0793-861ff9a2f794")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string ProgramDescription
		{	
			set {this[new Guid("ead346b6-9976-3be1-bcb1-b16a842514f8")].Value = value;}	
			get {return (string) this[new Guid("ead346b6-9976-3be1-bcb1-b16a842514f8")].Value; }		
		}			

		public string ProgramId
		{	
			set {this[new Guid("518be335-b626-b638-25bd-bdf1b291ab83")].Value = value;}	
			get {return (string) this[new Guid("518be335-b626-b638-25bd-bdf1b291ab83")].Value; }		
		}			

		public string ProgramName
		{	
			set {this[new Guid("87cd4a48-9c10-2d06-c52d-f0b4882032e9")].Value = value;}	
			get {return (string) this[new Guid("87cd4a48-9c10-2d06-c52d-f0b4882032e9")].Value; }		
		}			

		public string SourceSiteCode
		{	
			set {this[new Guid("337f230f-4354-fedd-d61d-43e53ae360aa")].Value = value;}	
			get {return (string) this[new Guid("337f230f-4354-fedd-d61d-43e53ae360aa")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.DataWarehouse.CMDBSource	
			Id 				: 0222340f-d0cd-6b06-70a6-aa0a1504f428
			Description 	: Data Warehouse CMDB Source
			ManagementPack	: Microsoft.SystemCenter.Datawarehouse.Base
			Response class inherits from:
				                        Microsoft.SystemCenter.DataWarehouse.DataSource
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_DataWarehouse_CMDBSource : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_DataWarehouse_CMDBSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_DataWarehouse_CMDBSource Create() 
        {
            return new CreatableMicrosoft_SystemCenter_DataWarehouse_CMDBSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_DataWarehouse_CMDBSourceClass.GetManagementPackClass();
		

		public string DataSourceName
		{	
			set {this[new Guid("5189c45a-febb-a725-09ba-27077463fa5b")].Value = value;}	
			get {return (string) this[new Guid("5189c45a-febb-a725-09ba-27077463fa5b")].Value; }		
		}			

		public ManagementPackEnumeration DatasourceType
		{	
			set {this[new Guid("58bbb45e-5373-e164-496f-9ff4c4a163fd")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("58bbb45e-5373-e164-496f-9ff4c4a163fd")].Value; }		
		}			

		public DateTime? DateRegistered
		{	
			set {this[new Guid("8ec11e92-b8d4-3e27-0f44-95088667e5e9")].Value = value;}	
			get {return (DateTime?) this[new Guid("8ec11e92-b8d4-3e27-0f44-95088667e5e9")].Value; }		
		}			

		public DateTime? DateUnRegistered
		{	
			set {this[new Guid("9329b20d-ee43-8032-a176-8dbe3104ed07")].Value = value;}	
			get {return (DateTime?) this[new Guid("9329b20d-ee43-8032-a176-8dbe3104ed07")].Value; }		
		}			

		public string ProductVersion
		{	
			set {this[new Guid("8dbaa730-cde5-a588-792f-f8d8a85724c8")].Value = value;}	
			get {return (string) this[new Guid("8dbaa730-cde5-a588-792f-f8d8a85724c8")].Value; }		
		}			

		public ManagementPackEnumeration RegistrationStatus
		{	
			set {this[new Guid("c5cbdf2a-1ebc-6588-7993-e672abc6bf00")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("c5cbdf2a-1ebc-6588-7993-e672abc6bf00")].Value; }		
		}			

		public Guid SecureReferenceId
		{	
			set {this[new Guid("49d257b2-d5f5-0bda-c134-99ec754766c2")].Value = value;}	
			get {return (Guid) this[new Guid("49d257b2-d5f5-0bda-c134-99ec754766c2")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.DataWarehouse.ManagementPack	
			Id 				: 385d784f-8b3d-d9c2-5c92-ce879d5bc18b
			Description 	: Data Warehouse Management Pack
			ManagementPack	: Microsoft.SystemCenter.Datawarehouse.Base
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_DataWarehouse_ManagementPack : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_DataWarehouse_ManagementPack(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_DataWarehouse_ManagementPack Create() 
        {
            return new CreatableMicrosoft_SystemCenter_DataWarehouse_ManagementPack(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_DataWarehouse_ManagementPackClass.GetManagementPackClass();
		

		public Guid ManagementPackId
		{	
			set {this[new Guid("c4168a1c-f90f-ad6b-4f87-6237d4ffa351")].Value = value;}	
			get {return (Guid) this[new Guid("c4168a1c-f90f-ad6b-4f87-6237d4ffa351")].Value; }		
		}			

		public string ManagementPackKeyToken
		{	
			set {this[new Guid("751855cb-6ae1-0ea5-b602-82dde488466b")].Value = value;}	
			get {return (string) this[new Guid("751855cb-6ae1-0ea5-b602-82dde488466b")].Value; }		
		}			

		public string ManagementPackName
		{	
			set {this[new Guid("b7d5f7ac-6d45-b30c-3247-f3661ec07b40")].Value = value;}	
			get {return (string) this[new Guid("b7d5f7ac-6d45-b30c-3247-f3661ec07b40")].Value; }		
		}			

		public string ManagementPackVersion
		{	
			set {this[new Guid("2c4dfdf4-45ff-5725-f858-644b8465c20a")].Value = value;}	
			get {return (string) this[new Guid("2c4dfdf4-45ff-5725-f858-644b8465c20a")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Deployment.DeploymentWorkflowTarget	
			Id 				: 0b09e978-69c6-709f-5d5e-b03c5477393c
			Description 	: Deployment Workflow Target
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Deployment_DeploymentWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Deployment_DeploymentWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Deployment_DeploymentWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Deployment_DeploymentWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_Deployment_DeploymentWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.CmdbResourceStore	
			Id 				: 6347494e-b44d-cae2-5d73-22df45cffe7d
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer.Stores
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_CmdbResourceStore : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_CmdbResourceStore(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_CmdbResourceStore Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_CmdbResourceStore(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_CmdbResourceStoreClass.GetManagementPackClass();
		

		public string DataService
		{	
			set {this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value = value;}	
			get {return (string) this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value = value;}	
			get {return (string) this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value = value;}	
			get {return (string) this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.DagResourceStore	
			Id 				: 69094ae5-0755-208a-c061-b5bd25c94c66
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer.Stores
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DagResourceStore : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DagResourceStore(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DagResourceStore Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DagResourceStore(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_DagResourceStoreClass.GetManagementPackClass();
		

		public string DataService
		{	
			set {this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value = value;}	
			get {return (string) this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value = value;}	
			get {return (string) this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value = value;}	
			get {return (string) this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.DwSdkResourceStore	
			Id 				: 59c5493a-c00c-90fd-1f8c-73dbb7578e6c
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer.Stores
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStore : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStore(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStore Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStore(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStoreClass.GetManagementPackClass();
		

		public string DataService
		{	
			set {this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value = value;}	
			get {return (string) this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value = value;}	
			get {return (string) this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value = value;}	
			get {return (string) this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.SdkResourceStore	
			Id 				: f4af87dc-a521-bbf1-c174-dbb1f56f7133
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer.Stores
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SdkResourceStore : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SdkResourceStore(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SdkResourceStore Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SdkResourceStore(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_SdkResourceStoreClass.GetManagementPackClass();
		

		public string DataService
		{	
			set {this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value = value;}	
			get {return (string) this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value = value;}	
			get {return (string) this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value = value;}	
			get {return (string) this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.SqlResourceStore	
			Id 				: 6d1c3db1-26f3-8789-a1b5-9c13de08cd37
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer.Stores
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SqlResourceStore : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SqlResourceStore(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SqlResourceStore Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SqlResourceStore(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_SqlResourceStoreClass.GetManagementPackClass();
		

		public string DataService
		{	
			set {this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value = value;}	
			get {return (string) this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value = value;}	
			get {return (string) this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value = value;}	
			get {return (string) this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.SrsResourceStore	
			Id 				: 6671ff1b-43fd-1d5b-50f2-453ce2a52849
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer.Stores
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SrsResourceStore : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SrsResourceStore(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SrsResourceStore Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_SrsResourceStore(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_SrsResourceStoreClass.GetManagementPackClass();
		

		public string DataService
		{	
			set {this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value = value;}	
			get {return (string) this[new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value = value;}	
			get {return (string) this[new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value = value;}	
			get {return (string) this[new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.StoreProperty	
			Id 				: e1bdc536-1c50-ca15-6587-0ebbcc548361
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ResourceAccessLayer
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ResourceAccessLayer_StoreProperty : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ResourceAccessLayer_StoreProperty(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ResourceAccessLayer_StoreProperty Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ResourceAccessLayer_StoreProperty(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ResourceAccessLayer_StorePropertyClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.Agent	
			Id 				: 118c0f18-7a70-5f57-3a9b-eeaf1705b3fc
			Description 	: All Operations Manager agents
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Agent : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Agent(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Agent Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Agent(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AgentClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Agent.ManagementServer	
			Id 				: a48b90a0-17b9-a205-1328-8622efd82fb5
			Description 	: Properties of the Operations Manager agent running on the management server of a management group
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.Agent
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Agent_ManagementServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Agent_ManagementServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Agent_ManagementServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Agent_ManagementServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_Agent_ManagementServerClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.AgentlessManagedComputerGroup	
			Id 				: 16b2db18-f45f-946c-5b83-123f09cfd60b
			Description 	: All discovered and agentless managed computers.
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.SystemCenterManagedComputerGroup
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_AgentlessManagedComputerGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_AgentlessManagedComputerGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_AgentlessManagedComputerGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_AgentlessManagedComputerGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AgentlessManagedComputerGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.AgentManagedComputerGroup	
			Id 				: 1cda808e-5b0e-d25e-5275-3c8b136d62ed
			Description 	: All discovered agent-managed computers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.SystemCenterManagedComputerGroup
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_AgentManagedComputerGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_AgentManagedComputerGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_AgentManagedComputerGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_AgentManagedComputerGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AgentManagedComputerGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.AgentManager	
			Id 				: f32167d8-ba6f-2bc6-0790-4db7b3082d86
			Description 	: This class represents Agent Management pending actions or failures (e.g. Push Install failure).
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.UserActionManager
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_AgentManager : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_AgentManager(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_AgentManager Create() 
        {
            return new CreatableMicrosoft_SystemCenter_AgentManager(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AgentManagerClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string FailureType
		{	
			set {this[new Guid("b45b4228-b5ec-12f8-83ae-a9d6c032c229")].Value = value;}	
			get {return (string) this[new Guid("b45b4228-b5ec-12f8-83ae-a9d6c032c229")].Value; }		
		}			

		public string ManagementServerName
		{	
			set {this[new Guid("fa20ea89-4db8-8095-7d2c-825313321bad")].Value = value;}	
			get {return (string) this[new Guid("fa20ea89-4db8-8095-7d2c-825313321bad")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int PendingStateType
		{	
			set {this[new Guid("8c96676e-51eb-c847-d232-8e9ba4958806")].Value = value;}	
			get {return (int) this[new Guid("8c96676e-51eb-c847-d232-8e9ba4958806")].Value; }		
		}			

		public string TargetDeviceNetworkName
		{	
			set {this[new Guid("094b069a-36a7-123e-61c4-d9922825a39b")].Value = value;}	
			get {return (string) this[new Guid("094b069a-36a7-123e-61c4-d9922825a39b")].Value; }		
		}			

		public string TargetDevicePrincipalName
		{	
			set {this[new Guid("d0ae3334-5431-3541-5261-fe8ddea486c5")].Value = value;}	
			get {return (string) this[new Guid("d0ae3334-5431-3541-5261-fe8ddea486c5")].Value; }		
		}			

		public DateTime? TaskEndTime
		{	
			set {this[new Guid("bcc41b9e-147b-8609-b190-c58804f99aa9")].Value = value;}	
			get {return (DateTime?) this[new Guid("bcc41b9e-147b-8609-b190-c58804f99aa9")].Value; }		
		}			

		public DateTime? TaskStartTime
		{	
			set {this[new Guid("846447b1-7b47-9e92-947f-72578eb06308")].Value = value;}	
			get {return (DateTime?) this[new Guid("846447b1-7b47-9e92-947f-72578eb06308")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.AgentWatcher	
			Id 				: 3a9dc906-03f3-d5ee-dde3-dd9b9f8d2f9c
			Description 	: Class to monitor the health of an Operations Manager agent's management service from the perspective of the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthServiceWatcher
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_AgentWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_AgentWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_AgentWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_AgentWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AgentWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string HealthServiceId
		{	
			set {this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value = value;}	
			get {return (string) this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value; }		
		}			

		public string HealthServiceName
		{	
			set {this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value = value;}	
			get {return (string) this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.AgentWatchersGroup	
			Id 				: 2a486fad-116b-73b0-e02f-b98175c997e9
			Description 	: Properties of a group whose members are Operations Manager agents running as management service watchers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthServiceWatchersGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_AgentWatchersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_AgentWatchersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_AgentWatchersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_AgentWatchersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AgentWatchersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string RMSPrincipalName
		{	
			set {this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value = value;}	
			get {return (string) this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value; }		
		}			

		public string WatcherGroupName
		{	
			set {this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value = value;}	
			get {return (string) this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.AllComputersGroup	
			Id 				: 6f7e3306-beeb-2996-3795-7c1eafb925b8
			Description 	: Properties of the computer group whose members are all computers running Windows operating systems
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_AllComputersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_AllComputersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_AllComputersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_AllComputersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_AllComputersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServer	
			Id 				: 7b11b1b9-3462-c54f-9f10-943cabb9d26e
			Description 	: Properties of a collection management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ManagementServer
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_CollectionManagementServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_CollectionManagementServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_CollectionManagementServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_CollectionManagementServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_CollectionManagementServerClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? AutoApproveManuallyInstalledAgents
		{	
			set {this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value = value;}	
			get {return (bool?) this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public string ManagementServerSCP
		{	
			set {this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value = value;}	
			get {return (string) this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public int NumberOfMissingHeartBeatsToMarkMachineDown
		{	
			set {this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value = value;}	
			get {return (int) this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public string ProxyAddress
		{	
			set {this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value = value;}	
			get {return (string) this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public int ProxyPort
		{	
			set {this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value = value;}	
			get {return (int) this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value; }		
		}			

		public bool? RejectManuallyInstalledAgents
		{	
			set {this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value = value;}	
			get {return (bool?) this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public bool? UseProxyServer
		{	
			set {this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value = value;}	
			get {return (bool?) this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServerComputersGroup	
			Id 				: 9304f671-1619-9b83-97ab-b2613561c1a7
			Description 	: Properties of the computer group whose members are all computers that are collection management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_CollectionManagementServerComputersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_CollectionManagementServerComputersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_CollectionManagementServerComputersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_CollectionManagementServerComputersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_CollectionManagementServerComputersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServerWatcher	
			Id 				: 9d86a34f-97f7-614d-23f0-67f9838bc5d7
			Description 	: Class to monitor the health of a collection management server's management service from the perspective of the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ManagementServerWatcher
				                        Microsoft.SystemCenter.HealthServiceWatcher
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_CollectionManagementServerWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_CollectionManagementServerWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_CollectionManagementServerWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_CollectionManagementServerWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_CollectionManagementServerWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string HealthServiceId
		{	
			set {this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value = value;}	
			get {return (string) this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value; }		
		}			

		public string HealthServiceName
		{	
			set {this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value = value;}	
			get {return (string) this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServerWatchersGroup	
			Id 				: 9db593f3-0e68-60a6-9b7b-7daadf9672d3
			Description 	: Properties of management service watchers on collection management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthServiceWatchersGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_CollectionManagementServerWatchersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_CollectionManagementServerWatchersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_CollectionManagementServerWatchersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_CollectionManagementServerWatchersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_CollectionManagementServerWatchersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string RMSPrincipalName
		{	
			set {this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value = value;}	
			get {return (string) this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value; }		
		}			

		public string WatcherGroupName
		{	
			set {this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value = value;}	
			get {return (string) this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Connector	
			Id 				: 2d63134b-491f-ae0b-d71b-81ff238422bf
			Description 	: Defines the properties of connectors that retrieve and supply data into Management Group using MCF
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Connector : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Connector(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Connector Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Connector(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ConnectorClass.GetManagementPackClass();
		

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServer	
			Id 				: c1721bcc-35f7-5a49-5d5f-6880687c3d48
			Description 	: Properties of a gateway management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ManagementServer
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_GatewayManagementServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_GatewayManagementServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_GatewayManagementServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_GatewayManagementServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_GatewayManagementServerClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? AutoApproveManuallyInstalledAgents
		{	
			set {this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value = value;}	
			get {return (bool?) this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public string ManagementServerSCP
		{	
			set {this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value = value;}	
			get {return (string) this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public int NumberOfMissingHeartBeatsToMarkMachineDown
		{	
			set {this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value = value;}	
			get {return (int) this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public string ProxyAddress
		{	
			set {this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value = value;}	
			get {return (string) this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public int ProxyPort
		{	
			set {this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value = value;}	
			get {return (int) this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value; }		
		}			

		public bool? RejectManuallyInstalledAgents
		{	
			set {this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value = value;}	
			get {return (bool?) this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public bool? UseProxyServer
		{	
			set {this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value = value;}	
			get {return (bool?) this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServerComputersGroup	
			Id 				: 227e113e-c325-3e61-2371-dfd094cc7c67
			Description 	: Properties of the computer group whose members are gateway management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_GatewayManagementServerComputersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_GatewayManagementServerComputersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_GatewayManagementServerComputersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_GatewayManagementServerComputersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_GatewayManagementServerComputersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServerWatcher	
			Id 				: 2e1ff893-6540-f65d-1a69-f9fdb42c5a73
			Description 	: Use this class to monitor the health of a gateway management server's management service from the perspective of the root management server.
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ManagementServerWatcher
				                        Microsoft.SystemCenter.HealthServiceWatcher
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_GatewayManagementServerWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_GatewayManagementServerWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_GatewayManagementServerWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_GatewayManagementServerWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_GatewayManagementServerWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string HealthServiceId
		{	
			set {this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value = value;}	
			get {return (string) this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value; }		
		}			

		public string HealthServiceName
		{	
			set {this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value = value;}	
			get {return (string) this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServerWatchersGroup	
			Id 				: e82a3221-09bb-a0fe-5053-9e8ee69a50d3
			Description 	: Properties of management service watchers on gateway management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthServiceWatchersGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_GatewayManagementServerWatchersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_GatewayManagementServerWatchersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_GatewayManagementServerWatchersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_GatewayManagementServerWatchersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_GatewayManagementServerWatchersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string RMSPrincipalName
		{	
			set {this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value = value;}	
			get {return (string) this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value; }		
		}			

		public string WatcherGroupName
		{	
			set {this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value = value;}	
			get {return (string) this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.HealthService	
			Id 				: ab4c891f-3359-3fb6-0704-075fbfe36710
			Description 	: Properties of the System Center Management Service
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_HealthService : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_HealthService(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_HealthService Create() 
        {
            return new CreatableMicrosoft_SystemCenter_HealthService(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_HealthServiceClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.HealthServiceWatcher	
			Id 				: a4899740-ef2f-1541-6c1d-51d34b739491
			Description 	: Use this class to monitor the health of a management service from the perspective of the root management server.
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_HealthServiceWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_HealthServiceWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_HealthServiceWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_HealthServiceWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_HealthServiceWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string HealthServiceId
		{	
			set {this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value = value;}	
			get {return (string) this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value; }		
		}			

		public string HealthServiceName
		{	
			set {this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value = value;}	
			get {return (string) this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.HealthServiceWatchersGroup	
			Id 				: a4c8b023-4cfc-52cc-30b7-6c1b959c4723
			Description 	: Properties of all management service watcher groups
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_HealthServiceWatchersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_HealthServiceWatchersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_HealthServiceWatchersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_HealthServiceWatchersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_HealthServiceWatchersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string RMSPrincipalName
		{	
			set {this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value = value;}	
			get {return (string) this[new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758")].Value; }		
		}			

		public string WatcherGroupName
		{	
			set {this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value = value;}	
			get {return (string) this[new Guid("87177203-9053-76a1-a322-1226f815507a")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.License.Enterprise	
			Id 				: e1d50ef8-dea0-899e-c989-d8ca22181165
			Description 	: Defines the properties of an Operations Manager Enterprise license
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.License
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_License_Enterprise : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_License_Enterprise(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_License_Enterprise Create() 
        {
            return new CreatableMicrosoft_SystemCenter_License_Enterprise(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_License_EnterpriseClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.License.Standard	
			Id 				: d93ca6c0-82d6-ec53-9537-e9a09a53d2a5
			Description 	: Defines the properties of an Operations Manager Standard license
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.License
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_License_Standard : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_License_Standard(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_License_Standard Create() 
        {
            return new CreatableMicrosoft_SystemCenter_License_Standard(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_License_StandardClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputer	
			Id 				: 44ab701b-5da9-ca21-a94b-8b82828a69d8
			Description 	: Properties of a computer that is managed with an Operations Manager agent or monitored using agentless management
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.Windows.Computer
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagedComputer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagedComputer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagedComputer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagedComputer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagedComputerClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string InstallDirectory
		{	
			set {this[new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a")].Value = value;}	
			get {return (string) this[new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputerClient	
			Id 				: 38ad2a9b-2414-89c8-100f-26ed33b87acf
			Description 	: Properties of managed computers that have a client version of the Windows operating system installed
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ManagedComputer
				                        Microsoft.Windows.Computer
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagedComputerClient : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagedComputerClient(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagedComputerClient Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagedComputerClient(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagedComputerClientClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string InstallDirectory
		{	
			set {this[new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a")].Value = value;}	
			get {return (string) this[new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroup	
			Id 				: d57daa29-063f-6379-7ee0-12e7a3982da0
			Description 	: Managed Computer Client Management Service Watcher Group
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputerServer	
			Id 				: e1ae9104-c9a3-467f-adba-33f801db7d37
			Description 	: Properties of managed computers that have a server version of the Windows operating system installed
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ManagedComputer
				                        Microsoft.Windows.Computer
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagedComputerServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagedComputerServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagedComputerServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagedComputerServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagedComputerServerClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string InstallDirectory
		{	
			set {this[new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a")].Value = value;}	
			get {return (string) this[new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagementGroup	
			Id 				: 6b1d1be8-ebb4-b425-08dc-2385c5930b04
			Description 	: Properties of the management group
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Service
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagementGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagementGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagementGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagementGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagementGroupClass.GetManagementPackClass();
		

		public int AlertAutoResolvePeriod
		{	
			set {this[new Guid("6a98a953-74ea-7182-a386-e2ef4f9e7ce1")].Value = value;}	
			get {return (int) this[new Guid("6a98a953-74ea-7182-a386-e2ef4f9e7ce1")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AvailabilitySchedule
		{	
			set {this[new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919")].Value = value;}	
			get {return (string) this[new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919")].Value; }		
		}			

		public string BusinessDetailedDescription
		{	
			set {this[new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0")].Value = value;}	
			get {return (string) this[new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0")].Value; }		
		}			

		public bool? CEIPEnabled
		{	
			set {this[new Guid("b7222ae9-3490-015a-db7e-aebb490aca03")].Value = value;}	
			get {return (bool?) this[new Guid("b7222ae9-3490-015a-db7e-aebb490aca03")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff")].Value; }		
		}			

		public int CommunicationPort
		{	
			set {this[new Guid("a09f8605-8ead-9dd3-5e6a-7560ae7b41b1")].Value = value;}	
			get {return (int) this[new Guid("a09f8605-8ead-9dd3-5e6a-7560ae7b41b1")].Value; }		
		}			

		public int ErrorReportingEnabled
		{	
			set {this[new Guid("d5243a87-9016-38ec-02d7-1a39a3f792eb")].Value = value;}	
			get {return (int) this[new Guid("d5243a87-9016-38ec-02d7-1a39a3f792eb")].Value; }		
		}			

		public int ErrorReportingQueuingEnabled
		{	
			set {this[new Guid("4be130e0-6273-97c9-43bd-87e75eded95c")].Value = value;}	
			get {return (int) this[new Guid("4be130e0-6273-97c9-43bd-87e75eded95c")].Value; }		
		}			

		public int HealthyAlertAutoResolvePeriod
		{	
			set {this[new Guid("28581f22-e563-8222-ed64-e3b9309c833b")].Value = value;}	
			get {return (int) this[new Guid("28581f22-e563-8222-ed64-e3b9309c833b")].Value; }		
		}			

		public bool? IsBusinessService
		{	
			set {this[new Guid("7879f2b1-3238-7221-e427-77785556d78a")].Value = value;}	
			get {return (bool?) this[new Guid("7879f2b1-3238-7221-e427-77785556d78a")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string OnlineProductKnowledgeUrl
		{	
			set {this[new Guid("c7d5ca84-abe2-f8b3-d6cb-29ac7c3111fc")].Value = value;}	
			get {return (string) this[new Guid("c7d5ca84-abe2-f8b3-d6cb-29ac7c3111fc")].Value; }		
		}			

		public string OperationalDatabaseName
		{	
			set {this[new Guid("1e47d32a-c6b5-1caf-41e3-c7c8cabcb60d")].Value = value;}	
			get {return (string) this[new Guid("1e47d32a-c6b5-1caf-41e3-c7c8cabcb60d")].Value; }		
		}			

		public string OwnedByOrganization
		{	
			set {this[new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363")].Value = value;}	
			get {return (string) this[new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28")].Value; }		
		}			

		public string RootHealthServiceSCP
		{	
			set {this[new Guid("2e759952-23f9-3838-b3b1-639902c39469")].Value = value;}	
			get {return (string) this[new Guid("2e759952-23f9-3838-b3b1-639902c39469")].Value; }		
		}			

		public string SDKServerName
		{	
			set {this[new Guid("94642b9c-a7f1-b192-273b-5c0f695e9f1e")].Value = value;}	
			get {return (string) this[new Guid("94642b9c-a7f1-b192-273b-5c0f695e9f1e")].Value; }		
		}			

		public string SDKServiceSCP
		{	
			set {this[new Guid("9fcb7696-eaac-cf0d-1714-33788290e437")].Value = value;}	
			get {return (string) this[new Guid("9fcb7696-eaac-cf0d-1714-33788290e437")].Value; }		
		}			

		public bool? SendOperationalDataReports
		{	
			set {this[new Guid("a3fcb97d-3e4a-752a-3112-43f2eaf5c2a1")].Value = value;}	
			get {return (bool?) this[new Guid("a3fcb97d-3e4a-752a-3112-43f2eaf5c2a1")].Value; }		
		}			

		public string ServiceDescription
		{	
			set {this[new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe")].Value = value;}	
			get {return (string) this[new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe")].Value; }		
		}			

		public string SQLServerName
		{	
			set {this[new Guid("4f6bf68f-122a-c3fc-1fec-67dbf20b4747")].Value = value;}	
			get {return (string) this[new Guid("4f6bf68f-122a-c3fc-1fec-67dbf20b4747")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789")].Value; }		
		}			

		public int TierTimeDifferenceThreshold
		{	
			set {this[new Guid("23674d44-17dd-48bf-b137-dd00f76ef3d7")].Value = value;}	
			get {return (int) this[new Guid("23674d44-17dd-48bf-b137-dd00f76ef3d7")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagementServer	
			Id 				: 9189a49e-b2de-cab0-2e4f-4925b68e335d
			Description 	: Properties of Operations Manager management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagementServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagementServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagementServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagementServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagementServerClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? AutoApproveManuallyInstalledAgents
		{	
			set {this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value = value;}	
			get {return (bool?) this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public string ManagementServerSCP
		{	
			set {this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value = value;}	
			get {return (string) this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public int NumberOfMissingHeartBeatsToMarkMachineDown
		{	
			set {this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value = value;}	
			get {return (int) this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public string ProxyAddress
		{	
			set {this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value = value;}	
			get {return (string) this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public int ProxyPort
		{	
			set {this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value = value;}	
			get {return (int) this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value; }		
		}			

		public bool? RejectManuallyInstalledAgents
		{	
			set {this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value = value;}	
			get {return (bool?) this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public bool? UseProxyServer
		{	
			set {this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value = value;}	
			get {return (bool?) this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagementServerComputersGroup	
			Id 				: b9994504-06cd-a393-7a81-d450d9ce5a58
			Description 	: Common properties of all management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagementServerComputersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagementServerComputersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagementServerComputersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagementServerComputersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagementServerComputersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ManagementServerWatcher	
			Id 				: 3285fc6d-7b96-ce0b-58a7-c628de0488a8
			Description 	: Used to monitor the health of a management server's management service from the perspective of the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.HealthServiceWatcher
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ManagementServerWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ManagementServerWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ManagementServerWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ManagementServerWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ManagementServerWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string HealthServiceId
		{	
			set {this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value = value;}	
			get {return (string) this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value; }		
		}			

		public string HealthServiceName
		{	
			set {this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value = value;}	
			get {return (string) this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.OpsMgrDBWatcher	
			Id 				: 88a7f2ca-2467-7715-544d-9fdaab0cad11
			Description 	: Used to monitor the health of a System Center Operations Manager database watcher
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_OpsMgrDBWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_OpsMgrDBWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_OpsMgrDBWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_OpsMgrDBWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_OpsMgrDBWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DatabaseName
		{	
			set {this[new Guid("97adbf0c-af5a-d182-7afe-7b1210c02ce6")].Value = value;}	
			get {return (string) this[new Guid("97adbf0c-af5a-d182-7afe-7b1210c02ce6")].Value; }		
		}			

		public string DatabaseServerName
		{	
			set {this[new Guid("10075752-d997-4d57-956e-4e0814fa9d3a")].Value = value;}	
			get {return (string) this[new Guid("10075752-d997-4d57-956e-4e0814fa9d3a")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.OpsMgrDBWatchersGroup	
			Id 				: 72cbeeb6-6d2c-77f8-6577-64c7ec996e3f
			Description 	: Used to monitor the health of a System Center Operations Manager database watcher group
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_OpsMgrDBWatchersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_OpsMgrDBWatchersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_OpsMgrDBWatchersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_OpsMgrDBWatchersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_OpsMgrDBWatchersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.RootManagementServer	
			Id 				: 1a9387f0-6fe5-5527-a2cb-73f2f6be6bc7
			Description 	: Represents the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.CollectionManagementServer
				                        Microsoft.SystemCenter.ManagementServer
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_RootManagementServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_RootManagementServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_RootManagementServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_RootManagementServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_RootManagementServerClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? AutoApproveManuallyInstalledAgents
		{	
			set {this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value = value;}	
			get {return (bool?) this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public string ManagementServerSCP
		{	
			set {this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value = value;}	
			get {return (string) this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public int NumberOfMissingHeartBeatsToMarkMachineDown
		{	
			set {this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value = value;}	
			get {return (int) this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public string ProxyAddress
		{	
			set {this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value = value;}	
			get {return (string) this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public int ProxyPort
		{	
			set {this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value = value;}	
			get {return (int) this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value; }		
		}			

		public bool? RejectManuallyInstalledAgents
		{	
			set {this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value = value;}	
			get {return (bool?) this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public bool? UseProxyServer
		{	
			set {this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value = value;}	
			get {return (bool?) this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.RootManagementServerComputersGroup	
			Id 				: 7ce42584-1de7-4863-ebc0-61b67b241707
			Description 	: The sole members of this group are computers that host the root management service
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ComputerGroup
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_RootManagementServerComputersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_RootManagementServerComputersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_RootManagementServerComputersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_RootManagementServerComputersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_RootManagementServerComputersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Site	
			Id 				: 6769eaba-4699-cc4b-7eb1-e9f445a8c5a0
			Description 	: Represents a site (for example, a customer site monitored by a remote service provider) where a gateway server or a System Center Essentials management server may locally reside
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Group
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Site : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Site(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Site Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Site(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_SiteClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string SiteName
		{	
			set {this[new Guid("0ce74ed9-ffa6-0b60-a514-c1671f84eedb")].Value = value;}	
			get {return (string) this[new Guid("0ce74ed9-ffa6-0b60-a514-c1671f84eedb")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.SiteManagementServer	
			Id 				: cecaafda-33b6-b628-0cda-445e21b7291d
			Description 	: Represents a gateway server at a customer site
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.GatewayManagementServer
				                        Microsoft.SystemCenter.ManagementServer
				                        Microsoft.SystemCenter.HealthService
				                        Microsoft.Windows.LocalApplication
				                        System.LocalApplication
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_SiteManagementServer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_SiteManagementServer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_SiteManagementServer Create() 
        {
            return new CreatableMicrosoft_SystemCenter_SiteManagementServer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_SiteManagementServerClass.GetManagementPackClass();
		

		public string ActionAccountIdentity
		{	
			set {this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value = value;}	
			get {return (string) this[new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c")].Value; }		
		}			

		public bool? ActiveDirectoryManaged
		{	
			set {this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value = value;}	
			get {return (bool?) this[new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AuthenticationName
		{	
			set {this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value = value;}	
			get {return (string) this[new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86")].Value; }		
		}			

		public bool? AutoApproveManuallyInstalledAgents
		{	
			set {this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value = value;}	
			get {return (bool?) this[new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9")].Value; }		
		}			

		public bool? CreateListener
		{	
			set {this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value = value;}	
			get {return (bool?) this[new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32")].Value; }		
		}			

		public bool? HeartbeatEnabled
		{	
			set {this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value = value;}	
			get {return (bool?) this[new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e")].Value; }		
		}			

		public int HeartbeatInterval
		{	
			set {this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value = value;}	
			get {return (int) this[new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719")].Value; }		
		}			

		public string InstalledBy
		{	
			set {this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value = value;}	
			get {return (string) this[new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479")].Value; }		
		}			

		public DateTime? InstallTime
		{	
			set {this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value = value;}	
			get {return (DateTime?) this[new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850")].Value; }		
		}			

		public bool? IsAgent
		{	
			set {this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value = value;}	
			get {return (bool?) this[new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3")].Value; }		
		}			

		public bool? IsGateway
		{	
			set {this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value = value;}	
			get {return (bool?) this[new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac")].Value; }		
		}			

		public bool? IsManagementServer
		{	
			set {this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value = value;}	
			get {return (bool?) this[new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3")].Value; }		
		}			

		public bool? IsManuallyInstalled
		{	
			set {this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value = value;}	
			get {return (bool?) this[new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f")].Value; }		
		}			

		public bool? IsRHS
		{	
			set {this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value = value;}	
			get {return (bool?) this[new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf")].Value; }		
		}			

		public string ManagementServerSCP
		{	
			set {this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value = value;}	
			get {return (string) this[new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5")].Value; }		
		}			

		public int MaximumQueueSize
		{	
			set {this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value = value;}	
			get {return (int) this[new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d")].Value; }		
		}			

		public int MaximumSizeOfAllTransferredFiles
		{	
			set {this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value = value;}	
			get {return (int) this[new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public int NumberOfMissingHeartBeatsToMarkMachineDown
		{	
			set {this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value = value;}	
			get {return (int) this[new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PatchList
		{	
			set {this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value = value;}	
			get {return (string) this[new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848")].Value; }		
		}			

		public int Port
		{	
			set {this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value = value;}	
			get {return (int) this[new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5")].Value; }		
		}			

		public string ProxyAddress
		{	
			set {this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value = value;}	
			get {return (string) this[new Guid("6faaee0b-0050-6c15-4279-c738915a91ad")].Value; }		
		}			

		public bool? ProxyingEnabled
		{	
			set {this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value = value;}	
			get {return (bool?) this[new Guid("2460b133-b9b5-e834-1302-bdea539b2f71")].Value; }		
		}			

		public int ProxyPort
		{	
			set {this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value = value;}	
			get {return (int) this[new Guid("805a8adf-eb82-55cb-9afb-051661f94861")].Value; }		
		}			

		public bool? RejectManuallyInstalledAgents
		{	
			set {this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value = value;}	
			get {return (bool?) this[new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527")].Value; }		
		}			

		public bool? RequestCompression
		{	
			set {this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value = value;}	
			get {return (bool?) this[new Guid("f338297f-df7d-ad7b-c666-168643fdfba2")].Value; }		
		}			

		public string SiteId
		{	
			set {this[new Guid("29417d7e-a636-5f81-cf9b-76e4b1bf8f42")].Value = value;}	
			get {return (string) this[new Guid("29417d7e-a636-5f81-cf9b-76e4b1bf8f42")].Value; }		
		}			

		public string SiteName
		{	
			set {this[new Guid("1a684231-d5a1-3965-aa28-a1573bcbd9ff")].Value = value;}	
			get {return (string) this[new Guid("1a684231-d5a1-3965-aa28-a1573bcbd9ff")].Value; }		
		}			

		public bool? UseProxyServer
		{	
			set {this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value = value;}	
			get {return (bool?) this[new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value = value;}	
			get {return (string) this[new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.SiteManagementServerWatcher	
			Id 				: d4cd7d6e-cf5e-f014-4a4e-e99538e06958
			Description 	: Monitors the health of a site management server's management service from the perspective of the principal management server
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.GatewayManagementServerWatcher
				                        Microsoft.SystemCenter.ManagementServerWatcher
				                        Microsoft.SystemCenter.HealthServiceWatcher
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_SiteManagementServerWatcher : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_SiteManagementServerWatcher(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_SiteManagementServerWatcher Create() 
        {
            return new CreatableMicrosoft_SystemCenter_SiteManagementServerWatcher(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_SiteManagementServerWatcherClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string HealthServiceId
		{	
			set {this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value = value;}	
			get {return (string) this[new Guid("e356df80-5d09-cd62-f29d-e9106f730db6")].Value; }		
		}			

		public string HealthServiceName
		{	
			set {this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value = value;}	
			get {return (string) this[new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.SubscriptionWorkflowTarget	
			Id 				: a2a24426-1c31-3a8f-ea39-d316a83c8ef9
			Description 	: An internal class for the subscription workflow target
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_SubscriptionWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_SubscriptionWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_SubscriptionWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_SubscriptionWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_SubscriptionWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.TieredManagementGroup	
			Id 				: 9613172c-363c-452a-3a7e-c6a1e5e7cae3
			Description 	: This represents a connected management group.
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Service
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_TieredManagementGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_TieredManagementGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_TieredManagementGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_TieredManagementGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_TieredManagementGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AvailabilitySchedule
		{	
			set {this[new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919")].Value = value;}	
			get {return (string) this[new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919")].Value; }		
		}			

		public string BusinessDetailedDescription
		{	
			set {this[new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0")].Value = value;}	
			get {return (string) this[new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff")].Value; }		
		}			

		public string ConnectString
		{	
			set {this[new Guid("d893d5bd-aa77-691a-e86a-f2db9f34e93e")].Value = value;}	
			get {return (string) this[new Guid("d893d5bd-aa77-691a-e86a-f2db9f34e93e")].Value; }		
		}			

		public bool? IsAvailableForConnectors
		{	
			set {this[new Guid("8231b4cf-dfc4-8157-2775-319efe8a2908")].Value = value;}	
			get {return (bool?) this[new Guid("8231b4cf-dfc4-8157-2775-319efe8a2908")].Value; }		
		}			

		public bool? IsBusinessService
		{	
			set {this[new Guid("7879f2b1-3238-7221-e427-77785556d78a")].Value = value;}	
			get {return (bool?) this[new Guid("7879f2b1-3238-7221-e427-77785556d78a")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string OwnedByOrganization
		{	
			set {this[new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363")].Value = value;}	
			get {return (string) this[new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28")].Value; }		
		}			

		public string RunAsId
		{	
			set {this[new Guid("f3d08d43-60b0-c6d9-60a7-75aba58d7de3")].Value = value;}	
			get {return (string) this[new Guid("f3d08d43-60b0-c6d9-60a7-75aba58d7de3")].Value; }		
		}			

		public string ServiceDescription
		{	
			set {this[new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe")].Value = value;}	
			get {return (string) this[new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.UserActionManager	
			Id 				: 1a9742b2-cf8d-5ddf-f6bd-0fbb1c5a5565
			Description 	: User Action Manager
			ManagementPack	: Microsoft.SystemCenter.Library
			Response class inherits from:
				                        System.Perspective
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_UserActionManager : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_UserActionManager(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_UserActionManager Create() 
        {
            return new CreatableMicrosoft_SystemCenter_UserActionManager(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_UserActionManagerClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string FailureType
		{	
			set {this[new Guid("b45b4228-b5ec-12f8-83ae-a9d6c032c229")].Value = value;}	
			get {return (string) this[new Guid("b45b4228-b5ec-12f8-83ae-a9d6c032c229")].Value; }		
		}			

		public string ManagementServerName
		{	
			set {this[new Guid("fa20ea89-4db8-8095-7d2c-825313321bad")].Value = value;}	
			get {return (string) this[new Guid("fa20ea89-4db8-8095-7d2c-825313321bad")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int PendingStateType
		{	
			set {this[new Guid("8c96676e-51eb-c847-d232-8e9ba4958806")].Value = value;}	
			get {return (int) this[new Guid("8c96676e-51eb-c847-d232-8e9ba4958806")].Value; }		
		}			

		public string TargetDeviceNetworkName
		{	
			set {this[new Guid("094b069a-36a7-123e-61c4-d9922825a39b")].Value = value;}	
			get {return (string) this[new Guid("094b069a-36a7-123e-61c4-d9922825a39b")].Value; }		
		}			

		public string TargetDevicePrincipalName
		{	
			set {this[new Guid("d0ae3334-5431-3541-5261-fe8ddea486c5")].Value = value;}	
			get {return (string) this[new Guid("d0ae3334-5431-3541-5261-fe8ddea486c5")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows.WorkflowTarget	
			Id 				: 2f2a8c1b-39ce-f4d5-76ed-839721b93514
			Description 	: 
			ManagementPack	: Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows
			Response class inherits from:
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.Orchestration.WorkflowTarget	
			Id 				: 37fecb60-26c5-fcdc-950d-f24ce13c3df6
			Description 	: Orchestration Workflow Target
			ManagementPack	: Microsoft.SystemCenter.Orchestration
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Orchestration_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Orchestration_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Orchestration_WorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Orchestration_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_Orchestration_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.ApplicationComponentsGroup	
			Id 				: b8b99b2a-6e23-156d-49d6-ba9e822ffa98
			Description 	: This class is used to represent ApplicationComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ApplicationComponentsGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ApplicationComponentsGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ApplicationComponentsGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ApplicationComponentsGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ApplicationComponentsGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.BusinessService	
			Id 				: b2a806a6-87f6-0bc9-da74-c27e9ab5a5d7
			Description 	: This class is used to represent Business Service in Service Manager space.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.Service
				                        System.Service
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_BusinessService : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_BusinessService(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_BusinessService Create() 
        {
            return new CreatableMicrosoft_SystemCenter_BusinessService(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_BusinessServiceClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string AvailabilitySchedule
		{	
			set {this[new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919")].Value = value;}	
			get {return (string) this[new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919")].Value; }		
		}			

		public string BusinessDetailedDescription
		{	
			set {this[new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0")].Value = value;}	
			get {return (string) this[new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff")].Value; }		
		}			

		public bool? IsBusinessService
		{	
			set {this[new Guid("7879f2b1-3238-7221-e427-77785556d78a")].Value = value;}	
			get {return (bool?) this[new Guid("7879f2b1-3238-7221-e427-77785556d78a")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string OwnedByOrganization
		{	
			set {this[new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363")].Value = value;}	
			get {return (string) this[new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28")].Value; }		
		}			

		public string ServiceDescription
		{	
			set {this[new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe")].Value = value;}	
			get {return (string) this[new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe")].Value; }		
		}			

		public string ServiceID
		{	
			set {this[new Guid("9795955e-de76-a851-997c-706723f190a9")].Value = value;}	
			get {return (string) this[new Guid("9795955e-de76-a851-997c-706723f190a9")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.DataBaseComponentsGroup	
			Id 				: a1286a6e-9db9-a151-a182-1578787508bd
			Description 	: This class is used to represent DataBaseComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_DataBaseComponentsGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_DataBaseComponentsGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_DataBaseComponentsGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_DataBaseComponentsGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_DataBaseComponentsGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.NetworkDevicesGroup	
			Id 				: 80197622-bf44-3d54-9f2d-9d0f9ec87ae8
			Description 	: This class is used to represent NetworkDevicesGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_NetworkDevicesGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_NetworkDevicesGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_NetworkDevicesGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_NetworkDevicesGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_NetworkDevicesGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.OtherComponentsGroup	
			Id 				: 94521e29-79ff-de04-0e45-ffffdbfe494a
			Description 	: This class is used to represent OtherComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_OtherComponentsGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_OtherComponentsGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_OtherComponentsGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_OtherComponentsGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_OtherComponentsGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.PhysicalObjectsGroup	
			Id 				: 1150af91-1a11-8637-9386-fe94512284f0
			Description 	: This class is used to represent PhysicalObjectsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_PhysicalObjectsGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_PhysicalObjectsGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_PhysicalObjectsGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_PhysicalObjectsGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_PhysicalObjectsGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Service.ComputersGroup	
			Id 				: 42d9a904-0b91-6720-548e-6b952b5c45a1
			Description 	: This class is used to represent ComputersGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Service_ComputersGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Service_ComputersGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Service_ComputersGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Service_ComputersGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_Service_ComputersGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.StorageDevicesGroup	
			Id 				: 764c2409-6e3e-4ea5-a3a7-35e893db1dd8
			Description 	: This class is used to represent StorageDevicesGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_StorageDevicesGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_StorageDevicesGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_StorageDevicesGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_StorageDevicesGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_StorageDevicesGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.WebsiteComponentsGroup	
			Id 				: 20be7986-f151-ed3a-faff-10f65d110e86
			Description 	: This class is used to represent WebsiteComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_WebsiteComponentsGroup : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_WebsiteComponentsGroup(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_WebsiteComponentsGroup Create() 
        {
            return new CreatableMicrosoft_SystemCenter_WebsiteComponentsGroup(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_WebsiteComponentsGroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.ServiceManager.Portal.ContactSettings	
			Id 				: abaf06a5-da99-d7d7-3145-40dba354522e
			Description 	: Contact IT settings for end-user portal
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_ServiceManager_Portal_ContactSettings : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_ServiceManager_Portal_ContactSettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_ServiceManager_Portal_ContactSettings Create() 
        {
            return new CreatableMicrosoft_ServiceManager_Portal_ContactSettings(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_ServiceManager_Portal_ContactSettingsClass.GetManagementPackClass();
		

		public string ChatResponseTimeInfo
		{	
			set {this[new Guid("de22f0db-c541-248c-2083-dc76a9ea74e0")].Value = value;}	
			get {return (string) this[new Guid("de22f0db-c541-248c-2083-dc76a9ea74e0")].Value; }		
		}			

		public string ChatUrl
		{	
			set {this[new Guid("376776df-32b7-a7fb-dce4-26be489f7df0")].Value = value;}	
			get {return (string) this[new Guid("376776df-32b7-a7fb-dce4-26be489f7df0")].Value; }		
		}			

		public string ChatUrlName
		{	
			set {this[new Guid("6875f771-c37d-9117-9ef5-3214fb9957ca")].Value = value;}	
			get {return (string) this[new Guid("6875f771-c37d-9117-9ef5-3214fb9957ca")].Value; }		
		}			

		public string EmailAddress
		{	
			set {this[new Guid("156699d5-bc18-af4d-799c-a8c08dc5f847")].Value = value;}	
			get {return (string) this[new Guid("156699d5-bc18-af4d-799c-a8c08dc5f847")].Value; }		
		}			

		public string EmailResponseTimeInfo
		{	
			set {this[new Guid("3bad56eb-9755-85b5-421e-75a797ab63e5")].Value = value;}	
			get {return (string) this[new Guid("3bad56eb-9755-85b5-421e-75a797ab63e5")].Value; }		
		}			

		public string Fax
		{	
			set {this[new Guid("deb576ed-26dd-1255-6e89-32e191969b26")].Value = value;}	
			get {return (string) this[new Guid("deb576ed-26dd-1255-6e89-32e191969b26")].Value; }		
		}			

		public string SupportPhone
		{	
			set {this[new Guid("1486e90e-1dc3-af8f-02db-2169a463a1eb")].Value = value;}	
			get {return (string) this[new Guid("1486e90e-1dc3-af8f-02db-2169a463a1eb")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ServiceManager.Portal.Links.Configuration	
			Id 				: 93d5c044-0ca5-c45c-8af6-bbad4facb52f
			Description 	: Microsoft.SystemCenter.ServiceManager.Portal.Links.Configuration
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ServiceManager_Portal_Links_Configuration : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ServiceManager_Portal_Links_Configuration(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ServiceManager_Portal_Links_Configuration Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ServiceManager_Portal_Links_Configuration(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ServiceManager_Portal_Links_ConfigurationClass.GetManagementPackClass();
		

		public string LinkDescription
		{	
			set {this[new Guid("18663105-e9f7-a02c-a177-5dcd35b2a72e")].Value = value;}	
			get {return (string) this[new Guid("18663105-e9f7-a02c-a177-5dcd35b2a72e")].Value; }		
		}			

		public string NavigateUrl
		{	
			set {this[new Guid("2678073b-91ea-811c-c405-6b71e15363af")].Value = value;}	
			get {return (string) this[new Guid("2678073b-91ea-811c-c405-6b71e15363af")].Value; }		
		}			

		public bool? Visible
		{	
			set {this[new Guid("f225418c-c6f2-cfb5-ccee-313b494adbd0")].Value = value;}	
			get {return (bool?) this[new Guid("f225418c-c6f2-cfb5-ccee-313b494adbd0")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.ServiceManager.SoftwareDeployment.Process	
			Id 				: af4d4ae2-de20-7ae0-a942-db5262501789
			Description 	: Service Manager portal's software deployment process
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_ServiceManager_SoftwareDeployment_Process : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_ServiceManager_SoftwareDeployment_Process(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_ServiceManager_SoftwareDeployment_Process Create() 
        {
            return new CreatableMicrosoft_SystemCenter_ServiceManager_SoftwareDeployment_Process(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_ServiceManager_SoftwareDeployment_ProcessClass.GetManagementPackClass();
		

		public Guid ChangeRequestTemplateId
		{	
			set {this[new Guid("cd680ce1-16c8-19cf-7b32-67bab1f08757")].Value = value;}	
			get {return (Guid) this[new Guid("cd680ce1-16c8-19cf-7b32-67bab1f08757")].Value; }		
		}			

		public string ChangeRequestTemplateName
		{	
			set {this[new Guid("b7ffbc76-511d-06fa-6031-bd45eecba3f0")].Value = value;}	
			get {return (string) this[new Guid("b7ffbc76-511d-06fa-6031-bd45eecba3f0")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("d1af8bcf-1b0f-3156-8c2c-b41d985e7886")].Value = value;}	
			get {return (string) this[new Guid("d1af8bcf-1b0f-3156-8c2c-b41d985e7886")].Value; }		
		}			

		public string ProcessId
		{	
			set {this[new Guid("0b6602de-778e-b7d2-edde-b9808398ed85")].Value = value;}	
			get {return (string) this[new Guid("0b6602de-778e-b7d2-edde-b9808398ed85")].Value; }		
		}			

	}//
/*
			Name	 		: ServiceManager.SoftwareDeployment.SCCM.Configuration	
			Id 				: 35eb0df0-a0be-962b-b472-f8b888bc558e
			Description 	: Defines the properties used in the configuration of software deployment for Configuration Manager
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableServiceManager_SoftwareDeployment_SCCM_Configuration : CreatableEnterpriseManagementObject
	{
	    public CreatableServiceManager_SoftwareDeployment_SCCM_Configuration(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableServiceManager_SoftwareDeployment_SCCM_Configuration Create() 
        {
            return new CreatableServiceManager_SoftwareDeployment_SCCM_Configuration(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = ServiceManager_SoftwareDeployment_SCCM_ConfigurationClass.GetManagementPackClass();
		

		public string Description
		{	
			set {this[new Guid("fdef40b6-6f2a-5a1d-0c3c-44ff123f6112")].Value = value;}	
			get {return (string) this[new Guid("fdef40b6-6f2a-5a1d-0c3c-44ff123f6112")].Value; }		
		}			

		public string ServerName
		{	
			set {this[new Guid("6af925d4-05f7-2475-ae4d-f307257a5bc4")].Value = value;}	
			get {return (string) this[new Guid("6af925d4-05f7-2475-ae4d-f307257a5bc4")].Value; }		
		}			

		public string SiteCode
		{	
			set {this[new Guid("184923b7-5868-e957-ff89-3d3f8a747749")].Value = value;}	
			get {return (string) this[new Guid("184923b7-5868-e957-ff89-3d3f8a747749")].Value; }		
		}			

	}//
/*
			Name	 		: ServiceManager.SoftwareDeployment.WorkflowTarget	
			Id 				: 562dded4-fe45-626e-edc0-eed234f73309
			Description 	: Defines the properties of the software deployment workflow target
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableServiceManager_SoftwareDeployment_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableServiceManager_SoftwareDeployment_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableServiceManager_SoftwareDeployment_WorkflowTarget Create() 
        {
            return new CreatableServiceManager_SoftwareDeployment_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = ServiceManager_SoftwareDeployment_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.WorkItem.Activity.PortalSoftwareDeploymentActivity	
			Id 				: 87dea200-2dc4-9cf2-63ba-777d7faba31b
			Description 	: Activity to perform software deployment
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			Response class inherits from:
				                        System.WorkItem.Activity
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Activity_PortalSoftwareDeploymentActivity : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Activity_PortalSoftwareDeploymentActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Activity_PortalSoftwareDeploymentActivity Create() 
        {
            return new CreatableSystem_WorkItem_Activity_PortalSoftwareDeploymentActivity(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Activity_PortalSoftwareDeploymentActivityClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public ManagementPackEnumeration Area
		{	
			set {this[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public string ErrorMessage
		{	
			set {this[new Guid("44f815ca-5043-40be-676f-d16c025211d3")].Value = value;}	
			get {return (string) this[new Guid("44f815ca-5043-40be-676f-d16c025211d3")].Value; }		
		}			

		public string MachineName
		{	
			set {this[new Guid("2b7a96de-1ca0-52c8-de27-a57df12dce08")].Value = value;}	
			get {return (string) this[new Guid("2b7a96de-1ca0-52c8-de27-a57df12dce08")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
			get {return (string) this[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
		}			

		public string PackageID
		{	
			set {this[new Guid("61159703-ca9c-66c8-4aaa-c1adee568ac3")].Value = value;}	
			get {return (string) this[new Guid("61159703-ca9c-66c8-4aaa-c1adee568ac3")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public int SequenceId
		{	
			set {this[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
			get {return (int) this[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
		}			

		public ManagementPackEnumeration Stage
		{	
			set {this[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("b3c5afc1-d310-88d1-7b47-982775d25363")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("b3c5afc1-d310-88d1-7b47-982775d25363")].Value; }		
		}			

		public ManagementPackEnumeration Status1
		{	
			set {this[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.Subscriptions.Administrator.WorkflowTarget	
			Id 				: 3fdd292d-04cf-e893-9ae2-76740ba4e017
			Description 	: Defines the properties of the subscription workflow target
			ManagementPack	: Microsoft.SystemCenter.Subscriptions
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_Subscriptions_Administrator_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_Subscriptions_Administrator_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_Subscriptions_Administrator_WorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_Subscriptions_Administrator_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_Subscriptions_Administrator_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.GlobalSetting.Subscription	
			Id 				: b02ab241-7184-1051-3d38-5f1e5e0553e7
			Description 	: Defines the properties of notification subscriptions
			ManagementPack	: Microsoft.SystemCenter.Subscriptions
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_GlobalSetting_Subscription : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_GlobalSetting_Subscription(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_GlobalSetting_Subscription Create() 
        {
            return new CreatableSystem_GlobalSetting_Subscription(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_GlobalSetting_SubscriptionClass.GetManagementPackClass();
		

		public int HighWatermarkRefreshRateSeconds
		{	
			set {this[new Guid("13e5cfca-80b3-1d09-ad9b-3a548f5f05de")].Value = value;}	
			get {return (int) this[new Guid("13e5cfca-80b3-1d09-ad9b-3a548f5f05de")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.WorkflowFoundation.WorkflowTarget	
			Id 				: 351a1225-d47f-d3a6-152b-5ca5b54232f6
			Description 	: 
			ManagementPack	: Microsoft.SystemCenter.WorkflowFoundation.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_WorkflowFoundation_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_WorkflowFoundation_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_WorkflowFoundation_WorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_WorkflowFoundation_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_WorkflowFoundation_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.AD.Group	
			Id 				: e2386b9b-5364-e438-a317-93836b979c56
			Description 	: Defines the basic properties of Active Directory groups
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.AD.UserBase
				                        System.Domain.User
				                        System.User
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_AD_Group : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_AD_Group(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_AD_Group Create() 
        {
            return new CreatableMicrosoft_AD_Group(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_AD_GroupClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BusinessPhone
		{	
			set {this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value = value;}	
			get {return (string) this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value; }		
		}			

		public string BusinessPhone2
		{	
			set {this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value = value;}	
			get {return (string) this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value; }		
		}			

		public string City
		{	
			set {this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value = value;}	
			get {return (string) this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value; }		
		}			

		public string Company
		{	
			set {this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value = value;}	
			get {return (string) this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value; }		
		}			

		public string Country
		{	
			set {this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value = value;}	
			get {return (string) this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value; }		
		}			

		public string Department
		{	
			set {this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value = value;}	
			get {return (string) this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value; }		
		}			

		public string DistinguishedName
		{	
			set {this[new Guid("97362a11-e6b1-a352-820e-b1e75d09da66")].Value = value;}	
			get {return (string) this[new Guid("97362a11-e6b1-a352-820e-b1e75d09da66")].Value; }		
		}			

		public string Domain
		{	
			set {this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value = value;}	
			get {return (string) this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value; }		
		}			

		public string EmployeeId
		{	
			set {this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value = value;}	
			get {return (string) this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value; }		
		}			

		public string Fax
		{	
			set {this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value = value;}	
			get {return (string) this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value; }		
		}			

		public string FirstName
		{	
			set {this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value = value;}	
			get {return (string) this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value; }		
		}			

		public string FQDN
		{	
			set {this[new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0")].Value = value;}	
			get {return (string) this[new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0")].Value; }		
		}			

		public string HomePhone
		{	
			set {this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value = value;}	
			get {return (string) this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value; }		
		}			

		public string HomePhone2
		{	
			set {this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value = value;}	
			get {return (string) this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value; }		
		}			

		public string Initials
		{	
			set {this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value = value;}	
			get {return (string) this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value; }		
		}			

		public string LastName
		{	
			set {this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value = value;}	
			get {return (string) this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value; }		
		}			

		public string Mobile
		{	
			set {this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value = value;}	
			get {return (string) this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string Office
		{	
			set {this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value = value;}	
			get {return (string) this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value; }		
		}			

		public string Pager
		{	
			set {this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value = value;}	
			get {return (string) this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value; }		
		}			

		public string SID
		{	
			set {this[new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29")].Value = value;}	
			get {return (string) this[new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29")].Value; }		
		}			

		public string State
		{	
			set {this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value = value;}	
			get {return (string) this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value; }		
		}			

		public string StreetAddress
		{	
			set {this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value = value;}	
			get {return (string) this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value = value;}	
			get {return (string) this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value; }		
		}			

		public string UPN
		{	
			set {this[new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8")].Value = value;}	
			get {return (string) this[new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8")].Value; }		
		}			

		public string UserName
		{	
			set {this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value = value;}	
			get {return (string) this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value; }		
		}			

		public string Zip
		{	
			set {this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value = value;}	
			get {return (string) this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.AD.Printer	
			Id 				: 2d41c9e8-68a6-043b-c2cf-57d9d9482170
			Description 	: Defines the basic properties of Active Directory printers
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        System.Printer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_AD_Printer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_AD_Printer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_AD_Printer Create() 
        {
            return new CreatableMicrosoft_AD_Printer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_AD_PrinterClass.GetManagementPackClass();
		

		public string AssetNumber
		{	
			set {this[new Guid("f7b94e15-e05c-62fe-2778-4d4bbd044caf")].Value = value;}	
			get {return (string) this[new Guid("f7b94e15-e05c-62fe-2778-4d4bbd044caf")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string CanonicalName
		{	
			set {this[new Guid("3469e6c9-6234-64a5-5a7f-44f01a1f4296")].Value = value;}	
			get {return (string) this[new Guid("3469e6c9-6234-64a5-5a7f-44f01a1f4296")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("d26a8552-8909-4f15-5333-6936c3c7fb1d")].Value = value;}	
			get {return (string) this[new Guid("d26a8552-8909-4f15-5333-6936c3c7fb1d")].Value; }		
		}			

		public string DistinguishedName
		{	
			set {this[new Guid("62feaa3e-a183-924f-3448-e5051349869f")].Value = value;}	
			get {return (string) this[new Guid("62feaa3e-a183-924f-3448-e5051349869f")].Value; }		
		}			

		public string DriverName
		{	
			set {this[new Guid("6dbb6006-a37e-fea4-914c-bc4070be8133")].Value = value;}	
			get {return (string) this[new Guid("6dbb6006-a37e-fea4-914c-bc4070be8133")].Value; }		
		}			

		public string DriverVersion
		{	
			set {this[new Guid("3d979651-0304-f34c-98d7-a5295c365167")].Value = value;}	
			get {return (string) this[new Guid("3d979651-0304-f34c-98d7-a5295c365167")].Value; }		
		}			

		public string Fullname
		{	
			set {this[new Guid("869bcaa8-9281-2ff1-353b-517d5045d59f")].Value = value;}	
			get {return (string) this[new Guid("869bcaa8-9281-2ff1-353b-517d5045d59f")].Value; }		
		}			

		public bool? IsDeleted
		{	
			set {this[new Guid("0f6a2a1c-aa34-54e9-c054-34bf70de4ebd")].Value = value;}	
			get {return (bool?) this[new Guid("0f6a2a1c-aa34-54e9-c054-34bf70de4ebd")].Value; }		
		}			

		public string Keywords
		{	
			set {this[new Guid("3274b2b3-8a62-552f-5c16-9c6e175f5aba")].Value = value;}	
			get {return (string) this[new Guid("3274b2b3-8a62-552f-5c16-9c6e175f5aba")].Value; }		
		}			

		public string Location
		{	
			set {this[new Guid("93682513-cc0e-d312-488e-e88fc6d1122d")].Value = value;}	
			get {return (string) this[new Guid("93682513-cc0e-d312-488e-e88fc6d1122d")].Value; }		
		}			

		public string ManagedBy
		{	
			set {this[new Guid("e61c42ed-e5a8-10f9-7b05-6a1ea7d4f246")].Value = value;}	
			get {return (string) this[new Guid("e61c42ed-e5a8-10f9-7b05-6a1ea7d4f246")].Value; }		
		}			

		public DateTime? ModifyTimeStamp
		{	
			set {this[new Guid("96d8a99a-7cbf-6823-e181-059fd3b1645f")].Value = value;}	
			get {return (DateTime?) this[new Guid("96d8a99a-7cbf-6823-e181-059fd3b1645f")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PhysicalLocationObject
		{	
			set {this[new Guid("1f9b21d2-75b2-281c-2d16-a60b97210d28")].Value = value;}	
			get {return (string) this[new Guid("1f9b21d2-75b2-281c-2d16-a60b97210d28")].Value; }		
		}			

		public string PortName
		{	
			set {this[new Guid("df3083bd-3970-b4a6-0a96-8f0afd6f1353")].Value = value;}	
			get {return (string) this[new Guid("df3083bd-3970-b4a6-0a96-8f0afd6f1353")].Value; }		
		}			

		public string PrintBinNames
		{	
			set {this[new Guid("e07395c9-62ae-97ea-311e-b5c843d7adb0")].Value = value;}	
			get {return (string) this[new Guid("e07395c9-62ae-97ea-311e-b5c843d7adb0")].Value; }		
		}			

		public string PrintCollate
		{	
			set {this[new Guid("25378519-616a-f21c-7265-3549117c1dd9")].Value = value;}	
			get {return (string) this[new Guid("25378519-616a-f21c-7265-3549117c1dd9")].Value; }		
		}			

		public string PrintColor
		{	
			set {this[new Guid("c132aaa3-6203-db0d-b0bb-02332198fad7")].Value = value;}	
			get {return (string) this[new Guid("c132aaa3-6203-db0d-b0bb-02332198fad7")].Value; }		
		}			

		public string PrintDuplexSupported
		{	
			set {this[new Guid("d60a266d-4b9d-c625-4850-e99608ad3e04")].Value = value;}	
			get {return (string) this[new Guid("d60a266d-4b9d-c625-4850-e99608ad3e04")].Value; }		
		}			

		public string PrinterName
		{	
			set {this[new Guid("8f48898e-12f1-8c29-a70d-fe96c38fb712")].Value = value;}	
			get {return (string) this[new Guid("8f48898e-12f1-8c29-a70d-fe96c38fb712")].Value; }		
		}			

		public string PrintKeepPrintedJobs
		{	
			set {this[new Guid("af1756b9-6c96-0b86-b513-eaabb527b36d")].Value = value;}	
			get {return (string) this[new Guid("af1756b9-6c96-0b86-b513-eaabb527b36d")].Value; }		
		}			

		public string PrintMACAddress
		{	
			set {this[new Guid("129ac218-a27a-0de5-4737-1599819f3153")].Value = value;}	
			get {return (string) this[new Guid("129ac218-a27a-0de5-4737-1599819f3153")].Value; }		
		}			

		public int PrintMaxResolutionSupported
		{	
			set {this[new Guid("3054e38f-c4a9-2d02-224e-352c931e16bb")].Value = value;}	
			get {return (int) this[new Guid("3054e38f-c4a9-2d02-224e-352c931e16bb")].Value; }		
		}			

		public int PrintMaxXExtent
		{	
			set {this[new Guid("14303a5e-91ab-f233-2390-e77fb84aea7b")].Value = value;}	
			get {return (int) this[new Guid("14303a5e-91ab-f233-2390-e77fb84aea7b")].Value; }		
		}			

		public string PrintMediaReady
		{	
			set {this[new Guid("e87227c1-7b56-0260-c700-68b741df6ead")].Value = value;}	
			get {return (string) this[new Guid("e87227c1-7b56-0260-c700-68b741df6ead")].Value; }		
		}			

		public string PrintMediaSupported
		{	
			set {this[new Guid("f1d618e4-d526-8602-1361-af36101bd356")].Value = value;}	
			get {return (string) this[new Guid("f1d618e4-d526-8602-1361-af36101bd356")].Value; }		
		}			

		public string PrintMemory
		{	
			set {this[new Guid("08154ac1-3009-1423-2c58-08d164e617f0")].Value = value;}	
			get {return (string) this[new Guid("08154ac1-3009-1423-2c58-08d164e617f0")].Value; }		
		}			

		public string PrintNetworkAddress
		{	
			set {this[new Guid("7b2a8862-582a-499d-bf99-041e62abd2a2")].Value = value;}	
			get {return (string) this[new Guid("7b2a8862-582a-499d-bf99-041e62abd2a2")].Value; }		
		}			

		public string PrintNotify
		{	
			set {this[new Guid("ba10fb83-9c59-735f-d09a-6537b103c93e")].Value = value;}	
			get {return (string) this[new Guid("ba10fb83-9c59-735f-d09a-6537b103c93e")].Value; }		
		}			

		public string PrintOwner
		{	
			set {this[new Guid("efec5a22-146f-09bb-1b1b-99364a7bdd1f")].Value = value;}	
			get {return (string) this[new Guid("efec5a22-146f-09bb-1b1b-99364a7bdd1f")].Value; }		
		}			

		public int PrintPagesPerMinute
		{	
			set {this[new Guid("49ff3e93-c21d-4360-c2a7-ec66ec1eafb9")].Value = value;}	
			get {return (int) this[new Guid("49ff3e93-c21d-4360-c2a7-ec66ec1eafb9")].Value; }		
		}			

		public int PrintRate
		{	
			set {this[new Guid("e263f875-7990-b709-cdf0-ba77a1c26219")].Value = value;}	
			get {return (int) this[new Guid("e263f875-7990-b709-cdf0-ba77a1c26219")].Value; }		
		}			

		public string PrintRateUnit
		{	
			set {this[new Guid("b2804c7e-2dc5-b733-19af-63390bc75ac9")].Value = value;}	
			get {return (string) this[new Guid("b2804c7e-2dc5-b733-19af-63390bc75ac9")].Value; }		
		}			

		public string PrintShareName
		{	
			set {this[new Guid("dcd4aeef-7386-9b70-f9a8-24a48b8fb020")].Value = value;}	
			get {return (string) this[new Guid("dcd4aeef-7386-9b70-f9a8-24a48b8fb020")].Value; }		
		}			

		public string PrintStaplingSupported
		{	
			set {this[new Guid("21a6298d-53da-fa5b-6919-35d961f58b84")].Value = value;}	
			get {return (string) this[new Guid("21a6298d-53da-fa5b-6919-35d961f58b84")].Value; }		
		}			

		public string ServerName
		{	
			set {this[new Guid("a312fcfe-9428-8ff5-1e9d-c6d298b85666")].Value = value;}	
			get {return (string) this[new Guid("a312fcfe-9428-8ff5-1e9d-c6d298b85666")].Value; }		
		}			

		public string ShortServerName
		{	
			set {this[new Guid("41779a96-123c-7e8d-bb89-8de98fea141e")].Value = value;}	
			get {return (string) this[new Guid("41779a96-123c-7e8d-bb89-8de98fea141e")].Value; }		
		}			

		public string UNCName
		{	
			set {this[new Guid("ff05ca83-bfd7-2de4-586d-08b8fcbeb977")].Value = value;}	
			get {return (string) this[new Guid("ff05ca83-bfd7-2de4-586d-08b8fcbeb977")].Value; }		
		}			

		public string Url
		{	
			set {this[new Guid("351444b0-7efb-9772-8450-04b583fb07d5")].Value = value;}	
			get {return (string) this[new Guid("351444b0-7efb-9772-8450-04b583fb07d5")].Value; }		
		}			

		public string VersionNumber
		{	
			set {this[new Guid("faf56106-adc7-9fd4-522d-1ccebeb3a86e")].Value = value;}	
			get {return (string) this[new Guid("faf56106-adc7-9fd4-522d-1ccebeb3a86e")].Value; }		
		}			

		public DateTime? WhenChanged
		{	
			set {this[new Guid("21a242fe-d395-b68e-fe00-13c86f86a90a")].Value = value;}	
			get {return (DateTime?) this[new Guid("21a242fe-d395-b68e-fe00-13c86f86a90a")].Value; }		
		}			

		public string WWWHomePage
		{	
			set {this[new Guid("95552415-778d-1865-f287-91601a81ea2c")].Value = value;}	
			get {return (string) this[new Guid("95552415-778d-1865-f287-91601a81ea2c")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.AD.User	
			Id 				: 10a7f898-e672-ccf3-8881-360bfb6a8f9a
			Description 	: Defines the basic properties of Active Directory users
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.AD.UserBase
				                        System.Domain.User
				                        System.User
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_AD_User : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_AD_User(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_AD_User Create() 
        {
            return new CreatableMicrosoft_AD_User(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_AD_UserClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BusinessPhone
		{	
			set {this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value = value;}	
			get {return (string) this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value; }		
		}			

		public string BusinessPhone2
		{	
			set {this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value = value;}	
			get {return (string) this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value; }		
		}			

		public string City
		{	
			set {this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value = value;}	
			get {return (string) this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value; }		
		}			

		public string Company
		{	
			set {this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value = value;}	
			get {return (string) this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value; }		
		}			

		public string Country
		{	
			set {this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value = value;}	
			get {return (string) this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value; }		
		}			

		public string Department
		{	
			set {this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value = value;}	
			get {return (string) this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value; }		
		}			

		public string DistinguishedName
		{	
			set {this[new Guid("97362a11-e6b1-a352-820e-b1e75d09da66")].Value = value;}	
			get {return (string) this[new Guid("97362a11-e6b1-a352-820e-b1e75d09da66")].Value; }		
		}			

		public string Domain
		{	
			set {this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value = value;}	
			get {return (string) this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value; }		
		}			

		public string EmployeeId
		{	
			set {this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value = value;}	
			get {return (string) this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value; }		
		}			

		public string Fax
		{	
			set {this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value = value;}	
			get {return (string) this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value; }		
		}			

		public string FirstName
		{	
			set {this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value = value;}	
			get {return (string) this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value; }		
		}			

		public string FQDN
		{	
			set {this[new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0")].Value = value;}	
			get {return (string) this[new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0")].Value; }		
		}			

		public string HomePhone
		{	
			set {this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value = value;}	
			get {return (string) this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value; }		
		}			

		public string HomePhone2
		{	
			set {this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value = value;}	
			get {return (string) this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value; }		
		}			

		public string Initials
		{	
			set {this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value = value;}	
			get {return (string) this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value; }		
		}			

		public string LastName
		{	
			set {this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value = value;}	
			get {return (string) this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value; }		
		}			

		public string Mobile
		{	
			set {this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value = value;}	
			get {return (string) this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string Office
		{	
			set {this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value = value;}	
			get {return (string) this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value; }		
		}			

		public string Pager
		{	
			set {this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value = value;}	
			get {return (string) this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value; }		
		}			

		public string SID
		{	
			set {this[new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29")].Value = value;}	
			get {return (string) this[new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29")].Value; }		
		}			

		public string State
		{	
			set {this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value = value;}	
			get {return (string) this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value; }		
		}			

		public string StreetAddress
		{	
			set {this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value = value;}	
			get {return (string) this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value = value;}	
			get {return (string) this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value; }		
		}			

		public string UPN
		{	
			set {this[new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8")].Value = value;}	
			get {return (string) this[new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8")].Value; }		
		}			

		public string UserName
		{	
			set {this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value = value;}	
			get {return (string) this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value; }		
		}			

		public string Zip
		{	
			set {this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value = value;}	
			get {return (string) this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.AD.UserBase	
			Id 				: 3567434d-015f-8dcc-f188-0a407f3a2168
			Description 	: Defines the common properties of Active Directory users and groups
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        System.Domain.User
				                        System.User
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_AD_UserBase : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_AD_UserBase(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_AD_UserBase Create() 
        {
            return new CreatableMicrosoft_AD_UserBase(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_AD_UserBaseClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BusinessPhone
		{	
			set {this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value = value;}	
			get {return (string) this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value; }		
		}			

		public string BusinessPhone2
		{	
			set {this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value = value;}	
			get {return (string) this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value; }		
		}			

		public string City
		{	
			set {this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value = value;}	
			get {return (string) this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value; }		
		}			

		public string Company
		{	
			set {this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value = value;}	
			get {return (string) this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value; }		
		}			

		public string Country
		{	
			set {this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value = value;}	
			get {return (string) this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value; }		
		}			

		public string Department
		{	
			set {this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value = value;}	
			get {return (string) this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value; }		
		}			

		public string DistinguishedName
		{	
			set {this[new Guid("97362a11-e6b1-a352-820e-b1e75d09da66")].Value = value;}	
			get {return (string) this[new Guid("97362a11-e6b1-a352-820e-b1e75d09da66")].Value; }		
		}			

		public string Domain
		{	
			set {this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value = value;}	
			get {return (string) this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value; }		
		}			

		public string EmployeeId
		{	
			set {this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value = value;}	
			get {return (string) this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value; }		
		}			

		public string Fax
		{	
			set {this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value = value;}	
			get {return (string) this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value; }		
		}			

		public string FirstName
		{	
			set {this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value = value;}	
			get {return (string) this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value; }		
		}			

		public string FQDN
		{	
			set {this[new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0")].Value = value;}	
			get {return (string) this[new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0")].Value; }		
		}			

		public string HomePhone
		{	
			set {this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value = value;}	
			get {return (string) this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value; }		
		}			

		public string HomePhone2
		{	
			set {this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value = value;}	
			get {return (string) this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value; }		
		}			

		public string Initials
		{	
			set {this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value = value;}	
			get {return (string) this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value; }		
		}			

		public string LastName
		{	
			set {this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value = value;}	
			get {return (string) this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value; }		
		}			

		public string Mobile
		{	
			set {this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value = value;}	
			get {return (string) this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string Office
		{	
			set {this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value = value;}	
			get {return (string) this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value; }		
		}			

		public string Pager
		{	
			set {this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value = value;}	
			get {return (string) this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value; }		
		}			

		public string SID
		{	
			set {this[new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29")].Value = value;}	
			get {return (string) this[new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29")].Value; }		
		}			

		public string State
		{	
			set {this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value = value;}	
			get {return (string) this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value; }		
		}			

		public string StreetAddress
		{	
			set {this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value = value;}	
			get {return (string) this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value = value;}	
			get {return (string) this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value; }		
		}			

		public string UPN
		{	
			set {this[new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8")].Value = value;}	
			get {return (string) this[new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8")].Value; }		
		}			

		public string UserName
		{	
			set {this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value = value;}	
			get {return (string) this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value; }		
		}			

		public string Zip
		{	
			set {this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value = value;}	
			get {return (string) this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Client.Computer	
			Id 				: 5918e198-2dbe-5f7d-135e-6e43a94ccb5b
			Description 	: Defines the basic properties of computers running Windows client operating systems
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.Windows.Computer
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Client_Computer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Client_Computer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Client_Computer Create() 
        {
            return new CreatableMicrosoft_Windows_Client_Computer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Client_ComputerClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Client.OperatingSystem	
			Id 				: e9377b27-f64b-b2a3-b01d-5de35b1304ac
			Description 	: Defines the basic properties of Windows Client operating systems
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.Windows.OperatingSystem
				                        System.OperatingSystem
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Client_OperatingSystem : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Client_OperatingSystem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Client_OperatingSystem Create() 
        {
            return new CreatableMicrosoft_Windows_Client_OperatingSystem(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Client_OperatingSystemClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BuildNumber
		{	
			set {this[new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19")].Value = value;}	
			get {return (string) this[new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19")].Value; }		
		}			

		public string CountryCode
		{	
			set {this[new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b")].Value = value;}	
			get {return (string) this[new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b")].Value; }		
		}			

		public string CSDVersion
		{	
			set {this[new Guid("bf125622-640e-901c-7c53-a32391fba2a5")].Value = value;}	
			get {return (string) this[new Guid("bf125622-640e-901c-7c53-a32391fba2a5")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810")].Value = value;}	
			get {return (string) this[new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810")].Value; }		
		}			

		public string InstallDate
		{	
			set {this[new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee")].Value = value;}	
			get {return (string) this[new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee")].Value; }		
		}			

		public string Locale
		{	
			set {this[new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c")].Value = value;}	
			get {return (string) this[new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("6521ce39-faec-1489-b49c-3d7cc441b717")].Value = value;}	
			get {return (int) this[new Guid("6521ce39-faec-1489-b49c-3d7cc441b717")].Value; }		
		}			

		public string MajorVersion
		{	
			set {this[new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc")].Value = value;}	
			get {return (string) this[new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd")].Value = value;}	
			get {return (string) this[new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd")].Value; }		
		}			

		public string MinorVersion
		{	
			set {this[new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3")].Value = value;}	
			get {return (string) this[new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string OSLanguage
		{	
			set {this[new Guid("eac39b2c-e610-d134-3764-d052857bc8f3")].Value = value;}	
			get {return (string) this[new Guid("eac39b2c-e610-d134-3764-d052857bc8f3")].Value; }		
		}			

		public string OSVersion
		{	
			set {this[new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a")].Value = value;}	
			get {return (string) this[new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a")].Value; }		
		}			

		public string OSVersionDisplayName
		{	
			set {this[new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd")].Value = value;}	
			get {return (string) this[new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd")].Value; }		
		}			

		public int PhysicalMemory
		{	
			set {this[new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079")].Value = value;}	
			get {return (int) this[new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079")].Value; }		
		}			

		public string ProductType
		{	
			set {this[new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9")].Value = value;}	
			get {return (string) this[new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9")].Value; }		
		}			

		public string SerialNumber
		{	
			set {this[new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988")].Value = value;}	
			get {return (string) this[new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988")].Value; }		
		}			

		public string ServicePackVersion
		{	
			set {this[new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0")].Value = value;}	
			get {return (string) this[new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0")].Value; }		
		}			

		public string SystemDrive
		{	
			set {this[new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822")].Value = value;}	
			get {return (string) this[new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822")].Value; }		
		}			

		public string WindowsDirectory
		{	
			set {this[new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b")].Value = value;}	
			get {return (string) this[new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Computer	
			Id 				: ea99500d-8d52-fc52-b5a5-10dcd1e9d2bd
			Description 	: Defines the basic properties of computers running Windows operating systems
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Computer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Computer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Computer Create() 
        {
            return new CreatableMicrosoft_Windows_Computer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_ComputerClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.OperatingSystem	
			Id 				: 66dd9b43-3dc1-3831-95d4-1b03b0a6ea13
			Description 	: Defines the basic properties of Windows operating systems
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        System.OperatingSystem
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_OperatingSystem : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_OperatingSystem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_OperatingSystem Create() 
        {
            return new CreatableMicrosoft_Windows_OperatingSystem(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_OperatingSystemClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BuildNumber
		{	
			set {this[new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19")].Value = value;}	
			get {return (string) this[new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19")].Value; }		
		}			

		public string CountryCode
		{	
			set {this[new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b")].Value = value;}	
			get {return (string) this[new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b")].Value; }		
		}			

		public string CSDVersion
		{	
			set {this[new Guid("bf125622-640e-901c-7c53-a32391fba2a5")].Value = value;}	
			get {return (string) this[new Guid("bf125622-640e-901c-7c53-a32391fba2a5")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810")].Value = value;}	
			get {return (string) this[new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810")].Value; }		
		}			

		public string InstallDate
		{	
			set {this[new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee")].Value = value;}	
			get {return (string) this[new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee")].Value; }		
		}			

		public string Locale
		{	
			set {this[new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c")].Value = value;}	
			get {return (string) this[new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("6521ce39-faec-1489-b49c-3d7cc441b717")].Value = value;}	
			get {return (int) this[new Guid("6521ce39-faec-1489-b49c-3d7cc441b717")].Value; }		
		}			

		public string MajorVersion
		{	
			set {this[new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc")].Value = value;}	
			get {return (string) this[new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd")].Value = value;}	
			get {return (string) this[new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd")].Value; }		
		}			

		public string MinorVersion
		{	
			set {this[new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3")].Value = value;}	
			get {return (string) this[new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string OSLanguage
		{	
			set {this[new Guid("eac39b2c-e610-d134-3764-d052857bc8f3")].Value = value;}	
			get {return (string) this[new Guid("eac39b2c-e610-d134-3764-d052857bc8f3")].Value; }		
		}			

		public string OSVersion
		{	
			set {this[new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a")].Value = value;}	
			get {return (string) this[new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a")].Value; }		
		}			

		public string OSVersionDisplayName
		{	
			set {this[new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd")].Value = value;}	
			get {return (string) this[new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd")].Value; }		
		}			

		public int PhysicalMemory
		{	
			set {this[new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079")].Value = value;}	
			get {return (int) this[new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079")].Value; }		
		}			

		public string ProductType
		{	
			set {this[new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9")].Value = value;}	
			get {return (string) this[new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9")].Value; }		
		}			

		public string SerialNumber
		{	
			set {this[new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988")].Value = value;}	
			get {return (string) this[new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988")].Value; }		
		}			

		public string ServicePackVersion
		{	
			set {this[new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0")].Value = value;}	
			get {return (string) this[new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0")].Value; }		
		}			

		public string SystemDrive
		{	
			set {this[new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822")].Value = value;}	
			get {return (string) this[new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822")].Value; }		
		}			

		public string WindowsDirectory
		{	
			set {this[new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b")].Value = value;}	
			get {return (string) this[new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Server.Computer	
			Id 				: e817d034-02e8-294c-3509-01ca25481689
			Description 	: Defines the basic properties of computers running Windows Server operating systems
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.Windows.Computer
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Server_Computer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Server_Computer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Server_Computer Create() 
        {
            return new CreatableMicrosoft_Windows_Server_Computer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Server_ComputerClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public bool? IsVirtualNode
		{	
			set {this[new Guid("d1d39d5c-e934-7d7f-4f38-58d5ef4ae1e2")].Value = value;}	
			get {return (bool?) this[new Guid("d1d39d5c-e934-7d7f-4f38-58d5ef4ae1e2")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Server.DC.Computer	
			Id 				: eb0749d9-2030-3ab3-1219-971f775f86df
			Description 	: Defines the basic properties of Windows domain controllers
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.Windows.Server.Computer
				                        Microsoft.Windows.Computer
				                        System.Computer
				                        System.Device
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Server_DC_Computer : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Server_DC_Computer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Server_DC_Computer Create() 
        {
            return new CreatableMicrosoft_Windows_Server_DC_Computer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Server_DC_ComputerClass.GetManagementPackClass();
		

		public string ActiveDirectoryObjectSid
		{	
			set {this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value = value;}	
			get {return (string) this[new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6")].Value; }		
		}			

		public string ActiveDirectorySite
		{	
			set {this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value = value;}	
			get {return (string) this[new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string DNSName
		{	
			set {this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value = value;}	
			get {return (string) this[new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6")].Value; }		
		}			

		public string DomainDnsName
		{	
			set {this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value = value;}	
			get {return (string) this[new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3")].Value; }		
		}			

		public string ForestDnsName
		{	
			set {this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value = value;}	
			get {return (string) this[new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value = value;}	
			get {return (string) this[new Guid("f97e7c31-f713-e2a6-0450-239a62363651")].Value; }		
		}			

		public bool? IsVirtualMachine
		{	
			set {this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value = value;}	
			get {return (bool?) this[new Guid("6832a546-b39d-aff8-94e1-660bbd336687")].Value; }		
		}			

		public bool? IsVirtualNode
		{	
			set {this[new Guid("d1d39d5c-e934-7d7f-4f38-58d5ef4ae1e2")].Value = value;}	
			get {return (bool?) this[new Guid("d1d39d5c-e934-7d7f-4f38-58d5ef4ae1e2")].Value; }		
		}			

		public DateTime? LastInventoryDate
		{	
			set {this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value = value;}	
			get {return (DateTime?) this[new Guid("6223ef72-50de-b1fb-d666-397cefd264ea")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value = value;}	
			get {return (int) this[new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7")].Value; }		
		}			

		public string NetbiosComputerName
		{	
			set {this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value = value;}	
			get {return (string) this[new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3")].Value; }		
		}			

		public string NetbiosDomainName
		{	
			set {this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value = value;}	
			get {return (string) this[new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0")].Value; }		
		}			

		public string NetworkName
		{	
			set {this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value = value;}	
			get {return (string) this[new Guid("8f538d63-86da-c149-3c84-1f1aace2f930")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int OffsetInMinuteFromGreenwichTime
		{	
			set {this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value = value;}	
			get {return (int) this[new Guid("68f597b6-aada-7baa-b544-fe67c737be32")].Value; }		
		}			

		public string OrganizationalUnit
		{	
			set {this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value = value;}	
			get {return (string) this[new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a")].Value; }		
		}			

		public string PrincipalName
		{	
			set {this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value = value;}	
			get {return (string) this[new Guid("5c324096-d928-76db-e9e7-e629dcc261b1")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Server.OperatingSystem	
			Id 				: ab468fc4-467d-841e-0f5d-61c41fa54735
			Description 	: Defines the basic properties of Windows Server operating systems
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        Microsoft.Windows.OperatingSystem
				                        System.OperatingSystem
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Server_OperatingSystem : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Server_OperatingSystem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Server_OperatingSystem Create() 
        {
            return new CreatableMicrosoft_Windows_Server_OperatingSystem(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Server_OperatingSystemClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BuildNumber
		{	
			set {this[new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19")].Value = value;}	
			get {return (string) this[new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19")].Value; }		
		}			

		public string CountryCode
		{	
			set {this[new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b")].Value = value;}	
			get {return (string) this[new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b")].Value; }		
		}			

		public string CSDVersion
		{	
			set {this[new Guid("bf125622-640e-901c-7c53-a32391fba2a5")].Value = value;}	
			get {return (string) this[new Guid("bf125622-640e-901c-7c53-a32391fba2a5")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810")].Value = value;}	
			get {return (string) this[new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810")].Value; }		
		}			

		public string InstallDate
		{	
			set {this[new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee")].Value = value;}	
			get {return (string) this[new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee")].Value; }		
		}			

		public string Locale
		{	
			set {this[new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c")].Value = value;}	
			get {return (string) this[new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c")].Value; }		
		}			

		public int LogicalProcessors
		{	
			set {this[new Guid("6521ce39-faec-1489-b49c-3d7cc441b717")].Value = value;}	
			get {return (int) this[new Guid("6521ce39-faec-1489-b49c-3d7cc441b717")].Value; }		
		}			

		public string MajorVersion
		{	
			set {this[new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc")].Value = value;}	
			get {return (string) this[new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd")].Value = value;}	
			get {return (string) this[new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd")].Value; }		
		}			

		public string MinorVersion
		{	
			set {this[new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3")].Value = value;}	
			get {return (string) this[new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string OSLanguage
		{	
			set {this[new Guid("eac39b2c-e610-d134-3764-d052857bc8f3")].Value = value;}	
			get {return (string) this[new Guid("eac39b2c-e610-d134-3764-d052857bc8f3")].Value; }		
		}			

		public string OSVersion
		{	
			set {this[new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a")].Value = value;}	
			get {return (string) this[new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a")].Value; }		
		}			

		public string OSVersionDisplayName
		{	
			set {this[new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd")].Value = value;}	
			get {return (string) this[new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd")].Value; }		
		}			

		public int PhysicalMemory
		{	
			set {this[new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079")].Value = value;}	
			get {return (int) this[new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079")].Value; }		
		}			

		public string ProductType
		{	
			set {this[new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9")].Value = value;}	
			get {return (string) this[new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9")].Value; }		
		}			

		public string SerialNumber
		{	
			set {this[new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988")].Value = value;}	
			get {return (string) this[new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988")].Value; }		
		}			

		public string ServicePackVersion
		{	
			set {this[new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0")].Value = value;}	
			get {return (string) this[new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0")].Value; }		
		}			

		public string SystemDrive
		{	
			set {this[new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822")].Value = value;}	
			get {return (string) this[new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822")].Value; }		
		}			

		public string WindowsDirectory
		{	
			set {this[new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b")].Value = value;}	
			get {return (string) this[new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.SoftwareUpdate	
			Id 				: 7997fba0-60b6-5346-aab9-5a46888036e2
			Description 	: Defines the basic properties of Microsoft software updates, including critical and security updates
			ManagementPack	: Microsoft.Windows.Library
			Response class inherits from:
				                        System.SoftwareUpdate
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_SoftwareUpdate : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_SoftwareUpdate(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_SoftwareUpdate Create() 
        {
            return new CreatableMicrosoft_Windows_SoftwareUpdate(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_SoftwareUpdateClass.GetManagementPackClass();
		

		public string ArticleID
		{	
			set {this[new Guid("d4d1e127-fd3c-426e-b077-6bd731839f6b")].Value = value;}	
			get {return (string) this[new Guid("d4d1e127-fd3c-426e-b077-6bd731839f6b")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BulletinID
		{	
			set {this[new Guid("92ce6581-13ec-8603-fdc6-aaa4e9a8a58a")].Value = value;}	
			get {return (string) this[new Guid("92ce6581-13ec-8603-fdc6-aaa4e9a8a58a")].Value; }		
		}			

		public string Classification
		{	
			set {this[new Guid("87763776-85da-1f90-6273-4472e1bc01b2")].Value = value;}	
			get {return (string) this[new Guid("87763776-85da-1f90-6273-4472e1bc01b2")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string Parent
		{	
			set {this[new Guid("a7e4c62f-feeb-7b86-dec0-b1619799e1e1")].Value = value;}	
			get {return (string) this[new Guid("a7e4c62f-feeb-7b86-dec0-b1619799e1e1")].Value; }		
		}			

		public string ParentVersion
		{	
			set {this[new Guid("2aba2906-56ff-226a-b796-1854d7d84313")].Value = value;}	
			get {return (string) this[new Guid("2aba2906-56ff-226a-b796-1854d7d84313")].Value; }		
		}			

		public string SupportString
		{	
			set {this[new Guid("e974d9c4-1d19-b5b6-d0bd-1fee379d524a")].Value = value;}	
			get {return (string) this[new Guid("e974d9c4-1d19-b5b6-d0bd-1fee379d524a")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("f9af25bc-d8e4-02ca-c607-ba9d5ad79850")].Value = value;}	
			get {return (string) this[new Guid("f9af25bc-d8e4-02ca-c607-ba9d5ad79850")].Value; }		
		}			

		public string Vendor
		{	
			set {this[new Guid("2fa20ad3-c8d8-f6d6-9224-a77cd07bf6f3")].Value = value;}	
			get {return (string) this[new Guid("2fa20ad3-c8d8-f6d6-9224-a77cd07bf6f3")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Peripheral.DiskPartition	
			Id 				: df25184c-6efc-3a46-8d0c-9269b4dc107e
			Description 	: All Windows Disk Partitions
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			Response class inherits from:
				                        Microsoft.Windows.DiskPartition
				                        Microsoft.Windows.LogicalDevice
				                        System.LogicalHardware
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Peripheral_DiskPartition : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Peripheral_DiskPartition(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Peripheral_DiskPartition Create() 
        {
            return new CreatableMicrosoft_Windows_Peripheral_DiskPartition(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Peripheral_DiskPartitionClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public int BlockSize
		{	
			set {this[new Guid("3849ae3b-01c8-b9e2-7544-7d6705389113")].Value = value;}	
			get {return (int) this[new Guid("3849ae3b-01c8-b9e2-7544-7d6705389113")].Value; }		
		}			

		public string Bootable
		{	
			set {this[new Guid("4f1fd289-a656-7111-2bbe-7fa9b11dd426")].Value = value;}	
			get {return (string) this[new Guid("4f1fd289-a656-7111-2bbe-7fa9b11dd426")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value = value;}	
			get {return (string) this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value; }		
		}			

		public string DeviceID
		{	
			set {this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value = value;}	
			get {return (string) this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value; }		
		}			

		public int DiskIndex
		{	
			set {this[new Guid("e1e6c69c-220d-ebcd-8ea5-828051f2c6de")].Value = value;}	
			get {return (int) this[new Guid("e1e6c69c-220d-ebcd-8ea5-828051f2c6de")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PrimaryPartition
		{	
			set {this[new Guid("d8ac4929-22ab-211b-6525-e1df5567d7e4")].Value = value;}	
			get {return (string) this[new Guid("d8ac4929-22ab-211b-6525-e1df5567d7e4")].Value; }		
		}			

		public int Size
		{	
			set {this[new Guid("825487ab-e544-c72f-6f57-b93fe8499bd0")].Value = value;}	
			get {return (int) this[new Guid("825487ab-e544-c72f-6f57-b93fe8499bd0")].Value; }		
		}			

		public string Type
		{	
			set {this[new Guid("69fabfcd-d579-2be1-e786-c80b219c4be5")].Value = value;}	
			get {return (string) this[new Guid("69fabfcd-d579-2be1-e786-c80b219c4be5")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Peripheral.LogicalDisk	
			Id 				: abf81a57-0a02-f2d9-e240-7dfd9cd58dda
			Description 	: All Windows logical disks
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			Response class inherits from:
				                        Microsoft.Windows.LogicalDisk
				                        Microsoft.Windows.LogicalDevice
				                        System.LogicalHardware
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Peripheral_LogicalDisk : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Peripheral_LogicalDisk(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Peripheral_LogicalDisk Create() 
        {
            return new CreatableMicrosoft_Windows_Peripheral_LogicalDisk(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Peripheral_LogicalDiskClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Compressed
		{	
			set {this[new Guid("873abb14-62bd-09a1-f932-fb2714541842")].Value = value;}	
			get {return (string) this[new Guid("873abb14-62bd-09a1-f932-fb2714541842")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value = value;}	
			get {return (string) this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value; }		
		}			

		public string DeviceID
		{	
			set {this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value = value;}	
			get {return (string) this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value; }		
		}			

		public int DriveType
		{	
			set {this[new Guid("eb3e8d1c-89bd-615f-2850-8b723af061a2")].Value = value;}	
			get {return (int) this[new Guid("eb3e8d1c-89bd-615f-2850-8b723af061a2")].Value; }		
		}			

		public string FileSystem
		{	
			set {this[new Guid("6d1467fa-2d76-ccc0-39f6-a0454df12453")].Value = value;}	
			get {return (string) this[new Guid("6d1467fa-2d76-ccc0-39f6-a0454df12453")].Value; }		
		}			

		public int FreeSpace
		{	
			set {this[new Guid("cf8c3da9-0310-09f1-7890-6035b3cb17ce")].Value = value;}	
			get {return (int) this[new Guid("cf8c3da9-0310-09f1-7890-6035b3cb17ce")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string QuotasDisabled
		{	
			set {this[new Guid("fa38c8d8-fc9a-29ef-ecac-69e4f36d9ac0")].Value = value;}	
			get {return (string) this[new Guid("fa38c8d8-fc9a-29ef-ecac-69e4f36d9ac0")].Value; }		
		}			

		public int Size
		{	
			set {this[new Guid("8a8c8f99-b6a5-95d9-8ecb-70aa0fe3b238")].Value = value;}	
			get {return (int) this[new Guid("8a8c8f99-b6a5-95d9-8ecb-70aa0fe3b238")].Value; }		
		}			

		public string SupportsDiskQuota
		{	
			set {this[new Guid("fc199dcc-ac34-d38f-41e2-3a796329d1a7")].Value = value;}	
			get {return (string) this[new Guid("fc199dcc-ac34-d38f-41e2-3a796329d1a7")].Value; }		
		}			

		public string SupportsFileBasedCompression
		{	
			set {this[new Guid("92d4e375-5cf8-4a88-aed0-480724d0ea7a")].Value = value;}	
			get {return (string) this[new Guid("92d4e375-5cf8-4a88-aed0-480724d0ea7a")].Value; }		
		}			

		public string VolumeName
		{	
			set {this[new Guid("654302a3-8566-e4e9-e856-f8cae47741b2")].Value = value;}	
			get {return (string) this[new Guid("654302a3-8566-e4e9-e856-f8cae47741b2")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Peripheral.NetworkAdapter	
			Id 				: 5bdd8f81-9c4a-2d59-48c5-6ea175422592
			Description 	: All Windows network adapters
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			Response class inherits from:
				                        Microsoft.Windows.NetworkAdapter
				                        Microsoft.Windows.LogicalDevice
				                        System.LogicalHardware
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Peripheral_NetworkAdapter : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Peripheral_NetworkAdapter(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Peripheral_NetworkAdapter Create() 
        {
            return new CreatableMicrosoft_Windows_Peripheral_NetworkAdapter(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Peripheral_NetworkAdapterClass.GetManagementPackClass();
		

		public string AdapterType
		{	
			set {this[new Guid("6676645d-b0ea-04b3-02cc-fb9291a518f7")].Value = value;}	
			get {return (string) this[new Guid("6676645d-b0ea-04b3-02cc-fb9291a518f7")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public int Bandwidth
		{	
			set {this[new Guid("784bab99-4a3d-eff7-cabb-b81a557cd77e")].Value = value;}	
			get {return (int) this[new Guid("784bab99-4a3d-eff7-cabb-b81a557cd77e")].Value; }		
		}			

		public string DefaultIPGateway
		{	
			set {this[new Guid("f38ad6ee-4c08-8ab7-220f-b9591c917ee9")].Value = value;}	
			get {return (string) this[new Guid("f38ad6ee-4c08-8ab7-220f-b9591c917ee9")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value = value;}	
			get {return (string) this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value; }		
		}			

		public string DeviceID
		{	
			set {this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value = value;}	
			get {return (string) this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value; }		
		}			

		public string DHCPEnabled
		{	
			set {this[new Guid("53506347-d1c3-8170-7058-5c35a901f36d")].Value = value;}	
			get {return (string) this[new Guid("53506347-d1c3-8170-7058-5c35a901f36d")].Value; }		
		}			

		public string DHCPHostname
		{	
			set {this[new Guid("6a43a211-ca35-c986-793b-71c027a24fe3")].Value = value;}	
			get {return (string) this[new Guid("6a43a211-ca35-c986-793b-71c027a24fe3")].Value; }		
		}			

		public string DHCPServer
		{	
			set {this[new Guid("012b7fb5-b6c7-e6cd-554d-337579bbd9a2")].Value = value;}	
			get {return (string) this[new Guid("012b7fb5-b6c7-e6cd-554d-337579bbd9a2")].Value; }		
		}			

		public string DNSDomain
		{	
			set {this[new Guid("5821fd85-2ec9-acca-229b-4f3c07e21de3")].Value = value;}	
			get {return (string) this[new Guid("5821fd85-2ec9-acca-229b-4f3c07e21de3")].Value; }		
		}			

		public int Index
		{	
			set {this[new Guid("1a2f35c4-d819-c028-310d-eb58cc6b6138")].Value = value;}	
			get {return (int) this[new Guid("1a2f35c4-d819-c028-310d-eb58cc6b6138")].Value; }		
		}			

		public string IPAddress
		{	
			set {this[new Guid("d6e4490a-7b58-e613-f984-d6c0c2a80780")].Value = value;}	
			get {return (string) this[new Guid("d6e4490a-7b58-e613-f984-d6c0c2a80780")].Value; }		
		}			

		public bool? IPEnabled
		{	
			set {this[new Guid("d75447f1-938d-1056-3f70-ba23fb788d63")].Value = value;}	
			get {return (bool?) this[new Guid("d75447f1-938d-1056-3f70-ba23fb788d63")].Value; }		
		}			

		public string IPSubnet
		{	
			set {this[new Guid("6d20263c-802a-18d6-374c-e346a38658a6")].Value = value;}	
			get {return (string) this[new Guid("6d20263c-802a-18d6-374c-e346a38658a6")].Value; }		
		}			

		public string MACAddress
		{	
			set {this[new Guid("d10701a0-1df5-d5c8-a96a-06e24ee1e254")].Value = value;}	
			get {return (string) this[new Guid("d10701a0-1df5-d5c8-a96a-06e24ee1e254")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("cf5b8be1-6a06-83c1-bea3-2ebfe8460484")].Value = value;}	
			get {return (string) this[new Guid("cf5b8be1-6a06-83c1-bea3-2ebfe8460484")].Value; }		
		}			

		public int MaxSpeed
		{	
			set {this[new Guid("fd71ed36-c5c5-1870-0ce5-f46507eae0fa")].Value = value;}	
			get {return (int) this[new Guid("fd71ed36-c5c5-1870-0ce5-f46507eae0fa")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PerfmonInstance
		{	
			set {this[new Guid("17390d7d-47f3-9f85-ed6a-51c5484cc465")].Value = value;}	
			get {return (string) this[new Guid("17390d7d-47f3-9f85-ed6a-51c5484cc465")].Value; }		
		}			

		public string ProductName
		{	
			set {this[new Guid("6bea0fca-c6cb-9523-7c94-bd9fbae7d9ed")].Value = value;}	
			get {return (string) this[new Guid("6bea0fca-c6cb-9523-7c94-bd9fbae7d9ed")].Value; }		
		}			

		public string ServiceName
		{	
			set {this[new Guid("c98a6f4d-731c-3cc7-4dca-4baca699c9ab")].Value = value;}	
			get {return (string) this[new Guid("c98a6f4d-731c-3cc7-4dca-4baca699c9ab")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Peripheral.PhysicalDisk	
			Id 				: d6cb51c3-66a7-165d-ebfb-2fc8b525967d
			Description 	: All Windows physical disks
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			Response class inherits from:
				                        Microsoft.Windows.PhysicalDisk
				                        Microsoft.Windows.LogicalDevice
				                        System.LogicalHardware
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Peripheral_PhysicalDisk : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Peripheral_PhysicalDisk(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Peripheral_PhysicalDisk Create() 
        {
            return new CreatableMicrosoft_Windows_Peripheral_PhysicalDisk(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Peripheral_PhysicalDiskClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Caption
		{	
			set {this[new Guid("9f61bb4b-ab8f-f6ae-7e48-228cfa123d5a")].Value = value;}	
			get {return (string) this[new Guid("9f61bb4b-ab8f-f6ae-7e48-228cfa123d5a")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value = value;}	
			get {return (string) this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value; }		
		}			

		public string DeviceID
		{	
			set {this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value = value;}	
			get {return (string) this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value; }		
		}			

		public int Index
		{	
			set {this[new Guid("6d8cf00b-4231-a168-06b5-df37b8a8c787")].Value = value;}	
			get {return (int) this[new Guid("6d8cf00b-4231-a168-06b5-df37b8a8c787")].Value; }		
		}			

		public string InterfaceType
		{	
			set {this[new Guid("4516d9fa-c52f-0941-6da8-5036233ff3ac")].Value = value;}	
			get {return (string) this[new Guid("4516d9fa-c52f-0941-6da8-5036233ff3ac")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("cdc2d9fb-d5c2-468e-32c5-02e88cba4103")].Value = value;}	
			get {return (string) this[new Guid("cdc2d9fb-d5c2-468e-32c5-02e88cba4103")].Value; }		
		}			

		public string MediaType
		{	
			set {this[new Guid("9147b06e-e3c3-12f8-0c8b-ef1f2c04cd15")].Value = value;}	
			get {return (string) this[new Guid("9147b06e-e3c3-12f8-0c8b-ef1f2c04cd15")].Value; }		
		}			

		public string Model
		{	
			set {this[new Guid("e6483063-9325-7c99-c822-f7885df6fcb6")].Value = value;}	
			get {return (string) this[new Guid("e6483063-9325-7c99-c822-f7885df6fcb6")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PerfmonInstance
		{	
			set {this[new Guid("3e0d16df-61e2-e1d3-eefe-2b85993e4afd")].Value = value;}	
			get {return (string) this[new Guid("3e0d16df-61e2-e1d3-eefe-2b85993e4afd")].Value; }		
		}			

		public string PNPDeviceId
		{	
			set {this[new Guid("b25559f9-16e9-551c-ebc7-efd0b8c2446f")].Value = value;}	
			get {return (string) this[new Guid("b25559f9-16e9-551c-ebc7-efd0b8c2446f")].Value; }		
		}			

		public int SCSIBus
		{	
			set {this[new Guid("dd2daf4d-bd15-0e74-a34e-5f3bff184ada")].Value = value;}	
			get {return (int) this[new Guid("dd2daf4d-bd15-0e74-a34e-5f3bff184ada")].Value; }		
		}			

		public int SCSILogicalUnit
		{	
			set {this[new Guid("7b22dded-bbc2-e901-1218-c327c7aa3dbe")].Value = value;}	
			get {return (int) this[new Guid("7b22dded-bbc2-e901-1218-c327c7aa3dbe")].Value; }		
		}			

		public int SCSIPort
		{	
			set {this[new Guid("b78ba854-1ca2-15e4-04b8-52b94d671fd2")].Value = value;}	
			get {return (int) this[new Guid("b78ba854-1ca2-15e4-04b8-52b94d671fd2")].Value; }		
		}			

		public int SCSITargetID
		{	
			set {this[new Guid("f5e55ce9-02c8-5b2a-ab75-957aa16fabeb")].Value = value;}	
			get {return (int) this[new Guid("f5e55ce9-02c8-5b2a-ab75-957aa16fabeb")].Value; }		
		}			

		public int Size
		{	
			set {this[new Guid("536ffc73-7cc9-85a5-3998-f4409085d950")].Value = value;}	
			get {return (int) this[new Guid("536ffc73-7cc9-85a5-3998-f4409085d950")].Value; }		
		}			

		public int TotalCylinders
		{	
			set {this[new Guid("49d45663-f99b-f04d-fabd-759e5ca0f7a8")].Value = value;}	
			get {return (int) this[new Guid("49d45663-f99b-f04d-fabd-759e5ca0f7a8")].Value; }		
		}			

		public int TotalHeads
		{	
			set {this[new Guid("f779a910-750a-c5ec-ebc0-f4f6e35ef86b")].Value = value;}	
			get {return (int) this[new Guid("f779a910-750a-c5ec-ebc0-f4f6e35ef86b")].Value; }		
		}			

		public int TotalSectors
		{	
			set {this[new Guid("910d15b7-7a87-a2c7-b743-26d202b5bc43")].Value = value;}	
			get {return (int) this[new Guid("910d15b7-7a87-a2c7-b743-26d202b5bc43")].Value; }		
		}			

		public int TotalTracks
		{	
			set {this[new Guid("c82fda3e-6897-5ff8-a4f5-1803f60d605d")].Value = value;}	
			get {return (int) this[new Guid("c82fda3e-6897-5ff8-a4f5-1803f60d605d")].Value; }		
		}			

		public int TracksPerCylinder
		{	
			set {this[new Guid("9080a019-713f-d2c9-7d14-b8a8233cca19")].Value = value;}	
			get {return (int) this[new Guid("9080a019-713f-d2c9-7d14-b8a8233cca19")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.Windows.Peripheral.Processor	
			Id 				: afe398e0-d539-05f6-6ab4-44a84701ec71
			Description 	: All Windows processors
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			Response class inherits from:
				                        Microsoft.Windows.Processor
				                        Microsoft.Windows.LogicalDevice
				                        System.LogicalHardware
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_Windows_Peripheral_Processor : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_Windows_Peripheral_Processor(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_Windows_Peripheral_Processor Create() 
        {
            return new CreatableMicrosoft_Windows_Peripheral_Processor(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_Windows_Peripheral_ProcessorClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BrandId
		{	
			set {this[new Guid("aba098ed-1419-c961-f059-759ab55adb31")].Value = value;}	
			get {return (string) this[new Guid("aba098ed-1419-c961-f059-759ab55adb31")].Value; }		
		}			

		public string CPUKey
		{	
			set {this[new Guid("f782888d-f3db-d116-76eb-5c34c9abea1d")].Value = value;}	
			get {return (string) this[new Guid("f782888d-f3db-d116-76eb-5c34c9abea1d")].Value; }		
		}			

		public int DataWidth
		{	
			set {this[new Guid("853b2bf3-a283-dcb7-1e84-afd1c8d8f8b3")].Value = value;}	
			get {return (int) this[new Guid("853b2bf3-a283-dcb7-1e84-afd1c8d8f8b3")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value = value;}	
			get {return (string) this[new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5")].Value; }		
		}			

		public string DeviceID
		{	
			set {this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value = value;}	
			get {return (string) this[new Guid("af13c36e-9197-95f7-393c-84aa6638fec9")].Value; }		
		}			

		public string Family
		{	
			set {this[new Guid("f1f4800a-7aa8-949e-e805-b88e06e19a3e")].Value = value;}	
			get {return (string) this[new Guid("f1f4800a-7aa8-949e-e805-b88e06e19a3e")].Value; }		
		}			

		public bool? IsMobile
		{	
			set {this[new Guid("f1929f04-5d65-9626-01b7-d7221865f4f2")].Value = value;}	
			get {return (bool?) this[new Guid("f1929f04-5d65-9626-01b7-d7221865f4f2")].Value; }		
		}			

		public bool? IsMulticore
		{	
			set {this[new Guid("52c90c58-fe08-5b5c-44a5-fa336ad52807")].Value = value;}	
			get {return (bool?) this[new Guid("52c90c58-fe08-5b5c-44a5-fa336ad52807")].Value; }		
		}			

		public string Manufacturer
		{	
			set {this[new Guid("8bb07476-245f-6d77-b382-da73a388c8e1")].Value = value;}	
			get {return (string) this[new Guid("8bb07476-245f-6d77-b382-da73a388c8e1")].Value; }		
		}			

		public string MaxClockSpeed
		{	
			set {this[new Guid("3d1d3257-965e-9523-5b69-b887b5c5a931")].Value = value;}	
			get {return (string) this[new Guid("3d1d3257-965e-9523-5b69-b887b5c5a931")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string PCache
		{	
			set {this[new Guid("70fde3ab-afc8-2c4e-c60c-2f7062754511")].Value = value;}	
			get {return (string) this[new Guid("70fde3ab-afc8-2c4e-c60c-2f7062754511")].Value; }		
		}			

		public string PerfmonInstance
		{	
			set {this[new Guid("147bd545-8313-23b7-b000-537c6d9f2f46")].Value = value;}	
			get {return (string) this[new Guid("147bd545-8313-23b7-b000-537c6d9f2f46")].Value; }		
		}			

		public int Revision
		{	
			set {this[new Guid("93f75177-ef88-1627-3d61-3c27fa5815c6")].Value = value;}	
			get {return (int) this[new Guid("93f75177-ef88-1627-3d61-3c27fa5815c6")].Value; }		
		}			

		public int Speed
		{	
			set {this[new Guid("609ecca5-5883-ecd8-fbee-d94954ef66ce")].Value = value;}	
			get {return (int) this[new Guid("609ecca5-5883-ecd8-fbee-d94954ef66ce")].Value; }		
		}			

		public string Type
		{	
			set {this[new Guid("46b974ac-21af-957e-54d1-4d7af0af9f68")].Value = value;}	
			get {return (string) this[new Guid("46b974ac-21af-957e-54d1-4d7af0af9f68")].Value; }		
		}			

		public string Version
		{	
			set {this[new Guid("040651a7-5a08-15a7-3179-f9ef5c844c2f")].Value = value;}	
			get {return (string) this[new Guid("040651a7-5a08-15a7-3179-f9ef5c844c2f")].Value; }		
		}			

	}//
/*
			Name	 		: System.GlobalSetting.ActivitySettings	
			Id 				: 5e04a50d-01d1-6fce-7946-15580aa8681d
			Description 	: Settings for activities, such as ID prefix
			ManagementPack	: ServiceManager.ActivityManagement.Library
			Response class inherits from:
				                        System.SolutionSettings
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_GlobalSetting_ActivitySettings : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_GlobalSetting_ActivitySettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_GlobalSetting_ActivitySettings Create() 
        {
            return new CreatableSystem_GlobalSetting_ActivitySettings(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_GlobalSetting_ActivitySettingsClass.GetManagementPackClass();
		

		public string SystemWorkItemActivityIdPrefix
		{	
			set {this[new Guid("5506657b-6c34-84da-11a7-8fd05fed0c87")].Value = value;}	
			get {return (string) this[new Guid("5506657b-6c34-84da-11a7-8fd05fed0c87")].Value; }		
		}			

		public string SystemWorkItemActivityManualActivityIdPrefix
		{	
			set {this[new Guid("963fdc69-d8be-d058-5e29-43ed934a7a01")].Value = value;}	
			get {return (string) this[new Guid("963fdc69-d8be-d058-5e29-43ed934a7a01")].Value; }		
		}			

		public string SystemWorkItemActivityReviewActivityIdPrefix
		{	
			set {this[new Guid("e2d1a938-f0b5-ae68-2312-ba16865a4a20")].Value = value;}	
			get {return (string) this[new Guid("e2d1a938-f0b5-ae68-2312-ba16865a4a20")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Activity.InternalWorkflowTarget	
			Id 				: 2ed5abbb-c0b8-7622-dab6-7d792c212f54
			Description 	: Workflow target for activities
			ManagementPack	: ServiceManager.ActivityManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Activity_InternalWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Activity_InternalWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Activity_InternalWorkflowTarget Create() 
        {
            return new CreatableSystem_WorkItem_Activity_InternalWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Activity_InternalWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.WorkItem.Activity.WorkflowTarget	
			Id 				: fee785e2-b8c0-e414-6cdd-fea576cdd5de
			Description 	: Configure workflows for activity events
			ManagementPack	: ServiceManager.ActivityManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ConfigureWorkflowTarget
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Activity_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Activity_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Activity_WorkflowTarget Create() 
        {
            return new CreatableSystem_WorkItem_Activity_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Activity_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.GlobalSetting.ChangeSettings	
			Id 				: c7fe33bb-9760-3f88-59fc-0951e3221be4
			Description 	: Settings for change requests, such as ID prefix and file attachments
			ManagementPack	: ServiceManager.ChangeManagement.Library
			Response class inherits from:
				                        System.SolutionSettings
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_GlobalSetting_ChangeSettings : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_GlobalSetting_ChangeSettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_GlobalSetting_ChangeSettings Create() 
        {
            return new CreatableSystem_GlobalSetting_ChangeSettings(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_GlobalSetting_ChangeSettingsClass.GetManagementPackClass();
		

		public int MaxFileAttachmentsCount
		{	
			set {this[new Guid("f6dccdc1-f8d6-0628-7f82-09feea028a41")].Value = value;}	
			get {return (int) this[new Guid("f6dccdc1-f8d6-0628-7f82-09feea028a41")].Value; }		
		}			

		public int MaxFileAttachmentSizeinKB
		{	
			set {this[new Guid("f69a0521-312d-669e-2058-55c5d22d9694")].Value = value;}	
			get {return (int) this[new Guid("f69a0521-312d-669e-2058-55c5d22d9694")].Value; }		
		}			

		public string SystemWorkItemChangeRequestIdPrefix
		{	
			set {this[new Guid("291e16c2-eb74-a4df-cd8a-8ec9c8942506")].Value = value;}	
			get {return (string) this[new Guid("291e16c2-eb74-a4df-cd8a-8ec9c8942506")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.ChangeRequest.InternalWorkflowTarget	
			Id 				: 901b03db-7894-5da5-0203-8d91d61a609f
			Description 	: Workflow target for change requests
			ManagementPack	: ServiceManager.ChangeManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_ChangeRequest_InternalWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_ChangeRequest_InternalWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_ChangeRequest_InternalWorkflowTarget Create() 
        {
            return new CreatableSystem_WorkItem_ChangeRequest_InternalWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_ChangeRequest_InternalWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.WorkItem.ChangeRequest.WorkflowTarget	
			Id 				: 35e63a37-d49e-9480-eb00-d80cf08e099f
			Description 	: Configure workflows for change request events
			ManagementPack	: ServiceManager.ChangeManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ConfigureWorkflowTarget
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_ChangeRequest_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_ChangeRequest_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_ChangeRequest_WorkflowTarget Create() 
        {
            return new CreatableSystem_WorkItem_ChangeRequest_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_ChangeRequest_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.ServiceManager.InternalDiscoveryCollectorTarget	
			Id 				: db18b9a2-0117-0d4f-b484-c3060d1c31f0
			Description 	: 
			ManagementPack	: ServiceManager.Core.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_ServiceManager_InternalDiscoveryCollectorTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_ServiceManager_InternalDiscoveryCollectorTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_ServiceManager_InternalDiscoveryCollectorTarget Create() 
        {
            return new CreatableMicrosoft_ServiceManager_InternalDiscoveryCollectorTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_ServiceManager_InternalDiscoveryCollectorTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.ServiceManager.InternalDiscoverySourceTarget	
			Id 				: e1f09c95-6f60-789b-382b-ea2672f6fcdb
			Description 	: 
			ManagementPack	: ServiceManager.Core.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_ServiceManager_InternalDiscoverySourceTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_ServiceManager_InternalDiscoverySourceTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_ServiceManager_InternalDiscoverySourceTarget Create() 
        {
            return new CreatableMicrosoft_ServiceManager_InternalDiscoverySourceTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_ServiceManager_InternalDiscoverySourceTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.ServiceManager.SqlJobWorkflowTarget	
			Id 				: 60028989-bb6c-2df5-7751-372485f27c45
			Description 	: Defines the properties of the target for SQL jobs like re-indexing, purging, etc.
			ManagementPack	: ServiceManager.Core.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_ServiceManager_SqlJobWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_ServiceManager_SqlJobWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_ServiceManager_SqlJobWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_ServiceManager_SqlJobWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_ServiceManager_SqlJobWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.Information.DWItem	
			Id 				: 03279ed4-40fd-fa52-5f95-b3ffeb227d98
			Description 	: 
			ManagementPack	: ServiceManager.Datawarehouse.Library
			Response class inherits from:
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_Information_DWItem : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Information_DWItem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Information_DWItem Create() 
        {
            return new CreatableSystem_Information_DWItem(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Information_DWItemClass.GetManagementPackClass();
		

		public string InformationId
		{	
			set {this[new Guid("0d62bfb4-2e16-4360-940a-b51f69d29d93")].Value = value;}	
			get {return (string) this[new Guid("0d62bfb4-2e16-4360-940a-b51f69d29d93")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.ServiceManager.GroomingWorkflowTarget	
			Id 				: 84c7d9ef-059e-e8a5-7603-fb257e3bfea3
			Description 	: Grooming Workflow Target
			ManagementPack	: ServiceManager.Grooming.Configuration
			Response class inherits from:
				                        Microsoft.SystemCenter.InternalWorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_ServiceManager_GroomingWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_ServiceManager_GroomingWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_ServiceManager_GroomingWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_ServiceManager_GroomingWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_ServiceManager_GroomingWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.InboundEmail.Configuration	
			Id 				: dd3c3411-2a5a-80fb-c905-053915216cf1
			Description 	: Contains the settings used by inbound e-mail processing
			ManagementPack	: ServiceManager.InboundEmail.Library
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_InboundEmail_Configuration : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_InboundEmail_Configuration(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_InboundEmail_Configuration Create() 
        {
            return new CreatableSystem_InboundEmail_Configuration(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_InboundEmail_ConfigurationClass.GetManagementPackClass();
		

		public string BadFolder
		{	
			set {this[new Guid("ded47574-3699-96a3-444b-5edaaf377134")].Value = value;}	
			get {return (string) this[new Guid("ded47574-3699-96a3-444b-5edaaf377134")].Value; }		
		}			

		public string DropFolder
		{	
			set {this[new Guid("ceded68b-40ae-77e0-54a3-f333edfe622f")].Value = value;}	
			get {return (string) this[new Guid("ceded68b-40ae-77e0-54a3-f333edfe622f")].Value; }		
		}			

		public int Frequency
		{	
			set {this[new Guid("05f3c2ad-5862-62e0-0467-29bc4c2092d4")].Value = value;}	
			get {return (int) this[new Guid("05f3c2ad-5862-62e0-0467-29bc4c2092d4")].Value; }		
		}			

		public bool? IsEnabled
		{	
			set {this[new Guid("8b9a2515-e352-f46e-167e-00ecb722c80f")].Value = value;}	
			get {return (bool?) this[new Guid("8b9a2515-e352-f46e-167e-00ecb722c80f")].Value; }		
		}			

		public int MaxItems
		{	
			set {this[new Guid("ea440eb2-79f6-48b1-6f4e-0116f3c497a6")].Value = value;}	
			get {return (int) this[new Guid("ea440eb2-79f6-48b1-6f4e-0116f3c497a6")].Value; }		
		}			

	}//
/*
			Name	 		: System.InboundEmail.Rule	
			Id 				: 65ab523f-eace-59b0-dd73-6ec068a9fb5b
			Description 	: Specifies the mappings between the SMTP domain and the incident source
			ManagementPack	: ServiceManager.InboundEmail.Library
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_InboundEmail_Rule : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_InboundEmail_Rule(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_InboundEmail_Rule Create() 
        {
            return new CreatableSystem_InboundEmail_Rule(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_InboundEmail_RuleClass.GetManagementPackClass();
		

		public bool? IsEnabled
		{	
			set {this[new Guid("1eac2353-e5df-0642-49fb-9a3f1457075b")].Value = value;}	
			get {return (bool?) this[new Guid("1eac2353-e5df-0642-49fb-9a3f1457075b")].Value; }		
		}			

		public string Service
		{	
			set {this[new Guid("597b0db4-e93b-29a6-ca7a-acb1debfe4c6")].Value = value;}	
			get {return (string) this[new Guid("597b0db4-e93b-29a6-ca7a-acb1debfe4c6")].Value; }		
		}			

		public string SMTPDomain
		{	
			set {this[new Guid("7a0782a3-4d0b-1676-9396-9e763469859c")].Value = value;}	
			get {return (string) this[new Guid("7a0782a3-4d0b-1676-9396-9e763469859c")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.WorkItem.DCMIncident	
			Id 				: 90234dbf-5fd1-a2c3-b34b-429b163b8060
			Description 	: Defines the basic properties of Desired Configuration Management incidents
			ManagementPack	: ServiceManager.IncidentManagement.Library
			Response class inherits from:
				                        System.WorkItem.Incident
				                        System.WorkItem.TroubleTicket
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_WorkItem_DCMIncident : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_WorkItem_DCMIncident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_WorkItem_DCMIncident Create() 
        {
            return new CreatableMicrosoft_SystemCenter_WorkItem_DCMIncident(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_WorkItem_DCMIncidentClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public string BaselineId
		{	
			set {this[new Guid("86307de6-3b31-0073-fd06-841b6b9b2288")].Value = value;}	
			get {return (string) this[new Guid("86307de6-3b31-0073-fd06-841b6b9b2288")].Value; }		
		}			

		public string CIId
		{	
			set {this[new Guid("3cc23acd-d9ae-5a5e-f3be-a37e79ae363d")].Value = value;}	
			get {return (string) this[new Guid("3cc23acd-d9ae-5a5e-f3be-a37e79ae363d")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value; }		
		}			

		public DateTime? ClosedDate
		{	
			set {this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
		}			

		public Stream ComplianceStatusDetails
		{	
			set {this[new Guid("2da2dd13-40c1-3074-d303-6c7866044e0f")].Value = value;}	
			get {return (Stream) this[new Guid("2da2dd13-40c1-3074-d303-6c7866044e0f")].Value; }		
		}			

		public string ComputerName
		{	
			set {this[new Guid("11531973-10b3-f9f7-a495-9af956e3882c")].Value = value;}	
			get {return (string) this[new Guid("11531973-10b3-f9f7-a495-9af956e3882c")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public bool? Escalated
		{	
			set {this[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value = value;}	
			get {return (bool?) this[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value; }		
		}			

		public bool? HasCreatedKnowledgeArticle
		{	
			set {this[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value = value;}	
			get {return (bool?) this[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value; }		
		}			

		public ManagementPackEnumeration Impact
		{	
			set {this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
		}			

		public DateTime? LastComplianceScanTime
		{	
			set {this[new Guid("aafa7462-d3af-1686-7386-4cec108ff546")].Value = value;}	
			get {return (DateTime?) this[new Guid("aafa7462-d3af-1686-7386-4cec108ff546")].Value; }		
		}			

		public ManagementPackEnumeration LastModifiedSource
		{	
			set {this[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value; }		
		}			

		public int MaxNonComplianceCriticality
		{	
			set {this[new Guid("beb725e5-3761-5fe7-0949-bb54811b7174")].Value = value;}	
			get {return (int) this[new Guid("beb725e5-3761-5fe7-0949-bb54811b7174")].Value; }		
		}			

		public bool? NeedsKnowledgeArticle
		{	
			set {this[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value = value;}	
			get {return (bool?) this[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value; }		
		}			

		public int Priority
		{	
			set {this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
			get {return (int) this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
		}			

		public ManagementPackEnumeration ResolutionCategory
		{	
			set {this[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value; }		
		}			

		public string ResolutionDescription
		{	
			set {this[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value = value;}	
			get {return (string) this[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value; }		
		}			

		public DateTime? ResolvedDate
		{	
			set {this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
			get {return (DateTime?) this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public string SiteId
		{	
			set {this[new Guid("6a385d2c-ff33-460e-f6d9-890befac6dfa")].Value = value;}	
			get {return (string) this[new Guid("6a385d2c-ff33-460e-f6d9-890befac6dfa")].Value; }		
		}			

		public ManagementPackEnumeration Source
		{	
			set {this[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value; }		
		}			

		public DateTime? TargetResolutionTime
		{	
			set {this[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value = value;}	
			get {return (DateTime?) this[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value; }		
		}			

		public ManagementPackEnumeration TierQueue
		{	
			set {this[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

		public ManagementPackEnumeration Urgency
		{	
			set {this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.WorkItem.SCOMIncident	
			Id 				: ac13c801-0f20-83e0-4e8a-344c96516f3d
			Description 	: Defines the basic properties of incidents from System Center Operations Manager
			ManagementPack	: ServiceManager.IncidentManagement.Library
			Response class inherits from:
				                        System.WorkItem.Incident
				                        System.WorkItem.TroubleTicket
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_WorkItem_SCOMIncident : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_WorkItem_SCOMIncident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_WorkItem_SCOMIncident Create() 
        {
            return new CreatableMicrosoft_SystemCenter_WorkItem_SCOMIncident(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_WorkItem_SCOMIncidentClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public string AlertCustomField1
		{	
			set {this[new Guid("95338505-6991-8f15-e1e4-24184071adeb")].Value = value;}	
			get {return (string) this[new Guid("95338505-6991-8f15-e1e4-24184071adeb")].Value; }		
		}			

		public string AlertCustomField10
		{	
			set {this[new Guid("7e2eb2de-9c8a-f9cd-cb3a-9682cf9e4125")].Value = value;}	
			get {return (string) this[new Guid("7e2eb2de-9c8a-f9cd-cb3a-9682cf9e4125")].Value; }		
		}			

		public string AlertCustomField2
		{	
			set {this[new Guid("63a6c5ab-8a8a-7372-efb4-43f0b45d57bd")].Value = value;}	
			get {return (string) this[new Guid("63a6c5ab-8a8a-7372-efb4-43f0b45d57bd")].Value; }		
		}			

		public string AlertCustomField3
		{	
			set {this[new Guid("fffa592e-fbd6-d358-bc95-338eba35c811")].Value = value;}	
			get {return (string) this[new Guid("fffa592e-fbd6-d358-bc95-338eba35c811")].Value; }		
		}			

		public string AlertCustomField4
		{	
			set {this[new Guid("f8d91c3e-497d-13ee-817f-40c903aec8df")].Value = value;}	
			get {return (string) this[new Guid("f8d91c3e-497d-13ee-817f-40c903aec8df")].Value; }		
		}			

		public string AlertCustomField5
		{	
			set {this[new Guid("7afc00c1-5dfb-1b1f-0a6d-dc40d5815ffd")].Value = value;}	
			get {return (string) this[new Guid("7afc00c1-5dfb-1b1f-0a6d-dc40d5815ffd")].Value; }		
		}			

		public string AlertCustomField6
		{	
			set {this[new Guid("a50719b2-387a-cbde-5abd-0e62ade8a902")].Value = value;}	
			get {return (string) this[new Guid("a50719b2-387a-cbde-5abd-0e62ade8a902")].Value; }		
		}			

		public string AlertCustomField7
		{	
			set {this[new Guid("5025d9f2-9a06-7a80-a006-854a9bc2acef")].Value = value;}	
			get {return (string) this[new Guid("5025d9f2-9a06-7a80-a006-854a9bc2acef")].Value; }		
		}			

		public string AlertCustomField8
		{	
			set {this[new Guid("38c1dc79-7852-97d8-ed8c-d0fb00f56c97")].Value = value;}	
			get {return (string) this[new Guid("38c1dc79-7852-97d8-ed8c-d0fb00f56c97")].Value; }		
		}			

		public string AlertCustomField9
		{	
			set {this[new Guid("92119713-175b-afe5-9e65-b7fc5a2a9beb")].Value = value;}	
			get {return (string) this[new Guid("92119713-175b-afe5-9e65-b7fc5a2a9beb")].Value; }		
		}			

		public string AlertId
		{	
			set {this[new Guid("840b34a1-b807-970c-9258-d1ae356ea929")].Value = value;}	
			get {return (string) this[new Guid("840b34a1-b807-970c-9258-d1ae356ea929")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value; }		
		}			

		public DateTime? ClosedDate
		{	
			set {this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public bool? Escalated
		{	
			set {this[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value = value;}	
			get {return (bool?) this[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value; }		
		}			

		public bool? HasCreatedKnowledgeArticle
		{	
			set {this[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value = value;}	
			get {return (bool?) this[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value; }		
		}			

		public ManagementPackEnumeration Impact
		{	
			set {this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
		}			

		public ManagementPackEnumeration LastModifiedSource
		{	
			set {this[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value; }		
		}			

		public string ManagementGroupName
		{	
			set {this[new Guid("33b03004-8871-98b1-065b-1e94f51d5f60")].Value = value;}	
			get {return (string) this[new Guid("33b03004-8871-98b1-065b-1e94f51d5f60")].Value; }		
		}			

		public string ManagementPackName
		{	
			set {this[new Guid("fb9ba0fa-4cb1-9e6a-e69d-612ac6fed52b")].Value = value;}	
			get {return (string) this[new Guid("fb9ba0fa-4cb1-9e6a-e69d-612ac6fed52b")].Value; }		
		}			

		public string MonitoringObjectId
		{	
			set {this[new Guid("94f27312-3981-0a15-54f0-fa37de59bb3f")].Value = value;}	
			get {return (string) this[new Guid("94f27312-3981-0a15-54f0-fa37de59bb3f")].Value; }		
		}			

		public string MonitoringRuleId
		{	
			set {this[new Guid("3017d16b-fbe4-91c2-027b-cd0979f41b31")].Value = value;}	
			get {return (string) this[new Guid("3017d16b-fbe4-91c2-027b-cd0979f41b31")].Value; }		
		}			

		public bool? NeedsKnowledgeArticle
		{	
			set {this[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value = value;}	
			get {return (bool?) this[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value; }		
		}			

		public int Priority
		{	
			set {this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
			get {return (int) this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
		}			

		public int RepeatCount
		{	
			set {this[new Guid("4b6ac151-91df-982f-2b4e-00410ede33fa")].Value = value;}	
			get {return (int) this[new Guid("4b6ac151-91df-982f-2b4e-00410ede33fa")].Value; }		
		}			

		public ManagementPackEnumeration ResolutionCategory
		{	
			set {this[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value; }		
		}			

		public string ResolutionDescription
		{	
			set {this[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value = value;}	
			get {return (string) this[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value; }		
		}			

		public DateTime? ResolvedDate
		{	
			set {this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
			get {return (DateTime?) this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public ManagementPackEnumeration Source
		{	
			set {this[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value; }		
		}			

		public DateTime? TargetResolutionTime
		{	
			set {this[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value = value;}	
			get {return (DateTime?) this[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value; }		
		}			

		public ManagementPackEnumeration TierQueue
		{	
			set {this[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

		public ManagementPackEnumeration Urgency
		{	
			set {this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Incident.GeneralSetting	
			Id 				: 613c9f3e-9b94-1fef-4088-16c33bfd0be1
			Description 	: Settings for incidents, such as ID prefix, file attachments, priority and resolution times
			ManagementPack	: ServiceManager.IncidentManagement.Library
			Response class inherits from:
				                        System.SolutionSettings
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Incident_GeneralSetting : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Incident_GeneralSetting(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Incident_GeneralSetting Create() 
        {
            return new CreatableSystem_WorkItem_Incident_GeneralSetting(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Incident_GeneralSettingClass.GetManagementPackClass();
		

		public int DataRetentionTime
		{	
			set {this[new Guid("c1638c1a-1944-b587-08c4-b32993192cf5")].Value = value;}	
			get {return (int) this[new Guid("c1638c1a-1944-b587-08c4-b32993192cf5")].Value; }		
		}			

		public int DataRetentionTimeUnit
		{	
			set {this[new Guid("99744081-5cc6-b1fe-2528-685659b5b251")].Value = value;}	
			get {return (int) this[new Guid("99744081-5cc6-b1fe-2528-685659b5b251")].Value; }		
		}			

		public ManagementPackEnumeration DefaultTierQueue
		{	
			set {this[new Guid("15198f31-0b34-28b5-53c6-6e891bf13f0c")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("15198f31-0b34-28b5-53c6-6e891bf13f0c")].Value; }		
		}			

		public int MaxAttachments
		{	
			set {this[new Guid("2366e295-d0d2-ca84-b9f1-36e1de7328c7")].Value = value;}	
			get {return (int) this[new Guid("2366e295-d0d2-ca84-b9f1-36e1de7328c7")].Value; }		
		}			

		public int MaxAttachmentSize
		{	
			set {this[new Guid("c8090714-64b9-e887-674d-39db1e4d70fe")].Value = value;}	
			get {return (int) this[new Guid("c8090714-64b9-e887-674d-39db1e4d70fe")].Value; }		
		}			

		public string OpsMgrWebConsoleUrl
		{	
			set {this[new Guid("5a00d9ef-8db8-d0ae-90fb-54ee43634c93")].Value = value;}	
			get {return (string) this[new Guid("5a00d9ef-8db8-d0ae-90fb-54ee43634c93")].Value; }		
		}			

		public string PrefixForId
		{	
			set {this[new Guid("f536ce7a-1c62-7ab9-4bb7-9684b7138499")].Value = value;}	
			get {return (string) this[new Guid("f536ce7a-1c62-7ab9-4bb7-9684b7138499")].Value; }		
		}			

		public string PriorityMatrix
		{	
			set {this[new Guid("48d7c818-ab63-a269-20c5-6b314bb6393e")].Value = value;}	
			get {return (string) this[new Guid("48d7c818-ab63-a269-20c5-6b314bb6393e")].Value; }		
		}			

		public int PriorityMaxValue
		{	
			set {this[new Guid("9c749a7a-6d15-cb95-8c31-707ea98ddb19")].Value = value;}	
			get {return (int) this[new Guid("9c749a7a-6d15-cb95-8c31-707ea98ddb19")].Value; }		
		}			

		public int PriorityMinValue
		{	
			set {this[new Guid("b7724214-b629-90a8-f26c-7eec4617d50b")].Value = value;}	
			get {return (int) this[new Guid("b7724214-b629-90a8-f26c-7eec4617d50b")].Value; }		
		}			

		public string ResolutionMappings
		{	
			set {this[new Guid("81d67915-af82-7ac9-fba3-433cc4064f60")].Value = value;}	
			get {return (string) this[new Guid("81d67915-af82-7ac9-fba3-433cc4064f60")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Incident.Wizard.AutomaticChangeIncident	
			Id 				: f9ed6e4f-dfe3-c3c7-33fd-29424dc81d69
			Description 	: Configure workflows for incident events
			ManagementPack	: ServiceManager.IncidentManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ConfigureWorkflowTarget
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Incident_Wizard_AutomaticChangeIncident : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Incident_Wizard_AutomaticChangeIncident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Incident_Wizard_AutomaticChangeIncident Create() 
        {
            return new CreatableSystem_WorkItem_Incident_Wizard_AutomaticChangeIncident(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Incident_Wizard_AutomaticChangeIncidentClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.WorkItem.Incident.Wizard.DCMIntegration	
			Id 				: 2f08e334-d903-280a-3b76-fad41150d4da
			Description 	: Configure workflows for Desired Configuration Management events
			ManagementPack	: ServiceManager.IncidentManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.ConfigureWorkflowTarget
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Incident_Wizard_DCMIntegration : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Incident_Wizard_DCMIntegration(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Incident_Wizard_DCMIntegration Create() 
        {
            return new CreatableSystem_WorkItem_Incident_Wizard_DCMIntegration(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Incident_Wizard_DCMIntegrationClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.WorkItem.Incident.WorkflowTarget	
			Id 				: 383e578b-e1c9-2802-0047-815853405778
			Description 	: An internal class for the incident workflow target
			ManagementPack	: ServiceManager.IncidentManagement.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Incident_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Incident_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Incident_WorkflowTarget Create() 
        {
            return new CreatableSystem_WorkItem_Incident_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Incident_WorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: System.GlobalSetting.KnowledgeSettings	
			Id 				: 1532349a-e437-842b-44fe-86a0f42a8ff5
			Description 	: Settings for Knowledge, such as ID prefix
			ManagementPack	: ServiceManager.KnowledgeManagement.Library
			Response class inherits from:
				                        System.SolutionSettings
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_GlobalSetting_KnowledgeSettings : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_GlobalSetting_KnowledgeSettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_GlobalSetting_KnowledgeSettings Create() 
        {
            return new CreatableSystem_GlobalSetting_KnowledgeSettings(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_GlobalSetting_KnowledgeSettingsClass.GetManagementPackClass();
		

		public string SystemKnowledgeArticleIdPrefix
		{	
			set {this[new Guid("1c3c5f02-70a5-15f4-07de-492e98200c6b")].Value = value;}	
			get {return (string) this[new Guid("1c3c5f02-70a5-15f4-07de-492e98200c6b")].Value; }		
		}			

	}//
/*
			Name	 		: Microsoft.SystemCenter.LinkingFramework.Configuration.CmdbSyncRuleTarget	
			Id 				: d963c95e-365f-9e5c-14e0-856babf35b17
			Description 	: An internal class for the linking framework connector workflow target
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.LinkingFramework.LinkingFrameworkTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.LinkingFramework.GroomingWorkflowTarget	
			Id 				: 06d7dc4b-a238-11f5-44ed-a2a5e7689dfd
			Description 	: An internal class for the grooming workflow target
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.LinkingFramework.LinkingFrameworkTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_LinkingFramework_GroomingWorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_LinkingFramework_GroomingWorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_LinkingFramework_GroomingWorkflowTarget Create() 
        {
            return new CreatableMicrosoft_SystemCenter_LinkingFramework_GroomingWorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_LinkingFramework_GroomingWorkflowTargetClass.GetManagementPackClass();
		

	}//
/*
			Name	 		: Microsoft.SystemCenter.LinkingFramework.SyncStatus	
			Id 				: 2d4afd51-d2ff-92c6-266f-2b6060000dae
			Description 	: Defines the status of the synchronization
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableMicrosoft_SystemCenter_LinkingFramework_SyncStatus : CreatableEnterpriseManagementObject
	{
	    public CreatableMicrosoft_SystemCenter_LinkingFramework_SyncStatus(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoft_SystemCenter_LinkingFramework_SyncStatus Create() 
        {
            return new CreatableMicrosoft_SystemCenter_LinkingFramework_SyncStatus(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = Microsoft_SystemCenter_LinkingFramework_SyncStatusClass.GetManagementPackClass();
		

		public DateTime? LastRunFinishTime
		{	
			set {this[new Guid("665c658f-447e-ce95-682a-04147a60f2db")].Value = value;}	
			get {return (DateTime?) this[new Guid("665c658f-447e-ce95-682a-04147a60f2db")].Value; }		
		}			

		public DateTime? LastRunStartTime
		{	
			set {this[new Guid("1ea82b00-da33-f1b6-6bd2-20da94daa527")].Value = value;}	
			get {return (DateTime?) this[new Guid("1ea82b00-da33-f1b6-6bd2-20da94daa527")].Value; }		
		}			

		public int MaxValue
		{	
			set {this[new Guid("25fed9f8-3174-e617-f735-3a99e48f104b")].Value = value;}	
			get {return (int) this[new Guid("25fed9f8-3174-e617-f735-3a99e48f104b")].Value; }		
		}			

		public int MinValue
		{	
			set {this[new Guid("ec7ec613-7b1b-1aaa-4694-77262ba31a87")].Value = value;}	
			get {return (int) this[new Guid("ec7ec613-7b1b-1aaa-4694-77262ba31a87")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("582c56a1-1558-f8f2-7c97-6de33f8f1e5a")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("582c56a1-1558-f8f2-7c97-6de33f8f1e5a")].Value; }		
		}			

		public int SyncPercent
		{	
			set {this[new Guid("303a21d1-3491-408c-9ffd-b4c7261e3406")].Value = value;}	
			get {return (int) this[new Guid("303a21d1-3491-408c-9ffd-b4c7261e3406")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.DataCollection	
			Id 				: 0e7375bc-4c87-60de-bf64-70190d011a24
			Description 	: An internal class containing linking framework data collection
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_DataCollection : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_DataCollection(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_DataCollection Create() 
        {
            return new CreatableSystem_LinkingFramework_DataCollection(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_DataCollectionClass.GetManagementPackClass();
		

		public string DataCollectionName
		{	
			set {this[new Guid("f2e6d012-741f-33d7-0c12-c4573328d7cc")].Value = value;}	
			get {return (string) this[new Guid("f2e6d012-741f-33d7-0c12-c4573328d7cc")].Value; }		
		}			

		public string DataTables
		{	
			set {this[new Guid("1f13f716-580e-c086-f620-406eddd0b630")].Value = value;}	
			get {return (string) this[new Guid("1f13f716-580e-c086-f620-406eddd0b630")].Value; }		
		}			

		public string Settings
		{	
			set {this[new Guid("3b13c895-fba4-6096-9029-8da80fc8b721")].Value = value;}	
			get {return (string) this[new Guid("3b13c895-fba4-6096-9029-8da80fc8b721")].Value; }		
		}			

		public string StagingName
		{	
			set {this[new Guid("ebd85609-5a83-fd57-59a0-c38313a8834f")].Value = value;}	
			get {return (string) this[new Guid("ebd85609-5a83-fd57-59a0-c38313a8834f")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.DataConnector	
			Id 				: dac6acf7-5742-98b5-6f0a-f8306b276688
			Description 	: An internal class containing linking framework configuration for connectors
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_DataConnector : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_DataConnector(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_DataConnector Create() 
        {
            return new CreatableSystem_LinkingFramework_DataConnector(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_DataConnectorClass.GetManagementPackClass();
		

		public string DataConnectorName
		{	
			set {this[new Guid("682e7331-cf98-986e-3cf3-271f77122b00")].Value = value;}	
			get {return (string) this[new Guid("682e7331-cf98-986e-3cf3-271f77122b00")].Value; }		
		}			

		public bool? DisableParallelProcess
		{	
			set {this[new Guid("6918c673-1c7c-5870-61ae-417738aef77d")].Value = value;}	
			get {return (bool?) this[new Guid("6918c673-1c7c-5870-61ae-417738aef77d")].Value; }		
		}			

		public string EntryAssembly
		{	
			set {this[new Guid("ce038f0a-ccff-1ac0-5b13-39e71e748491")].Value = value;}	
			get {return (string) this[new Guid("ce038f0a-ccff-1ac0-5b13-39e71e748491")].Value; }		
		}			

		public string EntryPoint
		{	
			set {this[new Guid("115c3627-2121-ef80-7132-6185ec72eb85")].Value = value;}	
			get {return (string) this[new Guid("115c3627-2121-ef80-7132-6185ec72eb85")].Value; }		
		}			

		public string InstallSQLScripts
		{	
			set {this[new Guid("16b8063b-37aa-0d15-a1dd-0fb9636b9713")].Value = value;}	
			get {return (string) this[new Guid("16b8063b-37aa-0d15-a1dd-0fb9636b9713")].Value; }		
		}			

		public bool? IsProvider
		{	
			set {this[new Guid("50ba3d1b-48fd-6086-0be5-58fabd41368d")].Value = value;}	
			get {return (bool?) this[new Guid("50ba3d1b-48fd-6086-0be5-58fabd41368d")].Value; }		
		}			

		public string Settings
		{	
			set {this[new Guid("38d00f37-0aec-b0cd-da4f-d64cba3195a3")].Value = value;}	
			get {return (string) this[new Guid("38d00f37-0aec-b0cd-da4f-d64cba3195a3")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("dfe70eaf-10fb-3274-5ca0-e5367e46b0e0")].Value = value;}	
			get {return (string) this[new Guid("dfe70eaf-10fb-3274-5ca0-e5367e46b0e0")].Value; }		
		}			

		public string UninstallSQLScripts
		{	
			set {this[new Guid("32c6a261-f221-ebbd-56b2-83337ae6ec16")].Value = value;}	
			get {return (string) this[new Guid("32c6a261-f221-ebbd-56b2-83337ae6ec16")].Value; }		
		}			

		public string WebUIAssembly
		{	
			set {this[new Guid("e1eb52ec-7a87-7774-9db0-17a7748e6a5e")].Value = value;}	
			get {return (string) this[new Guid("e1eb52ec-7a87-7774-9db0-17a7748e6a5e")].Value; }		
		}			

		public string WinFormUIAssembly
		{	
			set {this[new Guid("61f95c9e-e699-6305-87cc-6f2b47e2d5e0")].Value = value;}	
			get {return (string) this[new Guid("61f95c9e-e699-6305-87cc-6f2b47e2d5e0")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.DataSource	
			Id 				: 71f6cfcd-99b3-3a07-471d-bb9c4bf5ba76
			Description 	: An internal class containing linking framework data sources
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.Connector
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_DataSource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_DataSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_DataSource Create() 
        {
            return new CreatableSystem_LinkingFramework_DataSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_DataSourceClass.GetManagementPackClass();
		

		public string DataProviderDisplayName
		{	
			set {this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value = value;}	
			get {return (string) this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value; }		
		}			

		public string DataProviderName
		{	
			set {this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value = value;}	
			get {return (string) this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value; }		
		}			

		public string DatawarehouseProfileName
		{	
			set {this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value = value;}	
			get {return (string) this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

		public bool? Enabled
		{	
			set {this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value = value;}	
			get {return (bool?) this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value; }		
		}			

		public bool? ImpersonationEnabled
		{	
			set {this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value = value;}	
			get {return (bool?) this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value; }		
		}			

		public string ReaderProfileName
		{	
			set {this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value = value;}	
			get {return (string) this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value; }		
		}			

		public string Reserved
		{	
			set {this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value = value;}	
			get {return (string) this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value = value;}	
			get {return (string) this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value; }		
		}			

		public int SyncInterval
		{	
			set {this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value = value;}	
			get {return (int) this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value; }		
		}			

		public bool? SyncNow
		{	
			set {this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value = value;}	
			get {return (bool?) this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value; }		
		}			

		public DateTime? SyncTime
		{	
			set {this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value = value;}	
			get {return (DateTime?) this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value; }		
		}			

		public ManagementPackEnumeration SyncType
		{	
			set {this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.DataTable	
			Id 				: 841ffa7f-1265-ffb0-fd75-b9a9e8c398d5
			Description 	: An internal class containing linking framework configuration for data tables
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_DataTable : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_DataTable(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_DataTable Create() 
        {
            return new CreatableSystem_LinkingFramework_DataTable(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_DataTableClass.GetManagementPackClass();
		

		public string BatchIdField
		{	
			set {this[new Guid("c43e24ae-d94d-71f0-4d24-8a120881e8e3")].Value = value;}	
			get {return (string) this[new Guid("c43e24ae-d94d-71f0-4d24-8a120881e8e3")].Value; }		
		}			

		public int BatchIdSize
		{	
			set {this[new Guid("5473a7bd-e358-692f-d141-9f6e3801aae9")].Value = value;}	
			get {return (int) this[new Guid("5473a7bd-e358-692f-d141-9f6e3801aae9")].Value; }		
		}			

		public int BatchIdType
		{	
			set {this[new Guid("a3033a82-6199-71a1-c405-2a615892ffa8")].Value = value;}	
			get {return (int) this[new Guid("a3033a82-6199-71a1-c405-2a615892ffa8")].Value; }		
		}			

		public string CollectionName
		{	
			set {this[new Guid("539140f8-f41f-e64f-b1a8-3e39bb30d717")].Value = value;}	
			get {return (string) this[new Guid("539140f8-f41f-e64f-b1a8-3e39bb30d717")].Value; }		
		}			

		public string DataName
		{	
			set {this[new Guid("f0c3734e-15cc-b01c-bcd6-889e18d65bf4")].Value = value;}	
			get {return (string) this[new Guid("f0c3734e-15cc-b01c-bcd6-889e18d65bf4")].Value; }		
		}			

		public string DependOnDataTable
		{	
			set {this[new Guid("1b2aea7d-17d2-843a-51ca-2d55e763be33")].Value = value;}	
			get {return (string) this[new Guid("1b2aea7d-17d2-843a-51ca-2d55e763be33")].Value; }		
		}			

		public int GroomType
		{	
			set {this[new Guid("c1ee5a5c-5a9a-7741-ad7e-3bf4718370ca")].Value = value;}	
			get {return (int) this[new Guid("c1ee5a5c-5a9a-7741-ad7e-3bf4718370ca")].Value; }		
		}			

		public string PostProcessScript
		{	
			set {this[new Guid("a9d20815-b684-ad98-b123-6a6aabcd5539")].Value = value;}	
			get {return (string) this[new Guid("a9d20815-b684-ad98-b123-6a6aabcd5539")].Value; }		
		}			

		public string PrimaryKeyName
		{	
			set {this[new Guid("0130b5e2-49a5-5259-7bdb-e0cb99d03a90")].Value = value;}	
			get {return (string) this[new Guid("0130b5e2-49a5-5259-7bdb-e0cb99d03a90")].Value; }		
		}			

		public string QueryString
		{	
			set {this[new Guid("c21e3c80-ae06-55a7-e1fe-5f7eb4fd76ae")].Value = value;}	
			get {return (string) this[new Guid("c21e3c80-ae06-55a7-e1fe-5f7eb4fd76ae")].Value; }		
		}			

		public string StageTableName
		{	
			set {this[new Guid("55c3a3a3-457a-5c59-9ab9-675b0d903ec9")].Value = value;}	
			get {return (string) this[new Guid("55c3a3a3-457a-5c59-9ab9-675b0d903ec9")].Value; }		
		}			

		public bool? UseCache
		{	
			set {this[new Guid("d50469f5-7bbd-40d0-a013-2383c67f4b33")].Value = value;}	
			get {return (bool?) this[new Guid("d50469f5-7bbd-40d0-a013-2383c67f4b33")].Value; }		
		}			

		public string WatermarkField
		{	
			set {this[new Guid("0d89dceb-43a4-e45c-7b17-9ecd8e883f49")].Value = value;}	
			get {return (string) this[new Guid("0d89dceb-43a4-e45c-7b17-9ecd8e883f49")].Value; }		
		}			

		public int WatermarkType
		{	
			set {this[new Guid("25b87a89-b557-a3f5-ca7d-635c504eeda6")].Value = value;}	
			get {return (int) this[new Guid("25b87a89-b557-a3f5-ca7d-635c504eeda6")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.Field	
			Id 				: bebb28a4-135b-f041-d7f2-7c7bf62f5252
			Description 	: An internal class containing linking framework configuration for fields
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_Field : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_Field(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_Field Create() 
        {
            return new CreatableSystem_LinkingFramework_Field(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_FieldClass.GetManagementPackClass();
		

		public bool? AllowNull
		{	
			set {this[new Guid("10901fe5-6bcf-a5e4-624d-e52c8817401b")].Value = value;}	
			get {return (bool?) this[new Guid("10901fe5-6bcf-a5e4-624d-e52c8817401b")].Value; }		
		}			

		public string Collation
		{	
			set {this[new Guid("2b136229-ea77-5bfa-390e-54e4a0513418")].Value = value;}	
			get {return (string) this[new Guid("2b136229-ea77-5bfa-390e-54e4a0513418")].Value; }		
		}			

		public bool? PrimaryKeyAcs
		{	
			set {this[new Guid("15b1aae3-4b4b-6a59-5912-6f822529e7d7")].Value = value;}	
			get {return (bool?) this[new Guid("15b1aae3-4b4b-6a59-5912-6f822529e7d7")].Value; }		
		}			

		public int PrimaryKeyPosition
		{	
			set {this[new Guid("500581b6-ae96-1514-d83b-67b2f07a5776")].Value = value;}	
			get {return (int) this[new Guid("500581b6-ae96-1514-d83b-67b2f07a5776")].Value; }		
		}			

		public string Size
		{	
			set {this[new Guid("5d93af55-2a5e-3a6d-0f18-07970853737b")].Value = value;}	
			get {return (string) this[new Guid("5d93af55-2a5e-3a6d-0f18-07970853737b")].Value; }		
		}			

		public string Type
		{	
			set {this[new Guid("cd503678-4b9b-2578-fd84-b3e59643eeb8")].Value = value;}	
			get {return (string) this[new Guid("cd503678-4b9b-2578-fd84-b3e59643eeb8")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.GenericDataSource	
			Id 				: d29921e1-b2cb-5c27-d535-869bb8d3cbe8
			Description 	: An internal class containing linking framework generic data sources
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.LinkingFramework.DataSource
				                        Microsoft.SystemCenter.Connector
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_GenericDataSource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_GenericDataSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_GenericDataSource Create() 
        {
            return new CreatableSystem_LinkingFramework_GenericDataSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_GenericDataSourceClass.GetManagementPackClass();
		

		public string Connection
		{	
			set {this[new Guid("6771bfa1-baa1-2b5a-5843-52002ba2ed84")].Value = value;}	
			get {return (string) this[new Guid("6771bfa1-baa1-2b5a-5843-52002ba2ed84")].Value; }		
		}			

		public string DataFilter
		{	
			set {this[new Guid("f4cfc7fb-8acc-3ff1-2d86-8e46551f6b04")].Value = value;}	
			get {return (string) this[new Guid("f4cfc7fb-8acc-3ff1-2d86-8e46551f6b04")].Value; }		
		}			

		public string DataProviderDisplayName
		{	
			set {this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value = value;}	
			get {return (string) this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value; }		
		}			

		public string DataProviderName
		{	
			set {this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value = value;}	
			get {return (string) this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value; }		
		}			

		public string DatawarehouseProfileName
		{	
			set {this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value = value;}	
			get {return (string) this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

		public bool? Enabled
		{	
			set {this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value = value;}	
			get {return (bool?) this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value; }		
		}			

		public bool? ImpersonationEnabled
		{	
			set {this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value = value;}	
			get {return (bool?) this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value; }		
		}			

		public string ReaderProfileName
		{	
			set {this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value = value;}	
			get {return (string) this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value; }		
		}			

		public string Reserved
		{	
			set {this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value = value;}	
			get {return (string) this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value = value;}	
			get {return (string) this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value; }		
		}			

		public int SyncInterval
		{	
			set {this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value = value;}	
			get {return (int) this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value; }		
		}			

		public bool? SyncNow
		{	
			set {this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value = value;}	
			get {return (bool?) this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value; }		
		}			

		public DateTime? SyncTime
		{	
			set {this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value = value;}	
			get {return (DateTime?) this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value; }		
		}			

		public ManagementPackEnumeration SyncType
		{	
			set {this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value; }		
		}			

	}//
/*
			Name	 		: System.LinkingFramework.SqlSource	
			Id 				: 6b9af830-5e03-108b-0263-26e5e020d7f8
			Description 	: An internal class containing linking framework SQL Server data sources
			ManagementPack	: ServiceManager.LinkingFramework.Library
			Response class inherits from:
				                        System.LinkingFramework.DataSource
				                        Microsoft.SystemCenter.Connector
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_LinkingFramework_SqlSource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_LinkingFramework_SqlSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_LinkingFramework_SqlSource Create() 
        {
            return new CreatableSystem_LinkingFramework_SqlSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_LinkingFramework_SqlSourceClass.GetManagementPackClass();
		

		public string DatabaseName
		{	
			set {this[new Guid("0b3374c0-596a-9919-1a1e-c2fa177d7262")].Value = value;}	
			get {return (string) this[new Guid("0b3374c0-596a-9919-1a1e-c2fa177d7262")].Value; }		
		}			

		public string DataProviderDisplayName
		{	
			set {this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value = value;}	
			get {return (string) this[new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86")].Value; }		
		}			

		public string DataProviderName
		{	
			set {this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value = value;}	
			get {return (string) this[new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396")].Value; }		
		}			

		public string DatawarehouseProfileName
		{	
			set {this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value = value;}	
			get {return (string) this[new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value = value;}	
			get {return (string) this[new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79")].Value; }		
		}			

		public bool? DiscoveryDataIsManaged
		{	
			set {this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value = value;}	
			get {return (bool?) this[new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32")].Value; }		
		}			

		public bool? DiscoveryDataIsShared
		{	
			set {this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value = value;}	
			get {return (bool?) this[new Guid("802345ee-2e7b-af9e-469f-612945ce3b81")].Value; }		
		}			

		public bool? Enabled
		{	
			set {this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value = value;}	
			get {return (bool?) this[new Guid("071beb6b-2706-cf0c-646b-a0627949ed77")].Value; }		
		}			

		public bool? ImpersonationEnabled
		{	
			set {this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value = value;}	
			get {return (bool?) this[new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2")].Value; }		
		}			

		public string ReaderProfileName
		{	
			set {this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value = value;}	
			get {return (string) this[new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3")].Value; }		
		}			

		public string Reserved
		{	
			set {this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value = value;}	
			get {return (string) this[new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3")].Value; }		
		}			

		public string ServerName
		{	
			set {this[new Guid("d390df24-a189-1f8d-2e33-369ab3373310")].Value = value;}	
			get {return (string) this[new Guid("d390df24-a189-1f8d-2e33-369ab3373310")].Value; }		
		}			

		public string SolutionName
		{	
			set {this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value = value;}	
			get {return (string) this[new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b")].Value; }		
		}			

		public string SqlPassword
		{	
			set {this[new Guid("bff68755-d442-c6a9-e1af-8131a52488df")].Value = value;}	
			get {return (string) this[new Guid("bff68755-d442-c6a9-e1af-8131a52488df")].Value; }		
		}			

		public string SqlUserName
		{	
			set {this[new Guid("1ebd7da5-b2d6-a477-c25d-6b80907adb30")].Value = value;}	
			get {return (string) this[new Guid("1ebd7da5-b2d6-a477-c25d-6b80907adb30")].Value; }		
		}			

		public int SyncInterval
		{	
			set {this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value = value;}	
			get {return (int) this[new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19")].Value; }		
		}			

		public bool? SyncNow
		{	
			set {this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value = value;}	
			get {return (bool?) this[new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e")].Value; }		
		}			

		public DateTime? SyncTime
		{	
			set {this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value = value;}	
			get {return (DateTime?) this[new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456")].Value; }		
		}			

		public ManagementPackEnumeration SyncType
		{	
			set {this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771")].Value; }		
		}			

		public bool? TrustedConnection
		{	
			set {this[new Guid("abce43f8-a23c-5413-b0cb-25bf5a1ec7e3")].Value = value;}	
			get {return (bool?) this[new Guid("abce43f8-a23c-5413-b0cb-25bf5a1ec7e3")].Value; }		
		}			

	}//
/*
			Name	 		: System.Announcement.Config	
			Id 				: 0f34b6f1-c047-acc5-aac0-3d5d68e51a19
			Description 	: Defines the properties used in announcement configuration
			ManagementPack	: System.AdminItem.Library
			Response class inherits from:
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Announcement_Config : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Announcement_Config(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Announcement_Config Create() 
        {
            return new CreatableSystem_Announcement_Config(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Announcement_ConfigClass.GetManagementPackClass();
		

		public string TitleBar
		{	
			set {this[new Guid("9c9904b9-2ab3-ed05-f1a7-65549633a3e3")].Value = value;}	
			get {return (string) this[new Guid("9c9904b9-2ab3-ed05-f1a7-65549633a3e3")].Value; }		
		}			

	}//
/*
			Name	 		: System.Announcement.Item	
			Id 				: ef8a786a-5d22-f035-32d7-d0b60d9284ad
			Description 	: Defines the basic properties of announcements for the self-service portal
			ManagementPack	: System.AdminItem.Library
			Response class inherits from:
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Announcement_Item : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Announcement_Item(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Announcement_Item Create() 
        {
            return new CreatableSystem_Announcement_Item(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Announcement_ItemClass.GetManagementPackClass();
		

		public string Body
		{	
			set {this[new Guid("5d4945de-66c5-9324-af6c-aa607e9954b5")].Value = value;}	
			get {return (string) this[new Guid("5d4945de-66c5-9324-af6c-aa607e9954b5")].Value; }		
		}			

		public DateTime? ExpirationDate
		{	
			set {this[new Guid("41c117d4-94bd-8388-3636-505a36066145")].Value = value;}	
			get {return (DateTime?) this[new Guid("41c117d4-94bd-8388-3636-505a36066145")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("4389abeb-5c98-c0e3-3a3f-8826069a87e3")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("4389abeb-5c98-c0e3-3a3f-8826069a87e3")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("d194f047-aabf-167d-3bbf-dfbbb63bb5c8")].Value = value;}	
			get {return (string) this[new Guid("d194f047-aabf-167d-3bbf-dfbbb63bb5c8")].Value; }		
		}			

	}//
/*
			Name	 		: System.GroomingConfiguration	
			Id 				: 03b9465f-17b5-936a-8f5d-5c50e1a75920
			Description 	: Settings for data grooming in the Service Manager database
			ManagementPack	: System.AdminItem.Library
			Response class inherits from:
				                        System.SolutionSettings
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_GroomingConfiguration : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_GroomingConfiguration(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_GroomingConfiguration Create() 
        {
            return new CreatableSystem_GroomingConfiguration(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_GroomingConfigurationClass.GetManagementPackClass();
		

		public int BatchSize
		{	
			set {this[new Guid("c9412838-aed4-5105-49ff-cc27c19a76de")].Value = value;}	
			get {return (int) this[new Guid("c9412838-aed4-5105-49ff-cc27c19a76de")].Value; }		
		}			

		public ManagementPackEnumeration Category
		{	
			set {this[new Guid("95dd7722-b42b-84d0-ed5c-f72d4d9e17e6")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("95dd7722-b42b-84d0-ed5c-f72d4d9e17e6")].Value; }		
		}			

		public string Criteria
		{	
			set {this[new Guid("8fc21faa-713b-739e-ca28-5bd1bdb20fee")].Value = value;}	
			get {return (string) this[new Guid("8fc21faa-713b-739e-ca28-5bd1bdb20fee")].Value; }		
		}			

		public bool? IsInternal
		{	
			set {this[new Guid("2e3634d7-a27f-4a9d-0ffe-6f6b77b4e946")].Value = value;}	
			get {return (bool?) this[new Guid("2e3634d7-a27f-4a9d-0ffe-6f6b77b4e946")].Value; }		
		}			

		public int RetentionPeriodInMinutes
		{	
			set {this[new Guid("503b8ebb-7087-213d-0777-2b22d8633632")].Value = value;}	
			get {return (int) this[new Guid("503b8ebb-7087-213d-0777-2b22d8633632")].Value; }		
		}			

		public string StoredProcedure
		{	
			set {this[new Guid("40256e44-869b-2b43-e368-3f7bf7fcdffa")].Value = value;}	
			get {return (string) this[new Guid("40256e44-869b-2b43-e368-3f7bf7fcdffa")].Value; }		
		}			

		public Guid TargetId
		{	
			set {this[new Guid("d83e2356-a9f2-95b4-b8a4-c1c8735c9961")].Value = value;}	
			get {return (Guid) this[new Guid("d83e2356-a9f2-95b4-b8a4-c1c8735c9961")].Value; }		
		}			

	}//
/*
			Name	 		: System.Knowledge.Article	
			Id 				: ca1410d8-6182-1531-092b-d2232f396bb8
			Description 	: Defines the basic properties of knowledge articles
			ManagementPack	: System.Knowledge.Library
			Response class inherits from:
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableSystem_Knowledge_Article : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Knowledge_Article(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Knowledge_Article Create() 
        {
            return new CreatableSystem_Knowledge_Article(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Knowledge_ArticleClass.GetManagementPackClass();
		

		public string Abstract
		{	
			set {this[new Guid("9c8092e8-a729-9037-0944-56c668269ef0")].Value = value;}	
			get {return (string) this[new Guid("9c8092e8-a729-9037-0944-56c668269ef0")].Value; }		
		}			

		public Stream AnalystContent
		{	
			set {this[new Guid("92debada-bade-5052-57b5-000e2070ff01")].Value = value;}	
			get {return (Stream) this[new Guid("92debada-bade-5052-57b5-000e2070ff01")].Value; }		
		}			

		public string ArticleId
		{	
			set {this[new Guid("9583d0a2-ea9f-c97e-bdca-7356bd129777")].Value = value;}	
			get {return (string) this[new Guid("9583d0a2-ea9f-c97e-bdca-7356bd129777")].Value; }		
		}			

		public string ArticleOwner
		{	
			set {this[new Guid("4b80c57f-c0e7-0626-b4cb-4b7ea7abf199")].Value = value;}	
			get {return (string) this[new Guid("4b80c57f-c0e7-0626-b4cb-4b7ea7abf199")].Value; }		
		}			

		public string ArticleTemplate
		{	
			set {this[new Guid("a19f6466-3c9c-9207-affd-74bb3307399a")].Value = value;}	
			get {return (string) this[new Guid("a19f6466-3c9c-9207-affd-74bb3307399a")].Value; }		
		}			

		public ManagementPackEnumeration ArticleType
		{	
			set {this[new Guid("c3cf19b0-f426-661c-031d-fc45844924d8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("c3cf19b0-f426-661c-031d-fc45844924d8")].Value; }		
		}			

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public ManagementPackEnumeration Category
		{	
			set {this[new Guid("bffb5ae8-23a4-1372-69a6-56c33c88dc0c")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("bffb5ae8-23a4-1372-69a6-56c33c88dc0c")].Value; }		
		}			

		public string Comments
		{	
			set {this[new Guid("af00af04-4754-6f57-6e8c-8367753be806")].Value = value;}	
			get {return (string) this[new Guid("af00af04-4754-6f57-6e8c-8367753be806")].Value; }		
		}			

		public string CreatedBy
		{	
			set {this[new Guid("0f46ff38-b47d-3f0b-fae2-7724b1f48112")].Value = value;}	
			get {return (string) this[new Guid("0f46ff38-b47d-3f0b-fae2-7724b1f48112")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("3284d928-8538-94d3-ecd6-f01636f89f63")].Value = value;}	
			get {return (DateTime?) this[new Guid("3284d928-8538-94d3-ecd6-f01636f89f63")].Value; }		
		}			

		public Stream EndUserContent
		{	
			set {this[new Guid("4b6bf092-d465-4fc3-b6a5-1e3ec9a5071c")].Value = value;}	
			get {return (Stream) this[new Guid("4b6bf092-d465-4fc3-b6a5-1e3ec9a5071c")].Value; }		
		}			

		public string ExternalURL
		{	
			set {this[new Guid("6c4fe2d6-9641-a649-5ea9-29e22f191a8f")].Value = value;}	
			get {return (string) this[new Guid("6c4fe2d6-9641-a649-5ea9-29e22f191a8f")].Value; }		
		}			

		public string ExternalURLSource
		{	
			set {this[new Guid("d9272c03-900e-9169-931d-144bb5334c92")].Value = value;}	
			get {return (string) this[new Guid("d9272c03-900e-9169-931d-144bb5334c92")].Value; }		
		}			

		public string Keywords
		{	
			set {this[new Guid("6c6c20b6-f471-84b5-0672-0a356e622596")].Value = value;}	
			get {return (string) this[new Guid("6c6c20b6-f471-84b5-0672-0a356e622596")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public int PrimaryLocaleID
		{	
			set {this[new Guid("dfe7dc0e-0c67-fd4a-ad57-bf18760bc558")].Value = value;}	
			get {return (int) this[new Guid("dfe7dc0e-0c67-fd4a-ad57-bf18760bc558")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("9ae0d83f-4100-c69b-f0f8-1321b0aebe4f")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("9ae0d83f-4100-c69b-f0f8-1321b0aebe4f")].Value; }		
		}			

		public ManagementPackEnumeration Tag
		{	
			set {this[new Guid("558112fc-abf3-784e-bde3-28f0dc19391c")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("558112fc-abf3-784e-bde3-28f0dc19391c")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("9cbf1a45-0389-f20a-1cd6-2dfe461ab078")].Value = value;}	
			get {return (string) this[new Guid("9cbf1a45-0389-f20a-1cd6-2dfe461ab078")].Value; }		
		}			

		public string VendorArticleID
		{	
			set {this[new Guid("aee78772-3ac2-023c-3e3f-8a5998f575bd")].Value = value;}	
			get {return (string) this[new Guid("aee78772-3ac2-023c-3e3f-8a5998f575bd")].Value; }		
		}			

	}//
/*
			Name	 		: System.StarRating	
			Id 				: d37f9d4f-d641-a28c-fbae-0afda6dc64f0
			Description 	: Defines the properties of star ratings of knowledge articles
			ManagementPack	: System.Knowledge.Library
			Response class inherits from:
				                        System.UserPreference
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_StarRating : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_StarRating(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_StarRating Create() 
        {
            return new CreatableSystem_StarRating(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_StarRatingClass.GetManagementPackClass();
		

		public string RatingComments
		{	
			set {this[new Guid("50ff750b-4500-a90c-2b38-cf8ff566b049")].Value = value;}	
			get {return (string) this[new Guid("50ff750b-4500-a90c-2b38-cf8ff566b049")].Value; }		
		}			

		public int TotalRatingCount
		{	
			set {this[new Guid("2ece5028-0310-c971-eeb4-da580ffb7413")].Value = value;}	
			get {return (int) this[new Guid("2ece5028-0310-c971-eeb4-da580ffb7413")].Value; }		
		}			

		public int TotalRatingStars
		{	
			set {this[new Guid("6c174533-d82b-cff4-e871-2f6122b49cf2")].Value = value;}	
			get {return (int) this[new Guid("6c174533-d82b-cff4-e871-2f6122b49cf2")].Value; }		
		}			

	}//
/*
			Name	 		: System.Domain.User	
			Id 				: eca3c52a-f273-5cdc-f165-3eb95a2b26cf
			Description 	: Defines the basic properties of domain users or groups
			ManagementPack	: System.Library
			Response class inherits from:
				                        System.User
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableSystem_Domain_User : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Domain_User(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Domain_User Create() 
        {
            return new CreatableSystem_Domain_User(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Domain_UserClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string BusinessPhone
		{	
			set {this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value = value;}	
			get {return (string) this[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value; }		
		}			

		public string BusinessPhone2
		{	
			set {this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value = value;}	
			get {return (string) this[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value; }		
		}			

		public string City
		{	
			set {this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value = value;}	
			get {return (string) this[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value; }		
		}			

		public string Company
		{	
			set {this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value = value;}	
			get {return (string) this[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value; }		
		}			

		public string Country
		{	
			set {this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value = value;}	
			get {return (string) this[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value; }		
		}			

		public string Department
		{	
			set {this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value = value;}	
			get {return (string) this[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value; }		
		}			

		public string Domain
		{	
			set {this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value = value;}	
			get {return (string) this[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value; }		
		}			

		public string EmployeeId
		{	
			set {this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value = value;}	
			get {return (string) this[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value; }		
		}			

		public string Fax
		{	
			set {this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value = value;}	
			get {return (string) this[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value; }		
		}			

		public string FirstName
		{	
			set {this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value = value;}	
			get {return (string) this[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value; }		
		}			

		public string HomePhone
		{	
			set {this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value = value;}	
			get {return (string) this[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value; }		
		}			

		public string HomePhone2
		{	
			set {this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value = value;}	
			get {return (string) this[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value; }		
		}			

		public string Initials
		{	
			set {this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value = value;}	
			get {return (string) this[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value; }		
		}			

		public string LastName
		{	
			set {this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value = value;}	
			get {return (string) this[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value; }		
		}			

		public string Mobile
		{	
			set {this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value = value;}	
			get {return (string) this[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string Office
		{	
			set {this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value = value;}	
			get {return (string) this[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value; }		
		}			

		public string Pager
		{	
			set {this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value = value;}	
			get {return (string) this[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value; }		
		}			

		public string State
		{	
			set {this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value = value;}	
			get {return (string) this[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value; }		
		}			

		public string StreetAddress
		{	
			set {this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value = value;}	
			get {return (string) this[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value = value;}	
			get {return (string) this[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value; }		
		}			

		public string UserName
		{	
			set {this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value = value;}	
			get {return (string) this[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value; }		
		}			

		public string Zip
		{	
			set {this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value = value;}	
			get {return (string) this[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Channel.SIP	
			Id 				: 24b10896-60bc-fb41-fb61-17afe010b1a0
			Description 	: Notification channel for instant messages (SIP)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.Channel
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Channel_SIP : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Channel_SIP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Channel_SIP Create() 
        {
            return new CreatableSystem_Notification_Channel_SIP(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_Channel_SIPClass.GetManagementPackClass();
		

		public bool? IsEnabled
		{	
			set {this[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value = value;}	
			get {return (bool?) this[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Channel.SMS	
			Id 				: eaa253d6-bdae-7762-0399-e066e2463d4e
			Description 	: Notification channel for text messaging (SMS)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.Channel
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Channel_SMS : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Channel_SMS(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Channel_SMS Create() 
        {
            return new CreatableSystem_Notification_Channel_SMS(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_Channel_SMSClass.GetManagementPackClass();
		

		public bool? IsEnabled
		{	
			set {this[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value = value;}	
			get {return (bool?) this[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Channel.SMTP	
			Id 				: ab15d533-0d6f-190c-d682-6b16534164ab
			Description 	: Notification channel for e-mail (SMTP)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.Channel
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Channel_SMTP : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Channel_SMTP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Channel_SMTP Create() 
        {
            return new CreatableSystem_Notification_Channel_SMTP(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_Channel_SMTPClass.GetManagementPackClass();
		

		public bool? IsEnabled
		{	
			set {this[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value = value;}	
			get {return (bool?) this[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value; }		
		}			

		public int RetryIntervalSeconds
		{	
			set {this[new Guid("762772bb-0fdb-37f0-724c-fe6a5fe8e912")].Value = value;}	
			get {return (int) this[new Guid("762772bb-0fdb-37f0-724c-fe6a5fe8e912")].Value; }		
		}			

		public string ReturnAddress
		{	
			set {this[new Guid("d933c383-a63c-7bcf-d3d0-a7892b5b94f9")].Value = value;}	
			get {return (string) this[new Guid("d933c383-a63c-7bcf-d3d0-a7892b5b94f9")].Value; }		
		}			

		public string RunAsAccount
		{	
			set {this[new Guid("4ac88436-900e-1c4d-3344-6a965d1fc06e")].Value = value;}	
			get {return (string) this[new Guid("4ac88436-900e-1c4d-3344-6a965d1fc06e")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Endpoint	
			Id 				: c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d
			Description 	: Contains the properties of the subscriber address in notifications
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.UserPreference
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Endpoint : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Endpoint(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Endpoint Create() 
        {
            return new CreatableSystem_Notification_Endpoint(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_EndpointClass.GetManagementPackClass();
		

		public string ChannelName
		{	
			set {this[new Guid("57deed7f-bac3-9044-81a3-1da00a5c044e")].Value = value;}	
			get {return (string) this[new Guid("57deed7f-bac3-9044-81a3-1da00a5c044e")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("20e82f3c-0cb0-b97d-31dc-bcec1094bb73")].Value = value;}	
			get {return (string) this[new Guid("20e82f3c-0cb0-b97d-31dc-bcec1094bb73")].Value; }		
		}			

		public string TargetAddress
		{	
			set {this[new Guid("0e6323bc-55f2-eed8-1b6a-a5100417500b")].Value = value;}	
			get {return (string) this[new Guid("0e6323bc-55f2-eed8-1b6a-a5100417500b")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.SIPConfigurationSource	
			Id 				: c6d9a0e6-8997-9958-82ba-23d358dfd198
			Description 	: Notification configuration for the instant messaging channel (SIP)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.ConfigurationSource
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_SIPConfigurationSource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_SIPConfigurationSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_SIPConfigurationSource Create() 
        {
            return new CreatableSystem_Notification_SIPConfigurationSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_SIPConfigurationSourceClass.GetManagementPackClass();
		

		public string Authentication
		{	
			set {this[new Guid("200cde17-e125-6337-e3f4-b3638135edc0")].Value = value;}	
			get {return (string) this[new Guid("200cde17-e125-6337-e3f4-b3638135edc0")].Value; }		
		}			

		public bool? IsEnabled
		{	
			set {this[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value = value;}	
			get {return (bool?) this[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value; }		
		}			

		public int PortNumber
		{	
			set {this[new Guid("b65a2eab-3106-20da-07fc-86c7a809721a")].Value = value;}	
			get {return (int) this[new Guid("b65a2eab-3106-20da-07fc-86c7a809721a")].Value; }		
		}			

		public string Protocol
		{	
			set {this[new Guid("1d131110-9c93-a569-ba5a-f75680213f18")].Value = value;}	
			get {return (string) this[new Guid("1d131110-9c93-a569-ba5a-f75680213f18")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("c2450718-3e7a-9d0a-1b05-6e48e3adba7c")].Value = value;}	
			get {return (string) this[new Guid("c2450718-3e7a-9d0a-1b05-6e48e3adba7c")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.SMTPConfigurationSource	
			Id 				: d928b34e-7b52-2a2a-d100-74cb58eb365a
			Description 	: Configuration information for the e-mail channel (SMTP)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.ConfigurationSource
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_SMTPConfigurationSource : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_SMTPConfigurationSource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_SMTPConfigurationSource Create() 
        {
            return new CreatableSystem_Notification_SMTPConfigurationSource(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_SMTPConfigurationSourceClass.GetManagementPackClass();
		

		public string Authentication
		{	
			set {this[new Guid("aaf97df8-936c-0da1-0eff-d68699a47c56")].Value = value;}	
			get {return (string) this[new Guid("aaf97df8-936c-0da1-0eff-d68699a47c56")].Value; }		
		}			

		public bool? IsEnabled
		{	
			set {this[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value = value;}	
			get {return (bool?) this[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value; }		
		}			

		public int PortNumber
		{	
			set {this[new Guid("fe34de95-b0c6-2bf5-c4bb-96e3a6315fe8")].Value = value;}	
			get {return (int) this[new Guid("fe34de95-b0c6-2bf5-c4bb-96e3a6315fe8")].Value; }		
		}			

		public int SequenceNumber
		{	
			set {this[new Guid("9f238de4-7b5a-b039-f7fb-baa2c50dba96")].Value = value;}	
			get {return (int) this[new Guid("9f238de4-7b5a-b039-f7fb-baa2c50dba96")].Value; }		
		}			

		public string Server
		{	
			set {this[new Guid("0c80eebb-36f2-7ec5-834f-f52f7909ed3f")].Value = value;}	
			get {return (string) this[new Guid("0c80eebb-36f2-7ec5-834f-f52f7909ed3f")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Template.SIP	
			Id 				: a187e3fc-9cc9-e357-b749-a6d8f58860a2
			Description 	: Notification templates for instant messages (SIP)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.Template
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Template_SIP : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Template_SIP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Template_SIP Create() 
        {
            return new CreatableSystem_Notification_Template_SIP(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_Template_SIPClass.GetManagementPackClass();
		

		public string Content
		{	
			set {this[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value = value;}	
			get {return (string) this[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value; }		
		}			

		public string Encoding
		{	
			set {this[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value = value;}	
			get {return (string) this[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value; }		
		}			

		public string Protocol
		{	
			set {this[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value = value;}	
			get {return (string) this[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value; }		
		}			

		public string SeedClass
		{	
			set {this[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value = value;}	
			get {return (string) this[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value; }		
		}			

		public string Sender
		{	
			set {this[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value = value;}	
			get {return (string) this[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Template.SMS	
			Id 				: 385113d5-dd89-046d-827f-40d3af7f255c
			Description 	: Notification templates for text messaging (SMS)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.Template
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Template_SMS : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Template_SMS(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Template_SMS Create() 
        {
            return new CreatableSystem_Notification_Template_SMS(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_Template_SMSClass.GetManagementPackClass();
		

		public string Content
		{	
			set {this[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value = value;}	
			get {return (string) this[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value; }		
		}			

		public string Encoding
		{	
			set {this[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value = value;}	
			get {return (string) this[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value; }		
		}			

		public string Protocol
		{	
			set {this[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value = value;}	
			get {return (string) this[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value; }		
		}			

		public string SeedClass
		{	
			set {this[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value = value;}	
			get {return (string) this[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value; }		
		}			

		public string Sender
		{	
			set {this[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value = value;}	
			get {return (string) this[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value; }		
		}			

	}//
/*
			Name	 		: System.Notification.Template.SMTP	
			Id 				: 0814d9a7-8332-a5df-2ec8-34d07f3d40db
			Description 	: Notification templates for e-mail (SMTP)
			ManagementPack	: System.Notifications.Library
			Response class inherits from:
				                        System.Notification.Template
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_Notification_Template_SMTP : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Notification_Template_SMTP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Notification_Template_SMTP Create() 
        {
            return new CreatableSystem_Notification_Template_SMTP(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Notification_Template_SMTPClass.GetManagementPackClass();
		

		public string Content
		{	
			set {this[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value = value;}	
			get {return (string) this[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value; }		
		}			

		public string Encoding
		{	
			set {this[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value = value;}	
			get {return (string) this[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value; }		
		}			

		public bool? IsBodyHtml
		{	
			set {this[new Guid("3e3eadd4-f558-12e7-067b-a2c9b08a1386")].Value = value;}	
			get {return (bool?) this[new Guid("3e3eadd4-f558-12e7-067b-a2c9b08a1386")].Value; }		
		}			

		public bool? IsMultiCast
		{	
			set {this[new Guid("f7e9dd8d-5ab6-4796-9173-4bddf59c0c33")].Value = value;}	
			get {return (bool?) this[new Guid("f7e9dd8d-5ab6-4796-9173-4bddf59c0c33")].Value; }		
		}			

		public int Priority
		{	
			set {this[new Guid("26375c85-499e-d5d9-5af5-7dbf02bbac35")].Value = value;}	
			get {return (int) this[new Guid("26375c85-499e-d5d9-5af5-7dbf02bbac35")].Value; }		
		}			

		public string Protocol
		{	
			set {this[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value = value;}	
			get {return (string) this[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value; }		
		}			

		public string SeedClass
		{	
			set {this[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value = value;}	
			get {return (string) this[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value; }		
		}			

		public string Sender
		{	
			set {this[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value = value;}	
			get {return (string) this[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value; }		
		}			

		public string Subject
		{	
			set {this[new Guid("ea0fc320-a749-d424-662e-798c87b15c66")].Value = value;}	
			get {return (string) this[new Guid("ea0fc320-a749-d424-662e-798c87b15c66")].Value; }		
		}			

	}//
/*
			Name	 		: System.SoftwareItem	
			Id 				: e88c746c-27ba-5b70-9f78-13e96ad9cffb
			Description 	: Information about all installable software
			ManagementPack	: System.Software.Library
			Response class inherits from:
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableSystem_SoftwareItem : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_SoftwareItem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_SoftwareItem Create() 
        {
            return new CreatableSystem_SoftwareItem(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_SoftwareItemClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public bool? IsVirtualApplication
		{	
			set {this[new Guid("95b838a1-d55b-bd54-09ed-c9a9fa816ac0")].Value = value;}	
			get {return (bool?) this[new Guid("95b838a1-d55b-bd54-09ed-c9a9fa816ac0")].Value; }		
		}			

		public int LocaleID
		{	
			set {this[new Guid("f2459797-6d6e-1009-3f9d-9292787c1a75")].Value = value;}	
			get {return (int) this[new Guid("f2459797-6d6e-1009-3f9d-9292787c1a75")].Value; }		
		}			

		public string MajorVersion
		{	
			set {this[new Guid("9cb5bc6e-f8ea-8e90-4c2b-4f6e95bb21a8")].Value = value;}	
			get {return (string) this[new Guid("9cb5bc6e-f8ea-8e90-4c2b-4f6e95bb21a8")].Value; }		
		}			

		public string MinorVersion
		{	
			set {this[new Guid("047dd640-8a7d-32c3-426a-16e83e310178")].Value = value;}	
			get {return (string) this[new Guid("047dd640-8a7d-32c3-426a-16e83e310178")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string ProductName
		{	
			set {this[new Guid("816f72b9-66bc-479d-a53d-03ca80424bcb")].Value = value;}	
			get {return (string) this[new Guid("816f72b9-66bc-479d-a53d-03ca80424bcb")].Value; }		
		}			

		public string Publisher
		{	
			set {this[new Guid("b747eae1-d0bb-ebbb-8294-dabd97de7bb3")].Value = value;}	
			get {return (string) this[new Guid("b747eae1-d0bb-ebbb-8294-dabd97de7bb3")].Value; }		
		}			

		public string VersionString
		{	
			set {this[new Guid("e67f54a2-ed9d-773c-616e-49ca86b5ad51")].Value = value;}	
			get {return (string) this[new Guid("e67f54a2-ed9d-773c-616e-49ca86b5ad51")].Value; }		
		}			

	}//
/*
			Name	 		: System.SoftwareUpdate	
			Id 				: 7ccd1178-66c1-8fed-c363-e8896651453f
			Description 	: An update that can be installed to a device (not necessarily a computer, and not necessarily currently installed)
			ManagementPack	: System.Software.Library
			Response class inherits from:
				                        System.LogicalEntity
				                        System.ConfigItem
				                        System.Entity
*/
	public partial class CreatableSystem_SoftwareUpdate : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_SoftwareUpdate(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_SoftwareUpdate Create() 
        {
            return new CreatableSystem_SoftwareUpdate(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_SoftwareUpdateClass.GetManagementPackClass();
		

		public ManagementPackEnumeration AssetStatus
		{	
			set {this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
			get {return (string) this[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
		}			

		public ManagementPackEnumeration ObjectStatus
		{	
			set {this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("f9af25bc-d8e4-02ca-c607-ba9d5ad79850")].Value = value;}	
			get {return (string) this[new Guid("f9af25bc-d8e4-02ca-c607-ba9d5ad79850")].Value; }		
		}			

		public string Vendor
		{	
			set {this[new Guid("2fa20ad3-c8d8-f6d6-9224-a77cd07bf6f3")].Value = value;}	
			get {return (string) this[new Guid("2fa20ad3-c8d8-f6d6-9224-a77cd07bf6f3")].Value; }		
		}			

	}//
/*
			Name	 		: System.FileAttachment	
			Id 				: 68a35b6d-ca3d-8d90-f93d-248ceff935c0
			Description 	: Defines the properties of files attached to items such as incidents and change requests
			ManagementPack	: System.SupportingItem.Library
			Response class inherits from:
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_FileAttachment : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_FileAttachment(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_FileAttachment Create() 
        {
            return new CreatableSystem_FileAttachment(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_FileAttachmentClass.GetManagementPackClass();
		

		public DateTime? AddedDate
		{	
			set {this[new Guid("b27d985e-8104-0789-7488-2106f22f77f1")].Value = value;}	
			get {return (DateTime?) this[new Guid("b27d985e-8104-0789-7488-2106f22f77f1")].Value; }		
		}			

		public Stream Content
		{	
			set {this[new Guid("88aee6e7-0df7-2c06-a92d-8589864781d6")].Value = value;}	
			get {return (Stream) this[new Guid("88aee6e7-0df7-2c06-a92d-8589864781d6")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("47e9627e-114b-620b-f5e8-05b2dbabc842")].Value = value;}	
			get {return (string) this[new Guid("47e9627e-114b-620b-f5e8-05b2dbabc842")].Value; }		
		}			

		public string Extension
		{	
			set {this[new Guid("4fa82b7f-ab97-cdde-09c5-6236b186cf75")].Value = value;}	
			get {return (string) this[new Guid("4fa82b7f-ab97-cdde-09c5-6236b186cf75")].Value; }		
		}			

		public int Size
		{	
			set {this[new Guid("a3e2fc65-7cca-d3e6-0b4d-f030dead9d7b")].Value = value;}	
			get {return (int) this[new Guid("a3e2fc65-7cca-d3e6-0b4d-f030dead9d7b")].Value; }		
		}			

	}//
/*
			Name	 		: System.Search.ProviderConfig	
			Id 				: 32b66b6f-1629-c411-394e-fea87a65143c
			Description 	: Provider Configuration
			ManagementPack	: System.SupportingItem.Library
			Response class inherits from:
				                        System.UserPreference
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_Search_ProviderConfig : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Search_ProviderConfig(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Search_ProviderConfig Create() 
        {
            return new CreatableSystem_Search_ProviderConfig(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_Search_ProviderConfigClass.GetManagementPackClass();
		

		public double Latitude
		{	
			set {this[new Guid("57108559-a2c2-1591-4964-6185da8deba1")].Value = value;}	
			get {return (double) this[new Guid("57108559-a2c2-1591-4964-6185da8deba1")].Value; }		
		}			

		public string ProviderName
		{	
			set {this[new Guid("7251485c-0f98-d924-51db-dbe73afa7680")].Value = value;}	
			get {return (string) this[new Guid("7251485c-0f98-d924-51db-dbe73afa7680")].Value; }		
		}			

		public string Url
		{	
			set {this[new Guid("1fa34a8b-42f1-4230-d2e6-56f5efaae150")].Value = value;}	
			get {return (string) this[new Guid("1fa34a8b-42f1-4230-d2e6-56f5efaae150")].Value; }		
		}			

	}//
/*
			Name	 		: System.UserPreference.Localization	
			Id 				: efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8
			Description 	: Localization
			ManagementPack	: System.SupportingItem.Library
			Response class inherits from:
				                        System.UserPreference
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_UserPreference_Localization : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_UserPreference_Localization(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_UserPreference_Localization Create() 
        {
            return new CreatableSystem_UserPreference_Localization(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_UserPreference_LocalizationClass.GetManagementPackClass();
		

		public int LocaleID
		{	
			set {this[new Guid("620c28f9-3ee0-6686-9de8-ae71ff1bfbec")].Value = value;}	
			get {return (int) this[new Guid("620c28f9-3ee0-6686-9de8-ae71ff1bfbec")].Value; }		
		}			

		public string Timezone
		{	
			set {this[new Guid("664c0d5a-d0c0-93fc-70b1-08eb88caf14d")].Value = value;}	
			get {return (string) this[new Guid("664c0d5a-d0c0-93fc-70b1-08eb88caf14d")].Value; }		
		}			

	}//
/*
			Name	 		: System.Reviewer	
			Id 				: 2f28a9ae-0e94-c895-c087-b222b231dd46
			Description 	: Defines the basic properties of activity reviewers
			ManagementPack	: System.WorkItem.Activity.Library
			Response class inherits from:
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_Reviewer : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_Reviewer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_Reviewer Create() 
        {
            return new CreatableSystem_Reviewer(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_ReviewerClass.GetManagementPackClass();
		

		public string Comments
		{	
			set {this[new Guid("f95c19c3-4065-d025-795f-20b5b36b183a")].Value = value;}	
			get {return (string) this[new Guid("f95c19c3-4065-d025-795f-20b5b36b183a")].Value; }		
		}			

		public ManagementPackEnumeration Decision
		{	
			set {this[new Guid("d8ed4f28-0b68-a656-6a67-197f74f6b34f")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("d8ed4f28-0b68-a656-6a67-197f74f6b34f")].Value; }		
		}			

		public DateTime? DecisionDate
		{	
			set {this[new Guid("92b33617-131f-4726-bb9e-8d7974313fc7")].Value = value;}	
			get {return (DateTime?) this[new Guid("92b33617-131f-4726-bb9e-8d7974313fc7")].Value; }		
		}			

		public bool? MustVote
		{	
			set {this[new Guid("a4e71854-1fc0-0976-5b77-d6055f733409")].Value = value;}	
			get {return (bool?) this[new Guid("a4e71854-1fc0-0976-5b77-d6055f733409")].Value; }		
		}			

		public string ReviewerId
		{	
			set {this[new Guid("1c98c323-8c9f-1692-f703-4ed0dab1f727")].Value = value;}	
			get {return (string) this[new Guid("1c98c323-8c9f-1692-f703-4ed0dab1f727")].Value; }		
		}			

		public bool? Veto
		{	
			set {this[new Guid("3b724b51-03e9-7482-c18b-6c2882180a1d")].Value = value;}	
			get {return (bool?) this[new Guid("3b724b51-03e9-7482-c18b-6c2882180a1d")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Activity.ManualActivity	
			Id 				: 7ac62bd4-8fce-a150-3b40-16a39a61383d
			Description 	: Defines the basic properties of manual activities that a user must complete for a change request
			ManagementPack	: System.WorkItem.Activity.Library
			Response class inherits from:
				                        System.WorkItem.Activity
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Activity_ManualActivity : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Activity_ManualActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Activity_ManualActivity Create() 
        {
            return new CreatableSystem_WorkItem_Activity_ManualActivity(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Activity_ManualActivityClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public ManagementPackEnumeration Area
		{	
			set {this[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
			get {return (string) this[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public int SequenceId
		{	
			set {this[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
			get {return (int) this[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
		}			

		public ManagementPackEnumeration Stage
		{	
			set {this[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Activity.ReviewActivity	
			Id 				: bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36
			Description 	: Defines the basic properties of review activities that a user must complete for a change request
			ManagementPack	: System.WorkItem.Activity.Library
			Response class inherits from:
				                        System.WorkItem.Activity
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Activity_ReviewActivity : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Activity_ReviewActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Activity_ReviewActivity Create() 
        {
            return new CreatableSystem_WorkItem_Activity_ReviewActivity(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Activity_ReviewActivityClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public ManagementPackEnumeration ApprovalCondition
		{	
			set {this[new Guid("3f9f69dd-d949-4ebc-49c6-117ba9e3b43d")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("3f9f69dd-d949-4ebc-49c6-117ba9e3b43d")].Value; }		
		}			

		public int ApprovalPercentage
		{	
			set {this[new Guid("ef4871c7-6eac-0649-1a4b-52ea96c50ecb")].Value = value;}	
			get {return (int) this[new Guid("ef4871c7-6eac-0649-1a4b-52ea96c50ecb")].Value; }		
		}			

		public ManagementPackEnumeration Area
		{	
			set {this[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
		}			

		public string Comments
		{	
			set {this[new Guid("7542904e-e083-bb60-ed09-d5dec8feda5a")].Value = value;}	
			get {return (string) this[new Guid("7542904e-e083-bb60-ed09-d5dec8feda5a")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public bool? LineManagerShouldReview
		{	
			set {this[new Guid("fa78a7e1-c3ff-7cd3-0852-66c3ca077bb7")].Value = value;}	
			get {return (bool?) this[new Guid("fa78a7e1-c3ff-7cd3-0852-66c3ca077bb7")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
			get {return (string) this[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
		}			

		public bool? OwnersOfConfigItemShouldReview
		{	
			set {this[new Guid("d51fb4a8-f285-bee0-26f5-5beba1ea9592")].Value = value;}	
			get {return (bool?) this[new Guid("d51fb4a8-f285-bee0-26f5-5beba1ea9592")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public int SequenceId
		{	
			set {this[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
			get {return (int) this[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
		}			

		public ManagementPackEnumeration Stage
		{	
			set {this[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.ChangeRequest	
			Id 				: e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c
			Description 	: Defines the basic properties of change requests
			ManagementPack	: System.WorkItem.ChangeRequest.Library
			Response class inherits from:
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_ChangeRequest : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_ChangeRequest(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_ChangeRequest Create() 
        {
            return new CreatableSystem_WorkItem_ChangeRequest(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_ChangeRequestClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public ManagementPackEnumeration Area
		{	
			set {this[new Guid("307cfd9e-4731-ebe2-3d95-808eba544174")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("307cfd9e-4731-ebe2-3d95-808eba544174")].Value; }		
		}			

		public string BackoutPlan
		{	
			set {this[new Guid("d5b20722-d119-6702-3308-f987bd5aea75")].Value = value;}	
			get {return (string) this[new Guid("d5b20722-d119-6702-3308-f987bd5aea75")].Value; }		
		}			

		public ManagementPackEnumeration Category
		{	
			set {this[new Guid("0baca6fa-4afe-ea7f-a060-6ee31d302152")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("0baca6fa-4afe-ea7f-a060-6ee31d302152")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public ManagementPackEnumeration Impact
		{	
			set {this[new Guid("767a95c9-96ca-4a43-47dd-62948ac34846")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("767a95c9-96ca-4a43-47dd-62948ac34846")].Value; }		
		}			

		public string ImplementationPlan
		{	
			set {this[new Guid("b90e5f89-1e3a-e10f-f6d6-eeee684f896f")].Value = value;}	
			get {return (string) this[new Guid("b90e5f89-1e3a-e10f-f6d6-eeee684f896f")].Value; }		
		}			

		public ManagementPackEnumeration ImplementationResults
		{	
			set {this[new Guid("9d2434e4-4a09-fcee-81fa-78a3b12d806e")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("9d2434e4-4a09-fcee-81fa-78a3b12d806e")].Value; }		
		}			

		public string Notes
		{	
			set {this[new Guid("5cc7ed69-4f78-3d14-1d4d-b17616a2b566")].Value = value;}	
			get {return (string) this[new Guid("5cc7ed69-4f78-3d14-1d4d-b17616a2b566")].Value; }		
		}			

		public string PostImplementationReview
		{	
			set {this[new Guid("d4e89164-5c63-e88b-b693-5d65244b2529")].Value = value;}	
			get {return (string) this[new Guid("d4e89164-5c63-e88b-b693-5d65244b2529")].Value; }		
		}			

		public ManagementPackEnumeration Priority
		{	
			set {this[new Guid("a9934ada-3307-1e41-b851-f2d9503dbbbe")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a9934ada-3307-1e41-b851-f2d9503dbbbe")].Value; }		
		}			

		public string Reason
		{	
			set {this[new Guid("25f2d99d-2a86-a3f6-5157-8672def02553")].Value = value;}	
			get {return (string) this[new Guid("25f2d99d-2a86-a3f6-5157-8672def02553")].Value; }		
		}			

		public DateTime? RequiredByDate
		{	
			set {this[new Guid("4cb0bdbc-5092-6c7d-1bd3-7fda9df6afd9")].Value = value;}	
			get {return (DateTime?) this[new Guid("4cb0bdbc-5092-6c7d-1bd3-7fda9df6afd9")].Value; }		
		}			

		public ManagementPackEnumeration Risk
		{	
			set {this[new Guid("5e41a9d0-7d74-7c5a-e56e-c72292d9be20")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("5e41a9d0-7d74-7c5a-e56e-c72292d9be20")].Value; }		
		}			

		public string RiskAssessmentPlan
		{	
			set {this[new Guid("596bc015-b878-950a-12ac-96ed5ee70336")].Value = value;}	
			get {return (string) this[new Guid("596bc015-b878-950a-12ac-96ed5ee70336")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("23659689-c1a7-98b3-bf1c-f352df014a4a")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("23659689-c1a7-98b3-bf1c-f352df014a4a")].Value; }		
		}			

		public string TemplateId
		{	
			set {this[new Guid("daa7213f-a107-a1a4-964d-1b21af0ec8fb")].Value = value;}	
			get {return (string) this[new Guid("daa7213f-a107-a1a4-964d-1b21af0ec8fb")].Value; }		
		}			

		public string TestPlan
		{	
			set {this[new Guid("49e207e5-44b7-2ccb-c062-f7c50db03b57")].Value = value;}	
			get {return (string) this[new Guid("49e207e5-44b7-2ccb-c062-f7c50db03b57")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Incident	
			Id 				: a604b942-4c7b-2fb2-28dc-61dc6f465c68
			Description 	: Defines the basic properties of incidents
			ManagementPack	: System.WorkItem.Incident.Library
			Response class inherits from:
				                        System.WorkItem.TroubleTicket
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Incident : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Incident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Incident Create() 
        {
            return new CreatableSystem_WorkItem_Incident(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_IncidentClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value; }		
		}			

		public DateTime? ClosedDate
		{	
			set {this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public bool? Escalated
		{	
			set {this[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value = value;}	
			get {return (bool?) this[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value; }		
		}			

		public bool? HasCreatedKnowledgeArticle
		{	
			set {this[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value = value;}	
			get {return (bool?) this[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value; }		
		}			

		public ManagementPackEnumeration Impact
		{	
			set {this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
		}			

		public ManagementPackEnumeration LastModifiedSource
		{	
			set {this[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value; }		
		}			

		public bool? NeedsKnowledgeArticle
		{	
			set {this[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value = value;}	
			get {return (bool?) this[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value; }		
		}			

		public int Priority
		{	
			set {this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
			get {return (int) this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
		}			

		public ManagementPackEnumeration ResolutionCategory
		{	
			set {this[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value; }		
		}			

		public string ResolutionDescription
		{	
			set {this[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value = value;}	
			get {return (string) this[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value; }		
		}			

		public DateTime? ResolvedDate
		{	
			set {this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
			get {return (DateTime?) this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public ManagementPackEnumeration Source
		{	
			set {this[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value; }		
		}			

		public DateTime? TargetResolutionTime
		{	
			set {this[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value = value;}	
			get {return (DateTime?) this[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value; }		
		}			

		public ManagementPackEnumeration TierQueue
		{	
			set {this[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

		public ManagementPackEnumeration Urgency
		{	
			set {this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.BillableTime	
			Id 				: 6645cdbe-78a3-ab81-7de9-638b733214fe
			Description 	: Billable time
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_BillableTime : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_BillableTime(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_BillableTime Create() 
        {
            return new CreatableSystem_WorkItem_BillableTime(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_BillableTimeClass.GetManagementPackClass();
		

		public DateTime? LastUpdated
		{	
			set {this[new Guid("f2403a92-e488-73aa-9737-41e72ef6106c")].Value = value;}	
			get {return (DateTime?) this[new Guid("f2403a92-e488-73aa-9737-41e72ef6106c")].Value; }		
		}			

		public int TimeInMinutes
		{	
			set {this[new Guid("d686c35e-e5ad-cdc3-e6db-25a4f1bb4bc0")].Value = value;}	
			get {return (int) this[new Guid("d686c35e-e5ad-cdc3-e6db-25a4f1bb4bc0")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.TroubleTicket.ActionLog	
			Id 				: dbb6a632-0a7e-cef8-1fc9-405d5cd4d911
			Description 	: Trouble ticket action logs
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.ActionLog
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_TroubleTicket_ActionLog : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_TroubleTicket_ActionLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_TroubleTicket_ActionLog Create() 
        {
            return new CreatableSystem_WorkItem_TroubleTicket_ActionLog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_TroubleTicket_ActionLogClass.GetManagementPackClass();
		

		public ManagementPackEnumeration ActionType
		{	
			set {this[new Guid("596d0837-943e-5eb8-98b4-9ba218f1c6c9")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("596d0837-943e-5eb8-98b4-9ba218f1c6c9")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("2d9d0674-bde8-dfb5-fa4d-952f011ea6d8")].Value = value;}	
			get {return (string) this[new Guid("2d9d0674-bde8-dfb5-fa4d-952f011ea6d8")].Value; }		
		}			

		public string EnteredBy
		{	
			set {this[new Guid("55fe2403-8275-6fde-802f-d68b3d659c4e")].Value = value;}	
			get {return (string) this[new Guid("55fe2403-8275-6fde-802f-d68b3d659c4e")].Value; }		
		}			

		public DateTime? EnteredDate
		{	
			set {this[new Guid("ecfbba98-76cc-a7db-797a-281ae70f18be")].Value = value;}	
			get {return (DateTime?) this[new Guid("ecfbba98-76cc-a7db-797a-281ae70f18be")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("b38ab8ce-eb5b-451d-00c2-644e9ab70acf")].Value = value;}	
			get {return (string) this[new Guid("b38ab8ce-eb5b-451d-00c2-644e9ab70acf")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.TroubleTicket.AnalystCommentLog	
			Id 				: f14b70f4-878c-c0e1-b5c1-06ca22d05d40
			Description 	: Analyst comments on trouble tickets
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.CommentLog
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_TroubleTicket_AnalystCommentLog : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_TroubleTicket_AnalystCommentLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_TroubleTicket_AnalystCommentLog Create() 
        {
            return new CreatableSystem_WorkItem_TroubleTicket_AnalystCommentLog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_TroubleTicket_AnalystCommentLogClass.GetManagementPackClass();
		

		public string Comment
		{	
			set {this[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value = value;}	
			get {return (string) this[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value; }		
		}			

		public string EnteredBy
		{	
			set {this[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value = value;}	
			get {return (string) this[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value; }		
		}			

		public DateTime? EnteredDate
		{	
			set {this[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value = value;}	
			get {return (DateTime?) this[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value; }		
		}			

		public bool? IsPrivate
		{	
			set {this[new Guid("bde72300-dd14-b4c9-c60a-0fa84a860976")].Value = value;}	
			get {return (bool?) this[new Guid("bde72300-dd14-b4c9-c60a-0fa84a860976")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.TroubleTicket.AuditCommentLog	
			Id 				: c06a4eb0-d21e-1838-0995-ee817b3aac4a
			Description 	: Trouble Ticket audit logs
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.CommentLog
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_TroubleTicket_AuditCommentLog : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_TroubleTicket_AuditCommentLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_TroubleTicket_AuditCommentLog Create() 
        {
            return new CreatableSystem_WorkItem_TroubleTicket_AuditCommentLog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_TroubleTicket_AuditCommentLogClass.GetManagementPackClass();
		

		public string Comment
		{	
			set {this[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value = value;}	
			get {return (string) this[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value; }		
		}			

		public string EnteredBy
		{	
			set {this[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value = value;}	
			get {return (string) this[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value; }		
		}			

		public DateTime? EnteredDate
		{	
			set {this[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value = value;}	
			get {return (DateTime?) this[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.TroubleTicket.SipNotificationLog	
			Id 				: cb08816f-c354-348c-f6d4-74f9de9b5680
			Description 	: Notification logs for text message (SIP) notifications about trouble tickets
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.TroubleTicket.NotificationLog
				                        System.WorkItem.NotificationLog
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_TroubleTicket_SipNotificationLog : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_TroubleTicket_SipNotificationLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_TroubleTicket_SipNotificationLog Create() 
        {
            return new CreatableSystem_WorkItem_TroubleTicket_SipNotificationLog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_TroubleTicket_SipNotificationLogClass.GetManagementPackClass();
		

		public string Encoding
		{	
			set {this[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value = value;}	
			get {return (string) this[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value; }		
		}			

		public string Message
		{	
			set {this[new Guid("af8f007d-905f-6f4c-131d-73e197662825")].Value = value;}	
			get {return (string) this[new Guid("af8f007d-905f-6f4c-131d-73e197662825")].Value; }		
		}			

		public DateTime? SentDate
		{	
			set {this[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value = value;}	
			get {return (DateTime?) this[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value; }		
		}			

		public string SentTo
		{	
			set {this[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value = value;}	
			get {return (string) this[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.TroubleTicket.SmtpNotificationLog	
			Id 				: b4e0d3c5-b138-5f1a-a5cd-2249c3829646
			Description 	: Notification logs for e-mail (SMTP) notifications about trouble tickets
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.TroubleTicket.NotificationLog
				                        System.WorkItem.NotificationLog
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_TroubleTicket_SmtpNotificationLog : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_TroubleTicket_SmtpNotificationLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_TroubleTicket_SmtpNotificationLog Create() 
        {
            return new CreatableSystem_WorkItem_TroubleTicket_SmtpNotificationLog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_TroubleTicket_SmtpNotificationLogClass.GetManagementPackClass();
		

		public string Body
		{	
			set {this[new Guid("2dd97e7c-0435-81a5-2d46-cdc3015a8ab3")].Value = value;}	
			get {return (string) this[new Guid("2dd97e7c-0435-81a5-2d46-cdc3015a8ab3")].Value; }		
		}			

		public string Encoding
		{	
			set {this[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value = value;}	
			get {return (string) this[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value; }		
		}			

		public int Priority
		{	
			set {this[new Guid("13625928-2f3a-45be-3d09-d6e786bbc300")].Value = value;}	
			get {return (int) this[new Guid("13625928-2f3a-45be-3d09-d6e786bbc300")].Value; }		
		}			

		public DateTime? SentDate
		{	
			set {this[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value = value;}	
			get {return (DateTime?) this[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value; }		
		}			

		public string SentTo
		{	
			set {this[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value = value;}	
			get {return (string) this[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value; }		
		}			

		public string Subject
		{	
			set {this[new Guid("39937dac-6844-1cbd-cb8c-7fe97e744d8f")].Value = value;}	
			get {return (string) this[new Guid("39937dac-6844-1cbd-cb8c-7fe97e744d8f")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.TroubleTicket.UserCommentLog	
			Id 				: a3d4e16f-5e8a-18ba-9198-d9815194c986
			Description 	: User comments on trouble tickets
			ManagementPack	: System.WorkItem.Library
			Response class inherits from:
				                        System.WorkItem.CommentLog
				                        System.WorkItem.Log
				                        System.Information
				                        System.SupportingItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_TroubleTicket_UserCommentLog : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_TroubleTicket_UserCommentLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_TroubleTicket_UserCommentLog Create() 
        {
            return new CreatableSystem_WorkItem_TroubleTicket_UserCommentLog(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_TroubleTicket_UserCommentLogClass.GetManagementPackClass();
		

		public string Comment
		{	
			set {this[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value = value;}	
			get {return (string) this[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value; }		
		}			

		public string EnteredBy
		{	
			set {this[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value = value;}	
			get {return (string) this[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value; }		
		}			

		public DateTime? EnteredDate
		{	
			set {this[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value = value;}	
			get {return (DateTime?) this[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value; }		
		}			

	}//
/*
			Name	 		: System.GlobalSetting.ProblemSettings	
			Id 				: da0eeac9-9c85-e72b-f321-44a3fcec9c9a
			Description 	: Settings for problems, such as ID prefix, file attachments and priority
			ManagementPack	: System.WorkItem.Problem.Library
			Response class inherits from:
				                        System.SolutionSettings
				                        System.GlobalSetting
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_GlobalSetting_ProblemSettings : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_GlobalSetting_ProblemSettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_GlobalSetting_ProblemSettings Create() 
        {
            return new CreatableSystem_GlobalSetting_ProblemSettings(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_GlobalSetting_ProblemSettingsClass.GetManagementPackClass();
		

		public int MaxAttachments
		{	
			set {this[new Guid("1a264acf-0115-8556-ea20-4e0bc350a205")].Value = value;}	
			get {return (int) this[new Guid("1a264acf-0115-8556-ea20-4e0bc350a205")].Value; }		
		}			

		public int MaxAttachmentSize
		{	
			set {this[new Guid("054d3b4c-e021-8d41-2a73-b6258cb98a33")].Value = value;}	
			get {return (int) this[new Guid("054d3b4c-e021-8d41-2a73-b6258cb98a33")].Value; }		
		}			

		public string PriorityMatrix
		{	
			set {this[new Guid("e179d2d6-0d32-90e0-f513-9a84e206ba59")].Value = value;}	
			get {return (string) this[new Guid("e179d2d6-0d32-90e0-f513-9a84e206ba59")].Value; }		
		}			

		public int PriorityMaxValue
		{	
			set {this[new Guid("4341716a-b6b8-5a98-e9cb-963e3dc1bc8a")].Value = value;}	
			get {return (int) this[new Guid("4341716a-b6b8-5a98-e9cb-963e3dc1bc8a")].Value; }		
		}			

		public int PriorityMinValue
		{	
			set {this[new Guid("5bb6afb7-1940-9ec4-1651-1144489841b1")].Value = value;}	
			get {return (int) this[new Guid("5bb6afb7-1940-9ec4-1651-1144489841b1")].Value; }		
		}			

		public string ProblemIdPrefix
		{	
			set {this[new Guid("9dd2e62e-ecba-966a-4fe8-c469553c689e")].Value = value;}	
			get {return (string) this[new Guid("9dd2e62e-ecba-966a-4fe8-c469553c689e")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Problem	
			Id 				: 422afc88-5eff-f4c5-f8f6-e01038cde67f
			Description 	: Defines the basic properties of problems
			ManagementPack	: System.WorkItem.Problem.Library
			Response class inherits from:
				                        System.WorkItem.TroubleTicket
				                        System.WorkItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Problem : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Problem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Problem Create() 
        {
            return new CreatableSystem_WorkItem_Problem(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_ProblemClass.GetManagementPackClass();
		

		public DateTime? ActualEndDate
		{	
			set {this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
			get {return (DateTime?) this[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
		}			

		public DateTime? ActualStartDate
		{	
			set {this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
			get {return (DateTime?) this[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
		}			

		public bool? AutoResolve
		{	
			set {this[new Guid("9f72a895-81d2-bde9-0e04-38c0dc12b906")].Value = value;}	
			get {return (bool?) this[new Guid("9f72a895-81d2-bde9-0e04-38c0dc12b906")].Value; }		
		}			

		public ManagementPackEnumeration Classification
		{	
			set {this[new Guid("847241ac-5e64-e3a2-1c78-01714e31f094")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("847241ac-5e64-e3a2-1c78-01714e31f094")].Value; }		
		}			

		public DateTime? ClosedDate
		{	
			set {this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
		}			

		public string ContactMethod
		{	
			set {this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
			get {return (string) this[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
		}			

		public DateTime? CreatedDate
		{	
			set {this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
			get {return (DateTime?) this[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
		}			

		public string Description
		{	
			set {this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
			get {return (string) this[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
		}			

		public string ErrorDescription
		{	
			set {this[new Guid("d1c50a8d-7375-28a1-35f5-108dee05a1c4")].Value = value;}	
			get {return (string) this[new Guid("d1c50a8d-7375-28a1-35f5-108dee05a1c4")].Value; }		
		}			

		public ManagementPackEnumeration Impact
		{	
			set {this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
		}			

		public bool? KnownError
		{	
			set {this[new Guid("9a03fd17-3b54-2601-72b0-e49e3d711266")].Value = value;}	
			get {return (bool?) this[new Guid("9a03fd17-3b54-2601-72b0-e49e3d711266")].Value; }		
		}			

		public int Priority
		{	
			set {this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
			get {return (int) this[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
		}			

		public bool? RequiresMajorProblemReview
		{	
			set {this[new Guid("1b39815a-ada2-9062-8965-db23339e5e56")].Value = value;}	
			get {return (bool?) this[new Guid("1b39815a-ada2-9062-8965-db23339e5e56")].Value; }		
		}			

		public ManagementPackEnumeration Resolution
		{	
			set {this[new Guid("9ec7b8e2-7078-771e-eaaa-cade20c82c4f")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("9ec7b8e2-7078-771e-eaaa-cade20c82c4f")].Value; }		
		}			

		public string ResolutionDescription
		{	
			set {this[new Guid("dfb8df38-8d4f-71b4-44e0-23ac65cef070")].Value = value;}	
			get {return (string) this[new Guid("dfb8df38-8d4f-71b4-44e0-23ac65cef070")].Value; }		
		}			

		public DateTime? ResolvedDate
		{	
			set {this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
			get {return (DateTime?) this[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
		}			

		public string ReviewNotes
		{	
			set {this[new Guid("6a535d3e-503e-09fe-ea3c-52aec02ae841")].Value = value;}	
			get {return (string) this[new Guid("6a535d3e-503e-09fe-ea3c-52aec02ae841")].Value; }		
		}			

		public DateTime? ScheduledEndDate
		{	
			set {this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
			get {return (DateTime?) this[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
		}			

		public DateTime? ScheduledStartDate
		{	
			set {this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
			get {return (DateTime?) this[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
		}			

		public ManagementPackEnumeration Source
		{	
			set {this[new Guid("70818193-7344-ab63-4760-2ac08ec846c4")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("70818193-7344-ab63-4760-2ac08ec846c4")].Value; }		
		}			

		public ManagementPackEnumeration Status
		{	
			set {this[new Guid("0c489de5-4e51-c4dc-4ce9-ce8137ce1a26")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("0c489de5-4e51-c4dc-4ce9-ce8137ce1a26")].Value; }		
		}			

		public string Title
		{	
			set {this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
			get {return (string) this[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
		}			

		public ManagementPackEnumeration Urgency
		{	
			set {this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
			get {return (ManagementPackEnumeration) this[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
		}			

		public string Workarounds
		{	
			set {this[new Guid("64a534e6-830e-c3cb-5493-35abca0b260d")].Value = value;}	
			get {return (string) this[new Guid("64a534e6-830e-c3cb-5493-35abca0b260d")].Value; }		
		}			

	}//
/*
			Name	 		: System.WorkItem.Problem.WorkflowTarget	
			Id 				: 1684a476-26b0-3576-9562-29d57a8d73c7
			Description 	: Defines the properties of the problem workflow target
			ManagementPack	: System.WorkItem.Problem.Library
			Response class inherits from:
				                        Microsoft.SystemCenter.WorkflowTarget
				                        System.AdminItem
				                        System.Entity
*/
	public partial class CreatableSystem_WorkItem_Problem_WorkflowTarget : CreatableEnterpriseManagementObject
	{
	    public CreatableSystem_WorkItem_Problem_WorkflowTarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSystem_WorkItem_Problem_WorkflowTarget Create() 
        {
            return new CreatableSystem_WorkItem_Problem_WorkflowTarget(SCSMServer.CurrentManagementGroup, @class);
        }
			 
		private static readonly ManagementPackClass @class = System_WorkItem_Problem_WorkflowTargetClass.GetManagementPackClass();
		

	}//
} 