﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.Facade;
using Savviety.ServiceManager.Facade.Criteria;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 using Savviety.ServiceManager.Facade.ManagementPacks;

namespace Savviety.ServiceManager.Facade.EnterpriseManagementClasses
{ 
	
	
	
/*
			Name	 		: System.LinkingFramework.ActiveDirectorySource	
			Id 				: 26db232b-8fa9-4f0a-f64d-da9e01d53693
			Description 	: Linking Framework AD Source class
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.AD
			This class inherits from:
				System.LinkingFramework.DataSource
				Microsoft.SystemCenter.Connector
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_ActiveDirectorySourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("26db232b-8fa9-4f0a-f64d-da9e01d53693");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("26db232b-8fa9-4f0a-f64d-da9e01d53693");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("d43c3091-62c2-6404-607d-4376e592a89b");}
		}
        
        
        public static class PropertyNames
        {
            public static string ComputerList
            {	
                get {return "ComputerList"; }		
            }			
            public static string DataProviderDisplayName
            {	
                get {return "DataProviderDisplayName"; }		
            }			
            public static string DataProviderName
            {	
                get {return "DataProviderName"; }		
            }			
            public static string DatawarehouseProfileName
            {	
                get {return "DatawarehouseProfileName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Enabled
            {	
                get {return "Enabled"; }		
            }			
            public static string FQDN
            {	
                get {return "FQDN"; }		
            }			
            public static string GroupList
            {	
                get {return "GroupList"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string ImpersonationEnabled
            {	
                get {return "ImpersonationEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string PrinterList
            {	
                get {return "PrinterList"; }		
            }			
            public static string ReaderProfileName
            {	
                get {return "ReaderProfileName"; }		
            }			
            public static string Reserved
            {	
                get {return "Reserved"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string SyncInterval
            {	
                get {return "SyncInterval"; }		
            }			
            public static string SyncNow
            {	
                get {return "SyncNow"; }		
            }			
            public static string SyncTime
            {	
                get {return "SyncTime"; }		
            }			
            public static string SyncType
            {	
                get {return "SyncType"; }		
            }			
            public static string UserList
            {	
                get {return "UserList"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ComputerList");
                    propertyNames.Add("DataProviderDisplayName");
                    propertyNames.Add("DataProviderName");
                    propertyNames.Add("DatawarehouseProfileName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Enabled");
                    propertyNames.Add("FQDN");
                    propertyNames.Add("GroupList");
                    propertyNames.Add("Id");
                    propertyNames.Add("ImpersonationEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("PrinterList");
                    propertyNames.Add("ReaderProfileName");
                    propertyNames.Add("Reserved");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("SyncInterval");
                    propertyNames.Add("SyncNow");
                    propertyNames.Add("SyncTime");
                    propertyNames.Add("SyncType");
                    propertyNames.Add("UserList");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ComputerList
            {	
                get {return new Guid("02c67d7a-54f0-84be-54f0-6f6c167fb57c"); }		
            }			
            public static Guid DataProviderDisplayName
            {	
                get {return new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86"); }		
            }			
            public static Guid DataProviderName
            {	
                get {return new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396"); }		
            }			
            public static Guid DatawarehouseProfileName
            {	
                get {return new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Enabled
            {	
                get {return new Guid("071beb6b-2706-cf0c-646b-a0627949ed77"); }		
            }			
            public static Guid FQDN
            {	
                get {return new Guid("2a6e596a-9adf-b304-24c6-b9ebe09c8ad8"); }		
            }			
            public static Guid GroupList
            {	
                get {return new Guid("8056f71f-b28d-6151-6ca2-7a750e9dc192"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid ImpersonationEnabled
            {	
                get {return new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
            public static Guid PrinterList
            {	
                get {return new Guid("97f597c3-4591-f824-1304-696a4b01df1b"); }		
            }			
            public static Guid ReaderProfileName
            {	
                get {return new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3"); }		
            }			
            public static Guid Reserved
            {	
                get {return new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b"); }		
            }			
            public static Guid SyncInterval
            {	
                get {return new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19"); }		
            }			
            public static Guid SyncNow
            {	
                get {return new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e"); }		
            }			
            public static Guid SyncTime
            {	
                get {return new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456"); }		
            }			
            public static Guid SyncType
            {	
                get {return new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771"); }		
            }			
            public static Guid UserList
            {	
                get {return new Guid("f6db082b-8242-2579-c6bf-3260a3332932"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector	
			Id 				: 2f3681d9-153b-36ae-68ce-9197244a3bf5
			Description 	: Defines the properties of the Operations Manager connector
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			This class inherits from:
				System.LinkingFramework.DataSource
				Microsoft.SystemCenter.Connector
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnectorClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2f3681d9-153b-36ae-68ce-9197244a3bf5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2f3681d9-153b-36ae-68ce-9197244a3bf5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataProviderDisplayName
            {	
                get {return "DataProviderDisplayName"; }		
            }			
            public static string DataProviderName
            {	
                get {return "DataProviderName"; }		
            }			
            public static string DatawarehouseProfileName
            {	
                get {return "DatawarehouseProfileName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Enabled
            {	
                get {return "Enabled"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string ImpersonationEnabled
            {	
                get {return "ImpersonationEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string ReaderProfileName
            {	
                get {return "ReaderProfileName"; }		
            }			
            public static string Reserved
            {	
                get {return "Reserved"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string SyncInterval
            {	
                get {return "SyncInterval"; }		
            }			
            public static string SyncNow
            {	
                get {return "SyncNow"; }		
            }			
            public static string SyncTime
            {	
                get {return "SyncTime"; }		
            }			
            public static string SyncType
            {	
                get {return "SyncType"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataProviderDisplayName");
                    propertyNames.Add("DataProviderName");
                    propertyNames.Add("DatawarehouseProfileName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Enabled");
                    propertyNames.Add("Id");
                    propertyNames.Add("ImpersonationEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("ReaderProfileName");
                    propertyNames.Add("Reserved");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("SyncInterval");
                    propertyNames.Add("SyncNow");
                    propertyNames.Add("SyncTime");
                    propertyNames.Add("SyncType");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataProviderDisplayName
            {	
                get {return new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86"); }		
            }			
            public static Guid DataProviderName
            {	
                get {return new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396"); }		
            }			
            public static Guid DatawarehouseProfileName
            {	
                get {return new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Enabled
            {	
                get {return new Guid("071beb6b-2706-cf0c-646b-a0627949ed77"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid ImpersonationEnabled
            {	
                get {return new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
            public static Guid ReaderProfileName
            {	
                get {return new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3"); }		
            }			
            public static Guid Reserved
            {	
                get {return new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b"); }		
            }			
            public static Guid SyncInterval
            {	
                get {return new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19"); }		
            }			
            public static Guid SyncNow
            {	
                get {return new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e"); }		
            }			
            public static Guid SyncTime
            {	
                get {return new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456"); }		
            }			
            public static Guid SyncType
            {	
                get {return new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 16 relationships
		// 416a2f63-5263-ebe6-9adf-02f2a69cfba0
		public static ManagementPackRelationship Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnectorHostsConfig
		{
			get{return  ManagementPack.GetRelationship("Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnectorHostsConfig");}
		}
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.Config	
			Id 				: 424ca957-bf8d-5080-625b-87394cb5bab9
			Description 	: Defines the properties used as synchronization metadata for the Operations Manager connector
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_ConfigClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("424ca957-bf8d-5080-625b-87394cb5bab9");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("424ca957-bf8d-5080-625b-87394cb5bab9");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Data
            {	
                get {return "Data"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string SyncMetadata
            {	
                get {return "SyncMetadata"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Data");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("SyncMetadata");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Data
            {	
                get {return new Guid("7d970a8f-88d3-6b7d-8136-5b1524eb5a1b"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid SyncMetadata
            {	
                get {return new Guid("ac248344-9690-0528-53a6-37f90c859c18"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 416a2f63-5263-ebe6-9adf-02f2a69cfba0
		public static ManagementPackRelationship Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnectorHostsConfig
		{
			get{return  ManagementPack.GetRelationship("Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnectorHostsConfig");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.OpsMgrCIs	
			Id 				: 325f752f-77d1-daf9-79c1-d2471d893937
			Description 	: Defines the properties of the configuration items that are imported from Operations Manager
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_OpsMgrCIsClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("325f752f-77d1-daf9-79c1-d2471d893937");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("325f752f-77d1-daf9-79c1-d2471d893937");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string CIList
            {	
                get {return "CIList"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("CIList");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid CIList
            {	
                get {return new Guid("8410128a-1991-4bc5-36ad-249a5a3fefb7"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 24 relationships
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.SyncTaskWorkflowTarget	
			Id 				: 8381754a-6ee7-e1b6-0acd-ba2026bd6c62
			Description 	: 
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncTaskWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("8381754a-6ee7-e1b6-0acd-ba2026bd6c62");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("8381754a-6ee7-e1b6-0acd-ba2026bd6c62");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.EnterpriseManagement.LinkingFramework.OpsMgrConnector.SyncWorkflowTarget	
			Id 				: 7309a2be-d5ac-6ce8-0405-590ea70408ff
			Description 	: An internal class used in scheduled workflows that synchronize Operations Manager data
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_EnterpriseManagement_LinkingFramework_OpsMgrConnector_SyncWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("7309a2be-d5ac-6ce8-0405-590ea70408ff");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("7309a2be-d5ac-6ce8-0405-590ea70408ff");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("1178ed95-b43a-6722-cc81-95ad0068710a");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.SccmSource	
			Id 				: 55fac7fd-8e3a-b104-1802-c898d5c3bf4d
			Description 	: Linking Framework Configuration Manager Source class
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.Connector.Sms
			This class inherits from:
				System.LinkingFramework.SqlSource
				System.LinkingFramework.DataSource
				Microsoft.SystemCenter.Connector
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_SccmSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("55fac7fd-8e3a-b104-1802-c898d5c3bf4d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("55fac7fd-8e3a-b104-1802-c898d5c3bf4d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f772aa89-b934-2fac-4f37-5e0165d390ec");}
		}
        
        
        public static class PropertyNames
        {
            public static string DatabaseName
            {	
                get {return "DatabaseName"; }		
            }			
            public static string DataProviderDisplayName
            {	
                get {return "DataProviderDisplayName"; }		
            }			
            public static string DataProviderName
            {	
                get {return "DataProviderName"; }		
            }			
            public static string DatawarehouseProfileName
            {	
                get {return "DatawarehouseProfileName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Enabled
            {	
                get {return "Enabled"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string ImpersonationEnabled
            {	
                get {return "ImpersonationEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string ReaderProfileName
            {	
                get {return "ReaderProfileName"; }		
            }			
            public static string Reserved
            {	
                get {return "Reserved"; }		
            }			
            public static string ServerName
            {	
                get {return "ServerName"; }		
            }			
            public static string SmsCollectionList
            {	
                get {return "SmsCollectionList"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string SqlPassword
            {	
                get {return "SqlPassword"; }		
            }			
            public static string SqlUserName
            {	
                get {return "SqlUserName"; }		
            }			
            public static string SyncInterval
            {	
                get {return "SyncInterval"; }		
            }			
            public static string SyncNow
            {	
                get {return "SyncNow"; }		
            }			
            public static string SyncTime
            {	
                get {return "SyncTime"; }		
            }			
            public static string SyncType
            {	
                get {return "SyncType"; }		
            }			
            public static string TrustedConnection
            {	
                get {return "TrustedConnection"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DatabaseName");
                    propertyNames.Add("DataProviderDisplayName");
                    propertyNames.Add("DataProviderName");
                    propertyNames.Add("DatawarehouseProfileName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Enabled");
                    propertyNames.Add("Id");
                    propertyNames.Add("ImpersonationEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("ReaderProfileName");
                    propertyNames.Add("Reserved");
                    propertyNames.Add("ServerName");
                    propertyNames.Add("SmsCollectionList");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("SqlPassword");
                    propertyNames.Add("SqlUserName");
                    propertyNames.Add("SyncInterval");
                    propertyNames.Add("SyncNow");
                    propertyNames.Add("SyncTime");
                    propertyNames.Add("SyncType");
                    propertyNames.Add("TrustedConnection");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DatabaseName
            {	
                get {return new Guid("0b3374c0-596a-9919-1a1e-c2fa177d7262"); }		
            }			
            public static Guid DataProviderDisplayName
            {	
                get {return new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86"); }		
            }			
            public static Guid DataProviderName
            {	
                get {return new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396"); }		
            }			
            public static Guid DatawarehouseProfileName
            {	
                get {return new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Enabled
            {	
                get {return new Guid("071beb6b-2706-cf0c-646b-a0627949ed77"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid ImpersonationEnabled
            {	
                get {return new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
            public static Guid ReaderProfileName
            {	
                get {return new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3"); }		
            }			
            public static Guid Reserved
            {	
                get {return new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3"); }		
            }			
            public static Guid ServerName
            {	
                get {return new Guid("d390df24-a189-1f8d-2e33-369ab3373310"); }		
            }			
            public static Guid SmsCollectionList
            {	
                get {return new Guid("d5383dac-2a75-88cc-90a5-8d1a3e66efc3"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b"); }		
            }			
            public static Guid SqlPassword
            {	
                get {return new Guid("bff68755-d442-c6a9-e1af-8131a52488df"); }		
            }			
            public static Guid SqlUserName
            {	
                get {return new Guid("1ebd7da5-b2d6-a477-c25d-6b80907adb30"); }		
            }			
            public static Guid SyncInterval
            {	
                get {return new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19"); }		
            }			
            public static Guid SyncNow
            {	
                get {return new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e"); }		
            }			
            public static Guid SyncTime
            {	
                get {return new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456"); }		
            }			
            public static Guid SyncType
            {	
                get {return new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771"); }		
            }			
            public static Guid TrustedConnection
            {	
                get {return new Guid("abce43f8-a23c-5413-b0cb-25bf5a1ec7e3"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.UserPreference.ViewPersonalization	
			Id 				: 239f6e77-ab25-9fc2-e16e-1768f2a65069
			Description 	: Defines the properties used in the user personalization of views
			ManagementPack	: Microsoft.EnterpriseManagement.ServiceManager.UI.Administration
			This class inherits from:
				System.UserPreference
				System.SupportingItem
				System.Entity
*/
	public partial class System_UserPreference_ViewPersonalizationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("239f6e77-ab25-9fc2-e16e-1768f2a65069");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("239f6e77-ab25-9fc2-e16e-1768f2a65069");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("151cd574-c975-0820-0ab3-f68d5632fbc8");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string PersonalizationXml
            {	
                get {return "PersonalizationXml"; }		
            }			
            public static string UserID
            {	
                get {return "UserID"; }		
            }			
            public static string ViewID
            {	
                get {return "ViewID"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("PersonalizationXml");
                    propertyNames.Add("UserID");
                    propertyNames.Add("ViewID");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid PersonalizationXml
            {	
                get {return new Guid("d749bb76-4b74-1d28-46e0-a611d3f147f0"); }		
            }			
            public static Guid UserID
            {	
                get {return new Guid("a918feb0-8ad0-1e9d-2b45-f34e717ea965"); }		
            }			
            public static Guid ViewID
            {	
                get {return new Guid("e76344b4-f631-faf9-7b61-b181474509bd"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Authoring.WorkflowTarget	
			Id 				: 4ebbd0bf-f816-7277-b932-77c667948752
			Description 	: System Center Authoring Workflow Target
			ManagementPack	: Microsoft.SystemCenter.Authoring.Library
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_Authoring_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("4ebbd0bf-f816-7277-b932-77c667948752");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("4ebbd0bf-f816-7277-b932-77c667948752");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("9a3368fe-f801-6618-f5e6-50901871caad");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.AICatalog	
			Id 				: c2d9a42e-a869-c8bd-b2d2-2a32be308538
			Description 	: Represents the System Center Configuration Manager Asset Intelligence catalog
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_AICatalogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("c2d9a42e-a869-c8bd-b2d2-2a32be308538");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("c2d9a42e-a869-c8bd-b2d2-2a32be308538");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string CategoryType
            {	
                get {return "CategoryType"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("CategoryType");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Name");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid CategoryType
            {	
                get {return new Guid("625234f2-53d9-dd11-3eee-1f4d471c073a"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("1a3d92ac-23fc-1549-3b2d-44df7f4d910b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 11b06f6d-eebd-906b-ebe9-5cf05f1545f1
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_CategoryOfSoftwareItem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.CategoryOfSoftwareItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.CollectionInfo	
			Id 				: fefeb4c7-7168-6718-d77c-50b0b3af3ec5
			Description 	: Collection Info
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_CollectionInfoClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("fefeb4c7-7168-6718-d77c-50b0b3af3ec5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("fefeb4c7-7168-6718-d77c-50b0b3af3ec5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string CollectionID
            {	
                get {return "CollectionID"; }		
            }			
            public static string CollID
            {	
                get {return "CollID"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string MemberCount
            {	
                get {return "MemberCount"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("CollectionID");
                    propertyNames.Add("CollID");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("MemberCount");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid CollectionID
            {	
                get {return new Guid("d17f6dca-980b-95d5-0ded-a068f6e1b872"); }		
            }			
            public static Guid CollID
            {	
                get {return new Guid("7ce33b88-2c22-cb3f-6390-30d02c8e8098"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid MemberCount
            {	
                get {return new Guid("a1c7f1ef-5b19-df72-fdd6-92af3ebf8615"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("113c1ed2-e5df-575b-acf2-1d4d407c8ba4"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 24 relationships
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.DCM_CI	
			Id 				: 47de8238-f634-1ab2-ef8f-39d013c54dff
			Description 	: All compliant System Center Configuration Manager DCM configuration items
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_DCM_CIClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("47de8238-f634-1ab2-ef8f-39d013c54dff");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("47de8238-f634-1ab2-ef8f-39d013c54dff");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsBaseline
            {	
                get {return "IsBaseline"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string SDMPackageDigest
            {	
                get {return "SDMPackageDigest"; }		
            }			
            public static string UniqueID
            {	
                get {return "UniqueID"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsBaseline");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("SDMPackageDigest");
                    propertyNames.Add("UniqueID");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e79f2c65-4c71-7f9e-a66e-b1946de4edab"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsBaseline
            {	
                get {return new Guid("e8195b93-7ffd-8a76-9dfd-8a9bdb5f51a5"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid SDMPackageDigest
            {	
                get {return new Guid("4fcdfa2f-6902-62c8-ac9e-f4cd3a72d96a"); }		
            }			
            public static Guid UniqueID
            {	
                get {return new Guid("7c3449c2-cbc1-5315-7959-ae8f512a814b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 28 relationships
		// a90fef80-bfe5-faf0-c4e5-bdd07c3da25e
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_ConfigItemRefersConfigItem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.ConfigItemRefersConfigItem");}
		}
		// 7dca7a64-a5ee-65c6-4019-1ae0bad4363e
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_Baseline_CI
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.Baseline_CI");}
		}
		// 3566b119-ae99-ea2f-b97f-4247b1ed3ec1
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_Configuration_CI
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.Configuration_CI");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.DCM_NonCompliance_CI	
			Id 				: 84ee0c77-79b9-2984-902c-f0bac0ddd9f5
			Description 	: All System Center Configuration Manager DCM configuration items that are noncompliant
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_DCM_NonCompliance_CIClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("84ee0c77-79b9-2984-902c-f0bac0ddd9f5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("84ee0c77-79b9-2984-902c-f0bac0ddd9f5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Baseline_UniqueID
            {	
                get {return "Baseline_UniqueID"; }		
            }			
            public static string CI_UniqueID
            {	
                get {return "CI_UniqueID"; }		
            }			
            public static string ComplianceStatusDetails
            {	
                get {return "ComplianceStatusDetails"; }		
            }			
            public static string ComputerName
            {	
                get {return "ComputerName"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string LastComplianceScanTime
            {	
                get {return "LastComplianceScanTime"; }		
            }			
            public static string MaxNonComplianceCriticality
            {	
                get {return "MaxNonComplianceCriticality"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Baseline_UniqueID");
                    propertyNames.Add("CI_UniqueID");
                    propertyNames.Add("ComplianceStatusDetails");
                    propertyNames.Add("ComputerName");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("LastComplianceScanTime");
                    propertyNames.Add("MaxNonComplianceCriticality");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Baseline_UniqueID
            {	
                get {return new Guid("d65d0fc2-16fd-d8c8-4520-220e4edcf65d"); }		
            }			
            public static Guid CI_UniqueID
            {	
                get {return new Guid("6dccce04-ad67-606a-b675-6ea134d2ff64"); }		
            }			
            public static Guid ComplianceStatusDetails
            {	
                get {return new Guid("298fec0d-65dd-2a70-8377-e6f766d5a362"); }		
            }			
            public static Guid ComputerName
            {	
                get {return new Guid("01105257-a644-6039-0d6f-e908daf76dff"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid LastComplianceScanTime
            {	
                get {return new Guid("4143fe58-1398-daf8-2b94-f4f615437fa7"); }		
            }			
            public static Guid MaxNonComplianceCriticality
            {	
                get {return new Guid("01c7f670-1fbd-fdcf-3649-05985c5c8aa2"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.DeployedComputer	
			Id 				: f3102c61-d3c3-262e-634b-6cf6fc5d576b
			Description 	: All deployed computers
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.ComputerHardware
				System.HardwareEnclosure
				System.PhysicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_DeployedComputerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("f3102c61-d3c3-262e-634b-6cf6fc5d576b");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("f3102c61-d3c3-262e-634b-6cf6fc5d576b");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string ChassisType
            {	
                get {return "ChassisType"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HardwareId
            {	
                get {return "HardwareId"; }		
            }			
            public static string ISA
            {	
                get {return "ISA"; }		
            }			
            public static string MACAddresses
            {	
                get {return "MACAddresses"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string Model
            {	
                get {return "Model"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string NumberOfProcessors
            {	
                get {return "NumberOfProcessors"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PlatformType
            {	
                get {return "PlatformType"; }		
            }			
            public static string SerialNumber
            {	
                get {return "SerialNumber"; }		
            }			
            public static string SMBIOS_UUID
            {	
                get {return "SMBIOS_UUID"; }		
            }			
            public static string SMBIOSAssetTag
            {	
                get {return "SMBIOSAssetTag"; }		
            }			
            public static string SystemType
            {	
                get {return "SystemType"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("ChassisType");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HardwareId");
                    propertyNames.Add("ISA");
                    propertyNames.Add("MACAddresses");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("Model");
                    propertyNames.Add("Notes");
                    propertyNames.Add("NumberOfProcessors");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PlatformType");
                    propertyNames.Add("SerialNumber");
                    propertyNames.Add("SMBIOS_UUID");
                    propertyNames.Add("SMBIOSAssetTag");
                    propertyNames.Add("SystemType");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid ChassisType
            {	
                get {return new Guid("2bec83af-f7f5-c345-ffeb-c40697efced1"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HardwareId
            {	
                get {return new Guid("0adc0f2e-eac7-cf60-b2b2-1ed46f1b6136"); }		
            }			
            public static Guid ISA
            {	
                get {return new Guid("8177fd1e-e2e2-925c-1e45-237d171a7e4e"); }		
            }			
            public static Guid MACAddresses
            {	
                get {return new Guid("c33c651e-14a2-8ca7-8a73-5008d5bdf82f"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("3b55ab82-4b09-c09f-e77f-3de4a048646c"); }		
            }			
            public static Guid Model
            {	
                get {return new Guid("4546d3be-6bf5-2bb9-a0f5-874958900cbe"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid NumberOfProcessors
            {	
                get {return new Guid("f0a2fb80-6fd6-8dcc-7b3b-c510075205e5"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PlatformType
            {	
                get {return new Guid("06d7d33c-49dd-a531-ec8a-0f540dbecbb6"); }		
            }			
            public static Guid SerialNumber
            {	
                get {return new Guid("aee013d1-eb4a-25d1-a38d-d250c52f271d"); }		
            }			
            public static Guid SMBIOS_UUID
            {	
                get {return new Guid("d66e51cd-38af-79a6-acfc-5931a7140176"); }		
            }			
            public static Guid SMBIOSAssetTag
            {	
                get {return new Guid("33efe879-6854-bcaa-4d9d-4b30d873ae50"); }		
            }			
            public static Guid SystemType
            {	
                get {return new Guid("d7753751-982a-ae44-710a-9c99c09cb30f"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// ee44e96a-3ba7-bc0b-f8fc-b9677f075c85
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsPhysicalHardware
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsPhysicalHardware");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.Package	
			Id 				: e3f0d894-8ad1-0ed6-0b87-a46b0c95b2be
			Description 	: Package
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_PackageClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e3f0d894-8ad1-0ed6-0b87-a46b0c95b2be");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e3f0d894-8ad1-0ed6-0b87-a46b0c95b2be");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Language
            {	
                get {return "Language"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PackageID
            {	
                get {return "PackageID"; }		
            }			
            public static string Publish
            {	
                get {return "Publish"; }		
            }			
            public static string SourceSite
            {	
                get {return "SourceSite"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Language");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PackageID");
                    propertyNames.Add("Publish");
                    propertyNames.Add("SourceSite");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("2a196e08-aa5b-6005-5234-01c79db36311"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Language
            {	
                get {return new Guid("aaf45a9b-e1e9-02c8-a6fa-e2138f8364e6"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("f6310527-cea4-5636-f2e4-44657fdadacd"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("a601a7a4-3593-8951-0612-3e4921dedfae"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PackageID
            {	
                get {return new Guid("852c290d-2773-903f-95d7-74fda9897d44"); }		
            }			
            public static Guid Publish
            {	
                get {return new Guid("9e72c2ee-4f3f-2e10-73f0-a450511f4edc"); }		
            }			
            public static Guid SourceSite
            {	
                get {return new Guid("b06b2fef-6d18-36c5-3fe3-a434e0c8d5d8"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("100f2574-0865-c797-c86c-97e4879491a8"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// 59f90ec6-51e1-0eb5-02b9-01e5acb10e3a
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_PackageHostsProgram
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.PackageHostsProgram");}
		}
		// 63edcfae-a695-17e0-a213-6a152aadfd43
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceManager_Package_AssignedProgram
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceManager.Package.AssignedProgram");}
		}
		// 3b530b52-e32e-d370-a991-3a525a42b6b0
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceManager_PackageDeployedByProcess
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceManager.PackageDeployedByProcess");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ConfigurationManager.Program	
			Id 				: f2a4d7ab-7e76-5ec9-d05f-1f1b9bafda78
			Description 	: Software distribution program
			ManagementPack	: Microsoft.SystemCenter.ConfigurationManager
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConfigurationManager_ProgramClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("f2a4d7ab-7e76-5ec9-d05f-1f1b9bafda78");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("f2a4d7ab-7e76-5ec9-d05f-1f1b9bafda78");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("f0f91617-a904-a917-22e2-596390b239ca");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Command
            {	
                get {return "Command"; }		
            }			
            public static string Comment
            {	
                get {return "Comment"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DisplayName1
            {	
                get {return "DisplayName1"; }		
            }			
            public static string MSIFilePath
            {	
                get {return "MSIFilePath"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string ProgramDescription
            {	
                get {return "ProgramDescription"; }		
            }			
            public static string ProgramId
            {	
                get {return "ProgramId"; }		
            }			
            public static string ProgramName
            {	
                get {return "ProgramName"; }		
            }			
            public static string SourceSiteCode
            {	
                get {return "SourceSiteCode"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Command");
                    propertyNames.Add("Comment");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DisplayName1");
                    propertyNames.Add("MSIFilePath");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("ProgramDescription");
                    propertyNames.Add("ProgramId");
                    propertyNames.Add("ProgramName");
                    propertyNames.Add("SourceSiteCode");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Command
            {	
                get {return new Guid("1ec578fd-d094-07c1-2230-605afa38196d"); }		
            }			
            public static Guid Comment
            {	
                get {return new Guid("a34536b0-7ca4-eaa7-4c59-4b73b1880d57"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("3c58226b-56be-110e-840d-60bd2f58eff3"); }		
            }			
            public static Guid DisplayName1
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid MSIFilePath
            {	
                get {return new Guid("7277dbea-7aa6-0783-0793-861ff9a2f794"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid ProgramDescription
            {	
                get {return new Guid("ead346b6-9976-3be1-bcb1-b16a842514f8"); }		
            }			
            public static Guid ProgramId
            {	
                get {return new Guid("518be335-b626-b638-25bd-bdf1b291ab83"); }		
            }			
            public static Guid ProgramName
            {	
                get {return new Guid("87cd4a48-9c10-2d06-c52d-f0b4882032e9"); }		
            }			
            public static Guid SourceSiteCode
            {	
                get {return new Guid("337f230f-4354-fedd-d61d-43e53ae360aa"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// 59f90ec6-51e1-0eb5-02b9-01e5acb10e3a
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_PackageHostsProgram
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.PackageHostsProgram");}
		}
		// 63edcfae-a695-17e0-a213-6a152aadfd43
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceManager_Package_AssignedProgram
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceManager.Package.AssignedProgram");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.DataWarehouse.CMDBSource	
			Id 				: 0222340f-d0cd-6b06-70a6-aa0a1504f428
			Description 	: Data Warehouse CMDB Source
			ManagementPack	: Microsoft.SystemCenter.Datawarehouse.Base
			This class inherits from:
				Microsoft.SystemCenter.DataWarehouse.DataSource
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_DataWarehouse_CMDBSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("0222340f-d0cd-6b06-70a6-aa0a1504f428");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("0222340f-d0cd-6b06-70a6-aa0a1504f428");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("5f131290-085f-8418-e07f-76fd0ecdab4f");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataSourceName
            {	
                get {return "DataSourceName"; }		
            }			
            public static string DatasourceType
            {	
                get {return "DatasourceType"; }		
            }			
            public static string DateRegistered
            {	
                get {return "DateRegistered"; }		
            }			
            public static string DateUnRegistered
            {	
                get {return "DateUnRegistered"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string ProductVersion
            {	
                get {return "ProductVersion"; }		
            }			
            public static string RegistrationStatus
            {	
                get {return "RegistrationStatus"; }		
            }			
            public static string SecureReferenceId
            {	
                get {return "SecureReferenceId"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataSourceName");
                    propertyNames.Add("DatasourceType");
                    propertyNames.Add("DateRegistered");
                    propertyNames.Add("DateUnRegistered");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("ProductVersion");
                    propertyNames.Add("RegistrationStatus");
                    propertyNames.Add("SecureReferenceId");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataSourceName
            {	
                get {return new Guid("5189c45a-febb-a725-09ba-27077463fa5b"); }		
            }			
            public static Guid DatasourceType
            {	
                get {return new Guid("58bbb45e-5373-e164-496f-9ff4c4a163fd"); }		
            }			
            public static Guid DateRegistered
            {	
                get {return new Guid("8ec11e92-b8d4-3e27-0f44-95088667e5e9"); }		
            }			
            public static Guid DateUnRegistered
            {	
                get {return new Guid("9329b20d-ee43-8032-a176-8dbe3104ed07"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("7f654585-cf32-0b75-6191-953dc0756dd2"); }		
            }			
            public static Guid ProductVersion
            {	
                get {return new Guid("8dbaa730-cde5-a588-792f-f8d8a85724c8"); }		
            }			
            public static Guid RegistrationStatus
            {	
                get {return new Guid("c5cbdf2a-1ebc-6588-7993-e672abc6bf00"); }		
            }			
            public static Guid SecureReferenceId
            {	
                get {return new Guid("49d257b2-d5f5-0bda-c134-99ec754766c2"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 50802f04-98cb-c0ff-6989-60e0590aebb7
		public static ManagementPackRelationship DataSourceAssociatesManagementPack
		{
			get{return  ManagementPack.GetRelationship("DataSourceAssociatesManagementPack");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.DataWarehouse.ManagementPack	
			Id 				: 385d784f-8b3d-d9c2-5c92-ce879d5bc18b
			Description 	: Data Warehouse Management Pack
			ManagementPack	: Microsoft.SystemCenter.Datawarehouse.Base
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_DataWarehouse_ManagementPackClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("385d784f-8b3d-d9c2-5c92-ce879d5bc18b");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("385d784f-8b3d-d9c2-5c92-ce879d5bc18b");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("5f131290-085f-8418-e07f-76fd0ecdab4f");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementPackId
            {	
                get {return "ManagementPackId"; }		
            }			
            public static string ManagementPackKeyToken
            {	
                get {return "ManagementPackKeyToken"; }		
            }			
            public static string ManagementPackName
            {	
                get {return "ManagementPackName"; }		
            }			
            public static string ManagementPackVersion
            {	
                get {return "ManagementPackVersion"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementPackId");
                    propertyNames.Add("ManagementPackKeyToken");
                    propertyNames.Add("ManagementPackName");
                    propertyNames.Add("ManagementPackVersion");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementPackId
            {	
                get {return new Guid("c4168a1c-f90f-ad6b-4f87-6237d4ffa351"); }		
            }			
            public static Guid ManagementPackKeyToken
            {	
                get {return new Guid("751855cb-6ae1-0ea5-b602-82dde488466b"); }		
            }			
            public static Guid ManagementPackName
            {	
                get {return new Guid("b7d5f7ac-6d45-b30c-3247-f3661ec07b40"); }		
            }			
            public static Guid ManagementPackVersion
            {	
                get {return new Guid("2c4dfdf4-45ff-5725-f858-644b8465c20a"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 50802f04-98cb-c0ff-6989-60e0590aebb7
		public static ManagementPackRelationship DataSourceAssociatesManagementPack
		{
			get{return  ManagementPack.GetRelationship("DataSourceAssociatesManagementPack");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Deployment.DeploymentWorkflowTarget	
			Id 				: 0b09e978-69c6-709f-5d5e-b03c5477393c
			Description 	: Deployment Workflow Target
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_Deployment_DeploymentWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("0b09e978-69c6-709f-5d5e-b03c5477393c");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("0b09e978-69c6-709f-5d5e-b03c5477393c");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.CmdbResourceStore	
			Id 				: 6347494e-b44d-cae2-5d73-22df45cffe7d
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer.Stores
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_CmdbResourceStoreClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6347494e-b44d-cae2-5d73-22df45cffe7d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6347494e-b44d-cae2-5d73-22df45cffe7d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataService
            {	
                get {return "DataService"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataService");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("Name");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataService
            {	
                get {return new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("16f4cd09-bb57-8511-76c6-c32e5413bf96"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.DagResourceStore	
			Id 				: 69094ae5-0755-208a-c061-b5bd25c94c66
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer.Stores
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_DagResourceStoreClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("69094ae5-0755-208a-c061-b5bd25c94c66");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("69094ae5-0755-208a-c061-b5bd25c94c66");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataService
            {	
                get {return "DataService"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataService");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("Name");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataService
            {	
                get {return new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("16f4cd09-bb57-8511-76c6-c32e5413bf96"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.DwSdkResourceStore	
			Id 				: 59c5493a-c00c-90fd-1f8c-73dbb7578e6c
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer.Stores
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_DwSdkResourceStoreClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("59c5493a-c00c-90fd-1f8c-73dbb7578e6c");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("59c5493a-c00c-90fd-1f8c-73dbb7578e6c");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataService
            {	
                get {return "DataService"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataService");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("Name");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataService
            {	
                get {return new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("16f4cd09-bb57-8511-76c6-c32e5413bf96"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.SdkResourceStore	
			Id 				: f4af87dc-a521-bbf1-c174-dbb1f56f7133
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer.Stores
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_SdkResourceStoreClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("f4af87dc-a521-bbf1-c174-dbb1f56f7133");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("f4af87dc-a521-bbf1-c174-dbb1f56f7133");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataService
            {	
                get {return "DataService"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataService");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("Name");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataService
            {	
                get {return new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("16f4cd09-bb57-8511-76c6-c32e5413bf96"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.SqlResourceStore	
			Id 				: 6d1c3db1-26f3-8789-a1b5-9c13de08cd37
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer.Stores
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_SqlResourceStoreClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6d1c3db1-26f3-8789-a1b5-9c13de08cd37");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6d1c3db1-26f3-8789-a1b5-9c13de08cd37");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataService
            {	
                get {return "DataService"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataService");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("Name");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataService
            {	
                get {return new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("16f4cd09-bb57-8511-76c6-c32e5413bf96"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.SrsResourceStore	
			Id 				: 6671ff1b-43fd-1d5b-50f2-453ce2a52849
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer.Stores
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_SrsResourceStoreClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6671ff1b-43fd-1d5b-50f2-453ce2a52849");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6671ff1b-43fd-1d5b-50f2-453ce2a52849");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataService
            {	
                get {return "DataService"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ManagementGroupId
            {	
                get {return "ManagementGroupId"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataService");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ManagementGroupId");
                    propertyNames.Add("Name");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataService
            {	
                get {return new Guid("7f307d66-b346-563a-f5cb-a0e74df828ba"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("aaedeadf-9c9d-05b4-a75b-17e5b17cebc6"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ManagementGroupId
            {	
                get {return new Guid("16f4cd09-bb57-8511-76c6-c32e5413bf96"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("7e1b4f2f-0f75-8479-edfe-e69ef1b64521"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ResourceAccessLayer.StoreProperty	
			Id 				: e1bdc536-1c50-ca15-6587-0ebbcc548361
			Description 	: An internal class for System Center use.
			ManagementPack	: Microsoft.SystemCenter.Deployment.Library
			This class inherits from:
				Microsoft.SystemCenter.ResourceAccessLayer
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ResourceAccessLayer_StorePropertyClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e1bdc536-1c50-ca15-6587-0ebbcc548361");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e1bdc536-1c50-ca15-6587-0ebbcc548361");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cb659187-b47c-32c9-5d3a-339458eed935");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Name");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("7aa45ecb-8842-3d8f-0993-bd41242a8713"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1b45a8b2-9750-a50a-de4f-85ad9a50e942
		public static ManagementPackRelationship Microsoft_SystemCenter_ResourceAccessLayer_StoreHasProperty
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ResourceAccessLayer.StoreHasProperty");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Agent	
			Id 				: 118c0f18-7a70-5f57-3a9b-eeaf1705b3fc
			Description 	: All Operations Manager agents
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AgentClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("118c0f18-7a70-5f57-3a9b-eeaf1705b3fc");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("118c0f18-7a70-5f57-3a9b-eeaf1705b3fc");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 34 relationships
		// 2c1b76bb-9a22-6716-1bb4-c548469454b8
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgent
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgent");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Agent.ManagementServer	
			Id 				: a48b90a0-17b9-a205-1328-8622efd82fb5
			Description 	: Properties of the Operations Manager agent running on the management server of a management group
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.Agent
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_Agent_ManagementServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a48b90a0-17b9-a205-1328-8622efd82fb5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a48b90a0-17b9-a205-1328-8622efd82fb5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 34 relationships
		// 2c1b76bb-9a22-6716-1bb4-c548469454b8
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgent
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgent");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.AgentlessManagedComputerGroup	
			Id 				: 16b2db18-f45f-946c-5b83-123f09cfd60b
			Description 	: All discovered and agentless managed computers.
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.SystemCenterManagedComputerGroup
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AgentlessManagedComputerGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("16b2db18-f45f-946c-5b83-123f09cfd60b");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("16b2db18-f45f-946c-5b83-123f09cfd60b");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.AgentManagedComputerGroup	
			Id 				: 1cda808e-5b0e-d25e-5275-3c8b136d62ed
			Description 	: All discovered agent-managed computers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.SystemCenterManagedComputerGroup
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AgentManagedComputerGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("1cda808e-5b0e-d25e-5275-3c8b136d62ed");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("1cda808e-5b0e-d25e-5275-3c8b136d62ed");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.AgentManager	
			Id 				: f32167d8-ba6f-2bc6-0790-4db7b3082d86
			Description 	: This class represents Agent Management pending actions or failures (e.g. Push Install failure).
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.UserActionManager
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AgentManagerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("f32167d8-ba6f-2bc6-0790-4db7b3082d86");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("f32167d8-ba6f-2bc6-0790-4db7b3082d86");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string FailureType
            {	
                get {return "FailureType"; }		
            }			
            public static string LastModified
            {	
                get {return "LastModified"; }		
            }			
            public static string ManagementServerName
            {	
                get {return "ManagementServerName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PendingStateType
            {	
                get {return "PendingStateType"; }		
            }			
            public static string TargetDeviceNetworkName
            {	
                get {return "TargetDeviceNetworkName"; }		
            }			
            public static string TargetDevicePrincipalName
            {	
                get {return "TargetDevicePrincipalName"; }		
            }			
            public static string TaskEndTime
            {	
                get {return "TaskEndTime"; }		
            }			
            public static string TaskStartTime
            {	
                get {return "TaskStartTime"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("FailureType");
                    propertyNames.Add("LastModified");
                    propertyNames.Add("ManagementServerName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PendingStateType");
                    propertyNames.Add("TargetDeviceNetworkName");
                    propertyNames.Add("TargetDevicePrincipalName");
                    propertyNames.Add("TaskEndTime");
                    propertyNames.Add("TaskStartTime");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid FailureType
            {	
                get {return new Guid("b45b4228-b5ec-12f8-83ae-a9d6c032c229"); }		
            }			
            public static Guid LastModified
            {	
                get {return new Guid("aa20379d-6a15-efe9-1de5-efa4e22fd154"); }		
            }			
            public static Guid ManagementServerName
            {	
                get {return new Guid("fa20ea89-4db8-8095-7d2c-825313321bad"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PendingStateType
            {	
                get {return new Guid("8c96676e-51eb-c847-d232-8e9ba4958806"); }		
            }			
            public static Guid TargetDeviceNetworkName
            {	
                get {return new Guid("094b069a-36a7-123e-61c4-d9922825a39b"); }		
            }			
            public static Guid TargetDevicePrincipalName
            {	
                get {return new Guid("d0ae3334-5431-3541-5261-fe8ddea486c5"); }		
            }			
            public static Guid TaskEndTime
            {	
                get {return new Guid("bcc41b9e-147b-8609-b190-c58804f99aa9"); }		
            }			
            public static Guid TaskStartTime
            {	
                get {return new Guid("846447b1-7b47-9e92-947f-72578eb06308"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.AgentWatcher	
			Id 				: 3a9dc906-03f3-d5ee-dde3-dd9b9f8d2f9c
			Description 	: Class to monitor the health of an Operations Manager agent's management service from the perspective of the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthServiceWatcher
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AgentWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("3a9dc906-03f3-d5ee-dde3-dd9b9f8d2f9c");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("3a9dc906-03f3-d5ee-dde3-dd9b9f8d2f9c");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HealthServiceId
            {	
                get {return "HealthServiceId"; }		
            }			
            public static string HealthServiceName
            {	
                get {return "HealthServiceName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HealthServiceId");
                    propertyNames.Add("HealthServiceName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HealthServiceId
            {	
                get {return new Guid("e356df80-5d09-cd62-f29d-e9106f730db6"); }		
            }			
            public static Guid HealthServiceName
            {	
                get {return new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 29 relationships
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.AgentWatchersGroup	
			Id 				: 2a486fad-116b-73b0-e02f-b98175c997e9
			Description 	: Properties of a group whose members are Operations Manager agents running as management service watchers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthServiceWatchersGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AgentWatchersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2a486fad-116b-73b0-e02f-b98175c997e9");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2a486fad-116b-73b0-e02f-b98175c997e9");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string RMSPrincipalName
            {	
                get {return "RMSPrincipalName"; }		
            }			
            public static string WatcherGroupName
            {	
                get {return "WatcherGroupName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("RMSPrincipalName");
                    propertyNames.Add("WatcherGroupName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid RMSPrincipalName
            {	
                get {return new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758"); }		
            }			
            public static Guid WatcherGroupName
            {	
                get {return new Guid("87177203-9053-76a1-a322-1226f815507a"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// 44b847eb-e790-26b7-c8d8-e026718bede8
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgentWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgentWatchersGroup");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// 039ea920-dc9d-9ebf-6900-ac2b11740d3d
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsHealthServiceWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsHealthServiceWatchersGroup");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.AllComputersGroup	
			Id 				: 6f7e3306-beeb-2996-3795-7c1eafb925b8
			Description 	: Properties of the computer group whose members are all computers running Windows operating systems
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_AllComputersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6f7e3306-beeb-2996-3795-7c1eafb925b8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6f7e3306-beeb-2996-3795-7c1eafb925b8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServer	
			Id 				: 7b11b1b9-3462-c54f-9f10-943cabb9d26e
			Description 	: Properties of a collection management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ManagementServer
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_CollectionManagementServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("7b11b1b9-3462-c54f-9f10-943cabb9d26e");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("7b11b1b9-3462-c54f-9f10-943cabb9d26e");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string AutoApproveManuallyInstalledAgents
            {	
                get {return "AutoApproveManuallyInstalledAgents"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string ManagementServerSCP
            {	
                get {return "ManagementServerSCP"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return "NumberOfMissingHeartBeatsToMarkMachineDown"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyAddress
            {	
                get {return "ProxyAddress"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string ProxyPort
            {	
                get {return "ProxyPort"; }		
            }			
            public static string RejectManuallyInstalledAgents
            {	
                get {return "RejectManuallyInstalledAgents"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string UseProxyServer
            {	
                get {return "UseProxyServer"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("AutoApproveManuallyInstalledAgents");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("ManagementServerSCP");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("NumberOfMissingHeartBeatsToMarkMachineDown");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyAddress");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("ProxyPort");
                    propertyNames.Add("RejectManuallyInstalledAgents");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("UseProxyServer");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid AutoApproveManuallyInstalledAgents
            {	
                get {return new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid ManagementServerSCP
            {	
                get {return new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyAddress
            {	
                get {return new Guid("6faaee0b-0050-6c15-4279-c738915a91ad"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid ProxyPort
            {	
                get {return new Guid("805a8adf-eb82-55cb-9afb-051661f94861"); }		
            }			
            public static Guid RejectManuallyInstalledAgents
            {	
                get {return new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid UseProxyServer
            {	
                get {return new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 35 relationships
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 6188a142-7f6b-96bf-0384-0878915e4c4b
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServerComputersGroup	
			Id 				: 9304f671-1619-9b83-97ab-b2613561c1a7
			Description 	: Properties of the computer group whose members are all computers that are collection management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_CollectionManagementServerComputersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("9304f671-1619-9b83-97ab-b2613561c1a7");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("9304f671-1619-9b83-97ab-b2613561c1a7");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServerWatcher	
			Id 				: 9d86a34f-97f7-614d-23f0-67f9838bc5d7
			Description 	: Class to monitor the health of a collection management server's management service from the perspective of the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ManagementServerWatcher
				Microsoft.SystemCenter.HealthServiceWatcher
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_CollectionManagementServerWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("9d86a34f-97f7-614d-23f0-67f9838bc5d7");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("9d86a34f-97f7-614d-23f0-67f9838bc5d7");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HealthServiceId
            {	
                get {return "HealthServiceId"; }		
            }			
            public static string HealthServiceName
            {	
                get {return "HealthServiceName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HealthServiceId");
                    propertyNames.Add("HealthServiceName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HealthServiceId
            {	
                get {return new Guid("e356df80-5d09-cd62-f29d-e9106f730db6"); }		
            }			
            public static Guid HealthServiceName
            {	
                get {return new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 29 relationships
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.CollectionManagementServerWatchersGroup	
			Id 				: 9db593f3-0e68-60a6-9b7b-7daadf9672d3
			Description 	: Properties of management service watchers on collection management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthServiceWatchersGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_CollectionManagementServerWatchersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("9db593f3-0e68-60a6-9b7b-7daadf9672d3");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("9db593f3-0e68-60a6-9b7b-7daadf9672d3");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string RMSPrincipalName
            {	
                get {return "RMSPrincipalName"; }		
            }			
            public static string WatcherGroupName
            {	
                get {return "WatcherGroupName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("RMSPrincipalName");
                    propertyNames.Add("WatcherGroupName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid RMSPrincipalName
            {	
                get {return new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758"); }		
            }			
            public static Guid WatcherGroupName
            {	
                get {return new Guid("87177203-9053-76a1-a322-1226f815507a"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// d39f1bff-89a9-6211-52f9-3d773a61ec1f
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsCollectionManagementServerWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsCollectionManagementServerWatchersGroup");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// 039ea920-dc9d-9ebf-6900-ac2b11740d3d
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsHealthServiceWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsHealthServiceWatchersGroup");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Connector	
			Id 				: 2d63134b-491f-ae0b-d71b-81ff238422bf
			Description 	: Defines the properties of connectors that retrieve and supply data into Management Group using MCF
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ConnectorClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2d63134b-491f-ae0b-d71b-81ff238422bf");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2d63134b-491f-ae0b-d71b-81ff238422bf");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Name");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServer	
			Id 				: c1721bcc-35f7-5a49-5d5f-6880687c3d48
			Description 	: Properties of a gateway management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ManagementServer
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_GatewayManagementServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("c1721bcc-35f7-5a49-5d5f-6880687c3d48");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("c1721bcc-35f7-5a49-5d5f-6880687c3d48");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string AutoApproveManuallyInstalledAgents
            {	
                get {return "AutoApproveManuallyInstalledAgents"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string ManagementServerSCP
            {	
                get {return "ManagementServerSCP"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return "NumberOfMissingHeartBeatsToMarkMachineDown"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyAddress
            {	
                get {return "ProxyAddress"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string ProxyPort
            {	
                get {return "ProxyPort"; }		
            }			
            public static string RejectManuallyInstalledAgents
            {	
                get {return "RejectManuallyInstalledAgents"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string UseProxyServer
            {	
                get {return "UseProxyServer"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("AutoApproveManuallyInstalledAgents");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("ManagementServerSCP");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("NumberOfMissingHeartBeatsToMarkMachineDown");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyAddress");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("ProxyPort");
                    propertyNames.Add("RejectManuallyInstalledAgents");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("UseProxyServer");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid AutoApproveManuallyInstalledAgents
            {	
                get {return new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid ManagementServerSCP
            {	
                get {return new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyAddress
            {	
                get {return new Guid("6faaee0b-0050-6c15-4279-c738915a91ad"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid ProxyPort
            {	
                get {return new Guid("805a8adf-eb82-55cb-9afb-051661f94861"); }		
            }			
            public static Guid RejectManuallyInstalledAgents
            {	
                get {return new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid UseProxyServer
            {	
                get {return new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 35 relationships
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 6188a142-7f6b-96bf-0384-0878915e4c4b
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServerComputersGroup	
			Id 				: 227e113e-c325-3e61-2371-dfd094cc7c67
			Description 	: Properties of the computer group whose members are gateway management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_GatewayManagementServerComputersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("227e113e-c325-3e61-2371-dfd094cc7c67");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("227e113e-c325-3e61-2371-dfd094cc7c67");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServerWatcher	
			Id 				: 2e1ff893-6540-f65d-1a69-f9fdb42c5a73
			Description 	: Use this class to monitor the health of a gateway management server's management service from the perspective of the root management server.
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ManagementServerWatcher
				Microsoft.SystemCenter.HealthServiceWatcher
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_GatewayManagementServerWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2e1ff893-6540-f65d-1a69-f9fdb42c5a73");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2e1ff893-6540-f65d-1a69-f9fdb42c5a73");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HealthServiceId
            {	
                get {return "HealthServiceId"; }		
            }			
            public static string HealthServiceName
            {	
                get {return "HealthServiceName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HealthServiceId");
                    propertyNames.Add("HealthServiceName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HealthServiceId
            {	
                get {return new Guid("e356df80-5d09-cd62-f29d-e9106f730db6"); }		
            }			
            public static Guid HealthServiceName
            {	
                get {return new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 29 relationships
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.GatewayManagementServerWatchersGroup	
			Id 				: e82a3221-09bb-a0fe-5053-9e8ee69a50d3
			Description 	: Properties of management service watchers on gateway management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthServiceWatchersGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_GatewayManagementServerWatchersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e82a3221-09bb-a0fe-5053-9e8ee69a50d3");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e82a3221-09bb-a0fe-5053-9e8ee69a50d3");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string RMSPrincipalName
            {	
                get {return "RMSPrincipalName"; }		
            }			
            public static string WatcherGroupName
            {	
                get {return "WatcherGroupName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("RMSPrincipalName");
                    propertyNames.Add("WatcherGroupName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid RMSPrincipalName
            {	
                get {return new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758"); }		
            }			
            public static Guid WatcherGroupName
            {	
                get {return new Guid("87177203-9053-76a1-a322-1226f815507a"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// aa87dc00-ffdc-09cd-fb79-21163de5d817
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsGatewayManagementServerWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsGatewayManagementServerWatchersGroup");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// 039ea920-dc9d-9ebf-6900-ac2b11740d3d
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsHealthServiceWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsHealthServiceWatchersGroup");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.HealthService	
			Id 				: ab4c891f-3359-3fb6-0704-075fbfe36710
			Description 	: Properties of the System Center Management Service
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_HealthServiceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ab4c891f-3359-3fb6-0704-075fbfe36710");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ab4c891f-3359-3fb6-0704-075fbfe36710");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 33 relationships
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.HealthServiceWatcher	
			Id 				: a4899740-ef2f-1541-6c1d-51d34b739491
			Description 	: Use this class to monitor the health of a management service from the perspective of the root management server.
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_HealthServiceWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a4899740-ef2f-1541-6c1d-51d34b739491");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a4899740-ef2f-1541-6c1d-51d34b739491");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HealthServiceId
            {	
                get {return "HealthServiceId"; }		
            }			
            public static string HealthServiceName
            {	
                get {return "HealthServiceName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HealthServiceId");
                    propertyNames.Add("HealthServiceName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HealthServiceId
            {	
                get {return new Guid("e356df80-5d09-cd62-f29d-e9106f730db6"); }		
            }			
            public static Guid HealthServiceName
            {	
                get {return new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 29 relationships
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.HealthServiceWatchersGroup	
			Id 				: a4c8b023-4cfc-52cc-30b7-6c1b959c4723
			Description 	: Properties of all management service watcher groups
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_HealthServiceWatchersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a4c8b023-4cfc-52cc-30b7-6c1b959c4723");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a4c8b023-4cfc-52cc-30b7-6c1b959c4723");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string RMSPrincipalName
            {	
                get {return "RMSPrincipalName"; }		
            }			
            public static string WatcherGroupName
            {	
                get {return "WatcherGroupName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("RMSPrincipalName");
                    propertyNames.Add("WatcherGroupName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid RMSPrincipalName
            {	
                get {return new Guid("89ef0a95-2e5b-ee5f-96c2-71cce8490758"); }		
            }			
            public static Guid WatcherGroupName
            {	
                get {return new Guid("87177203-9053-76a1-a322-1226f815507a"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// 039ea920-dc9d-9ebf-6900-ac2b11740d3d
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsHealthServiceWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsHealthServiceWatchersGroup");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.License.Enterprise	
			Id 				: e1d50ef8-dea0-899e-c989-d8ca22181165
			Description 	: Defines the properties of an Operations Manager Enterprise license
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.License
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_License_EnterpriseClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e1d50ef8-dea0-899e-c989-d8ca22181165");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e1d50ef8-dea0-899e-c989-d8ca22181165");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.License.Standard	
			Id 				: d93ca6c0-82d6-ec53-9537-e9a09a53d2a5
			Description 	: Defines the properties of an Operations Manager Standard license
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.License
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_License_StandardClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d93ca6c0-82d6-ec53-9537-e9a09a53d2a5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d93ca6c0-82d6-ec53-9537-e9a09a53d2a5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputer	
			Id 				: 44ab701b-5da9-ca21-a94b-8b82828a69d8
			Description 	: Properties of a computer that is managed with an Operations Manager agent or monitored using agentless management
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.Windows.Computer
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagedComputerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("44ab701b-5da9-ca21-a94b-8b82828a69d8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("44ab701b-5da9-ca21-a94b-8b82828a69d8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string InstallDirectory
            {	
                get {return "InstallDirectory"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("InstallDirectory");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid InstallDirectory
            {	
                get {return new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputerClient	
			Id 				: 38ad2a9b-2414-89c8-100f-26ed33b87acf
			Description 	: Properties of managed computers that have a client version of the Windows operating system installed
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ManagedComputer
				Microsoft.Windows.Computer
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagedComputerClientClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("38ad2a9b-2414-89c8-100f-26ed33b87acf");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("38ad2a9b-2414-89c8-100f-26ed33b87acf");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string InstallDirectory
            {	
                get {return "InstallDirectory"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("InstallDirectory");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid InstallDirectory
            {	
                get {return new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroup	
			Id 				: d57daa29-063f-6379-7ee0-12e7a3982da0
			Description 	: Managed Computer Client Management Service Watcher Group
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d57daa29-063f-6379-7ee0-12e7a3982da0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d57daa29-063f-6379-7ee0-12e7a3982da0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagedComputerServer	
			Id 				: e1ae9104-c9a3-467f-adba-33f801db7d37
			Description 	: Properties of managed computers that have a server version of the Windows operating system installed
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ManagedComputer
				Microsoft.Windows.Computer
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagedComputerServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e1ae9104-c9a3-467f-adba-33f801db7d37");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e1ae9104-c9a3-467f-adba-33f801db7d37");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string InstallDirectory
            {	
                get {return "InstallDirectory"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("InstallDirectory");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid InstallDirectory
            {	
                get {return new Guid("a8265c63-24e0-d4c0-3b44-38e54f68b26a"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagementGroup	
			Id 				: 6b1d1be8-ebb4-b425-08dc-2385c5930b04
			Description 	: Properties of the management group
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Service
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagementGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6b1d1be8-ebb4-b425-08dc-2385c5930b04");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6b1d1be8-ebb4-b425-08dc-2385c5930b04");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AlertAutoResolvePeriod
            {	
                get {return "AlertAutoResolvePeriod"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AvailabilitySchedule
            {	
                get {return "AvailabilitySchedule"; }		
            }			
            public static string BusinessDetailedDescription
            {	
                get {return "BusinessDetailedDescription"; }		
            }			
            public static string CEIPEnabled
            {	
                get {return "CEIPEnabled"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string CommunicationPort
            {	
                get {return "CommunicationPort"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ErrorReportingEnabled
            {	
                get {return "ErrorReportingEnabled"; }		
            }			
            public static string ErrorReportingQueuingEnabled
            {	
                get {return "ErrorReportingQueuingEnabled"; }		
            }			
            public static string HealthyAlertAutoResolvePeriod
            {	
                get {return "HealthyAlertAutoResolvePeriod"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string IsBusinessService
            {	
                get {return "IsBusinessService"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OnlineProductKnowledgeUrl
            {	
                get {return "OnlineProductKnowledgeUrl"; }		
            }			
            public static string OperationalDatabaseName
            {	
                get {return "OperationalDatabaseName"; }		
            }			
            public static string OwnedByOrganization
            {	
                get {return "OwnedByOrganization"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string RootHealthServiceSCP
            {	
                get {return "RootHealthServiceSCP"; }		
            }			
            public static string SDKServerName
            {	
                get {return "SDKServerName"; }		
            }			
            public static string SDKServiceSCP
            {	
                get {return "SDKServiceSCP"; }		
            }			
            public static string SendOperationalDataReports
            {	
                get {return "SendOperationalDataReports"; }		
            }			
            public static string ServiceDescription
            {	
                get {return "ServiceDescription"; }		
            }			
            public static string SQLServerName
            {	
                get {return "SQLServerName"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string TierTimeDifferenceThreshold
            {	
                get {return "TierTimeDifferenceThreshold"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AlertAutoResolvePeriod");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AvailabilitySchedule");
                    propertyNames.Add("BusinessDetailedDescription");
                    propertyNames.Add("CEIPEnabled");
                    propertyNames.Add("Classification");
                    propertyNames.Add("CommunicationPort");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ErrorReportingEnabled");
                    propertyNames.Add("ErrorReportingQueuingEnabled");
                    propertyNames.Add("HealthyAlertAutoResolvePeriod");
                    propertyNames.Add("Id");
                    propertyNames.Add("IsBusinessService");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OnlineProductKnowledgeUrl");
                    propertyNames.Add("OperationalDatabaseName");
                    propertyNames.Add("OwnedByOrganization");
                    propertyNames.Add("Priority");
                    propertyNames.Add("RootHealthServiceSCP");
                    propertyNames.Add("SDKServerName");
                    propertyNames.Add("SDKServiceSCP");
                    propertyNames.Add("SendOperationalDataReports");
                    propertyNames.Add("ServiceDescription");
                    propertyNames.Add("SQLServerName");
                    propertyNames.Add("Status");
                    propertyNames.Add("TierTimeDifferenceThreshold");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AlertAutoResolvePeriod
            {	
                get {return new Guid("6a98a953-74ea-7182-a386-e2ef4f9e7ce1"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AvailabilitySchedule
            {	
                get {return new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919"); }		
            }			
            public static Guid BusinessDetailedDescription
            {	
                get {return new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0"); }		
            }			
            public static Guid CEIPEnabled
            {	
                get {return new Guid("b7222ae9-3490-015a-db7e-aebb490aca03"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff"); }		
            }			
            public static Guid CommunicationPort
            {	
                get {return new Guid("a09f8605-8ead-9dd3-5e6a-7560ae7b41b1"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ErrorReportingEnabled
            {	
                get {return new Guid("d5243a87-9016-38ec-02d7-1a39a3f792eb"); }		
            }			
            public static Guid ErrorReportingQueuingEnabled
            {	
                get {return new Guid("4be130e0-6273-97c9-43bd-87e75eded95c"); }		
            }			
            public static Guid HealthyAlertAutoResolvePeriod
            {	
                get {return new Guid("28581f22-e563-8222-ed64-e3b9309c833b"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("df0ca9f1-7ca7-e177-716a-4bc404919411"); }		
            }			
            public static Guid IsBusinessService
            {	
                get {return new Guid("7879f2b1-3238-7221-e427-77785556d78a"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("46b79996-9e04-464d-474d-9a9fb8c2cd5d"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OnlineProductKnowledgeUrl
            {	
                get {return new Guid("c7d5ca84-abe2-f8b3-d6cb-29ac7c3111fc"); }		
            }			
            public static Guid OperationalDatabaseName
            {	
                get {return new Guid("1e47d32a-c6b5-1caf-41e3-c7c8cabcb60d"); }		
            }			
            public static Guid OwnedByOrganization
            {	
                get {return new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28"); }		
            }			
            public static Guid RootHealthServiceSCP
            {	
                get {return new Guid("2e759952-23f9-3838-b3b1-639902c39469"); }		
            }			
            public static Guid SDKServerName
            {	
                get {return new Guid("94642b9c-a7f1-b192-273b-5c0f695e9f1e"); }		
            }			
            public static Guid SDKServiceSCP
            {	
                get {return new Guid("9fcb7696-eaac-cf0d-1714-33788290e437"); }		
            }			
            public static Guid SendOperationalDataReports
            {	
                get {return new Guid("a3fcb97d-3e4a-752a-3112-43f2eaf5c2a1"); }		
            }			
            public static Guid ServiceDescription
            {	
                get {return new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe"); }		
            }			
            public static Guid SQLServerName
            {	
                get {return new Guid("4f6bf68f-122a-c3fc-1fec-67dbf20b4747"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789"); }		
            }			
            public static Guid TierTimeDifferenceThreshold
            {	
                get {return new Guid("23674d44-17dd-48bf-b137-dd00f76ef3d7"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 35 relationships
		// 2c1b76bb-9a22-6716-1bb4-c548469454b8
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgent
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgent");}
		}
		// 44b847eb-e790-26b7-c8d8-e026718bede8
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsAgentWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsAgentWatchersGroup");}
		}
		// d39f1bff-89a9-6211-52f9-3d773a61ec1f
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsCollectionManagementServerWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsCollectionManagementServerWatchersGroup");}
		}
		// aa87dc00-ffdc-09cd-fb79-21163de5d817
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsGatewayManagementServerWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsGatewayManagementServerWatchersGroup");}
		}
		// 039ea920-dc9d-9ebf-6900-ac2b11740d3d
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsHealthServiceWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsHealthServiceWatchersGroup");}
		}
		// 6188a142-7f6b-96bf-0384-0878915e4c4b
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
		}
		// 10cc89d9-f0a8-62bf-a271-3f11faa371db
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsOpsMgrDBWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsOpsMgrDBWatchersGroup");}
		}
		// 3c1de6c5-4b67-a69b-0aa6-b3984d6c123e
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsRootManagementServers
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsRootManagementServers");}
		}
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagementServer	
			Id 				: 9189a49e-b2de-cab0-2e4f-4925b68e335d
			Description 	: Properties of Operations Manager management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagementServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("9189a49e-b2de-cab0-2e4f-4925b68e335d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("9189a49e-b2de-cab0-2e4f-4925b68e335d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string AutoApproveManuallyInstalledAgents
            {	
                get {return "AutoApproveManuallyInstalledAgents"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string ManagementServerSCP
            {	
                get {return "ManagementServerSCP"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return "NumberOfMissingHeartBeatsToMarkMachineDown"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyAddress
            {	
                get {return "ProxyAddress"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string ProxyPort
            {	
                get {return "ProxyPort"; }		
            }			
            public static string RejectManuallyInstalledAgents
            {	
                get {return "RejectManuallyInstalledAgents"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string UseProxyServer
            {	
                get {return "UseProxyServer"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("AutoApproveManuallyInstalledAgents");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("ManagementServerSCP");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("NumberOfMissingHeartBeatsToMarkMachineDown");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyAddress");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("ProxyPort");
                    propertyNames.Add("RejectManuallyInstalledAgents");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("UseProxyServer");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid AutoApproveManuallyInstalledAgents
            {	
                get {return new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid ManagementServerSCP
            {	
                get {return new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyAddress
            {	
                get {return new Guid("6faaee0b-0050-6c15-4279-c738915a91ad"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid ProxyPort
            {	
                get {return new Guid("805a8adf-eb82-55cb-9afb-051661f94861"); }		
            }			
            public static Guid RejectManuallyInstalledAgents
            {	
                get {return new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid UseProxyServer
            {	
                get {return new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 35 relationships
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 6188a142-7f6b-96bf-0384-0878915e4c4b
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagementServerComputersGroup	
			Id 				: b9994504-06cd-a393-7a81-d450d9ce5a58
			Description 	: Common properties of all management servers
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagementServerComputersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("b9994504-06cd-a393-7a81-d450d9ce5a58");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("b9994504-06cd-a393-7a81-d450d9ce5a58");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ManagementServerWatcher	
			Id 				: 3285fc6d-7b96-ce0b-58a7-c628de0488a8
			Description 	: Used to monitor the health of a management server's management service from the perspective of the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.HealthServiceWatcher
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ManagementServerWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("3285fc6d-7b96-ce0b-58a7-c628de0488a8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("3285fc6d-7b96-ce0b-58a7-c628de0488a8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HealthServiceId
            {	
                get {return "HealthServiceId"; }		
            }			
            public static string HealthServiceName
            {	
                get {return "HealthServiceName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HealthServiceId");
                    propertyNames.Add("HealthServiceName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HealthServiceId
            {	
                get {return new Guid("e356df80-5d09-cd62-f29d-e9106f730db6"); }		
            }			
            public static Guid HealthServiceName
            {	
                get {return new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 29 relationships
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.OpsMgrDBWatcher	
			Id 				: 88a7f2ca-2467-7715-544d-9fdaab0cad11
			Description 	: Used to monitor the health of a System Center Operations Manager database watcher
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_OpsMgrDBWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("88a7f2ca-2467-7715-544d-9fdaab0cad11");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("88a7f2ca-2467-7715-544d-9fdaab0cad11");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DatabaseName
            {	
                get {return "DatabaseName"; }		
            }			
            public static string DatabaseServerName
            {	
                get {return "DatabaseServerName"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DatabaseName");
                    propertyNames.Add("DatabaseServerName");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DatabaseName
            {	
                get {return new Guid("97adbf0c-af5a-d182-7afe-7b1210c02ce6"); }		
            }			
            public static Guid DatabaseServerName
            {	
                get {return new Guid("10075752-d997-4d57-956e-4e0814fa9d3a"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 28 relationships
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// 24d89d5e-e01a-60fc-93e6-b667bd50a16e
		public static ManagementPackRelationship Microsoft_SystemCenter_OpsMgrDBWatchersGroupContainsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.OpsMgrDBWatchersGroupContainsOpsMgrDBWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.OpsMgrDBWatchersGroup	
			Id 				: 72cbeeb6-6d2c-77f8-6577-64c7ec996e3f
			Description 	: Used to monitor the health of a System Center Operations Manager database watcher group
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_OpsMgrDBWatchersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("72cbeeb6-6d2c-77f8-6577-64c7ec996e3f");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("72cbeeb6-6d2c-77f8-6577-64c7ec996e3f");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// 24d89d5e-e01a-60fc-93e6-b667bd50a16e
		public static ManagementPackRelationship Microsoft_SystemCenter_OpsMgrDBWatchersGroupContainsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.OpsMgrDBWatchersGroupContainsOpsMgrDBWatcher");}
		}
		// 10cc89d9-f0a8-62bf-a271-3f11faa371db
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsOpsMgrDBWatchersGroup
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsOpsMgrDBWatchersGroup");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.RootManagementServer	
			Id 				: 1a9387f0-6fe5-5527-a2cb-73f2f6be6bc7
			Description 	: Represents the root management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.CollectionManagementServer
				Microsoft.SystemCenter.ManagementServer
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_RootManagementServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("1a9387f0-6fe5-5527-a2cb-73f2f6be6bc7");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("1a9387f0-6fe5-5527-a2cb-73f2f6be6bc7");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string AutoApproveManuallyInstalledAgents
            {	
                get {return "AutoApproveManuallyInstalledAgents"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string ManagementServerSCP
            {	
                get {return "ManagementServerSCP"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return "NumberOfMissingHeartBeatsToMarkMachineDown"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyAddress
            {	
                get {return "ProxyAddress"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string ProxyPort
            {	
                get {return "ProxyPort"; }		
            }			
            public static string RejectManuallyInstalledAgents
            {	
                get {return "RejectManuallyInstalledAgents"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string UseProxyServer
            {	
                get {return "UseProxyServer"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("AutoApproveManuallyInstalledAgents");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("ManagementServerSCP");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("NumberOfMissingHeartBeatsToMarkMachineDown");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyAddress");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("ProxyPort");
                    propertyNames.Add("RejectManuallyInstalledAgents");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("UseProxyServer");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid AutoApproveManuallyInstalledAgents
            {	
                get {return new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid ManagementServerSCP
            {	
                get {return new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyAddress
            {	
                get {return new Guid("6faaee0b-0050-6c15-4279-c738915a91ad"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid ProxyPort
            {	
                get {return new Guid("805a8adf-eb82-55cb-9afb-051661f94861"); }		
            }			
            public static Guid RejectManuallyInstalledAgents
            {	
                get {return new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid UseProxyServer
            {	
                get {return new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 36 relationships
		// 3c1de6c5-4b67-a69b-0aa6-b3984d6c123e
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsRootManagementServers
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsRootManagementServers");}
		}
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 6188a142-7f6b-96bf-0384-0878915e4c4b
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.RootManagementServerComputersGroup	
			Id 				: 7ce42584-1de7-4863-ebc0-61b67b241707
			Description 	: The sole members of this group are computers that host the root management service
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.ComputerGroup
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_RootManagementServerComputersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("7ce42584-1de7-4863-ebc0-61b67b241707");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("7ce42584-1de7-4863-ebc0-61b67b241707");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Site	
			Id 				: 6769eaba-4699-cc4b-7eb1-e9f445a8c5a0
			Description 	: Represents a site (for example, a customer site monitored by a remote service provider) where a gateway server or a System Center Essentials management server may locally reside
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Group
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_SiteClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6769eaba-4699-cc4b-7eb1-e9f445a8c5a0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6769eaba-4699-cc4b-7eb1-e9f445a8c5a0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string SiteName
            {	
                get {return "SiteName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("SiteName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid SiteName
            {	
                get {return new Guid("0ce74ed9-ffa6-0b60-a514-c1671f84eedb"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.SiteManagementServer	
			Id 				: cecaafda-33b6-b628-0cda-445e21b7291d
			Description 	: Represents a gateway server at a customer site
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.GatewayManagementServer
				Microsoft.SystemCenter.ManagementServer
				Microsoft.SystemCenter.HealthService
				Microsoft.Windows.LocalApplication
				System.LocalApplication
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_SiteManagementServerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("cecaafda-33b6-b628-0cda-445e21b7291d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("cecaafda-33b6-b628-0cda-445e21b7291d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionAccountIdentity
            {	
                get {return "ActionAccountIdentity"; }		
            }			
            public static string ActiveDirectoryManaged
            {	
                get {return "ActiveDirectoryManaged"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AuthenticationName
            {	
                get {return "AuthenticationName"; }		
            }			
            public static string AutoApproveManuallyInstalledAgents
            {	
                get {return "AutoApproveManuallyInstalledAgents"; }		
            }			
            public static string CreateListener
            {	
                get {return "CreateListener"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HeartbeatEnabled
            {	
                get {return "HeartbeatEnabled"; }		
            }			
            public static string HeartbeatInterval
            {	
                get {return "HeartbeatInterval"; }		
            }			
            public static string InstalledBy
            {	
                get {return "InstalledBy"; }		
            }			
            public static string InstallTime
            {	
                get {return "InstallTime"; }		
            }			
            public static string IsAgent
            {	
                get {return "IsAgent"; }		
            }			
            public static string IsGateway
            {	
                get {return "IsGateway"; }		
            }			
            public static string IsManagementServer
            {	
                get {return "IsManagementServer"; }		
            }			
            public static string IsManuallyInstalled
            {	
                get {return "IsManuallyInstalled"; }		
            }			
            public static string IsRHS
            {	
                get {return "IsRHS"; }		
            }			
            public static string ManagementServerSCP
            {	
                get {return "ManagementServerSCP"; }		
            }			
            public static string MaximumQueueSize
            {	
                get {return "MaximumQueueSize"; }		
            }			
            public static string MaximumSizeOfAllTransferredFiles
            {	
                get {return "MaximumSizeOfAllTransferredFiles"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return "NumberOfMissingHeartBeatsToMarkMachineDown"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PatchList
            {	
                get {return "PatchList"; }		
            }			
            public static string Port
            {	
                get {return "Port"; }		
            }			
            public static string ProxyAddress
            {	
                get {return "ProxyAddress"; }		
            }			
            public static string ProxyingEnabled
            {	
                get {return "ProxyingEnabled"; }		
            }			
            public static string ProxyPort
            {	
                get {return "ProxyPort"; }		
            }			
            public static string RejectManuallyInstalledAgents
            {	
                get {return "RejectManuallyInstalledAgents"; }		
            }			
            public static string RequestCompression
            {	
                get {return "RequestCompression"; }		
            }			
            public static string SiteId
            {	
                get {return "SiteId"; }		
            }			
            public static string SiteName
            {	
                get {return "SiteName"; }		
            }			
            public static string UseProxyServer
            {	
                get {return "UseProxyServer"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionAccountIdentity");
                    propertyNames.Add("ActiveDirectoryManaged");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AuthenticationName");
                    propertyNames.Add("AutoApproveManuallyInstalledAgents");
                    propertyNames.Add("CreateListener");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HeartbeatEnabled");
                    propertyNames.Add("HeartbeatInterval");
                    propertyNames.Add("InstalledBy");
                    propertyNames.Add("InstallTime");
                    propertyNames.Add("IsAgent");
                    propertyNames.Add("IsGateway");
                    propertyNames.Add("IsManagementServer");
                    propertyNames.Add("IsManuallyInstalled");
                    propertyNames.Add("IsRHS");
                    propertyNames.Add("ManagementServerSCP");
                    propertyNames.Add("MaximumQueueSize");
                    propertyNames.Add("MaximumSizeOfAllTransferredFiles");
                    propertyNames.Add("Notes");
                    propertyNames.Add("NumberOfMissingHeartBeatsToMarkMachineDown");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PatchList");
                    propertyNames.Add("Port");
                    propertyNames.Add("ProxyAddress");
                    propertyNames.Add("ProxyingEnabled");
                    propertyNames.Add("ProxyPort");
                    propertyNames.Add("RejectManuallyInstalledAgents");
                    propertyNames.Add("RequestCompression");
                    propertyNames.Add("SiteId");
                    propertyNames.Add("SiteName");
                    propertyNames.Add("UseProxyServer");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionAccountIdentity
            {	
                get {return new Guid("45eeedab-8d7e-efb2-21bf-b1d0b3cd106c"); }		
            }			
            public static Guid ActiveDirectoryManaged
            {	
                get {return new Guid("7274017a-d5ef-e641-3c0e-a4e150cabea0"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AuthenticationName
            {	
                get {return new Guid("b94cce78-5ad7-5056-8019-99e6024fcb86"); }		
            }			
            public static Guid AutoApproveManuallyInstalledAgents
            {	
                get {return new Guid("49edf37d-6dde-0106-9d7d-bf9d43bf85a9"); }		
            }			
            public static Guid CreateListener
            {	
                get {return new Guid("e50bfb16-71a7-3d09-cc65-2e3f83f7aa32"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HeartbeatEnabled
            {	
                get {return new Guid("a70ea599-8675-ca64-d8fa-2b3a6f0b244e"); }		
            }			
            public static Guid HeartbeatInterval
            {	
                get {return new Guid("c0a1371f-8250-5215-f43b-bfd509cb9719"); }		
            }			
            public static Guid InstalledBy
            {	
                get {return new Guid("84c3b4b2-1c46-8de4-e460-ace739b9f479"); }		
            }			
            public static Guid InstallTime
            {	
                get {return new Guid("f3b142c9-c624-763f-1d26-29e9ae91b850"); }		
            }			
            public static Guid IsAgent
            {	
                get {return new Guid("38ca4e6a-8c10-2da3-1ccb-927b610ad4e3"); }		
            }			
            public static Guid IsGateway
            {	
                get {return new Guid("9f792754-17bc-f596-1f63-c59bd6c064ac"); }		
            }			
            public static Guid IsManagementServer
            {	
                get {return new Guid("7cb1c2b7-9d40-0ded-4af8-f56d202c65d3"); }		
            }			
            public static Guid IsManuallyInstalled
            {	
                get {return new Guid("dd9a0cc5-99c4-2ee6-9602-80c4a441324f"); }		
            }			
            public static Guid IsRHS
            {	
                get {return new Guid("09be58d9-1a3d-b62b-d68f-2963589342bf"); }		
            }			
            public static Guid ManagementServerSCP
            {	
                get {return new Guid("fabc7a50-1a47-610b-ad63-2c1059e5b4f5"); }		
            }			
            public static Guid MaximumQueueSize
            {	
                get {return new Guid("c05be2de-7d4b-24e3-cc13-66ced5bec11d"); }		
            }			
            public static Guid MaximumSizeOfAllTransferredFiles
            {	
                get {return new Guid("fcf69788-9b67-f7f1-a2a1-17de6e3eed75"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid NumberOfMissingHeartBeatsToMarkMachineDown
            {	
                get {return new Guid("954ee5f1-2a6e-e2ca-ff3c-28059efaff32"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PatchList
            {	
                get {return new Guid("189f0d48-2a0c-699b-f6f1-7a62cf991848"); }		
            }			
            public static Guid Port
            {	
                get {return new Guid("c51b7833-da54-1653-d8fd-1a738ef8ded5"); }		
            }			
            public static Guid ProxyAddress
            {	
                get {return new Guid("6faaee0b-0050-6c15-4279-c738915a91ad"); }		
            }			
            public static Guid ProxyingEnabled
            {	
                get {return new Guid("2460b133-b9b5-e834-1302-bdea539b2f71"); }		
            }			
            public static Guid ProxyPort
            {	
                get {return new Guid("805a8adf-eb82-55cb-9afb-051661f94861"); }		
            }			
            public static Guid RejectManuallyInstalledAgents
            {	
                get {return new Guid("3b584cb1-b84f-e3ee-784b-b285d8094527"); }		
            }			
            public static Guid RequestCompression
            {	
                get {return new Guid("f338297f-df7d-ad7b-c666-168643fdfba2"); }		
            }			
            public static Guid SiteId
            {	
                get {return new Guid("29417d7e-a636-5f81-cf9b-76e4b1bf8f42"); }		
            }			
            public static Guid SiteName
            {	
                get {return new Guid("1a684231-d5a1-3965-aa28-a1573bcbd9ff"); }		
            }			
            public static Guid UseProxyServer
            {	
                get {return new Guid("4d22694e-6dd6-13ac-bb7b-0d0934f949ee"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("10dca198-ca6d-e6cf-5c8b-a799b624173b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 35 relationships
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 6188a142-7f6b-96bf-0384-0878915e4c4b
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementGroupContainsManagementServer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementGroupContainsManagementServer");}
		}
		// 37848e16-37a2-b81b-daaf-60a5a626be93
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceCommunication");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// ca26f3f0-b8ce-c193-d6df-632d53dee714
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceSecondaryCommunication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceSecondaryCommunication");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// 5cc7ec2a-56fc-fdbf-ceba-afd230103c96
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingComponentsGroupContainsMailStore
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingComponentsGroupContainsMailStore");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.SiteManagementServerWatcher	
			Id 				: d4cd7d6e-cf5e-f014-4a4e-e99538e06958
			Description 	: Monitors the health of a site management server's management service from the perspective of the principal management server
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.GatewayManagementServerWatcher
				Microsoft.SystemCenter.ManagementServerWatcher
				Microsoft.SystemCenter.HealthServiceWatcher
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_SiteManagementServerWatcherClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d4cd7d6e-cf5e-f014-4a4e-e99538e06958");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d4cd7d6e-cf5e-f014-4a4e-e99538e06958");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HealthServiceId
            {	
                get {return "HealthServiceId"; }		
            }			
            public static string HealthServiceName
            {	
                get {return "HealthServiceName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HealthServiceId");
                    propertyNames.Add("HealthServiceName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HealthServiceId
            {	
                get {return new Guid("e356df80-5d09-cd62-f29d-e9106f730db6"); }		
            }			
            public static Guid HealthServiceName
            {	
                get {return new Guid("50c2ad1b-cd40-d992-baa5-312c02dc5782"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 29 relationships
		// a3e0bbc2-9690-555c-7300-036a618e6afe
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatcherMonitorsHealthService
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatcherMonitorsHealthService");}
		}
		// d8cbb29f-5f37-e9cb-9f90-e4a9cd563b3b
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceWatchersGroupHostsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceWatchersGroupHostsHealthServiceWatcher");}
		}
		// e4e44d2d-af3b-e5ee-c541-7338ade7cab2
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagedComputerClientHealthServiceWatcherGroupContainsHealthServiceWatcher");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.SubscriptionWorkflowTarget	
			Id 				: a2a24426-1c31-3a8f-ea39-d316a83c8ef9
			Description 	: An internal class for the subscription workflow target
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_SubscriptionWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a2a24426-1c31-3a8f-ea39-d316a83c8ef9");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a2a24426-1c31-3a8f-ea39-d316a83c8ef9");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.TieredManagementGroup	
			Id 				: 9613172c-363c-452a-3a7e-c6a1e5e7cae3
			Description 	: This represents a connected management group.
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Service
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_TieredManagementGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("9613172c-363c-452a-3a7e-c6a1e5e7cae3");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("9613172c-363c-452a-3a7e-c6a1e5e7cae3");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AvailabilitySchedule
            {	
                get {return "AvailabilitySchedule"; }		
            }			
            public static string BusinessDetailedDescription
            {	
                get {return "BusinessDetailedDescription"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string ConnectString
            {	
                get {return "ConnectString"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string IsAvailableForConnectors
            {	
                get {return "IsAvailableForConnectors"; }		
            }			
            public static string IsBusinessService
            {	
                get {return "IsBusinessService"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OwnedByOrganization
            {	
                get {return "OwnedByOrganization"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string RunAsId
            {	
                get {return "RunAsId"; }		
            }			
            public static string ServiceDescription
            {	
                get {return "ServiceDescription"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AvailabilitySchedule");
                    propertyNames.Add("BusinessDetailedDescription");
                    propertyNames.Add("Classification");
                    propertyNames.Add("ConnectString");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("IsAvailableForConnectors");
                    propertyNames.Add("IsBusinessService");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OwnedByOrganization");
                    propertyNames.Add("Priority");
                    propertyNames.Add("RunAsId");
                    propertyNames.Add("ServiceDescription");
                    propertyNames.Add("Status");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AvailabilitySchedule
            {	
                get {return new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919"); }		
            }			
            public static Guid BusinessDetailedDescription
            {	
                get {return new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff"); }		
            }			
            public static Guid ConnectString
            {	
                get {return new Guid("d893d5bd-aa77-691a-e86a-f2db9f34e93e"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("54622307-9f2a-ac20-a12f-a3dda228229b"); }		
            }			
            public static Guid IsAvailableForConnectors
            {	
                get {return new Guid("8231b4cf-dfc4-8157-2775-319efe8a2908"); }		
            }			
            public static Guid IsBusinessService
            {	
                get {return new Guid("7879f2b1-3238-7221-e427-77785556d78a"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("102bc475-a2de-d80f-0e20-8817e3e23c07"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OwnedByOrganization
            {	
                get {return new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28"); }		
            }			
            public static Guid RunAsId
            {	
                get {return new Guid("f3d08d43-60b0-c6d9-60a7-75aba58d7de3"); }		
            }			
            public static Guid ServiceDescription
            {	
                get {return new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.UserActionManager	
			Id 				: 1a9742b2-cf8d-5ddf-f6bd-0fbb1c5a5565
			Description 	: User Action Manager
			ManagementPack	: Microsoft.SystemCenter.Library
			This class inherits from:
				System.Perspective
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_UserActionManagerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("1a9742b2-cf8d-5ddf-f6bd-0fbb1c5a5565");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("1a9742b2-cf8d-5ddf-f6bd-0fbb1c5a5565");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7cfc5cc0-ae0a-da4f-5ac2-d64540141a55");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string FailureType
            {	
                get {return "FailureType"; }		
            }			
            public static string LastModified
            {	
                get {return "LastModified"; }		
            }			
            public static string ManagementServerName
            {	
                get {return "ManagementServerName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PendingStateType
            {	
                get {return "PendingStateType"; }		
            }			
            public static string TargetDeviceNetworkName
            {	
                get {return "TargetDeviceNetworkName"; }		
            }			
            public static string TargetDevicePrincipalName
            {	
                get {return "TargetDevicePrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("FailureType");
                    propertyNames.Add("LastModified");
                    propertyNames.Add("ManagementServerName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PendingStateType");
                    propertyNames.Add("TargetDeviceNetworkName");
                    propertyNames.Add("TargetDevicePrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid FailureType
            {	
                get {return new Guid("b45b4228-b5ec-12f8-83ae-a9d6c032c229"); }		
            }			
            public static Guid LastModified
            {	
                get {return new Guid("aa20379d-6a15-efe9-1de5-efa4e22fd154"); }		
            }			
            public static Guid ManagementServerName
            {	
                get {return new Guid("fa20ea89-4db8-8095-7d2c-825313321bad"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PendingStateType
            {	
                get {return new Guid("8c96676e-51eb-c847-d232-8e9ba4958806"); }		
            }			
            public static Guid TargetDeviceNetworkName
            {	
                get {return new Guid("094b069a-36a7-123e-61c4-d9922825a39b"); }		
            }			
            public static Guid TargetDevicePrincipalName
            {	
                get {return new Guid("d0ae3334-5431-3541-5261-fe8ddea486c5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// 47aefb79-03c8-e48a-5608-e27a2e3e2ba0
		public static ManagementPackRelationship Microsoft_SystemCenter_ManagementServerHostsAgentManager
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ManagementServerHostsAgentManager");}
		}
		// 9e78447b-8b65-fe30-0c12-428fecdab64b
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_MessagingClientsGroupContainsPerspective
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.MessagingClientsGroupContainsPerspective");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows.WorkflowTarget	
			Id 				: 2f2a8c1b-39ce-f4d5-76ed-839721b93514
			Description 	: 
			ManagementPack	: Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows
			This class inherits from:
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_MonitoringHostKeepAlive_Workflows_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2f2a8c1b-39ce-f4d5-76ed-839721b93514");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2f2a8c1b-39ce-f4d5-76ed-839721b93514");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("11e42b5e-c5d4-d3e3-be49-5a99b52aaa9d");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Orchestration.WorkflowTarget	
			Id 				: 37fecb60-26c5-fcdc-950d-f24ce13c3df6
			Description 	: Orchestration Workflow Target
			ManagementPack	: Microsoft.SystemCenter.Orchestration
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_Orchestration_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("37fecb60-26c5-fcdc-950d-f24ce13c3df6");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("37fecb60-26c5-fcdc-950d-f24ce13c3df6");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("3d610232-c33c-a892-e538-35861372101c");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ApplicationComponentsGroup	
			Id 				: b8b99b2a-6e23-156d-49d6-ba9e822ffa98
			Description 	: This class is used to represent ApplicationComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ApplicationComponentsGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("b8b99b2a-6e23-156d-49d6-ba9e822ffa98");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("b8b99b2a-6e23-156d-49d6-ba9e822ffa98");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("2e9b0a5b-6454-013e-4fc7-07a567de18cf"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.BusinessService	
			Id 				: b2a806a6-87f6-0bc9-da74-c27e9ab5a5d7
			Description 	: This class is used to represent Business Service in Service Manager space.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.Service
				System.Service
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_BusinessServiceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("b2a806a6-87f6-0bc9-da74-c27e9ab5a5d7");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("b2a806a6-87f6-0bc9-da74-c27e9ab5a5d7");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string AvailabilitySchedule
            {	
                get {return "AvailabilitySchedule"; }		
            }			
            public static string BusinessDetailedDescription
            {	
                get {return "BusinessDetailedDescription"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsBusinessService
            {	
                get {return "IsBusinessService"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OwnedByOrganization
            {	
                get {return "OwnedByOrganization"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string ServiceDescription
            {	
                get {return "ServiceDescription"; }		
            }			
            public static string ServiceID
            {	
                get {return "ServiceID"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("AvailabilitySchedule");
                    propertyNames.Add("BusinessDetailedDescription");
                    propertyNames.Add("Classification");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsBusinessService");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OwnedByOrganization");
                    propertyNames.Add("Priority");
                    propertyNames.Add("ServiceDescription");
                    propertyNames.Add("ServiceID");
                    propertyNames.Add("Status");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid AvailabilitySchedule
            {	
                get {return new Guid("c8b4567b-842f-ae1b-0f39-1f446d1c7919"); }		
            }			
            public static Guid BusinessDetailedDescription
            {	
                get {return new Guid("0269f25a-1f9f-0423-4d7a-b286220d05d0"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("330dcee3-8fa0-875b-c8f0-fe5f77d12fff"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsBusinessService
            {	
                get {return new Guid("7879f2b1-3238-7221-e427-77785556d78a"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OwnedByOrganization
            {	
                get {return new Guid("112beb7c-a1c5-94b9-9954-a4d8cd0e0363"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("a4b16882-4709-46e6-97e7-5cf34b69ad28"); }		
            }			
            public static Guid ServiceDescription
            {	
                get {return new Guid("f75caf82-ba43-cad3-c165-88f709fc3fbe"); }		
            }			
            public static Guid ServiceID
            {	
                get {return new Guid("9795955e-de76-a851-997c-706723f190a9"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("9d19da0e-e22b-9835-1ba7-fddb36832789"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 27 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.DataBaseComponentsGroup	
			Id 				: a1286a6e-9db9-a151-a182-1578787508bd
			Description 	: This class is used to represent DataBaseComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_DataBaseComponentsGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a1286a6e-9db9-a151-a182-1578787508bd");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a1286a6e-9db9-a151-a182-1578787508bd");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("d3f20d3d-74c2-cb24-882e-024749c59d01"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.NetworkDevicesGroup	
			Id 				: 80197622-bf44-3d54-9f2d-9d0f9ec87ae8
			Description 	: This class is used to represent NetworkDevicesGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_NetworkDevicesGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("80197622-bf44-3d54-9f2d-9d0f9ec87ae8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("80197622-bf44-3d54-9f2d-9d0f9ec87ae8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("510b9267-f710-2f78-15b2-9b6a8500752f"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.OtherComponentsGroup	
			Id 				: 94521e29-79ff-de04-0e45-ffffdbfe494a
			Description 	: This class is used to represent OtherComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_OtherComponentsGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("94521e29-79ff-de04-0e45-ffffdbfe494a");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("94521e29-79ff-de04-0e45-ffffdbfe494a");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("48eac460-04c7-10b2-afef-06c507f55a89"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.PhysicalObjectsGroup	
			Id 				: 1150af91-1a11-8637-9386-fe94512284f0
			Description 	: This class is used to represent PhysicalObjectsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_PhysicalObjectsGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("1150af91-1a11-8637-9386-fe94512284f0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("1150af91-1a11-8637-9386-fe94512284f0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("cab87470-992b-f23c-7d06-635541df0fd8"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Service.ComputersGroup	
			Id 				: 42d9a904-0b91-6720-548e-6b952b5c45a1
			Description 	: This class is used to represent ComputersGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_Service_ComputersGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("42d9a904-0b91-6720-548e-6b952b5c45a1");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("42d9a904-0b91-6720-548e-6b952b5c45a1");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("2b19beaa-5195-cd3e-8267-ecf4c3527f14"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.StorageDevicesGroup	
			Id 				: 764c2409-6e3e-4ea5-a3a7-35e893db1dd8
			Description 	: This class is used to represent StorageDevicesGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_StorageDevicesGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("764c2409-6e3e-4ea5-a3a7-35e893db1dd8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("764c2409-6e3e-4ea5-a3a7-35e893db1dd8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("fb8824b0-6fc2-104a-e3d3-0c6406a51d96"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.WebsiteComponentsGroup	
			Id 				: 20be7986-f151-ed3a-faff-10f65d110e86
			Description 	: This class is used to represent WebsiteComponentsGroup.
			ManagementPack	: Microsoft.SystemCenter.ServiceDesigner.Library
			This class inherits from:
				Microsoft.SystemCenter.ServiceDesigner.ServiceComponentGroup
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_WebsiteComponentsGroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("20be7986-f151-ed3a-faff-10f65d110e86");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("20be7986-f151-ed3a-faff-10f65d110e86");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("30509e8e-9850-8cfa-a78b-40b6feaa2f70");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("7b4a3990-54e6-6a3d-843a-e59b32037985"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 615cff5b-8472-2e4e-57d6-3e42fc78c3e7
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_ServiceHasGroups
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.ServiceHasGroups");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.ServiceManager.Portal.ContactSettings	
			Id 				: abaf06a5-da99-d7d7-3145-40dba354522e
			Description 	: Contact IT settings for end-user portal
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_ServiceManager_Portal_ContactSettingsClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("abaf06a5-da99-d7d7-3145-40dba354522e");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("abaf06a5-da99-d7d7-3145-40dba354522e");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
        
        
        public static class PropertyNames
        {
            public static string ChatResponseTimeInfo
            {	
                get {return "ChatResponseTimeInfo"; }		
            }			
            public static string ChatUrl
            {	
                get {return "ChatUrl"; }		
            }			
            public static string ChatUrlName
            {	
                get {return "ChatUrlName"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EmailAddress
            {	
                get {return "EmailAddress"; }		
            }			
            public static string EmailResponseTimeInfo
            {	
                get {return "EmailResponseTimeInfo"; }		
            }			
            public static string Fax
            {	
                get {return "Fax"; }		
            }			
            public static string SupportPhone
            {	
                get {return "SupportPhone"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ChatResponseTimeInfo");
                    propertyNames.Add("ChatUrl");
                    propertyNames.Add("ChatUrlName");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EmailAddress");
                    propertyNames.Add("EmailResponseTimeInfo");
                    propertyNames.Add("Fax");
                    propertyNames.Add("SupportPhone");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ChatResponseTimeInfo
            {	
                get {return new Guid("de22f0db-c541-248c-2083-dc76a9ea74e0"); }		
            }			
            public static Guid ChatUrl
            {	
                get {return new Guid("376776df-32b7-a7fb-dce4-26be489f7df0"); }		
            }			
            public static Guid ChatUrlName
            {	
                get {return new Guid("6875f771-c37d-9117-9ef5-3214fb9957ca"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EmailAddress
            {	
                get {return new Guid("156699d5-bc18-af4d-799c-a8c08dc5f847"); }		
            }			
            public static Guid EmailResponseTimeInfo
            {	
                get {return new Guid("3bad56eb-9755-85b5-421e-75a797ab63e5"); }		
            }			
            public static Guid Fax
            {	
                get {return new Guid("deb576ed-26dd-1255-6e89-32e191969b26"); }		
            }			
            public static Guid SupportPhone
            {	
                get {return new Guid("1486e90e-1dc3-af8f-02db-2169a463a1eb"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ServiceManager.Portal.Links.Configuration	
			Id 				: 93d5c044-0ca5-c45c-8af6-bbad4facb52f
			Description 	: Microsoft.SystemCenter.ServiceManager.Portal.Links.Configuration
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ServiceManager_Portal_Links_ConfigurationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("93d5c044-0ca5-c45c-8af6-bbad4facb52f");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("93d5c044-0ca5-c45c-8af6-bbad4facb52f");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string LinkDescription
            {	
                get {return "LinkDescription"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string NavigateUrl
            {	
                get {return "NavigateUrl"; }		
            }			
            public static string Visible
            {	
                get {return "Visible"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("LinkDescription");
                    propertyNames.Add("Name");
                    propertyNames.Add("NavigateUrl");
                    propertyNames.Add("Visible");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0d60f86e-a3f9-1e66-b83e-c58c1b846756"); }		
            }			
            public static Guid LinkDescription
            {	
                get {return new Guid("18663105-e9f7-a02c-a177-5dcd35b2a72e"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("933850f5-0f87-17c4-5a10-6184e2beba96"); }		
            }			
            public static Guid NavigateUrl
            {	
                get {return new Guid("2678073b-91ea-811c-c405-6b71e15363af"); }		
            }			
            public static Guid Visible
            {	
                get {return new Guid("f225418c-c6f2-cfb5-ccee-313b494adbd0"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.ServiceManager.SoftwareDeployment.Process	
			Id 				: af4d4ae2-de20-7ae0-a942-db5262501789
			Description 	: Service Manager portal's software deployment process
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_ServiceManager_SoftwareDeployment_ProcessClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("af4d4ae2-de20-7ae0-a942-db5262501789");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("af4d4ae2-de20-7ae0-a942-db5262501789");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
        
        
        public static class PropertyNames
        {
            public static string ChangeRequestTemplateId
            {	
                get {return "ChangeRequestTemplateId"; }		
            }			
            public static string ChangeRequestTemplateName
            {	
                get {return "ChangeRequestTemplateName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ProcessId
            {	
                get {return "ProcessId"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ChangeRequestTemplateId");
                    propertyNames.Add("ChangeRequestTemplateName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ProcessId");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ChangeRequestTemplateId
            {	
                get {return new Guid("cd680ce1-16c8-19cf-7b32-67bab1f08757"); }		
            }			
            public static Guid ChangeRequestTemplateName
            {	
                get {return new Guid("b7ffbc76-511d-06fa-6031-bd45eecba3f0"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("d1af8bcf-1b0f-3156-8c2c-b41d985e7886"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ProcessId
            {	
                get {return new Guid("0b6602de-778e-b7d2-edde-b9808398ed85"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 3b530b52-e32e-d370-a991-3a525a42b6b0
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceManager_PackageDeployedByProcess
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceManager.PackageDeployedByProcess");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: ServiceManager.SoftwareDeployment.SCCM.Configuration	
			Id 				: 35eb0df0-a0be-962b-b472-f8b888bc558e
			Description 	: Defines the properties used in the configuration of software deployment for Configuration Manager
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class ServiceManager_SoftwareDeployment_SCCM_ConfigurationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("35eb0df0-a0be-962b-b472-f8b888bc558e");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("35eb0df0-a0be-962b-b472-f8b888bc558e");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
        
        
        public static class PropertyNames
        {
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ServerName
            {	
                get {return "ServerName"; }		
            }			
            public static string SiteCode
            {	
                get {return "SiteCode"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ServerName");
                    propertyNames.Add("SiteCode");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Description
            {	
                get {return new Guid("fdef40b6-6f2a-5a1d-0c3c-44ff123f6112"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ServerName
            {	
                get {return new Guid("6af925d4-05f7-2475-ae4d-f307257a5bc4"); }		
            }			
            public static Guid SiteCode
            {	
                get {return new Guid("184923b7-5868-e957-ff89-3d3f8a747749"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: ServiceManager.SoftwareDeployment.WorkflowTarget	
			Id 				: 562dded4-fe45-626e-edc0-eed234f73309
			Description 	: Defines the properties of the software deployment workflow target
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class ServiceManager_SoftwareDeployment_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("562dded4-fe45-626e-edc0-eed234f73309");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("562dded4-fe45-626e-edc0-eed234f73309");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Activity.PortalSoftwareDeploymentActivity	
			Id 				: 87dea200-2dc4-9cf2-63ba-777d7faba31b
			Description 	: Activity to perform software deployment
			ManagementPack	: Microsoft.SystemCenter.ServiceManager.Portal
			This class inherits from:
				System.WorkItem.Activity
				System.WorkItem
				System.Entity
*/
	public partial class System_WorkItem_Activity_PortalSoftwareDeploymentActivityClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("87dea200-2dc4-9cf2-63ba-777d7faba31b");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("87dea200-2dc4-9cf2-63ba-777d7faba31b");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2d5e77d8-1385-c107-542f-a20dbe9540a2");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string Area
            {	
                get {return "Area"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ErrorMessage
            {	
                get {return "ErrorMessage"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string MachineName
            {	
                get {return "MachineName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string PackageID
            {	
                get {return "PackageID"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string SequenceId
            {	
                get {return "SequenceId"; }		
            }			
            public static string Stage
            {	
                get {return "Stage"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string Status1
            {	
                get {return "Status1"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("Area");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ErrorMessage");
                    propertyNames.Add("Id");
                    propertyNames.Add("MachineName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("PackageID");
                    propertyNames.Add("Priority");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("SequenceId");
                    propertyNames.Add("Stage");
                    propertyNames.Add("Status");
                    propertyNames.Add("Status1");
                    propertyNames.Add("Title");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid Area
            {	
                get {return new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ErrorMessage
            {	
                get {return new Guid("44f815ca-5043-40be-676f-d16c025211d3"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid MachineName
            {	
                get {return new Guid("2b7a96de-1ca0-52c8-de27-a57df12dce08"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("420e7905-4114-0f38-36a2-f19abdac865e"); }		
            }			
            public static Guid PackageID
            {	
                get {return new Guid("61159703-ca9c-66c8-4aaa-c1adee568ac3"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid SequenceId
            {	
                get {return new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb"); }		
            }			
            public static Guid Stage
            {	
                get {return new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("b3c5afc1-d310-88d1-7b47-982775d25363"); }		
            }			
            public static Guid Status1
            {	
                get {return new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 36 relationships
		// 6e40b18b-0ec4-cd84-fd0c-31f67c9df6c9
		public static ManagementPackRelationship System_ActivityFollowedByActivity
		{
			get{return  ManagementPack.GetRelationship("System.ActivityFollowedByActivity");}
		}
		// 6e05d202-38a4-812e-34b8-b11642001a80
		public static ManagementPackRelationship System_ReviewActivityHasReviewer
		{
			get{return  ManagementPack.GetRelationship("System.ReviewActivityHasReviewer");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.Subscriptions.Administrator.WorkflowTarget	
			Id 				: 3fdd292d-04cf-e893-9ae2-76740ba4e017
			Description 	: Defines the properties of the subscription workflow target
			ManagementPack	: Microsoft.SystemCenter.Subscriptions
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_Subscriptions_Administrator_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("3fdd292d-04cf-e893-9ae2-76740ba4e017");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("3fdd292d-04cf-e893-9ae2-76740ba4e017");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("0306141b-bf60-70a1-be18-e979132c873c");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.GlobalSetting.Subscription	
			Id 				: b02ab241-7184-1051-3d38-5f1e5e0553e7
			Description 	: Defines the properties of notification subscriptions
			ManagementPack	: Microsoft.SystemCenter.Subscriptions
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_GlobalSetting_SubscriptionClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("b02ab241-7184-1051-3d38-5f1e5e0553e7");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("b02ab241-7184-1051-3d38-5f1e5e0553e7");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("0306141b-bf60-70a1-be18-e979132c873c");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string HighWatermarkRefreshRateSeconds
            {	
                get {return "HighWatermarkRefreshRateSeconds"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("HighWatermarkRefreshRateSeconds");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid HighWatermarkRefreshRateSeconds
            {	
                get {return new Guid("13e5cfca-80b3-1d09-ad9b-3a548f5f05de"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.WorkflowFoundation.WorkflowTarget	
			Id 				: 351a1225-d47f-d3a6-152b-5ca5b54232f6
			Description 	: 
			ManagementPack	: Microsoft.SystemCenter.WorkflowFoundation.Library
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_WorkflowFoundation_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("351a1225-d47f-d3a6-152b-5ca5b54232f6");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("351a1225-d47f-d3a6-152b-5ca5b54232f6");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("113b0307-4d0f-ec7d-7cb2-c39ebbff76df");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.AD.Group	
			Id 				: e2386b9b-5364-e438-a317-93836b979c56
			Description 	: Defines the basic properties of Active Directory groups
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.AD.UserBase
				System.Domain.User
				System.User
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_AD_GroupClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e2386b9b-5364-e438-a317-93836b979c56");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e2386b9b-5364-e438-a317-93836b979c56");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BusinessPhone
            {	
                get {return "BusinessPhone"; }		
            }			
            public static string BusinessPhone2
            {	
                get {return "BusinessPhone2"; }		
            }			
            public static string City
            {	
                get {return "City"; }		
            }			
            public static string Company
            {	
                get {return "Company"; }		
            }			
            public static string Country
            {	
                get {return "Country"; }		
            }			
            public static string Department
            {	
                get {return "Department"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DistinguishedName
            {	
                get {return "DistinguishedName"; }		
            }			
            public static string Domain
            {	
                get {return "Domain"; }		
            }			
            public static string EmployeeId
            {	
                get {return "EmployeeId"; }		
            }			
            public static string Fax
            {	
                get {return "Fax"; }		
            }			
            public static string FirstName
            {	
                get {return "FirstName"; }		
            }			
            public static string FQDN
            {	
                get {return "FQDN"; }		
            }			
            public static string HomePhone
            {	
                get {return "HomePhone"; }		
            }			
            public static string HomePhone2
            {	
                get {return "HomePhone2"; }		
            }			
            public static string Initials
            {	
                get {return "Initials"; }		
            }			
            public static string LastName
            {	
                get {return "LastName"; }		
            }			
            public static string Mobile
            {	
                get {return "Mobile"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string Office
            {	
                get {return "Office"; }		
            }			
            public static string Pager
            {	
                get {return "Pager"; }		
            }			
            public static string SID
            {	
                get {return "SID"; }		
            }			
            public static string State
            {	
                get {return "State"; }		
            }			
            public static string StreetAddress
            {	
                get {return "StreetAddress"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string UPN
            {	
                get {return "UPN"; }		
            }			
            public static string UserName
            {	
                get {return "UserName"; }		
            }			
            public static string Zip
            {	
                get {return "Zip"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BusinessPhone");
                    propertyNames.Add("BusinessPhone2");
                    propertyNames.Add("City");
                    propertyNames.Add("Company");
                    propertyNames.Add("Country");
                    propertyNames.Add("Department");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DistinguishedName");
                    propertyNames.Add("Domain");
                    propertyNames.Add("EmployeeId");
                    propertyNames.Add("Fax");
                    propertyNames.Add("FirstName");
                    propertyNames.Add("FQDN");
                    propertyNames.Add("HomePhone");
                    propertyNames.Add("HomePhone2");
                    propertyNames.Add("Initials");
                    propertyNames.Add("LastName");
                    propertyNames.Add("Mobile");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("Office");
                    propertyNames.Add("Pager");
                    propertyNames.Add("SID");
                    propertyNames.Add("State");
                    propertyNames.Add("StreetAddress");
                    propertyNames.Add("Title");
                    propertyNames.Add("UPN");
                    propertyNames.Add("UserName");
                    propertyNames.Add("Zip");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BusinessPhone
            {	
                get {return new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c"); }		
            }			
            public static Guid BusinessPhone2
            {	
                get {return new Guid("51d9d560-1c1a-058e-4307-4e5302132612"); }		
            }			
            public static Guid City
            {	
                get {return new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371"); }		
            }			
            public static Guid Company
            {	
                get {return new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad"); }		
            }			
            public static Guid Country
            {	
                get {return new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0"); }		
            }			
            public static Guid Department
            {	
                get {return new Guid("22405812-2d6d-e429-110c-2d2d8f9518df"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DistinguishedName
            {	
                get {return new Guid("97362a11-e6b1-a352-820e-b1e75d09da66"); }		
            }			
            public static Guid Domain
            {	
                get {return new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b"); }		
            }			
            public static Guid EmployeeId
            {	
                get {return new Guid("d56f368d-2e48-e4be-f4eb-f82744879663"); }		
            }			
            public static Guid Fax
            {	
                get {return new Guid("d962f04f-1429-a910-fa7b-ac8444645aee"); }		
            }			
            public static Guid FirstName
            {	
                get {return new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163"); }		
            }			
            public static Guid FQDN
            {	
                get {return new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0"); }		
            }			
            public static Guid HomePhone
            {	
                get {return new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330"); }		
            }			
            public static Guid HomePhone2
            {	
                get {return new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1"); }		
            }			
            public static Guid Initials
            {	
                get {return new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6"); }		
            }			
            public static Guid LastName
            {	
                get {return new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df"); }		
            }			
            public static Guid Mobile
            {	
                get {return new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid Office
            {	
                get {return new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba"); }		
            }			
            public static Guid Pager
            {	
                get {return new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a"); }		
            }			
            public static Guid SID
            {	
                get {return new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29"); }		
            }			
            public static Guid State
            {	
                get {return new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17"); }		
            }			
            public static Guid StreetAddress
            {	
                get {return new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa"); }		
            }			
            public static Guid UPN
            {	
                get {return new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8"); }		
            }			
            public static Guid UserName
            {	
                get {return new Guid("3217af5a-b135-a850-0562-be3e89da6d1a"); }		
            }			
            public static Guid Zip
            {	
                get {return new Guid("584266bf-a344-f323-a15b-4a761aecd867"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 43 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// 4a807c65-6a1f-15b2-bdf3-e967e58c254a
		public static ManagementPackRelationship System_UserManagesUser
		{
			get{return  ManagementPack.GetRelationship("System.UserManagesUser");}
		}
		// dec8d54a-6284-0f9d-cafb-8373f4dc865a
		public static ManagementPackRelationship System_WorkItem_BillableTimeHasWorkingUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.BillableTimeHasWorkingUser");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 40927c76-8993-7427-dd76-6245e8482ae7
		public static ManagementPackRelationship System_PolicyItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.PolicyItemCreatedByUser");}
		}
		// ffd71f9e-7346-d12b-85d6-7c39f507b7bb
		public static ManagementPackRelationship System_FileAttachmentAddedByUser
		{
			get{return  ManagementPack.GetRelationship("System.FileAttachmentAddedByUser");}
		}
		// 90da7d7c-948b-e16e-f39a-f6e3d1ffc921
		public static ManagementPackRelationship System_ReviewerIsUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerIsUser");}
		}
		// 9441a6d1-1317-9520-de37-6c54512feeba
		public static ManagementPackRelationship System_ReviewerVotedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerVotedByUser");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.AD.Printer	
			Id 				: 2d41c9e8-68a6-043b-c2cf-57d9d9482170
			Description 	: Defines the basic properties of Active Directory printers
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				System.Printer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_AD_PrinterClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2d41c9e8-68a6-043b-c2cf-57d9d9482170");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2d41c9e8-68a6-043b-c2cf-57d9d9482170");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetNumber
            {	
                get {return "AssetNumber"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string CanonicalName
            {	
                get {return "CanonicalName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DistinguishedName
            {	
                get {return "DistinguishedName"; }		
            }			
            public static string DriverName
            {	
                get {return "DriverName"; }		
            }			
            public static string DriverVersion
            {	
                get {return "DriverVersion"; }		
            }			
            public static string Fullname
            {	
                get {return "Fullname"; }		
            }			
            public static string IsDeleted
            {	
                get {return "IsDeleted"; }		
            }			
            public static string Keywords
            {	
                get {return "Keywords"; }		
            }			
            public static string Location
            {	
                get {return "Location"; }		
            }			
            public static string ManagedBy
            {	
                get {return "ManagedBy"; }		
            }			
            public static string ModifyTimeStamp
            {	
                get {return "ModifyTimeStamp"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PhysicalLocationObject
            {	
                get {return "PhysicalLocationObject"; }		
            }			
            public static string PortName
            {	
                get {return "PortName"; }		
            }			
            public static string PrintBinNames
            {	
                get {return "PrintBinNames"; }		
            }			
            public static string PrintCollate
            {	
                get {return "PrintCollate"; }		
            }			
            public static string PrintColor
            {	
                get {return "PrintColor"; }		
            }			
            public static string PrintDuplexSupported
            {	
                get {return "PrintDuplexSupported"; }		
            }			
            public static string PrinterName
            {	
                get {return "PrinterName"; }		
            }			
            public static string PrintKeepPrintedJobs
            {	
                get {return "PrintKeepPrintedJobs"; }		
            }			
            public static string PrintMACAddress
            {	
                get {return "PrintMACAddress"; }		
            }			
            public static string PrintMaxResolutionSupported
            {	
                get {return "PrintMaxResolutionSupported"; }		
            }			
            public static string PrintMaxXExtent
            {	
                get {return "PrintMaxXExtent"; }		
            }			
            public static string PrintMediaReady
            {	
                get {return "PrintMediaReady"; }		
            }			
            public static string PrintMediaSupported
            {	
                get {return "PrintMediaSupported"; }		
            }			
            public static string PrintMemory
            {	
                get {return "PrintMemory"; }		
            }			
            public static string PrintNetworkAddress
            {	
                get {return "PrintNetworkAddress"; }		
            }			
            public static string PrintNotify
            {	
                get {return "PrintNotify"; }		
            }			
            public static string PrintOwner
            {	
                get {return "PrintOwner"; }		
            }			
            public static string PrintPagesPerMinute
            {	
                get {return "PrintPagesPerMinute"; }		
            }			
            public static string PrintRate
            {	
                get {return "PrintRate"; }		
            }			
            public static string PrintRateUnit
            {	
                get {return "PrintRateUnit"; }		
            }			
            public static string PrintShareName
            {	
                get {return "PrintShareName"; }		
            }			
            public static string PrintStaplingSupported
            {	
                get {return "PrintStaplingSupported"; }		
            }			
            public static string ServerName
            {	
                get {return "ServerName"; }		
            }			
            public static string ShortServerName
            {	
                get {return "ShortServerName"; }		
            }			
            public static string UNCName
            {	
                get {return "UNCName"; }		
            }			
            public static string Url
            {	
                get {return "Url"; }		
            }			
            public static string VersionNumber
            {	
                get {return "VersionNumber"; }		
            }			
            public static string WhenChanged
            {	
                get {return "WhenChanged"; }		
            }			
            public static string WWWHomePage
            {	
                get {return "WWWHomePage"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetNumber");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("CanonicalName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DistinguishedName");
                    propertyNames.Add("DriverName");
                    propertyNames.Add("DriverVersion");
                    propertyNames.Add("Fullname");
                    propertyNames.Add("IsDeleted");
                    propertyNames.Add("Keywords");
                    propertyNames.Add("Location");
                    propertyNames.Add("ManagedBy");
                    propertyNames.Add("ModifyTimeStamp");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PhysicalLocationObject");
                    propertyNames.Add("PortName");
                    propertyNames.Add("PrintBinNames");
                    propertyNames.Add("PrintCollate");
                    propertyNames.Add("PrintColor");
                    propertyNames.Add("PrintDuplexSupported");
                    propertyNames.Add("PrinterName");
                    propertyNames.Add("PrintKeepPrintedJobs");
                    propertyNames.Add("PrintMACAddress");
                    propertyNames.Add("PrintMaxResolutionSupported");
                    propertyNames.Add("PrintMaxXExtent");
                    propertyNames.Add("PrintMediaReady");
                    propertyNames.Add("PrintMediaSupported");
                    propertyNames.Add("PrintMemory");
                    propertyNames.Add("PrintNetworkAddress");
                    propertyNames.Add("PrintNotify");
                    propertyNames.Add("PrintOwner");
                    propertyNames.Add("PrintPagesPerMinute");
                    propertyNames.Add("PrintRate");
                    propertyNames.Add("PrintRateUnit");
                    propertyNames.Add("PrintShareName");
                    propertyNames.Add("PrintStaplingSupported");
                    propertyNames.Add("ServerName");
                    propertyNames.Add("ShortServerName");
                    propertyNames.Add("UNCName");
                    propertyNames.Add("Url");
                    propertyNames.Add("VersionNumber");
                    propertyNames.Add("WhenChanged");
                    propertyNames.Add("WWWHomePage");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetNumber
            {	
                get {return new Guid("f7b94e15-e05c-62fe-2778-4d4bbd044caf"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid CanonicalName
            {	
                get {return new Guid("3469e6c9-6234-64a5-5a7f-44f01a1f4296"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("d26a8552-8909-4f15-5333-6936c3c7fb1d"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DistinguishedName
            {	
                get {return new Guid("62feaa3e-a183-924f-3448-e5051349869f"); }		
            }			
            public static Guid DriverName
            {	
                get {return new Guid("6dbb6006-a37e-fea4-914c-bc4070be8133"); }		
            }			
            public static Guid DriverVersion
            {	
                get {return new Guid("3d979651-0304-f34c-98d7-a5295c365167"); }		
            }			
            public static Guid Fullname
            {	
                get {return new Guid("869bcaa8-9281-2ff1-353b-517d5045d59f"); }		
            }			
            public static Guid IsDeleted
            {	
                get {return new Guid("0f6a2a1c-aa34-54e9-c054-34bf70de4ebd"); }		
            }			
            public static Guid Keywords
            {	
                get {return new Guid("3274b2b3-8a62-552f-5c16-9c6e175f5aba"); }		
            }			
            public static Guid Location
            {	
                get {return new Guid("93682513-cc0e-d312-488e-e88fc6d1122d"); }		
            }			
            public static Guid ManagedBy
            {	
                get {return new Guid("e61c42ed-e5a8-10f9-7b05-6a1ea7d4f246"); }		
            }			
            public static Guid ModifyTimeStamp
            {	
                get {return new Guid("96d8a99a-7cbf-6823-e181-059fd3b1645f"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PhysicalLocationObject
            {	
                get {return new Guid("1f9b21d2-75b2-281c-2d16-a60b97210d28"); }		
            }			
            public static Guid PortName
            {	
                get {return new Guid("df3083bd-3970-b4a6-0a96-8f0afd6f1353"); }		
            }			
            public static Guid PrintBinNames
            {	
                get {return new Guid("e07395c9-62ae-97ea-311e-b5c843d7adb0"); }		
            }			
            public static Guid PrintCollate
            {	
                get {return new Guid("25378519-616a-f21c-7265-3549117c1dd9"); }		
            }			
            public static Guid PrintColor
            {	
                get {return new Guid("c132aaa3-6203-db0d-b0bb-02332198fad7"); }		
            }			
            public static Guid PrintDuplexSupported
            {	
                get {return new Guid("d60a266d-4b9d-c625-4850-e99608ad3e04"); }		
            }			
            public static Guid PrinterName
            {	
                get {return new Guid("8f48898e-12f1-8c29-a70d-fe96c38fb712"); }		
            }			
            public static Guid PrintKeepPrintedJobs
            {	
                get {return new Guid("af1756b9-6c96-0b86-b513-eaabb527b36d"); }		
            }			
            public static Guid PrintMACAddress
            {	
                get {return new Guid("129ac218-a27a-0de5-4737-1599819f3153"); }		
            }			
            public static Guid PrintMaxResolutionSupported
            {	
                get {return new Guid("3054e38f-c4a9-2d02-224e-352c931e16bb"); }		
            }			
            public static Guid PrintMaxXExtent
            {	
                get {return new Guid("14303a5e-91ab-f233-2390-e77fb84aea7b"); }		
            }			
            public static Guid PrintMediaReady
            {	
                get {return new Guid("e87227c1-7b56-0260-c700-68b741df6ead"); }		
            }			
            public static Guid PrintMediaSupported
            {	
                get {return new Guid("f1d618e4-d526-8602-1361-af36101bd356"); }		
            }			
            public static Guid PrintMemory
            {	
                get {return new Guid("08154ac1-3009-1423-2c58-08d164e617f0"); }		
            }			
            public static Guid PrintNetworkAddress
            {	
                get {return new Guid("7b2a8862-582a-499d-bf99-041e62abd2a2"); }		
            }			
            public static Guid PrintNotify
            {	
                get {return new Guid("ba10fb83-9c59-735f-d09a-6537b103c93e"); }		
            }			
            public static Guid PrintOwner
            {	
                get {return new Guid("efec5a22-146f-09bb-1b1b-99364a7bdd1f"); }		
            }			
            public static Guid PrintPagesPerMinute
            {	
                get {return new Guid("49ff3e93-c21d-4360-c2a7-ec66ec1eafb9"); }		
            }			
            public static Guid PrintRate
            {	
                get {return new Guid("e263f875-7990-b709-cdf0-ba77a1c26219"); }		
            }			
            public static Guid PrintRateUnit
            {	
                get {return new Guid("b2804c7e-2dc5-b733-19af-63390bc75ac9"); }		
            }			
            public static Guid PrintShareName
            {	
                get {return new Guid("dcd4aeef-7386-9b70-f9a8-24a48b8fb020"); }		
            }			
            public static Guid PrintStaplingSupported
            {	
                get {return new Guid("21a6298d-53da-fa5b-6919-35d961f58b84"); }		
            }			
            public static Guid ServerName
            {	
                get {return new Guid("a312fcfe-9428-8ff5-1e9d-c6d298b85666"); }		
            }			
            public static Guid ShortServerName
            {	
                get {return new Guid("41779a96-123c-7e8d-bb89-8de98fea141e"); }		
            }			
            public static Guid UNCName
            {	
                get {return new Guid("ff05ca83-bfd7-2de4-586d-08b8fcbeb977"); }		
            }			
            public static Guid Url
            {	
                get {return new Guid("351444b0-7efb-9772-8450-04b583fb07d5"); }		
            }			
            public static Guid VersionNumber
            {	
                get {return new Guid("faf56106-adc7-9fd4-522d-1ccebeb3a86e"); }		
            }			
            public static Guid WhenChanged
            {	
                get {return new Guid("21a242fe-d395-b68e-fe00-13c86f86a90a"); }		
            }			
            public static Guid WWWHomePage
            {	
                get {return new Guid("95552415-778d-1865-f287-91601a81ea2c"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.AD.User	
			Id 				: 10a7f898-e672-ccf3-8881-360bfb6a8f9a
			Description 	: Defines the basic properties of Active Directory users
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.AD.UserBase
				System.Domain.User
				System.User
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_AD_UserClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("10a7f898-e672-ccf3-8881-360bfb6a8f9a");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("10a7f898-e672-ccf3-8881-360bfb6a8f9a");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BusinessPhone
            {	
                get {return "BusinessPhone"; }		
            }			
            public static string BusinessPhone2
            {	
                get {return "BusinessPhone2"; }		
            }			
            public static string City
            {	
                get {return "City"; }		
            }			
            public static string Company
            {	
                get {return "Company"; }		
            }			
            public static string Country
            {	
                get {return "Country"; }		
            }			
            public static string Department
            {	
                get {return "Department"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DistinguishedName
            {	
                get {return "DistinguishedName"; }		
            }			
            public static string Domain
            {	
                get {return "Domain"; }		
            }			
            public static string EmployeeId
            {	
                get {return "EmployeeId"; }		
            }			
            public static string Fax
            {	
                get {return "Fax"; }		
            }			
            public static string FirstName
            {	
                get {return "FirstName"; }		
            }			
            public static string FQDN
            {	
                get {return "FQDN"; }		
            }			
            public static string HomePhone
            {	
                get {return "HomePhone"; }		
            }			
            public static string HomePhone2
            {	
                get {return "HomePhone2"; }		
            }			
            public static string Initials
            {	
                get {return "Initials"; }		
            }			
            public static string LastName
            {	
                get {return "LastName"; }		
            }			
            public static string Mobile
            {	
                get {return "Mobile"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string Office
            {	
                get {return "Office"; }		
            }			
            public static string Pager
            {	
                get {return "Pager"; }		
            }			
            public static string SID
            {	
                get {return "SID"; }		
            }			
            public static string State
            {	
                get {return "State"; }		
            }			
            public static string StreetAddress
            {	
                get {return "StreetAddress"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string UPN
            {	
                get {return "UPN"; }		
            }			
            public static string UserName
            {	
                get {return "UserName"; }		
            }			
            public static string Zip
            {	
                get {return "Zip"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BusinessPhone");
                    propertyNames.Add("BusinessPhone2");
                    propertyNames.Add("City");
                    propertyNames.Add("Company");
                    propertyNames.Add("Country");
                    propertyNames.Add("Department");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DistinguishedName");
                    propertyNames.Add("Domain");
                    propertyNames.Add("EmployeeId");
                    propertyNames.Add("Fax");
                    propertyNames.Add("FirstName");
                    propertyNames.Add("FQDN");
                    propertyNames.Add("HomePhone");
                    propertyNames.Add("HomePhone2");
                    propertyNames.Add("Initials");
                    propertyNames.Add("LastName");
                    propertyNames.Add("Mobile");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("Office");
                    propertyNames.Add("Pager");
                    propertyNames.Add("SID");
                    propertyNames.Add("State");
                    propertyNames.Add("StreetAddress");
                    propertyNames.Add("Title");
                    propertyNames.Add("UPN");
                    propertyNames.Add("UserName");
                    propertyNames.Add("Zip");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BusinessPhone
            {	
                get {return new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c"); }		
            }			
            public static Guid BusinessPhone2
            {	
                get {return new Guid("51d9d560-1c1a-058e-4307-4e5302132612"); }		
            }			
            public static Guid City
            {	
                get {return new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371"); }		
            }			
            public static Guid Company
            {	
                get {return new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad"); }		
            }			
            public static Guid Country
            {	
                get {return new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0"); }		
            }			
            public static Guid Department
            {	
                get {return new Guid("22405812-2d6d-e429-110c-2d2d8f9518df"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DistinguishedName
            {	
                get {return new Guid("97362a11-e6b1-a352-820e-b1e75d09da66"); }		
            }			
            public static Guid Domain
            {	
                get {return new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b"); }		
            }			
            public static Guid EmployeeId
            {	
                get {return new Guid("d56f368d-2e48-e4be-f4eb-f82744879663"); }		
            }			
            public static Guid Fax
            {	
                get {return new Guid("d962f04f-1429-a910-fa7b-ac8444645aee"); }		
            }			
            public static Guid FirstName
            {	
                get {return new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163"); }		
            }			
            public static Guid FQDN
            {	
                get {return new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0"); }		
            }			
            public static Guid HomePhone
            {	
                get {return new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330"); }		
            }			
            public static Guid HomePhone2
            {	
                get {return new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1"); }		
            }			
            public static Guid Initials
            {	
                get {return new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6"); }		
            }			
            public static Guid LastName
            {	
                get {return new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df"); }		
            }			
            public static Guid Mobile
            {	
                get {return new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid Office
            {	
                get {return new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba"); }		
            }			
            public static Guid Pager
            {	
                get {return new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a"); }		
            }			
            public static Guid SID
            {	
                get {return new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29"); }		
            }			
            public static Guid State
            {	
                get {return new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17"); }		
            }			
            public static Guid StreetAddress
            {	
                get {return new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa"); }		
            }			
            public static Guid UPN
            {	
                get {return new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8"); }		
            }			
            public static Guid UserName
            {	
                get {return new Guid("3217af5a-b135-a850-0562-be3e89da6d1a"); }		
            }			
            public static Guid Zip
            {	
                get {return new Guid("584266bf-a344-f323-a15b-4a761aecd867"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 43 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// 4a807c65-6a1f-15b2-bdf3-e967e58c254a
		public static ManagementPackRelationship System_UserManagesUser
		{
			get{return  ManagementPack.GetRelationship("System.UserManagesUser");}
		}
		// dec8d54a-6284-0f9d-cafb-8373f4dc865a
		public static ManagementPackRelationship System_WorkItem_BillableTimeHasWorkingUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.BillableTimeHasWorkingUser");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 40927c76-8993-7427-dd76-6245e8482ae7
		public static ManagementPackRelationship System_PolicyItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.PolicyItemCreatedByUser");}
		}
		// ffd71f9e-7346-d12b-85d6-7c39f507b7bb
		public static ManagementPackRelationship System_FileAttachmentAddedByUser
		{
			get{return  ManagementPack.GetRelationship("System.FileAttachmentAddedByUser");}
		}
		// 90da7d7c-948b-e16e-f39a-f6e3d1ffc921
		public static ManagementPackRelationship System_ReviewerIsUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerIsUser");}
		}
		// 9441a6d1-1317-9520-de37-6c54512feeba
		public static ManagementPackRelationship System_ReviewerVotedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerVotedByUser");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.AD.UserBase	
			Id 				: 3567434d-015f-8dcc-f188-0a407f3a2168
			Description 	: Defines the common properties of Active Directory users and groups
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				System.Domain.User
				System.User
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_AD_UserBaseClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("3567434d-015f-8dcc-f188-0a407f3a2168");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("3567434d-015f-8dcc-f188-0a407f3a2168");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BusinessPhone
            {	
                get {return "BusinessPhone"; }		
            }			
            public static string BusinessPhone2
            {	
                get {return "BusinessPhone2"; }		
            }			
            public static string City
            {	
                get {return "City"; }		
            }			
            public static string Company
            {	
                get {return "Company"; }		
            }			
            public static string Country
            {	
                get {return "Country"; }		
            }			
            public static string Department
            {	
                get {return "Department"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DistinguishedName
            {	
                get {return "DistinguishedName"; }		
            }			
            public static string Domain
            {	
                get {return "Domain"; }		
            }			
            public static string EmployeeId
            {	
                get {return "EmployeeId"; }		
            }			
            public static string Fax
            {	
                get {return "Fax"; }		
            }			
            public static string FirstName
            {	
                get {return "FirstName"; }		
            }			
            public static string FQDN
            {	
                get {return "FQDN"; }		
            }			
            public static string HomePhone
            {	
                get {return "HomePhone"; }		
            }			
            public static string HomePhone2
            {	
                get {return "HomePhone2"; }		
            }			
            public static string Initials
            {	
                get {return "Initials"; }		
            }			
            public static string LastName
            {	
                get {return "LastName"; }		
            }			
            public static string Mobile
            {	
                get {return "Mobile"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string Office
            {	
                get {return "Office"; }		
            }			
            public static string Pager
            {	
                get {return "Pager"; }		
            }			
            public static string SID
            {	
                get {return "SID"; }		
            }			
            public static string State
            {	
                get {return "State"; }		
            }			
            public static string StreetAddress
            {	
                get {return "StreetAddress"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string UPN
            {	
                get {return "UPN"; }		
            }			
            public static string UserName
            {	
                get {return "UserName"; }		
            }			
            public static string Zip
            {	
                get {return "Zip"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BusinessPhone");
                    propertyNames.Add("BusinessPhone2");
                    propertyNames.Add("City");
                    propertyNames.Add("Company");
                    propertyNames.Add("Country");
                    propertyNames.Add("Department");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DistinguishedName");
                    propertyNames.Add("Domain");
                    propertyNames.Add("EmployeeId");
                    propertyNames.Add("Fax");
                    propertyNames.Add("FirstName");
                    propertyNames.Add("FQDN");
                    propertyNames.Add("HomePhone");
                    propertyNames.Add("HomePhone2");
                    propertyNames.Add("Initials");
                    propertyNames.Add("LastName");
                    propertyNames.Add("Mobile");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("Office");
                    propertyNames.Add("Pager");
                    propertyNames.Add("SID");
                    propertyNames.Add("State");
                    propertyNames.Add("StreetAddress");
                    propertyNames.Add("Title");
                    propertyNames.Add("UPN");
                    propertyNames.Add("UserName");
                    propertyNames.Add("Zip");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BusinessPhone
            {	
                get {return new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c"); }		
            }			
            public static Guid BusinessPhone2
            {	
                get {return new Guid("51d9d560-1c1a-058e-4307-4e5302132612"); }		
            }			
            public static Guid City
            {	
                get {return new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371"); }		
            }			
            public static Guid Company
            {	
                get {return new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad"); }		
            }			
            public static Guid Country
            {	
                get {return new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0"); }		
            }			
            public static Guid Department
            {	
                get {return new Guid("22405812-2d6d-e429-110c-2d2d8f9518df"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DistinguishedName
            {	
                get {return new Guid("97362a11-e6b1-a352-820e-b1e75d09da66"); }		
            }			
            public static Guid Domain
            {	
                get {return new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b"); }		
            }			
            public static Guid EmployeeId
            {	
                get {return new Guid("d56f368d-2e48-e4be-f4eb-f82744879663"); }		
            }			
            public static Guid Fax
            {	
                get {return new Guid("d962f04f-1429-a910-fa7b-ac8444645aee"); }		
            }			
            public static Guid FirstName
            {	
                get {return new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163"); }		
            }			
            public static Guid FQDN
            {	
                get {return new Guid("d0a4f59a-2afd-bdf7-b862-eeb129abb7a0"); }		
            }			
            public static Guid HomePhone
            {	
                get {return new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330"); }		
            }			
            public static Guid HomePhone2
            {	
                get {return new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1"); }		
            }			
            public static Guid Initials
            {	
                get {return new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6"); }		
            }			
            public static Guid LastName
            {	
                get {return new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df"); }		
            }			
            public static Guid Mobile
            {	
                get {return new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid Office
            {	
                get {return new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba"); }		
            }			
            public static Guid Pager
            {	
                get {return new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a"); }		
            }			
            public static Guid SID
            {	
                get {return new Guid("625b0de4-507d-5ab2-af6e-a2713d3e0c29"); }		
            }			
            public static Guid State
            {	
                get {return new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17"); }		
            }			
            public static Guid StreetAddress
            {	
                get {return new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa"); }		
            }			
            public static Guid UPN
            {	
                get {return new Guid("f099b65b-8cf0-6ef2-da44-8e25ccbf4ab8"); }		
            }			
            public static Guid UserName
            {	
                get {return new Guid("3217af5a-b135-a850-0562-be3e89da6d1a"); }		
            }			
            public static Guid Zip
            {	
                get {return new Guid("584266bf-a344-f323-a15b-4a761aecd867"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 43 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// 4a807c65-6a1f-15b2-bdf3-e967e58c254a
		public static ManagementPackRelationship System_UserManagesUser
		{
			get{return  ManagementPack.GetRelationship("System.UserManagesUser");}
		}
		// dec8d54a-6284-0f9d-cafb-8373f4dc865a
		public static ManagementPackRelationship System_WorkItem_BillableTimeHasWorkingUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.BillableTimeHasWorkingUser");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 40927c76-8993-7427-dd76-6245e8482ae7
		public static ManagementPackRelationship System_PolicyItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.PolicyItemCreatedByUser");}
		}
		// ffd71f9e-7346-d12b-85d6-7c39f507b7bb
		public static ManagementPackRelationship System_FileAttachmentAddedByUser
		{
			get{return  ManagementPack.GetRelationship("System.FileAttachmentAddedByUser");}
		}
		// 90da7d7c-948b-e16e-f39a-f6e3d1ffc921
		public static ManagementPackRelationship System_ReviewerIsUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerIsUser");}
		}
		// 9441a6d1-1317-9520-de37-6c54512feeba
		public static ManagementPackRelationship System_ReviewerVotedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerVotedByUser");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Client.Computer	
			Id 				: 5918e198-2dbe-5f7d-135e-6e43a94ccb5b
			Description 	: Defines the basic properties of computers running Windows client operating systems
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.Windows.Computer
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Client_ComputerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("5918e198-2dbe-5f7d-135e-6e43a94ccb5b");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("5918e198-2dbe-5f7d-135e-6e43a94ccb5b");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Client.OperatingSystem	
			Id 				: e9377b27-f64b-b2a3-b01d-5de35b1304ac
			Description 	: Defines the basic properties of Windows Client operating systems
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.Windows.OperatingSystem
				System.OperatingSystem
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Client_OperatingSystemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e9377b27-f64b-b2a3-b01d-5de35b1304ac");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e9377b27-f64b-b2a3-b01d-5de35b1304ac");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BuildNumber
            {	
                get {return "BuildNumber"; }		
            }			
            public static string CountryCode
            {	
                get {return "CountryCode"; }		
            }			
            public static string CSDVersion
            {	
                get {return "CSDVersion"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string InstallDate
            {	
                get {return "InstallDate"; }		
            }			
            public static string Locale
            {	
                get {return "Locale"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string MajorVersion
            {	
                get {return "MajorVersion"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string MinorVersion
            {	
                get {return "MinorVersion"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OSLanguage
            {	
                get {return "OSLanguage"; }		
            }			
            public static string OSVersion
            {	
                get {return "OSVersion"; }		
            }			
            public static string OSVersionDisplayName
            {	
                get {return "OSVersionDisplayName"; }		
            }			
            public static string PhysicalMemory
            {	
                get {return "PhysicalMemory"; }		
            }			
            public static string ProductType
            {	
                get {return "ProductType"; }		
            }			
            public static string SerialNumber
            {	
                get {return "SerialNumber"; }		
            }			
            public static string ServicePackVersion
            {	
                get {return "ServicePackVersion"; }		
            }			
            public static string SystemDrive
            {	
                get {return "SystemDrive"; }		
            }			
            public static string WindowsDirectory
            {	
                get {return "WindowsDirectory"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BuildNumber");
                    propertyNames.Add("CountryCode");
                    propertyNames.Add("CSDVersion");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("InstallDate");
                    propertyNames.Add("Locale");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("MajorVersion");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("MinorVersion");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OSLanguage");
                    propertyNames.Add("OSVersion");
                    propertyNames.Add("OSVersionDisplayName");
                    propertyNames.Add("PhysicalMemory");
                    propertyNames.Add("ProductType");
                    propertyNames.Add("SerialNumber");
                    propertyNames.Add("ServicePackVersion");
                    propertyNames.Add("SystemDrive");
                    propertyNames.Add("WindowsDirectory");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BuildNumber
            {	
                get {return new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19"); }		
            }			
            public static Guid CountryCode
            {	
                get {return new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b"); }		
            }			
            public static Guid CSDVersion
            {	
                get {return new Guid("bf125622-640e-901c-7c53-a32391fba2a5"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid InstallDate
            {	
                get {return new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee"); }		
            }			
            public static Guid Locale
            {	
                get {return new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("6521ce39-faec-1489-b49c-3d7cc441b717"); }		
            }			
            public static Guid MajorVersion
            {	
                get {return new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd"); }		
            }			
            public static Guid MinorVersion
            {	
                get {return new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OSLanguage
            {	
                get {return new Guid("eac39b2c-e610-d134-3764-d052857bc8f3"); }		
            }			
            public static Guid OSVersion
            {	
                get {return new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a"); }		
            }			
            public static Guid OSVersionDisplayName
            {	
                get {return new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd"); }		
            }			
            public static Guid PhysicalMemory
            {	
                get {return new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079"); }		
            }			
            public static Guid ProductType
            {	
                get {return new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9"); }		
            }			
            public static Guid SerialNumber
            {	
                get {return new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988"); }		
            }			
            public static Guid ServicePackVersion
            {	
                get {return new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0"); }		
            }			
            public static Guid SystemDrive
            {	
                get {return new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822"); }		
            }			
            public static Guid WindowsDirectory
            {	
                get {return new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Computer	
			Id 				: ea99500d-8d52-fc52-b5a5-10dcd1e9d2bd
			Description 	: Defines the basic properties of computers running Windows operating systems
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_ComputerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ea99500d-8d52-fc52-b5a5-10dcd1e9d2bd");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ea99500d-8d52-fc52-b5a5-10dcd1e9d2bd");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.OperatingSystem	
			Id 				: 66dd9b43-3dc1-3831-95d4-1b03b0a6ea13
			Description 	: Defines the basic properties of Windows operating systems
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				System.OperatingSystem
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_OperatingSystemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("66dd9b43-3dc1-3831-95d4-1b03b0a6ea13");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("66dd9b43-3dc1-3831-95d4-1b03b0a6ea13");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BuildNumber
            {	
                get {return "BuildNumber"; }		
            }			
            public static string CountryCode
            {	
                get {return "CountryCode"; }		
            }			
            public static string CSDVersion
            {	
                get {return "CSDVersion"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string InstallDate
            {	
                get {return "InstallDate"; }		
            }			
            public static string Locale
            {	
                get {return "Locale"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string MajorVersion
            {	
                get {return "MajorVersion"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string MinorVersion
            {	
                get {return "MinorVersion"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OSLanguage
            {	
                get {return "OSLanguage"; }		
            }			
            public static string OSVersion
            {	
                get {return "OSVersion"; }		
            }			
            public static string OSVersionDisplayName
            {	
                get {return "OSVersionDisplayName"; }		
            }			
            public static string PhysicalMemory
            {	
                get {return "PhysicalMemory"; }		
            }			
            public static string ProductType
            {	
                get {return "ProductType"; }		
            }			
            public static string SerialNumber
            {	
                get {return "SerialNumber"; }		
            }			
            public static string ServicePackVersion
            {	
                get {return "ServicePackVersion"; }		
            }			
            public static string SystemDrive
            {	
                get {return "SystemDrive"; }		
            }			
            public static string WindowsDirectory
            {	
                get {return "WindowsDirectory"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BuildNumber");
                    propertyNames.Add("CountryCode");
                    propertyNames.Add("CSDVersion");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("InstallDate");
                    propertyNames.Add("Locale");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("MajorVersion");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("MinorVersion");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OSLanguage");
                    propertyNames.Add("OSVersion");
                    propertyNames.Add("OSVersionDisplayName");
                    propertyNames.Add("PhysicalMemory");
                    propertyNames.Add("ProductType");
                    propertyNames.Add("SerialNumber");
                    propertyNames.Add("ServicePackVersion");
                    propertyNames.Add("SystemDrive");
                    propertyNames.Add("WindowsDirectory");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BuildNumber
            {	
                get {return new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19"); }		
            }			
            public static Guid CountryCode
            {	
                get {return new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b"); }		
            }			
            public static Guid CSDVersion
            {	
                get {return new Guid("bf125622-640e-901c-7c53-a32391fba2a5"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid InstallDate
            {	
                get {return new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee"); }		
            }			
            public static Guid Locale
            {	
                get {return new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("6521ce39-faec-1489-b49c-3d7cc441b717"); }		
            }			
            public static Guid MajorVersion
            {	
                get {return new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd"); }		
            }			
            public static Guid MinorVersion
            {	
                get {return new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OSLanguage
            {	
                get {return new Guid("eac39b2c-e610-d134-3764-d052857bc8f3"); }		
            }			
            public static Guid OSVersion
            {	
                get {return new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a"); }		
            }			
            public static Guid OSVersionDisplayName
            {	
                get {return new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd"); }		
            }			
            public static Guid PhysicalMemory
            {	
                get {return new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079"); }		
            }			
            public static Guid ProductType
            {	
                get {return new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9"); }		
            }			
            public static Guid SerialNumber
            {	
                get {return new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988"); }		
            }			
            public static Guid ServicePackVersion
            {	
                get {return new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0"); }		
            }			
            public static Guid SystemDrive
            {	
                get {return new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822"); }		
            }			
            public static Guid WindowsDirectory
            {	
                get {return new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Server.Computer	
			Id 				: e817d034-02e8-294c-3509-01ca25481689
			Description 	: Defines the basic properties of computers running Windows Server operating systems
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.Windows.Computer
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Server_ComputerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e817d034-02e8-294c-3509-01ca25481689");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e817d034-02e8-294c-3509-01ca25481689");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string IsVirtualNode
            {	
                get {return "IsVirtualNode"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("IsVirtualNode");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid IsVirtualNode
            {	
                get {return new Guid("d1d39d5c-e934-7d7f-4f38-58d5ef4ae1e2"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Server.DC.Computer	
			Id 				: eb0749d9-2030-3ab3-1219-971f775f86df
			Description 	: Defines the basic properties of Windows domain controllers
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.Windows.Server.Computer
				Microsoft.Windows.Computer
				System.Computer
				System.Device
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Server_DC_ComputerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("eb0749d9-2030-3ab3-1219-971f775f86df");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("eb0749d9-2030-3ab3-1219-971f775f86df");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActiveDirectoryObjectSid
            {	
                get {return "ActiveDirectoryObjectSid"; }		
            }			
            public static string ActiveDirectorySite
            {	
                get {return "ActiveDirectorySite"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSName
            {	
                get {return "DNSName"; }		
            }			
            public static string DomainDnsName
            {	
                get {return "DomainDnsName"; }		
            }			
            public static string ForestDnsName
            {	
                get {return "ForestDnsName"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IsVirtualMachine
            {	
                get {return "IsVirtualMachine"; }		
            }			
            public static string IsVirtualNode
            {	
                get {return "IsVirtualNode"; }		
            }			
            public static string LastInventoryDate
            {	
                get {return "LastInventoryDate"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string NetbiosComputerName
            {	
                get {return "NetbiosComputerName"; }		
            }			
            public static string NetbiosDomainName
            {	
                get {return "NetbiosDomainName"; }		
            }			
            public static string NetworkName
            {	
                get {return "NetworkName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OffsetInMinuteFromGreenwichTime
            {	
                get {return "OffsetInMinuteFromGreenwichTime"; }		
            }			
            public static string OrganizationalUnit
            {	
                get {return "OrganizationalUnit"; }		
            }			
            public static string PrincipalName
            {	
                get {return "PrincipalName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActiveDirectoryObjectSid");
                    propertyNames.Add("ActiveDirectorySite");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSName");
                    propertyNames.Add("DomainDnsName");
                    propertyNames.Add("ForestDnsName");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IsVirtualMachine");
                    propertyNames.Add("IsVirtualNode");
                    propertyNames.Add("LastInventoryDate");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("NetbiosComputerName");
                    propertyNames.Add("NetbiosDomainName");
                    propertyNames.Add("NetworkName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OffsetInMinuteFromGreenwichTime");
                    propertyNames.Add("OrganizationalUnit");
                    propertyNames.Add("PrincipalName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActiveDirectoryObjectSid
            {	
                get {return new Guid("488183e9-d2bb-2dd8-b872-18a20a1c9fa6"); }		
            }			
            public static Guid ActiveDirectorySite
            {	
                get {return new Guid("4a1e1c69-c659-af91-e7a8-d886008032f3"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSName
            {	
                get {return new Guid("d3b003ee-7bb7-6456-2d45-c2e764df37a6"); }		
            }			
            public static Guid DomainDnsName
            {	
                get {return new Guid("9f2cafc8-7a18-1c76-b709-d51b01d3b3d3"); }		
            }			
            public static Guid ForestDnsName
            {	
                get {return new Guid("1704a09d-8063-021a-9b80-2c47622ecf0f"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("f97e7c31-f713-e2a6-0450-239a62363651"); }		
            }			
            public static Guid IsVirtualMachine
            {	
                get {return new Guid("6832a546-b39d-aff8-94e1-660bbd336687"); }		
            }			
            public static Guid IsVirtualNode
            {	
                get {return new Guid("d1d39d5c-e934-7d7f-4f38-58d5ef4ae1e2"); }		
            }			
            public static Guid LastInventoryDate
            {	
                get {return new Guid("6223ef72-50de-b1fb-d666-397cefd264ea"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("02563965-6649-f495-aeb7-bd8a6eab33a7"); }		
            }			
            public static Guid NetbiosComputerName
            {	
                get {return new Guid("879a4dee-444f-186b-cc6f-2e9cb89d87c3"); }		
            }			
            public static Guid NetbiosDomainName
            {	
                get {return new Guid("756493d6-f2a2-4f35-8970-953d7c828cd0"); }		
            }			
            public static Guid NetworkName
            {	
                get {return new Guid("8f538d63-86da-c149-3c84-1f1aace2f930"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OffsetInMinuteFromGreenwichTime
            {	
                get {return new Guid("68f597b6-aada-7baa-b544-fe67c737be32"); }		
            }			
            public static Guid OrganizationalUnit
            {	
                get {return new Guid("bfdf9a0d-3393-a720-f24a-17ea701eb77a"); }		
            }			
            public static Guid PrincipalName
            {	
                get {return new Guid("5c324096-d928-76db-e9e7-e629dcc261b1"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 6284518a-90cc-fadd-e56b-26669e2a0a8f
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsComputerRole
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsComputerRole");}
		}
		// b22d9165-494b-5fa8-57af-f2c608e103bc
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLocalApplication
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLocalApplication");}
		}
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 27cb10e7-29d5-984c-ebf4-486b6b6e1b45
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsSoftwareInstallation
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsSoftwareInstallation");}
		}
		// 746cfea1-fda4-3196-55b3-9fb0dade4a66
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerHostsOpsMgrDBWatcher
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerHostsOpsMgrDBWatcher");}
		}
		// c182d562-f54c-eb24-9638-5ff5bec85aba
		public static ManagementPackRelationship Microsoft_SystemCenter_WindowsComputerHostsSystemCenterLicense
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WindowsComputerHostsSystemCenterLicense");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// d2dd56f4-8ed3-2e6d-9848-4199cb49f6ef
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_DeployedComputerRunsWindowsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.DeployedComputerRunsWindowsComputer");}
		}
		// e4964a53-385e-ef6d-649a-9a75ebd66a71
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_NonComplianceRefersComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.NonComplianceRefersComputer");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// eceba167-cc49-25d8-dafa-ac32d7d21905
		public static ManagementPackRelationship System_ComputerHardwareRunsComputer
		{
			get{return  ManagementPack.GetRelationship("System.ComputerHardwareRunsComputer");}
		}
		// 147fd6a6-4425-e385-be72-18d9be55ce4f
		public static ManagementPackRelationship Microsoft_SystemCenter_ComputerGroupContainsComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ComputerGroupContainsComputer");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Server.OperatingSystem	
			Id 				: ab468fc4-467d-841e-0f5d-61c41fa54735
			Description 	: Defines the basic properties of Windows Server operating systems
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				Microsoft.Windows.OperatingSystem
				System.OperatingSystem
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Server_OperatingSystemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ab468fc4-467d-841e-0f5d-61c41fa54735");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ab468fc4-467d-841e-0f5d-61c41fa54735");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BuildNumber
            {	
                get {return "BuildNumber"; }		
            }			
            public static string CountryCode
            {	
                get {return "CountryCode"; }		
            }			
            public static string CSDVersion
            {	
                get {return "CSDVersion"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string InstallDate
            {	
                get {return "InstallDate"; }		
            }			
            public static string Locale
            {	
                get {return "Locale"; }		
            }			
            public static string LogicalProcessors
            {	
                get {return "LogicalProcessors"; }		
            }			
            public static string MajorVersion
            {	
                get {return "MajorVersion"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string MinorVersion
            {	
                get {return "MinorVersion"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string OSLanguage
            {	
                get {return "OSLanguage"; }		
            }			
            public static string OSVersion
            {	
                get {return "OSVersion"; }		
            }			
            public static string OSVersionDisplayName
            {	
                get {return "OSVersionDisplayName"; }		
            }			
            public static string PhysicalMemory
            {	
                get {return "PhysicalMemory"; }		
            }			
            public static string ProductType
            {	
                get {return "ProductType"; }		
            }			
            public static string SerialNumber
            {	
                get {return "SerialNumber"; }		
            }			
            public static string ServicePackVersion
            {	
                get {return "ServicePackVersion"; }		
            }			
            public static string SystemDrive
            {	
                get {return "SystemDrive"; }		
            }			
            public static string WindowsDirectory
            {	
                get {return "WindowsDirectory"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BuildNumber");
                    propertyNames.Add("CountryCode");
                    propertyNames.Add("CSDVersion");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("InstallDate");
                    propertyNames.Add("Locale");
                    propertyNames.Add("LogicalProcessors");
                    propertyNames.Add("MajorVersion");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("MinorVersion");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("OSLanguage");
                    propertyNames.Add("OSVersion");
                    propertyNames.Add("OSVersionDisplayName");
                    propertyNames.Add("PhysicalMemory");
                    propertyNames.Add("ProductType");
                    propertyNames.Add("SerialNumber");
                    propertyNames.Add("ServicePackVersion");
                    propertyNames.Add("SystemDrive");
                    propertyNames.Add("WindowsDirectory");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BuildNumber
            {	
                get {return new Guid("1919c45d-ce1e-2f56-da19-c1f19fd70f19"); }		
            }			
            public static Guid CountryCode
            {	
                get {return new Guid("a690ee44-53b5-7969-3e18-a5dd6a582d8b"); }		
            }			
            public static Guid CSDVersion
            {	
                get {return new Guid("bf125622-640e-901c-7c53-a32391fba2a5"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("c6ec39a6-fa96-9679-ece5-f5323a7c0810"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid InstallDate
            {	
                get {return new Guid("4b8f45d0-bffc-c96a-1811-6071aacfedee"); }		
            }			
            public static Guid Locale
            {	
                get {return new Guid("79226c29-d54f-bfb3-779f-dbdf6aaf7a0c"); }		
            }			
            public static Guid LogicalProcessors
            {	
                get {return new Guid("6521ce39-faec-1489-b49c-3d7cc441b717"); }		
            }			
            public static Guid MajorVersion
            {	
                get {return new Guid("764da59e-134b-b1d4-3d98-72ac5763c1fc"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("d13263fb-404a-45ad-e470-8fd7d05155bd"); }		
            }			
            public static Guid MinorVersion
            {	
                get {return new Guid("a8148d6f-cdd6-9b69-377a-db35f76c82b3"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid OSLanguage
            {	
                get {return new Guid("eac39b2c-e610-d134-3764-d052857bc8f3"); }		
            }			
            public static Guid OSVersion
            {	
                get {return new Guid("a90b3983-32ea-70d8-d41c-0f5a3957639a"); }		
            }			
            public static Guid OSVersionDisplayName
            {	
                get {return new Guid("0d53d0cb-b62a-7177-e9ef-3543f94784fd"); }		
            }			
            public static Guid PhysicalMemory
            {	
                get {return new Guid("d2012547-6eef-ffcf-ef83-316aeff4f079"); }		
            }			
            public static Guid ProductType
            {	
                get {return new Guid("cbba965a-3e95-6c6e-6f40-bdea5d061df9"); }		
            }			
            public static Guid SerialNumber
            {	
                get {return new Guid("b67a5742-50a8-05d8-cc3d-260dcac27988"); }		
            }			
            public static Guid ServicePackVersion
            {	
                get {return new Guid("38242aed-43b8-1ae2-8aec-7dbb5a6ebab0"); }		
            }			
            public static Guid SystemDrive
            {	
                get {return new Guid("ee4b8224-d7d5-dc1e-2413-415181a26822"); }		
            }			
            public static Guid WindowsDirectory
            {	
                get {return new Guid("58cb8748-e8ef-44d7-7355-7b3da7fd686b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 139f9fa6-7825-fa42-9c16-e1e2ee98281b
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsOperatingSystem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsOperatingSystem");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.SoftwareUpdate	
			Id 				: 7997fba0-60b6-5346-aab9-5a46888036e2
			Description 	: Defines the basic properties of Microsoft software updates, including critical and security updates
			ManagementPack	: Microsoft.Windows.Library
			This class inherits from:
				System.SoftwareUpdate
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_SoftwareUpdateClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("7997fba0-60b6-5346-aab9-5a46888036e2");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("7997fba0-60b6-5346-aab9-5a46888036e2");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("545131f0-58de-1914-3a82-4fcac9100a33");}
		}
        
        
        public static class PropertyNames
        {
            public static string ArticleID
            {	
                get {return "ArticleID"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BulletinID
            {	
                get {return "BulletinID"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string Parent
            {	
                get {return "Parent"; }		
            }			
            public static string ParentVersion
            {	
                get {return "ParentVersion"; }		
            }			
            public static string SupportString
            {	
                get {return "SupportString"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string Vendor
            {	
                get {return "Vendor"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ArticleID");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BulletinID");
                    propertyNames.Add("Classification");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("Parent");
                    propertyNames.Add("ParentVersion");
                    propertyNames.Add("SupportString");
                    propertyNames.Add("Title");
                    propertyNames.Add("Vendor");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ArticleID
            {	
                get {return new Guid("d4d1e127-fd3c-426e-b077-6bd731839f6b"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BulletinID
            {	
                get {return new Guid("92ce6581-13ec-8603-fdc6-aaa4e9a8a58a"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("87763776-85da-1f90-6273-4472e1bc01b2"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid Parent
            {	
                get {return new Guid("a7e4c62f-feeb-7b86-dec0-b1619799e1e1"); }		
            }			
            public static Guid ParentVersion
            {	
                get {return new Guid("2aba2906-56ff-226a-b796-1854d7d84313"); }		
            }			
            public static Guid SupportString
            {	
                get {return new Guid("e974d9c4-1d19-b5b6-d0bd-1fee379d524a"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("f9af25bc-d8e4-02ca-c607-ba9d5ad79850"); }		
            }			
            public static Guid Vendor
            {	
                get {return new Guid("2fa20ad3-c8d8-f6d6-9224-a77cd07bf6f3"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Peripheral.DiskPartition	
			Id 				: df25184c-6efc-3a46-8d0c-9269b4dc107e
			Description 	: All Windows Disk Partitions
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			This class inherits from:
				Microsoft.Windows.DiskPartition
				Microsoft.Windows.LogicalDevice
				System.LogicalHardware
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Peripheral_DiskPartitionClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("df25184c-6efc-3a46-8d0c-9269b4dc107e");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("df25184c-6efc-3a46-8d0c-9269b4dc107e");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BlockSize
            {	
                get {return "BlockSize"; }		
            }			
            public static string Bootable
            {	
                get {return "Bootable"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DeviceID
            {	
                get {return "DeviceID"; }		
            }			
            public static string DiskIndex
            {	
                get {return "DiskIndex"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PrimaryPartition
            {	
                get {return "PrimaryPartition"; }		
            }			
            public static string Size
            {	
                get {return "Size"; }		
            }			
            public static string Type
            {	
                get {return "Type"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BlockSize");
                    propertyNames.Add("Bootable");
                    propertyNames.Add("Description");
                    propertyNames.Add("DeviceID");
                    propertyNames.Add("DiskIndex");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PrimaryPartition");
                    propertyNames.Add("Size");
                    propertyNames.Add("Type");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BlockSize
            {	
                get {return new Guid("3849ae3b-01c8-b9e2-7544-7d6705389113"); }		
            }			
            public static Guid Bootable
            {	
                get {return new Guid("4f1fd289-a656-7111-2bbe-7fa9b11dd426"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5"); }		
            }			
            public static Guid DeviceID
            {	
                get {return new Guid("af13c36e-9197-95f7-393c-84aa6638fec9"); }		
            }			
            public static Guid DiskIndex
            {	
                get {return new Guid("e1e6c69c-220d-ebcd-8ea5-828051f2c6de"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("e0b1c8be-c004-f892-3528-d9321d185910"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PrimaryPartition
            {	
                get {return new Guid("d8ac4929-22ab-211b-6525-e1df5567d7e4"); }		
            }			
            public static Guid Size
            {	
                get {return new Guid("825487ab-e544-c72f-6f57-b93fe8499bd0"); }		
            }			
            public static Guid Type
            {	
                get {return new Guid("69fabfcd-d579-2be1-e786-c80b219c4be5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 4d63f0a1-889e-5463-11c9-537d541d79bb
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsLogicalHardware
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsLogicalHardware");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Peripheral.LogicalDisk	
			Id 				: abf81a57-0a02-f2d9-e240-7dfd9cd58dda
			Description 	: All Windows logical disks
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			This class inherits from:
				Microsoft.Windows.LogicalDisk
				Microsoft.Windows.LogicalDevice
				System.LogicalHardware
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Peripheral_LogicalDiskClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("abf81a57-0a02-f2d9-e240-7dfd9cd58dda");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("abf81a57-0a02-f2d9-e240-7dfd9cd58dda");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Compressed
            {	
                get {return "Compressed"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DeviceID
            {	
                get {return "DeviceID"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DriveType
            {	
                get {return "DriveType"; }		
            }			
            public static string FileSystem
            {	
                get {return "FileSystem"; }		
            }			
            public static string FreeSpace
            {	
                get {return "FreeSpace"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string QuotasDisabled
            {	
                get {return "QuotasDisabled"; }		
            }			
            public static string Size
            {	
                get {return "Size"; }		
            }			
            public static string SupportsDiskQuota
            {	
                get {return "SupportsDiskQuota"; }		
            }			
            public static string SupportsFileBasedCompression
            {	
                get {return "SupportsFileBasedCompression"; }		
            }			
            public static string VolumeName
            {	
                get {return "VolumeName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Compressed");
                    propertyNames.Add("Description");
                    propertyNames.Add("DeviceID");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DriveType");
                    propertyNames.Add("FileSystem");
                    propertyNames.Add("FreeSpace");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("QuotasDisabled");
                    propertyNames.Add("Size");
                    propertyNames.Add("SupportsDiskQuota");
                    propertyNames.Add("SupportsFileBasedCompression");
                    propertyNames.Add("VolumeName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Compressed
            {	
                get {return new Guid("873abb14-62bd-09a1-f932-fb2714541842"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5"); }		
            }			
            public static Guid DeviceID
            {	
                get {return new Guid("af13c36e-9197-95f7-393c-84aa6638fec9"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DriveType
            {	
                get {return new Guid("eb3e8d1c-89bd-615f-2850-8b723af061a2"); }		
            }			
            public static Guid FileSystem
            {	
                get {return new Guid("6d1467fa-2d76-ccc0-39f6-a0454df12453"); }		
            }			
            public static Guid FreeSpace
            {	
                get {return new Guid("cf8c3da9-0310-09f1-7890-6035b3cb17ce"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("e0b1c8be-c004-f892-3528-d9321d185910"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid QuotasDisabled
            {	
                get {return new Guid("fa38c8d8-fc9a-29ef-ecac-69e4f36d9ac0"); }		
            }			
            public static Guid Size
            {	
                get {return new Guid("8a8c8f99-b6a5-95d9-8ecb-70aa0fe3b238"); }		
            }			
            public static Guid SupportsDiskQuota
            {	
                get {return new Guid("fc199dcc-ac34-d38f-41e2-3a796329d1a7"); }		
            }			
            public static Guid SupportsFileBasedCompression
            {	
                get {return new Guid("92d4e375-5cf8-4a88-aed0-480724d0ea7a"); }		
            }			
            public static Guid VolumeName
            {	
                get {return new Guid("654302a3-8566-e4e9-e856-f8cae47741b2"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 4d63f0a1-889e-5463-11c9-537d541d79bb
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsLogicalHardware
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsLogicalHardware");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Peripheral.NetworkAdapter	
			Id 				: 5bdd8f81-9c4a-2d59-48c5-6ea175422592
			Description 	: All Windows network adapters
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			This class inherits from:
				Microsoft.Windows.NetworkAdapter
				Microsoft.Windows.LogicalDevice
				System.LogicalHardware
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Peripheral_NetworkAdapterClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("5bdd8f81-9c4a-2d59-48c5-6ea175422592");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("5bdd8f81-9c4a-2d59-48c5-6ea175422592");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d");}
		}
        
        
        public static class PropertyNames
        {
            public static string AdapterType
            {	
                get {return "AdapterType"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Bandwidth
            {	
                get {return "Bandwidth"; }		
            }			
            public static string DefaultIPGateway
            {	
                get {return "DefaultIPGateway"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DeviceID
            {	
                get {return "DeviceID"; }		
            }			
            public static string DHCPEnabled
            {	
                get {return "DHCPEnabled"; }		
            }			
            public static string DHCPHostname
            {	
                get {return "DHCPHostname"; }		
            }			
            public static string DHCPServer
            {	
                get {return "DHCPServer"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DNSDomain
            {	
                get {return "DNSDomain"; }		
            }			
            public static string Index
            {	
                get {return "Index"; }		
            }			
            public static string IPAddress
            {	
                get {return "IPAddress"; }		
            }			
            public static string IPEnabled
            {	
                get {return "IPEnabled"; }		
            }			
            public static string IPSubnet
            {	
                get {return "IPSubnet"; }		
            }			
            public static string MACAddress
            {	
                get {return "MACAddress"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string MaxSpeed
            {	
                get {return "MaxSpeed"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PerfmonInstance
            {	
                get {return "PerfmonInstance"; }		
            }			
            public static string ProductName
            {	
                get {return "ProductName"; }		
            }			
            public static string ServiceName
            {	
                get {return "ServiceName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AdapterType");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Bandwidth");
                    propertyNames.Add("DefaultIPGateway");
                    propertyNames.Add("Description");
                    propertyNames.Add("DeviceID");
                    propertyNames.Add("DHCPEnabled");
                    propertyNames.Add("DHCPHostname");
                    propertyNames.Add("DHCPServer");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DNSDomain");
                    propertyNames.Add("Index");
                    propertyNames.Add("IPAddress");
                    propertyNames.Add("IPEnabled");
                    propertyNames.Add("IPSubnet");
                    propertyNames.Add("MACAddress");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("MaxSpeed");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PerfmonInstance");
                    propertyNames.Add("ProductName");
                    propertyNames.Add("ServiceName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AdapterType
            {	
                get {return new Guid("6676645d-b0ea-04b3-02cc-fb9291a518f7"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Bandwidth
            {	
                get {return new Guid("784bab99-4a3d-eff7-cabb-b81a557cd77e"); }		
            }			
            public static Guid DefaultIPGateway
            {	
                get {return new Guid("f38ad6ee-4c08-8ab7-220f-b9591c917ee9"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5"); }		
            }			
            public static Guid DeviceID
            {	
                get {return new Guid("af13c36e-9197-95f7-393c-84aa6638fec9"); }		
            }			
            public static Guid DHCPEnabled
            {	
                get {return new Guid("53506347-d1c3-8170-7058-5c35a901f36d"); }		
            }			
            public static Guid DHCPHostname
            {	
                get {return new Guid("6a43a211-ca35-c986-793b-71c027a24fe3"); }		
            }			
            public static Guid DHCPServer
            {	
                get {return new Guid("012b7fb5-b6c7-e6cd-554d-337579bbd9a2"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DNSDomain
            {	
                get {return new Guid("5821fd85-2ec9-acca-229b-4f3c07e21de3"); }		
            }			
            public static Guid Index
            {	
                get {return new Guid("1a2f35c4-d819-c028-310d-eb58cc6b6138"); }		
            }			
            public static Guid IPAddress
            {	
                get {return new Guid("d6e4490a-7b58-e613-f984-d6c0c2a80780"); }		
            }			
            public static Guid IPEnabled
            {	
                get {return new Guid("d75447f1-938d-1056-3f70-ba23fb788d63"); }		
            }			
            public static Guid IPSubnet
            {	
                get {return new Guid("6d20263c-802a-18d6-374c-e346a38658a6"); }		
            }			
            public static Guid MACAddress
            {	
                get {return new Guid("d10701a0-1df5-d5c8-a96a-06e24ee1e254"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("cf5b8be1-6a06-83c1-bea3-2ebfe8460484"); }		
            }			
            public static Guid MaxSpeed
            {	
                get {return new Guid("fd71ed36-c5c5-1870-0ce5-f46507eae0fa"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("e0b1c8be-c004-f892-3528-d9321d185910"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PerfmonInstance
            {	
                get {return new Guid("17390d7d-47f3-9f85-ed6a-51c5484cc465"); }		
            }			
            public static Guid ProductName
            {	
                get {return new Guid("6bea0fca-c6cb-9523-7c94-bd9fbae7d9ed"); }		
            }			
            public static Guid ServiceName
            {	
                get {return new Guid("c98a6f4d-731c-3cc7-4dca-4baca699c9ab"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 4d63f0a1-889e-5463-11c9-537d541d79bb
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsLogicalHardware
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsLogicalHardware");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Peripheral.PhysicalDisk	
			Id 				: d6cb51c3-66a7-165d-ebfb-2fc8b525967d
			Description 	: All Windows physical disks
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			This class inherits from:
				Microsoft.Windows.PhysicalDisk
				Microsoft.Windows.LogicalDevice
				System.LogicalHardware
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Peripheral_PhysicalDiskClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d6cb51c3-66a7-165d-ebfb-2fc8b525967d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d6cb51c3-66a7-165d-ebfb-2fc8b525967d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Caption
            {	
                get {return "Caption"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DeviceID
            {	
                get {return "DeviceID"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Index
            {	
                get {return "Index"; }		
            }			
            public static string InterfaceType
            {	
                get {return "InterfaceType"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string MediaType
            {	
                get {return "MediaType"; }		
            }			
            public static string Model
            {	
                get {return "Model"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PerfmonInstance
            {	
                get {return "PerfmonInstance"; }		
            }			
            public static string PNPDeviceId
            {	
                get {return "PNPDeviceId"; }		
            }			
            public static string SCSIBus
            {	
                get {return "SCSIBus"; }		
            }			
            public static string SCSILogicalUnit
            {	
                get {return "SCSILogicalUnit"; }		
            }			
            public static string SCSIPort
            {	
                get {return "SCSIPort"; }		
            }			
            public static string SCSITargetID
            {	
                get {return "SCSITargetID"; }		
            }			
            public static string Size
            {	
                get {return "Size"; }		
            }			
            public static string TotalCylinders
            {	
                get {return "TotalCylinders"; }		
            }			
            public static string TotalHeads
            {	
                get {return "TotalHeads"; }		
            }			
            public static string TotalSectors
            {	
                get {return "TotalSectors"; }		
            }			
            public static string TotalTracks
            {	
                get {return "TotalTracks"; }		
            }			
            public static string TracksPerCylinder
            {	
                get {return "TracksPerCylinder"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Caption");
                    propertyNames.Add("Description");
                    propertyNames.Add("DeviceID");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Index");
                    propertyNames.Add("InterfaceType");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("MediaType");
                    propertyNames.Add("Model");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PerfmonInstance");
                    propertyNames.Add("PNPDeviceId");
                    propertyNames.Add("SCSIBus");
                    propertyNames.Add("SCSILogicalUnit");
                    propertyNames.Add("SCSIPort");
                    propertyNames.Add("SCSITargetID");
                    propertyNames.Add("Size");
                    propertyNames.Add("TotalCylinders");
                    propertyNames.Add("TotalHeads");
                    propertyNames.Add("TotalSectors");
                    propertyNames.Add("TotalTracks");
                    propertyNames.Add("TracksPerCylinder");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Caption
            {	
                get {return new Guid("9f61bb4b-ab8f-f6ae-7e48-228cfa123d5a"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5"); }		
            }			
            public static Guid DeviceID
            {	
                get {return new Guid("af13c36e-9197-95f7-393c-84aa6638fec9"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Index
            {	
                get {return new Guid("6d8cf00b-4231-a168-06b5-df37b8a8c787"); }		
            }			
            public static Guid InterfaceType
            {	
                get {return new Guid("4516d9fa-c52f-0941-6da8-5036233ff3ac"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("cdc2d9fb-d5c2-468e-32c5-02e88cba4103"); }		
            }			
            public static Guid MediaType
            {	
                get {return new Guid("9147b06e-e3c3-12f8-0c8b-ef1f2c04cd15"); }		
            }			
            public static Guid Model
            {	
                get {return new Guid("e6483063-9325-7c99-c822-f7885df6fcb6"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("e0b1c8be-c004-f892-3528-d9321d185910"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PerfmonInstance
            {	
                get {return new Guid("3e0d16df-61e2-e1d3-eefe-2b85993e4afd"); }		
            }			
            public static Guid PNPDeviceId
            {	
                get {return new Guid("b25559f9-16e9-551c-ebc7-efd0b8c2446f"); }		
            }			
            public static Guid SCSIBus
            {	
                get {return new Guid("dd2daf4d-bd15-0e74-a34e-5f3bff184ada"); }		
            }			
            public static Guid SCSILogicalUnit
            {	
                get {return new Guid("7b22dded-bbc2-e901-1218-c327c7aa3dbe"); }		
            }			
            public static Guid SCSIPort
            {	
                get {return new Guid("b78ba854-1ca2-15e4-04b8-52b94d671fd2"); }		
            }			
            public static Guid SCSITargetID
            {	
                get {return new Guid("f5e55ce9-02c8-5b2a-ab75-957aa16fabeb"); }		
            }			
            public static Guid Size
            {	
                get {return new Guid("536ffc73-7cc9-85a5-3998-f4409085d950"); }		
            }			
            public static Guid TotalCylinders
            {	
                get {return new Guid("49d45663-f99b-f04d-fabd-759e5ca0f7a8"); }		
            }			
            public static Guid TotalHeads
            {	
                get {return new Guid("f779a910-750a-c5ec-ebc0-f4f6e35ef86b"); }		
            }			
            public static Guid TotalSectors
            {	
                get {return new Guid("910d15b7-7a87-a2c7-b743-26d202b5bc43"); }		
            }			
            public static Guid TotalTracks
            {	
                get {return new Guid("c82fda3e-6897-5ff8-a4f5-1803f60d605d"); }		
            }			
            public static Guid TracksPerCylinder
            {	
                get {return new Guid("9080a019-713f-d2c9-7d14-b8a8233cca19"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 4d63f0a1-889e-5463-11c9-537d541d79bb
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsLogicalHardware
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsLogicalHardware");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.Windows.Peripheral.Processor	
			Id 				: afe398e0-d539-05f6-6ab4-44a84701ec71
			Description 	: All Windows processors
			ManagementPack	: Microsoft.Windows.Peripheral.Library
			This class inherits from:
				Microsoft.Windows.Processor
				Microsoft.Windows.LogicalDevice
				System.LogicalHardware
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class Microsoft_Windows_Peripheral_ProcessorClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("afe398e0-d539-05f6-6ab4-44a84701ec71");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("afe398e0-d539-05f6-6ab4-44a84701ec71");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("fa9dd11b-0b28-4474-9d0e-4f0ea7deff2d");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BrandId
            {	
                get {return "BrandId"; }		
            }			
            public static string CPUKey
            {	
                get {return "CPUKey"; }		
            }			
            public static string DataWidth
            {	
                get {return "DataWidth"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DeviceID
            {	
                get {return "DeviceID"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Family
            {	
                get {return "Family"; }		
            }			
            public static string IsMobile
            {	
                get {return "IsMobile"; }		
            }			
            public static string IsMulticore
            {	
                get {return "IsMulticore"; }		
            }			
            public static string Manufacturer
            {	
                get {return "Manufacturer"; }		
            }			
            public static string MaxClockSpeed
            {	
                get {return "MaxClockSpeed"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PCache
            {	
                get {return "PCache"; }		
            }			
            public static string PerfmonInstance
            {	
                get {return "PerfmonInstance"; }		
            }			
            public static string Revision
            {	
                get {return "Revision"; }		
            }			
            public static string Speed
            {	
                get {return "Speed"; }		
            }			
            public static string Type
            {	
                get {return "Type"; }		
            }			
            public static string Version
            {	
                get {return "Version"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BrandId");
                    propertyNames.Add("CPUKey");
                    propertyNames.Add("DataWidth");
                    propertyNames.Add("Description");
                    propertyNames.Add("DeviceID");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Family");
                    propertyNames.Add("IsMobile");
                    propertyNames.Add("IsMulticore");
                    propertyNames.Add("Manufacturer");
                    propertyNames.Add("MaxClockSpeed");
                    propertyNames.Add("Name");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PCache");
                    propertyNames.Add("PerfmonInstance");
                    propertyNames.Add("Revision");
                    propertyNames.Add("Speed");
                    propertyNames.Add("Type");
                    propertyNames.Add("Version");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BrandId
            {	
                get {return new Guid("aba098ed-1419-c961-f059-759ab55adb31"); }		
            }			
            public static Guid CPUKey
            {	
                get {return new Guid("f782888d-f3db-d116-76eb-5c34c9abea1d"); }		
            }			
            public static Guid DataWidth
            {	
                get {return new Guid("853b2bf3-a283-dcb7-1e84-afd1c8d8f8b3"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("5d0624b0-2899-8948-924d-3e4cb24c21f5"); }		
            }			
            public static Guid DeviceID
            {	
                get {return new Guid("af13c36e-9197-95f7-393c-84aa6638fec9"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Family
            {	
                get {return new Guid("f1f4800a-7aa8-949e-e805-b88e06e19a3e"); }		
            }			
            public static Guid IsMobile
            {	
                get {return new Guid("f1929f04-5d65-9626-01b7-d7221865f4f2"); }		
            }			
            public static Guid IsMulticore
            {	
                get {return new Guid("52c90c58-fe08-5b5c-44a5-fa336ad52807"); }		
            }			
            public static Guid Manufacturer
            {	
                get {return new Guid("8bb07476-245f-6d77-b382-da73a388c8e1"); }		
            }			
            public static Guid MaxClockSpeed
            {	
                get {return new Guid("3d1d3257-965e-9523-5b69-b887b5c5a931"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("e0b1c8be-c004-f892-3528-d9321d185910"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PCache
            {	
                get {return new Guid("70fde3ab-afc8-2c4e-c60c-2f7062754511"); }		
            }			
            public static Guid PerfmonInstance
            {	
                get {return new Guid("147bd545-8313-23b7-b000-537c6d9f2f46"); }		
            }			
            public static Guid Revision
            {	
                get {return new Guid("93f75177-ef88-1627-3d61-3c27fa5815c6"); }		
            }			
            public static Guid Speed
            {	
                get {return new Guid("609ecca5-5883-ecd8-fbee-d94954ef66ce"); }		
            }			
            public static Guid Type
            {	
                get {return new Guid("46b974ac-21af-957e-54d1-4d7af0af9f68"); }		
            }			
            public static Guid Version
            {	
                get {return new Guid("040651a7-5a08-15a7-3179-f9ef5c844c2f"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// e4c6f8ce-0763-51c6-6421-c424a93a1eb6
		public static ManagementPackRelationship Microsoft_Windows_ComputerHostsLogicalDevice
		{
			get{return  ManagementPack.GetRelationship("Microsoft.Windows.ComputerHostsLogicalDevice");}
		}
		// 4d63f0a1-889e-5463-11c9-537d541d79bb
		public static ManagementPackRelationship Microsoft_SystemCenter_ServiceDesigner_Messaging_StorageGroupContainsLogicalHardware
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ServiceDesigner.Messaging.StorageGroupContainsLogicalHardware");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.GlobalSetting.ActivitySettings	
			Id 				: 5e04a50d-01d1-6fce-7946-15580aa8681d
			Description 	: Settings for activities, such as ID prefix
			ManagementPack	: ServiceManager.ActivityManagement.Library
			This class inherits from:
				System.SolutionSettings
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_GlobalSetting_ActivitySettingsClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("5e04a50d-01d1-6fce-7946-15580aa8681d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("5e04a50d-01d1-6fce-7946-15580aa8681d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string SystemWorkItemActivityIdPrefix
            {	
                get {return "SystemWorkItemActivityIdPrefix"; }		
            }			
            public static string SystemWorkItemActivityManualActivityIdPrefix
            {	
                get {return "SystemWorkItemActivityManualActivityIdPrefix"; }		
            }			
            public static string SystemWorkItemActivityReviewActivityIdPrefix
            {	
                get {return "SystemWorkItemActivityReviewActivityIdPrefix"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("SystemWorkItemActivityIdPrefix");
                    propertyNames.Add("SystemWorkItemActivityManualActivityIdPrefix");
                    propertyNames.Add("SystemWorkItemActivityReviewActivityIdPrefix");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid SystemWorkItemActivityIdPrefix
            {	
                get {return new Guid("5506657b-6c34-84da-11a7-8fd05fed0c87"); }		
            }			
            public static Guid SystemWorkItemActivityManualActivityIdPrefix
            {	
                get {return new Guid("963fdc69-d8be-d058-5e29-43ed934a7a01"); }		
            }			
            public static Guid SystemWorkItemActivityReviewActivityIdPrefix
            {	
                get {return new Guid("e2d1a938-f0b5-ae68-2312-ba16865a4a20"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Activity.InternalWorkflowTarget	
			Id 				: 2ed5abbb-c0b8-7622-dab6-7d792c212f54
			Description 	: Workflow target for activities
			ManagementPack	: ServiceManager.ActivityManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Activity_InternalWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2ed5abbb-c0b8-7622-dab6-7d792c212f54");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2ed5abbb-c0b8-7622-dab6-7d792c212f54");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Activity.WorkflowTarget	
			Id 				: fee785e2-b8c0-e414-6cdd-fea576cdd5de
			Description 	: Configure workflows for activity events
			ManagementPack	: ServiceManager.ActivityManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.ConfigureWorkflowTarget
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Activity_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("fee785e2-b8c0-e414-6cdd-fea576cdd5de");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("fee785e2-b8c0-e414-6cdd-fea576cdd5de");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.GlobalSetting.ChangeSettings	
			Id 				: c7fe33bb-9760-3f88-59fc-0951e3221be4
			Description 	: Settings for change requests, such as ID prefix and file attachments
			ManagementPack	: ServiceManager.ChangeManagement.Library
			This class inherits from:
				System.SolutionSettings
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_GlobalSetting_ChangeSettingsClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("c7fe33bb-9760-3f88-59fc-0951e3221be4");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("c7fe33bb-9760-3f88-59fc-0951e3221be4");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string MaxFileAttachmentsCount
            {	
                get {return "MaxFileAttachmentsCount"; }		
            }			
            public static string MaxFileAttachmentSizeinKB
            {	
                get {return "MaxFileAttachmentSizeinKB"; }		
            }			
            public static string SystemWorkItemChangeRequestIdPrefix
            {	
                get {return "SystemWorkItemChangeRequestIdPrefix"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("MaxFileAttachmentsCount");
                    propertyNames.Add("MaxFileAttachmentSizeinKB");
                    propertyNames.Add("SystemWorkItemChangeRequestIdPrefix");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid MaxFileAttachmentsCount
            {	
                get {return new Guid("f6dccdc1-f8d6-0628-7f82-09feea028a41"); }		
            }			
            public static Guid MaxFileAttachmentSizeinKB
            {	
                get {return new Guid("f69a0521-312d-669e-2058-55c5d22d9694"); }		
            }			
            public static Guid SystemWorkItemChangeRequestIdPrefix
            {	
                get {return new Guid("291e16c2-eb74-a4df-cd8a-8ec9c8942506"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.ChangeRequest.InternalWorkflowTarget	
			Id 				: 901b03db-7894-5da5-0203-8d91d61a609f
			Description 	: Workflow target for change requests
			ManagementPack	: ServiceManager.ChangeManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_ChangeRequest_InternalWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("901b03db-7894-5da5-0203-8d91d61a609f");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("901b03db-7894-5da5-0203-8d91d61a609f");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.ChangeRequest.WorkflowTarget	
			Id 				: 35e63a37-d49e-9480-eb00-d80cf08e099f
			Description 	: Configure workflows for change request events
			ManagementPack	: ServiceManager.ChangeManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.ConfigureWorkflowTarget
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_ChangeRequest_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("35e63a37-d49e-9480-eb00-d80cf08e099f");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("35e63a37-d49e-9480-eb00-d80cf08e099f");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.ServiceManager.InternalDiscoveryCollectorTarget	
			Id 				: db18b9a2-0117-0d4f-b484-c3060d1c31f0
			Description 	: 
			ManagementPack	: ServiceManager.Core.Library
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_ServiceManager_InternalDiscoveryCollectorTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("db18b9a2-0117-0d4f-b484-c3060d1c31f0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("db18b9a2-0117-0d4f-b484-c3060d1c31f0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cc5c1161-4789-7fb7-3f4a-5f661f57626a");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.ServiceManager.InternalDiscoverySourceTarget	
			Id 				: e1f09c95-6f60-789b-382b-ea2672f6fcdb
			Description 	: 
			ManagementPack	: ServiceManager.Core.Library
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_ServiceManager_InternalDiscoverySourceTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e1f09c95-6f60-789b-382b-ea2672f6fcdb");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e1f09c95-6f60-789b-382b-ea2672f6fcdb");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cc5c1161-4789-7fb7-3f4a-5f661f57626a");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.ServiceManager.SqlJobWorkflowTarget	
			Id 				: 60028989-bb6c-2df5-7751-372485f27c45
			Description 	: Defines the properties of the target for SQL jobs like re-indexing, purging, etc.
			ManagementPack	: ServiceManager.Core.Library
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_ServiceManager_SqlJobWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("60028989-bb6c-2df5-7751-372485f27c45");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("60028989-bb6c-2df5-7751-372485f27c45");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("cc5c1161-4789-7fb7-3f4a-5f661f57626a");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Information.DWItem	
			Id 				: 03279ed4-40fd-fa52-5f95-b3ffeb227d98
			Description 	: 
			ManagementPack	: ServiceManager.Datawarehouse.Library
			This class inherits from:
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_Information_DWItemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("03279ed4-40fd-fa52-5f95-b3ffeb227d98");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("03279ed4-40fd-fa52-5f95-b3ffeb227d98");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("d75ca502-6194-3e79-e908-87fc09713b73");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string InformationId
            {	
                get {return "InformationId"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("InformationId");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid InformationId
            {	
                get {return new Guid("0d62bfb4-2e16-4360-940a-b51f69d29d93"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.ServiceManager.GroomingWorkflowTarget	
			Id 				: 84c7d9ef-059e-e8a5-7603-fb257e3bfea3
			Description 	: Grooming Workflow Target
			ManagementPack	: ServiceManager.Grooming.Configuration
			This class inherits from:
				Microsoft.SystemCenter.InternalWorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_ServiceManager_GroomingWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("84c7d9ef-059e-e8a5-7603-fb257e3bfea3");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("84c7d9ef-059e-e8a5-7603-fb257e3bfea3");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("d1691edb-49ff-5987-253e-d7befc81180d");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.InboundEmail.Configuration	
			Id 				: dd3c3411-2a5a-80fb-c905-053915216cf1
			Description 	: Contains the settings used by inbound e-mail processing
			ManagementPack	: ServiceManager.InboundEmail.Library
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_InboundEmail_ConfigurationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("dd3c3411-2a5a-80fb-c905-053915216cf1");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("dd3c3411-2a5a-80fb-c905-053915216cf1");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8fbab72b-9640-805e-e968-35303d308f0d");}
		}
        
        
        public static class PropertyNames
        {
            public static string BadFolder
            {	
                get {return "BadFolder"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string DropFolder
            {	
                get {return "DropFolder"; }		
            }			
            public static string Frequency
            {	
                get {return "Frequency"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static string MaxItems
            {	
                get {return "MaxItems"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("BadFolder");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("DropFolder");
                    propertyNames.Add("Frequency");
                    propertyNames.Add("IsEnabled");
                    propertyNames.Add("MaxItems");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid BadFolder
            {	
                get {return new Guid("ded47574-3699-96a3-444b-5edaaf377134"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid DropFolder
            {	
                get {return new Guid("ceded68b-40ae-77e0-54a3-f333edfe622f"); }		
            }			
            public static Guid Frequency
            {	
                get {return new Guid("05f3c2ad-5862-62e0-0467-29bc4c2092d4"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("8b9a2515-e352-f46e-167e-00ecb722c80f"); }		
            }			
            public static Guid MaxItems
            {	
                get {return new Guid("ea440eb2-79f6-48b1-6f4e-0116f3c497a6"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 7371ce70-e6ad-7fb6-45b6-f647f4096329
		public static ManagementPackRelationship System_InboundEmail_ConfigurationHasRule
		{
			get{return  ManagementPack.GetRelationship("System.InboundEmail.ConfigurationHasRule");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.InboundEmail.Rule	
			Id 				: 65ab523f-eace-59b0-dd73-6ec068a9fb5b
			Description 	: Specifies the mappings between the SMTP domain and the incident source
			ManagementPack	: ServiceManager.InboundEmail.Library
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_InboundEmail_RuleClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("65ab523f-eace-59b0-dd73-6ec068a9fb5b");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("65ab523f-eace-59b0-dd73-6ec068a9fb5b");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8fbab72b-9640-805e-e968-35303d308f0d");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static string Service
            {	
                get {return "Service"; }		
            }			
            public static string SMTPDomain
            {	
                get {return "SMTPDomain"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsEnabled");
                    propertyNames.Add("Service");
                    propertyNames.Add("SMTPDomain");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("1eac2353-e5df-0642-49fb-9a3f1457075b"); }		
            }			
            public static Guid Service
            {	
                get {return new Guid("597b0db4-e93b-29a6-ca7a-acb1debfe4c6"); }		
            }			
            public static Guid SMTPDomain
            {	
                get {return new Guid("7a0782a3-4d0b-1676-9396-9e763469859c"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 7371ce70-e6ad-7fb6-45b6-f647f4096329
		public static ManagementPackRelationship System_InboundEmail_ConfigurationHasRule
		{
			get{return  ManagementPack.GetRelationship("System.InboundEmail.ConfigurationHasRule");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.WorkItem.DCMIncident	
			Id 				: 90234dbf-5fd1-a2c3-b34b-429b163b8060
			Description 	: Defines the basic properties of Desired Configuration Management incidents
			ManagementPack	: ServiceManager.IncidentManagement.Library
			This class inherits from:
				System.WorkItem.Incident
				System.WorkItem.TroubleTicket
				System.WorkItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_WorkItem_DCMIncidentClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("90234dbf-5fd1-a2c3-b34b-429b163b8060");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("90234dbf-5fd1-a2c3-b34b-429b163b8060");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string BaselineId
            {	
                get {return "BaselineId"; }		
            }			
            public static string CIId
            {	
                get {return "CIId"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string ClosedDate
            {	
                get {return "ClosedDate"; }		
            }			
            public static string ComplianceStatusDetails
            {	
                get {return "ComplianceStatusDetails"; }		
            }			
            public static string ComputerName
            {	
                get {return "ComputerName"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Escalated
            {	
                get {return "Escalated"; }		
            }			
            public static string HasCreatedKnowledgeArticle
            {	
                get {return "HasCreatedKnowledgeArticle"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Impact
            {	
                get {return "Impact"; }		
            }			
            public static string LastComplianceScanTime
            {	
                get {return "LastComplianceScanTime"; }		
            }			
            public static string LastModifiedSource
            {	
                get {return "LastModifiedSource"; }		
            }			
            public static string MaxNonComplianceCriticality
            {	
                get {return "MaxNonComplianceCriticality"; }		
            }			
            public static string NeedsKnowledgeArticle
            {	
                get {return "NeedsKnowledgeArticle"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string ResolutionCategory
            {	
                get {return "ResolutionCategory"; }		
            }			
            public static string ResolutionDescription
            {	
                get {return "ResolutionDescription"; }		
            }			
            public static string ResolvedDate
            {	
                get {return "ResolvedDate"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string SiteId
            {	
                get {return "SiteId"; }		
            }			
            public static string Source
            {	
                get {return "Source"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string TargetResolutionTime
            {	
                get {return "TargetResolutionTime"; }		
            }			
            public static string TierQueue
            {	
                get {return "TierQueue"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string Urgency
            {	
                get {return "Urgency"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("BaselineId");
                    propertyNames.Add("CIId");
                    propertyNames.Add("Classification");
                    propertyNames.Add("ClosedDate");
                    propertyNames.Add("ComplianceStatusDetails");
                    propertyNames.Add("ComputerName");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Escalated");
                    propertyNames.Add("HasCreatedKnowledgeArticle");
                    propertyNames.Add("Id");
                    propertyNames.Add("Impact");
                    propertyNames.Add("LastComplianceScanTime");
                    propertyNames.Add("LastModifiedSource");
                    propertyNames.Add("MaxNonComplianceCriticality");
                    propertyNames.Add("NeedsKnowledgeArticle");
                    propertyNames.Add("Priority");
                    propertyNames.Add("ResolutionCategory");
                    propertyNames.Add("ResolutionDescription");
                    propertyNames.Add("ResolvedDate");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("SiteId");
                    propertyNames.Add("Source");
                    propertyNames.Add("Status");
                    propertyNames.Add("TargetResolutionTime");
                    propertyNames.Add("TierQueue");
                    propertyNames.Add("Title");
                    propertyNames.Add("Urgency");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid BaselineId
            {	
                get {return new Guid("86307de6-3b31-0073-fd06-841b6b9b2288"); }		
            }			
            public static Guid CIId
            {	
                get {return new Guid("3cc23acd-d9ae-5a5e-f3be-a37e79ae363d"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1"); }		
            }			
            public static Guid ClosedDate
            {	
                get {return new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb"); }		
            }			
            public static Guid ComplianceStatusDetails
            {	
                get {return new Guid("2da2dd13-40c1-3074-d303-6c7866044e0f"); }		
            }			
            public static Guid ComputerName
            {	
                get {return new Guid("11531973-10b3-f9f7-a495-9af956e3882c"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Escalated
            {	
                get {return new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6"); }		
            }			
            public static Guid HasCreatedKnowledgeArticle
            {	
                get {return new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid Impact
            {	
                get {return new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5"); }		
            }			
            public static Guid LastComplianceScanTime
            {	
                get {return new Guid("aafa7462-d3af-1686-7386-4cec108ff546"); }		
            }			
            public static Guid LastModifiedSource
            {	
                get {return new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3"); }		
            }			
            public static Guid MaxNonComplianceCriticality
            {	
                get {return new Guid("beb725e5-3761-5fe7-0949-bb54811b7174"); }		
            }			
            public static Guid NeedsKnowledgeArticle
            {	
                get {return new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2"); }		
            }			
            public static Guid ResolutionCategory
            {	
                get {return new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc"); }		
            }			
            public static Guid ResolutionDescription
            {	
                get {return new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0"); }		
            }			
            public static Guid ResolvedDate
            {	
                get {return new Guid("a1b981cb-fbec-d0df-6465-5212d0076435"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid SiteId
            {	
                get {return new Guid("6a385d2c-ff33-460e-f6d9-890befac6dfa"); }		
            }			
            public static Guid Source
            {	
                get {return new Guid("72e56ac1-4147-273f-655a-55dafa41ff97"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c"); }		
            }			
            public static Guid TargetResolutionTime
            {	
                get {return new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438"); }		
            }			
            public static Guid TierQueue
            {	
                get {return new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
            public static Guid Urgency
            {	
                get {return new Guid("af230625-9b6c-842f-e22e-06bd25326fa5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 43 relationships
		// 7dca7a64-a5ee-65c6-4019-1ae0bad4363e
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_Baseline_CI
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.Baseline_CI");}
		}
		// 3566b119-ae99-ea2f-b97f-4247b1ed3ec1
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_Configuration_CI
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.Configuration_CI");}
		}
		// 41650345-efe2-a506-fc2d-e12df7ad10a5
		public static ManagementPackRelationship Microsoft_SystemCenter_WorkItem_DCMIncident_Refers_NonComplianceComputer
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.WorkItem.DCMIncident.Refers.NonComplianceComputer");}
		}
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// a860c62e-e675-b121-f614-e52fcbd9ef2c
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasActionLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasActionLog");}
		}
		// 835a64cd-7d41-10eb-e5e4-365ea2efc2ea
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAnalystComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAnalystComment");}
		}
		// 5ad35f7b-8ef4-6c4f-ec6d-7a49b0d8f7d7
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAuditComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAuditComment");}
		}
		// 106285b2-0200-8ecb-324e-342976b16151
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
		}
		// ce423786-16dd-da9c-fb7b-21ab5189e12b
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasUserComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasUserComment");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.WorkItem.SCOMIncident	
			Id 				: ac13c801-0f20-83e0-4e8a-344c96516f3d
			Description 	: Defines the basic properties of incidents from System Center Operations Manager
			ManagementPack	: ServiceManager.IncidentManagement.Library
			This class inherits from:
				System.WorkItem.Incident
				System.WorkItem.TroubleTicket
				System.WorkItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_WorkItem_SCOMIncidentClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ac13c801-0f20-83e0-4e8a-344c96516f3d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ac13c801-0f20-83e0-4e8a-344c96516f3d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string AlertCustomField1
            {	
                get {return "AlertCustomField1"; }		
            }			
            public static string AlertCustomField10
            {	
                get {return "AlertCustomField10"; }		
            }			
            public static string AlertCustomField2
            {	
                get {return "AlertCustomField2"; }		
            }			
            public static string AlertCustomField3
            {	
                get {return "AlertCustomField3"; }		
            }			
            public static string AlertCustomField4
            {	
                get {return "AlertCustomField4"; }		
            }			
            public static string AlertCustomField5
            {	
                get {return "AlertCustomField5"; }		
            }			
            public static string AlertCustomField6
            {	
                get {return "AlertCustomField6"; }		
            }			
            public static string AlertCustomField7
            {	
                get {return "AlertCustomField7"; }		
            }			
            public static string AlertCustomField8
            {	
                get {return "AlertCustomField8"; }		
            }			
            public static string AlertCustomField9
            {	
                get {return "AlertCustomField9"; }		
            }			
            public static string AlertId
            {	
                get {return "AlertId"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string ClosedDate
            {	
                get {return "ClosedDate"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Escalated
            {	
                get {return "Escalated"; }		
            }			
            public static string HasCreatedKnowledgeArticle
            {	
                get {return "HasCreatedKnowledgeArticle"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Impact
            {	
                get {return "Impact"; }		
            }			
            public static string LastModifiedSource
            {	
                get {return "LastModifiedSource"; }		
            }			
            public static string ManagementGroupName
            {	
                get {return "ManagementGroupName"; }		
            }			
            public static string ManagementPackName
            {	
                get {return "ManagementPackName"; }		
            }			
            public static string MonitoringObjectId
            {	
                get {return "MonitoringObjectId"; }		
            }			
            public static string MonitoringRuleId
            {	
                get {return "MonitoringRuleId"; }		
            }			
            public static string NeedsKnowledgeArticle
            {	
                get {return "NeedsKnowledgeArticle"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string RepeatCount
            {	
                get {return "RepeatCount"; }		
            }			
            public static string ResolutionCategory
            {	
                get {return "ResolutionCategory"; }		
            }			
            public static string ResolutionDescription
            {	
                get {return "ResolutionDescription"; }		
            }			
            public static string ResolvedDate
            {	
                get {return "ResolvedDate"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string Source
            {	
                get {return "Source"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string TargetResolutionTime
            {	
                get {return "TargetResolutionTime"; }		
            }			
            public static string TierQueue
            {	
                get {return "TierQueue"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string Urgency
            {	
                get {return "Urgency"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("AlertCustomField1");
                    propertyNames.Add("AlertCustomField10");
                    propertyNames.Add("AlertCustomField2");
                    propertyNames.Add("AlertCustomField3");
                    propertyNames.Add("AlertCustomField4");
                    propertyNames.Add("AlertCustomField5");
                    propertyNames.Add("AlertCustomField6");
                    propertyNames.Add("AlertCustomField7");
                    propertyNames.Add("AlertCustomField8");
                    propertyNames.Add("AlertCustomField9");
                    propertyNames.Add("AlertId");
                    propertyNames.Add("Classification");
                    propertyNames.Add("ClosedDate");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Escalated");
                    propertyNames.Add("HasCreatedKnowledgeArticle");
                    propertyNames.Add("Id");
                    propertyNames.Add("Impact");
                    propertyNames.Add("LastModifiedSource");
                    propertyNames.Add("ManagementGroupName");
                    propertyNames.Add("ManagementPackName");
                    propertyNames.Add("MonitoringObjectId");
                    propertyNames.Add("MonitoringRuleId");
                    propertyNames.Add("NeedsKnowledgeArticle");
                    propertyNames.Add("Priority");
                    propertyNames.Add("RepeatCount");
                    propertyNames.Add("ResolutionCategory");
                    propertyNames.Add("ResolutionDescription");
                    propertyNames.Add("ResolvedDate");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("Source");
                    propertyNames.Add("Status");
                    propertyNames.Add("TargetResolutionTime");
                    propertyNames.Add("TierQueue");
                    propertyNames.Add("Title");
                    propertyNames.Add("Urgency");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid AlertCustomField1
            {	
                get {return new Guid("95338505-6991-8f15-e1e4-24184071adeb"); }		
            }			
            public static Guid AlertCustomField10
            {	
                get {return new Guid("7e2eb2de-9c8a-f9cd-cb3a-9682cf9e4125"); }		
            }			
            public static Guid AlertCustomField2
            {	
                get {return new Guid("63a6c5ab-8a8a-7372-efb4-43f0b45d57bd"); }		
            }			
            public static Guid AlertCustomField3
            {	
                get {return new Guid("fffa592e-fbd6-d358-bc95-338eba35c811"); }		
            }			
            public static Guid AlertCustomField4
            {	
                get {return new Guid("f8d91c3e-497d-13ee-817f-40c903aec8df"); }		
            }			
            public static Guid AlertCustomField5
            {	
                get {return new Guid("7afc00c1-5dfb-1b1f-0a6d-dc40d5815ffd"); }		
            }			
            public static Guid AlertCustomField6
            {	
                get {return new Guid("a50719b2-387a-cbde-5abd-0e62ade8a902"); }		
            }			
            public static Guid AlertCustomField7
            {	
                get {return new Guid("5025d9f2-9a06-7a80-a006-854a9bc2acef"); }		
            }			
            public static Guid AlertCustomField8
            {	
                get {return new Guid("38c1dc79-7852-97d8-ed8c-d0fb00f56c97"); }		
            }			
            public static Guid AlertCustomField9
            {	
                get {return new Guid("92119713-175b-afe5-9e65-b7fc5a2a9beb"); }		
            }			
            public static Guid AlertId
            {	
                get {return new Guid("840b34a1-b807-970c-9258-d1ae356ea929"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1"); }		
            }			
            public static Guid ClosedDate
            {	
                get {return new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Escalated
            {	
                get {return new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6"); }		
            }			
            public static Guid HasCreatedKnowledgeArticle
            {	
                get {return new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid Impact
            {	
                get {return new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5"); }		
            }			
            public static Guid LastModifiedSource
            {	
                get {return new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3"); }		
            }			
            public static Guid ManagementGroupName
            {	
                get {return new Guid("33b03004-8871-98b1-065b-1e94f51d5f60"); }		
            }			
            public static Guid ManagementPackName
            {	
                get {return new Guid("fb9ba0fa-4cb1-9e6a-e69d-612ac6fed52b"); }		
            }			
            public static Guid MonitoringObjectId
            {	
                get {return new Guid("94f27312-3981-0a15-54f0-fa37de59bb3f"); }		
            }			
            public static Guid MonitoringRuleId
            {	
                get {return new Guid("3017d16b-fbe4-91c2-027b-cd0979f41b31"); }		
            }			
            public static Guid NeedsKnowledgeArticle
            {	
                get {return new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2"); }		
            }			
            public static Guid RepeatCount
            {	
                get {return new Guid("4b6ac151-91df-982f-2b4e-00410ede33fa"); }		
            }			
            public static Guid ResolutionCategory
            {	
                get {return new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc"); }		
            }			
            public static Guid ResolutionDescription
            {	
                get {return new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0"); }		
            }			
            public static Guid ResolvedDate
            {	
                get {return new Guid("a1b981cb-fbec-d0df-6465-5212d0076435"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid Source
            {	
                get {return new Guid("72e56ac1-4147-273f-655a-55dafa41ff97"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c"); }		
            }			
            public static Guid TargetResolutionTime
            {	
                get {return new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438"); }		
            }			
            public static Guid TierQueue
            {	
                get {return new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
            public static Guid Urgency
            {	
                get {return new Guid("af230625-9b6c-842f-e22e-06bd25326fa5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 40 relationships
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// a860c62e-e675-b121-f614-e52fcbd9ef2c
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasActionLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasActionLog");}
		}
		// 835a64cd-7d41-10eb-e5e4-365ea2efc2ea
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAnalystComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAnalystComment");}
		}
		// 5ad35f7b-8ef4-6c4f-ec6d-7a49b0d8f7d7
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAuditComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAuditComment");}
		}
		// 106285b2-0200-8ecb-324e-342976b16151
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
		}
		// ce423786-16dd-da9c-fb7b-21ab5189e12b
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasUserComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasUserComment");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Incident.GeneralSetting	
			Id 				: 613c9f3e-9b94-1fef-4088-16c33bfd0be1
			Description 	: Settings for incidents, such as ID prefix, file attachments, priority and resolution times
			ManagementPack	: ServiceManager.IncidentManagement.Library
			This class inherits from:
				System.SolutionSettings
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Incident_GeneralSettingClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("613c9f3e-9b94-1fef-4088-16c33bfd0be1");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("613c9f3e-9b94-1fef-4088-16c33bfd0be1");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataRetentionTime
            {	
                get {return "DataRetentionTime"; }		
            }			
            public static string DataRetentionTimeUnit
            {	
                get {return "DataRetentionTimeUnit"; }		
            }			
            public static string DefaultTierQueue
            {	
                get {return "DefaultTierQueue"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string MaxAttachments
            {	
                get {return "MaxAttachments"; }		
            }			
            public static string MaxAttachmentSize
            {	
                get {return "MaxAttachmentSize"; }		
            }			
            public static string OpsMgrWebConsoleUrl
            {	
                get {return "OpsMgrWebConsoleUrl"; }		
            }			
            public static string PrefixForId
            {	
                get {return "PrefixForId"; }		
            }			
            public static string PriorityMatrix
            {	
                get {return "PriorityMatrix"; }		
            }			
            public static string PriorityMaxValue
            {	
                get {return "PriorityMaxValue"; }		
            }			
            public static string PriorityMinValue
            {	
                get {return "PriorityMinValue"; }		
            }			
            public static string ResolutionMappings
            {	
                get {return "ResolutionMappings"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataRetentionTime");
                    propertyNames.Add("DataRetentionTimeUnit");
                    propertyNames.Add("DefaultTierQueue");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("MaxAttachments");
                    propertyNames.Add("MaxAttachmentSize");
                    propertyNames.Add("OpsMgrWebConsoleUrl");
                    propertyNames.Add("PrefixForId");
                    propertyNames.Add("PriorityMatrix");
                    propertyNames.Add("PriorityMaxValue");
                    propertyNames.Add("PriorityMinValue");
                    propertyNames.Add("ResolutionMappings");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataRetentionTime
            {	
                get {return new Guid("c1638c1a-1944-b587-08c4-b32993192cf5"); }		
            }			
            public static Guid DataRetentionTimeUnit
            {	
                get {return new Guid("99744081-5cc6-b1fe-2528-685659b5b251"); }		
            }			
            public static Guid DefaultTierQueue
            {	
                get {return new Guid("15198f31-0b34-28b5-53c6-6e891bf13f0c"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid MaxAttachments
            {	
                get {return new Guid("2366e295-d0d2-ca84-b9f1-36e1de7328c7"); }		
            }			
            public static Guid MaxAttachmentSize
            {	
                get {return new Guid("c8090714-64b9-e887-674d-39db1e4d70fe"); }		
            }			
            public static Guid OpsMgrWebConsoleUrl
            {	
                get {return new Guid("5a00d9ef-8db8-d0ae-90fb-54ee43634c93"); }		
            }			
            public static Guid PrefixForId
            {	
                get {return new Guid("f536ce7a-1c62-7ab9-4bb7-9684b7138499"); }		
            }			
            public static Guid PriorityMatrix
            {	
                get {return new Guid("48d7c818-ab63-a269-20c5-6b314bb6393e"); }		
            }			
            public static Guid PriorityMaxValue
            {	
                get {return new Guid("9c749a7a-6d15-cb95-8c31-707ea98ddb19"); }		
            }			
            public static Guid PriorityMinValue
            {	
                get {return new Guid("b7724214-b629-90a8-f26c-7eec4617d50b"); }		
            }			
            public static Guid ResolutionMappings
            {	
                get {return new Guid("81d67915-af82-7ac9-fba3-433cc4064f60"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Incident.Wizard.AutomaticChangeIncident	
			Id 				: f9ed6e4f-dfe3-c3c7-33fd-29424dc81d69
			Description 	: Configure workflows for incident events
			ManagementPack	: ServiceManager.IncidentManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.ConfigureWorkflowTarget
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Incident_Wizard_AutomaticChangeIncidentClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("f9ed6e4f-dfe3-c3c7-33fd-29424dc81d69");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("f9ed6e4f-dfe3-c3c7-33fd-29424dc81d69");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Incident.Wizard.DCMIntegration	
			Id 				: 2f08e334-d903-280a-3b76-fad41150d4da
			Description 	: Configure workflows for Desired Configuration Management events
			ManagementPack	: ServiceManager.IncidentManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.ConfigureWorkflowTarget
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Incident_Wizard_DCMIntegrationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2f08e334-d903-280a-3b76-fad41150d4da");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2f08e334-d903-280a-3b76-fad41150d4da");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Incident.WorkflowTarget	
			Id 				: 383e578b-e1c9-2802-0047-815853405778
			Description 	: An internal class for the incident workflow target
			ManagementPack	: ServiceManager.IncidentManagement.Library
			This class inherits from:
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Incident_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("383e578b-e1c9-2802-0047-815853405778");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("383e578b-e1c9-2802-0047-815853405778");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.GlobalSetting.KnowledgeSettings	
			Id 				: 1532349a-e437-842b-44fe-86a0f42a8ff5
			Description 	: Settings for Knowledge, such as ID prefix
			ManagementPack	: ServiceManager.KnowledgeManagement.Library
			This class inherits from:
				System.SolutionSettings
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_GlobalSetting_KnowledgeSettingsClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("1532349a-e437-842b-44fe-86a0f42a8ff5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("1532349a-e437-842b-44fe-86a0f42a8ff5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("ecf7a65d-2c71-993e-c5c6-2d00264d68c2");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string SystemKnowledgeArticleIdPrefix
            {	
                get {return "SystemKnowledgeArticleIdPrefix"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("SystemKnowledgeArticleIdPrefix");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid SystemKnowledgeArticleIdPrefix
            {	
                get {return new Guid("1c3c5f02-70a5-15f4-07de-492e98200c6b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.LinkingFramework.Configuration.CmdbSyncRuleTarget	
			Id 				: d963c95e-365f-9e5c-14e0-856babf35b17
			Description 	: An internal class for the linking framework connector workflow target
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				Microsoft.SystemCenter.LinkingFramework.LinkingFrameworkTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_LinkingFramework_Configuration_CmdbSyncRuleTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d963c95e-365f-9e5c-14e0-856babf35b17");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d963c95e-365f-9e5c-14e0-856babf35b17");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.LinkingFramework.GroomingWorkflowTarget	
			Id 				: 06d7dc4b-a238-11f5-44ed-a2a5e7689dfd
			Description 	: An internal class for the grooming workflow target
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				Microsoft.SystemCenter.LinkingFramework.LinkingFrameworkTarget
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_LinkingFramework_GroomingWorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("06d7dc4b-a238-11f5-44ed-a2a5e7689dfd");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("06d7dc4b-a238-11f5-44ed-a2a5e7689dfd");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: Microsoft.SystemCenter.LinkingFramework.SyncStatus	
			Id 				: 2d4afd51-d2ff-92c6-266f-2b6060000dae
			Description 	: Defines the status of the synchronization
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class Microsoft_SystemCenter_LinkingFramework_SyncStatusClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2d4afd51-d2ff-92c6-266f-2b6060000dae");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2d4afd51-d2ff-92c6-266f-2b6060000dae");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string LastRunFinishTime
            {	
                get {return "LastRunFinishTime"; }		
            }			
            public static string LastRunStartTime
            {	
                get {return "LastRunStartTime"; }		
            }			
            public static string MaxValue
            {	
                get {return "MaxValue"; }		
            }			
            public static string MinValue
            {	
                get {return "MinValue"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string SyncPercent
            {	
                get {return "SyncPercent"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("LastRunFinishTime");
                    propertyNames.Add("LastRunStartTime");
                    propertyNames.Add("MaxValue");
                    propertyNames.Add("MinValue");
                    propertyNames.Add("Status");
                    propertyNames.Add("SyncPercent");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid LastRunFinishTime
            {	
                get {return new Guid("665c658f-447e-ce95-682a-04147a60f2db"); }		
            }			
            public static Guid LastRunStartTime
            {	
                get {return new Guid("1ea82b00-da33-f1b6-6bd2-20da94daa527"); }		
            }			
            public static Guid MaxValue
            {	
                get {return new Guid("25fed9f8-3174-e617-f735-3a99e48f104b"); }		
            }			
            public static Guid MinValue
            {	
                get {return new Guid("ec7ec613-7b1b-1aaa-4694-77262ba31a87"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("582c56a1-1558-f8f2-7c97-6de33f8f1e5a"); }		
            }			
            public static Guid SyncPercent
            {	
                get {return new Guid("303a21d1-3491-408c-9ffd-b4c7261e3406"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.DataCollection	
			Id 				: 0e7375bc-4c87-60de-bf64-70190d011a24
			Description 	: An internal class containing linking framework data collection
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_DataCollectionClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("0e7375bc-4c87-60de-bf64-70190d011a24");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("0e7375bc-4c87-60de-bf64-70190d011a24");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataCollectionName
            {	
                get {return "DataCollectionName"; }		
            }			
            public static string DataTables
            {	
                get {return "DataTables"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Settings
            {	
                get {return "Settings"; }		
            }			
            public static string StagingName
            {	
                get {return "StagingName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataCollectionName");
                    propertyNames.Add("DataTables");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Settings");
                    propertyNames.Add("StagingName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataCollectionName
            {	
                get {return new Guid("f2e6d012-741f-33d7-0c12-c4573328d7cc"); }		
            }			
            public static Guid DataTables
            {	
                get {return new Guid("1f13f716-580e-c086-f620-406eddd0b630"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Settings
            {	
                get {return new Guid("3b13c895-fba4-6096-9029-8da80fc8b721"); }		
            }			
            public static Guid StagingName
            {	
                get {return new Guid("ebd85609-5a83-fd57-59a0-c38313a8834f"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// ce0422d0-e363-abb3-a58e-c291b23e2d46
		public static ManagementPackRelationship System_LinkingFramework_ConnectorEmbedsCollections
		{
			get{return  ManagementPack.GetRelationship("System.LinkingFramework.ConnectorEmbedsCollections");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.DataConnector	
			Id 				: dac6acf7-5742-98b5-6f0a-f8306b276688
			Description 	: An internal class containing linking framework configuration for connectors
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_DataConnectorClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("dac6acf7-5742-98b5-6f0a-f8306b276688");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("dac6acf7-5742-98b5-6f0a-f8306b276688");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataConnectorName
            {	
                get {return "DataConnectorName"; }		
            }			
            public static string DisableParallelProcess
            {	
                get {return "DisableParallelProcess"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EntryAssembly
            {	
                get {return "EntryAssembly"; }		
            }			
            public static string EntryPoint
            {	
                get {return "EntryPoint"; }		
            }			
            public static string InstallSQLScripts
            {	
                get {return "InstallSQLScripts"; }		
            }			
            public static string IsProvider
            {	
                get {return "IsProvider"; }		
            }			
            public static string Settings
            {	
                get {return "Settings"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string UninstallSQLScripts
            {	
                get {return "UninstallSQLScripts"; }		
            }			
            public static string WebUIAssembly
            {	
                get {return "WebUIAssembly"; }		
            }			
            public static string WinFormUIAssembly
            {	
                get {return "WinFormUIAssembly"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataConnectorName");
                    propertyNames.Add("DisableParallelProcess");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EntryAssembly");
                    propertyNames.Add("EntryPoint");
                    propertyNames.Add("InstallSQLScripts");
                    propertyNames.Add("IsProvider");
                    propertyNames.Add("Settings");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("UninstallSQLScripts");
                    propertyNames.Add("WebUIAssembly");
                    propertyNames.Add("WinFormUIAssembly");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataConnectorName
            {	
                get {return new Guid("682e7331-cf98-986e-3cf3-271f77122b00"); }		
            }			
            public static Guid DisableParallelProcess
            {	
                get {return new Guid("6918c673-1c7c-5870-61ae-417738aef77d"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EntryAssembly
            {	
                get {return new Guid("ce038f0a-ccff-1ac0-5b13-39e71e748491"); }		
            }			
            public static Guid EntryPoint
            {	
                get {return new Guid("115c3627-2121-ef80-7132-6185ec72eb85"); }		
            }			
            public static Guid InstallSQLScripts
            {	
                get {return new Guid("16b8063b-37aa-0d15-a1dd-0fb9636b9713"); }		
            }			
            public static Guid IsProvider
            {	
                get {return new Guid("50ba3d1b-48fd-6086-0be5-58fabd41368d"); }		
            }			
            public static Guid Settings
            {	
                get {return new Guid("38d00f37-0aec-b0cd-da4f-d64cba3195a3"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("dfe70eaf-10fb-3274-5ca0-e5367e46b0e0"); }		
            }			
            public static Guid UninstallSQLScripts
            {	
                get {return new Guid("32c6a261-f221-ebbd-56b2-83337ae6ec16"); }		
            }			
            public static Guid WebUIAssembly
            {	
                get {return new Guid("e1eb52ec-7a87-7774-9db0-17a7748e6a5e"); }		
            }			
            public static Guid WinFormUIAssembly
            {	
                get {return new Guid("61f95c9e-e699-6305-87cc-6f2b47e2d5e0"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 16 relationships
		// ce0422d0-e363-abb3-a58e-c291b23e2d46
		public static ManagementPackRelationship System_LinkingFramework_ConnectorEmbedsCollections
		{
			get{return  ManagementPack.GetRelationship("System.LinkingFramework.ConnectorEmbedsCollections");}
		}
		// 62255ea1-077a-bca1-8827-de5cbd3854fa
		public static ManagementPackRelationship System_LinkingFramework_ConnectorEmbedsTables
		{
			get{return  ManagementPack.GetRelationship("System.LinkingFramework.ConnectorEmbedsTables");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.DataSource	
			Id 				: 71f6cfcd-99b3-3a07-471d-bb9c4bf5ba76
			Description 	: An internal class containing linking framework data sources
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				Microsoft.SystemCenter.Connector
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_DataSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("71f6cfcd-99b3-3a07-471d-bb9c4bf5ba76");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("71f6cfcd-99b3-3a07-471d-bb9c4bf5ba76");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DataProviderDisplayName
            {	
                get {return "DataProviderDisplayName"; }		
            }			
            public static string DataProviderName
            {	
                get {return "DataProviderName"; }		
            }			
            public static string DatawarehouseProfileName
            {	
                get {return "DatawarehouseProfileName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Enabled
            {	
                get {return "Enabled"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string ImpersonationEnabled
            {	
                get {return "ImpersonationEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string ReaderProfileName
            {	
                get {return "ReaderProfileName"; }		
            }			
            public static string Reserved
            {	
                get {return "Reserved"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string SyncInterval
            {	
                get {return "SyncInterval"; }		
            }			
            public static string SyncNow
            {	
                get {return "SyncNow"; }		
            }			
            public static string SyncTime
            {	
                get {return "SyncTime"; }		
            }			
            public static string SyncType
            {	
                get {return "SyncType"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DataProviderDisplayName");
                    propertyNames.Add("DataProviderName");
                    propertyNames.Add("DatawarehouseProfileName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Enabled");
                    propertyNames.Add("Id");
                    propertyNames.Add("ImpersonationEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("ReaderProfileName");
                    propertyNames.Add("Reserved");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("SyncInterval");
                    propertyNames.Add("SyncNow");
                    propertyNames.Add("SyncTime");
                    propertyNames.Add("SyncType");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DataProviderDisplayName
            {	
                get {return new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86"); }		
            }			
            public static Guid DataProviderName
            {	
                get {return new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396"); }		
            }			
            public static Guid DatawarehouseProfileName
            {	
                get {return new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Enabled
            {	
                get {return new Guid("071beb6b-2706-cf0c-646b-a0627949ed77"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid ImpersonationEnabled
            {	
                get {return new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
            public static Guid ReaderProfileName
            {	
                get {return new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3"); }		
            }			
            public static Guid Reserved
            {	
                get {return new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b"); }		
            }			
            public static Guid SyncInterval
            {	
                get {return new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19"); }		
            }			
            public static Guid SyncNow
            {	
                get {return new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e"); }		
            }			
            public static Guid SyncTime
            {	
                get {return new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456"); }		
            }			
            public static Guid SyncType
            {	
                get {return new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.DataTable	
			Id 				: 841ffa7f-1265-ffb0-fd75-b9a9e8c398d5
			Description 	: An internal class containing linking framework configuration for data tables
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_DataTableClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("841ffa7f-1265-ffb0-fd75-b9a9e8c398d5");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("841ffa7f-1265-ffb0-fd75-b9a9e8c398d5");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string BatchIdField
            {	
                get {return "BatchIdField"; }		
            }			
            public static string BatchIdSize
            {	
                get {return "BatchIdSize"; }		
            }			
            public static string BatchIdType
            {	
                get {return "BatchIdType"; }		
            }			
            public static string CollectionName
            {	
                get {return "CollectionName"; }		
            }			
            public static string DataName
            {	
                get {return "DataName"; }		
            }			
            public static string DependOnDataTable
            {	
                get {return "DependOnDataTable"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string GroomType
            {	
                get {return "GroomType"; }		
            }			
            public static string PostProcessScript
            {	
                get {return "PostProcessScript"; }		
            }			
            public static string PrimaryKeyName
            {	
                get {return "PrimaryKeyName"; }		
            }			
            public static string QueryString
            {	
                get {return "QueryString"; }		
            }			
            public static string StageTableName
            {	
                get {return "StageTableName"; }		
            }			
            public static string UseCache
            {	
                get {return "UseCache"; }		
            }			
            public static string WatermarkField
            {	
                get {return "WatermarkField"; }		
            }			
            public static string WatermarkType
            {	
                get {return "WatermarkType"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("BatchIdField");
                    propertyNames.Add("BatchIdSize");
                    propertyNames.Add("BatchIdType");
                    propertyNames.Add("CollectionName");
                    propertyNames.Add("DataName");
                    propertyNames.Add("DependOnDataTable");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("GroomType");
                    propertyNames.Add("PostProcessScript");
                    propertyNames.Add("PrimaryKeyName");
                    propertyNames.Add("QueryString");
                    propertyNames.Add("StageTableName");
                    propertyNames.Add("UseCache");
                    propertyNames.Add("WatermarkField");
                    propertyNames.Add("WatermarkType");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid BatchIdField
            {	
                get {return new Guid("c43e24ae-d94d-71f0-4d24-8a120881e8e3"); }		
            }			
            public static Guid BatchIdSize
            {	
                get {return new Guid("5473a7bd-e358-692f-d141-9f6e3801aae9"); }		
            }			
            public static Guid BatchIdType
            {	
                get {return new Guid("a3033a82-6199-71a1-c405-2a615892ffa8"); }		
            }			
            public static Guid CollectionName
            {	
                get {return new Guid("539140f8-f41f-e64f-b1a8-3e39bb30d717"); }		
            }			
            public static Guid DataName
            {	
                get {return new Guid("f0c3734e-15cc-b01c-bcd6-889e18d65bf4"); }		
            }			
            public static Guid DependOnDataTable
            {	
                get {return new Guid("1b2aea7d-17d2-843a-51ca-2d55e763be33"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid GroomType
            {	
                get {return new Guid("c1ee5a5c-5a9a-7741-ad7e-3bf4718370ca"); }		
            }			
            public static Guid PostProcessScript
            {	
                get {return new Guid("a9d20815-b684-ad98-b123-6a6aabcd5539"); }		
            }			
            public static Guid PrimaryKeyName
            {	
                get {return new Guid("0130b5e2-49a5-5259-7bdb-e0cb99d03a90"); }		
            }			
            public static Guid QueryString
            {	
                get {return new Guid("c21e3c80-ae06-55a7-e1fe-5f7eb4fd76ae"); }		
            }			
            public static Guid StageTableName
            {	
                get {return new Guid("55c3a3a3-457a-5c59-9ab9-675b0d903ec9"); }		
            }			
            public static Guid UseCache
            {	
                get {return new Guid("d50469f5-7bbd-40d0-a013-2383c67f4b33"); }		
            }			
            public static Guid WatermarkField
            {	
                get {return new Guid("0d89dceb-43a4-e45c-7b17-9ecd8e883f49"); }		
            }			
            public static Guid WatermarkType
            {	
                get {return new Guid("25b87a89-b557-a3f5-ca7d-635c504eeda6"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 16 relationships
		// 45eaff64-ca1d-8ee8-4c4c-6f2b8999d49f
		public static ManagementPackRelationship System_LinkingFramework_TableEmbedsFields
		{
			get{return  ManagementPack.GetRelationship("System.LinkingFramework.TableEmbedsFields");}
		}
		// 62255ea1-077a-bca1-8827-de5cbd3854fa
		public static ManagementPackRelationship System_LinkingFramework_ConnectorEmbedsTables
		{
			get{return  ManagementPack.GetRelationship("System.LinkingFramework.ConnectorEmbedsTables");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.Field	
			Id 				: bebb28a4-135b-f041-d7f2-7c7bf62f5252
			Description 	: An internal class containing linking framework configuration for fields
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_FieldClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("bebb28a4-135b-f041-d7f2-7c7bf62f5252");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("bebb28a4-135b-f041-d7f2-7c7bf62f5252");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string AllowNull
            {	
                get {return "AllowNull"; }		
            }			
            public static string Collation
            {	
                get {return "Collation"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string PrimaryKeyAcs
            {	
                get {return "PrimaryKeyAcs"; }		
            }			
            public static string PrimaryKeyPosition
            {	
                get {return "PrimaryKeyPosition"; }		
            }			
            public static string Size
            {	
                get {return "Size"; }		
            }			
            public static string Type
            {	
                get {return "Type"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AllowNull");
                    propertyNames.Add("Collation");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Name");
                    propertyNames.Add("PrimaryKeyAcs");
                    propertyNames.Add("PrimaryKeyPosition");
                    propertyNames.Add("Size");
                    propertyNames.Add("Type");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AllowNull
            {	
                get {return new Guid("10901fe5-6bcf-a5e4-624d-e52c8817401b"); }		
            }			
            public static Guid Collation
            {	
                get {return new Guid("2b136229-ea77-5bfa-390e-54e4a0513418"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("d005f500-cf13-5f1d-caca-e73b02542597"); }		
            }			
            public static Guid PrimaryKeyAcs
            {	
                get {return new Guid("15b1aae3-4b4b-6a59-5912-6f822529e7d7"); }		
            }			
            public static Guid PrimaryKeyPosition
            {	
                get {return new Guid("500581b6-ae96-1514-d83b-67b2f07a5776"); }		
            }			
            public static Guid Size
            {	
                get {return new Guid("5d93af55-2a5e-3a6d-0f18-07970853737b"); }		
            }			
            public static Guid Type
            {	
                get {return new Guid("cd503678-4b9b-2578-fd84-b3e59643eeb8"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 45eaff64-ca1d-8ee8-4c4c-6f2b8999d49f
		public static ManagementPackRelationship System_LinkingFramework_TableEmbedsFields
		{
			get{return  ManagementPack.GetRelationship("System.LinkingFramework.TableEmbedsFields");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.GenericDataSource	
			Id 				: d29921e1-b2cb-5c27-d535-869bb8d3cbe8
			Description 	: An internal class containing linking framework generic data sources
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.LinkingFramework.DataSource
				Microsoft.SystemCenter.Connector
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_GenericDataSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d29921e1-b2cb-5c27-d535-869bb8d3cbe8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d29921e1-b2cb-5c27-d535-869bb8d3cbe8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string Connection
            {	
                get {return "Connection"; }		
            }			
            public static string DataFilter
            {	
                get {return "DataFilter"; }		
            }			
            public static string DataProviderDisplayName
            {	
                get {return "DataProviderDisplayName"; }		
            }			
            public static string DataProviderName
            {	
                get {return "DataProviderName"; }		
            }			
            public static string DatawarehouseProfileName
            {	
                get {return "DatawarehouseProfileName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Enabled
            {	
                get {return "Enabled"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string ImpersonationEnabled
            {	
                get {return "ImpersonationEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string ReaderProfileName
            {	
                get {return "ReaderProfileName"; }		
            }			
            public static string Reserved
            {	
                get {return "Reserved"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string SyncInterval
            {	
                get {return "SyncInterval"; }		
            }			
            public static string SyncNow
            {	
                get {return "SyncNow"; }		
            }			
            public static string SyncTime
            {	
                get {return "SyncTime"; }		
            }			
            public static string SyncType
            {	
                get {return "SyncType"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Connection");
                    propertyNames.Add("DataFilter");
                    propertyNames.Add("DataProviderDisplayName");
                    propertyNames.Add("DataProviderName");
                    propertyNames.Add("DatawarehouseProfileName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Enabled");
                    propertyNames.Add("Id");
                    propertyNames.Add("ImpersonationEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("ReaderProfileName");
                    propertyNames.Add("Reserved");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("SyncInterval");
                    propertyNames.Add("SyncNow");
                    propertyNames.Add("SyncTime");
                    propertyNames.Add("SyncType");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Connection
            {	
                get {return new Guid("6771bfa1-baa1-2b5a-5843-52002ba2ed84"); }		
            }			
            public static Guid DataFilter
            {	
                get {return new Guid("f4cfc7fb-8acc-3ff1-2d86-8e46551f6b04"); }		
            }			
            public static Guid DataProviderDisplayName
            {	
                get {return new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86"); }		
            }			
            public static Guid DataProviderName
            {	
                get {return new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396"); }		
            }			
            public static Guid DatawarehouseProfileName
            {	
                get {return new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Enabled
            {	
                get {return new Guid("071beb6b-2706-cf0c-646b-a0627949ed77"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid ImpersonationEnabled
            {	
                get {return new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
            public static Guid ReaderProfileName
            {	
                get {return new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3"); }		
            }			
            public static Guid Reserved
            {	
                get {return new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b"); }		
            }			
            public static Guid SyncInterval
            {	
                get {return new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19"); }		
            }			
            public static Guid SyncNow
            {	
                get {return new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e"); }		
            }			
            public static Guid SyncTime
            {	
                get {return new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456"); }		
            }			
            public static Guid SyncType
            {	
                get {return new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.LinkingFramework.SqlSource	
			Id 				: 6b9af830-5e03-108b-0263-26e5e020d7f8
			Description 	: An internal class containing linking framework SQL Server data sources
			ManagementPack	: ServiceManager.LinkingFramework.Library
			This class inherits from:
				System.LinkingFramework.DataSource
				Microsoft.SystemCenter.Connector
				System.AdminItem
				System.Entity
*/
	public partial class System_LinkingFramework_SqlSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6b9af830-5e03-108b-0263-26e5e020d7f8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6b9af830-5e03-108b-0263-26e5e020d7f8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("72f46b77-512a-91b5-efd8-0c7f84ebda98");}
		}
        
        
        public static class PropertyNames
        {
            public static string DatabaseName
            {	
                get {return "DatabaseName"; }		
            }			
            public static string DataProviderDisplayName
            {	
                get {return "DataProviderDisplayName"; }		
            }			
            public static string DataProviderName
            {	
                get {return "DataProviderName"; }		
            }			
            public static string DatawarehouseProfileName
            {	
                get {return "DatawarehouseProfileName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DiscoveryDataIsManaged
            {	
                get {return "DiscoveryDataIsManaged"; }		
            }			
            public static string DiscoveryDataIsShared
            {	
                get {return "DiscoveryDataIsShared"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Enabled
            {	
                get {return "Enabled"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string ImpersonationEnabled
            {	
                get {return "ImpersonationEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string ReaderProfileName
            {	
                get {return "ReaderProfileName"; }		
            }			
            public static string Reserved
            {	
                get {return "Reserved"; }		
            }			
            public static string ServerName
            {	
                get {return "ServerName"; }		
            }			
            public static string SolutionName
            {	
                get {return "SolutionName"; }		
            }			
            public static string SqlPassword
            {	
                get {return "SqlPassword"; }		
            }			
            public static string SqlUserName
            {	
                get {return "SqlUserName"; }		
            }			
            public static string SyncInterval
            {	
                get {return "SyncInterval"; }		
            }			
            public static string SyncNow
            {	
                get {return "SyncNow"; }		
            }			
            public static string SyncTime
            {	
                get {return "SyncTime"; }		
            }			
            public static string SyncType
            {	
                get {return "SyncType"; }		
            }			
            public static string TrustedConnection
            {	
                get {return "TrustedConnection"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DatabaseName");
                    propertyNames.Add("DataProviderDisplayName");
                    propertyNames.Add("DataProviderName");
                    propertyNames.Add("DatawarehouseProfileName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DiscoveryDataIsManaged");
                    propertyNames.Add("DiscoveryDataIsShared");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Enabled");
                    propertyNames.Add("Id");
                    propertyNames.Add("ImpersonationEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("ReaderProfileName");
                    propertyNames.Add("Reserved");
                    propertyNames.Add("ServerName");
                    propertyNames.Add("SolutionName");
                    propertyNames.Add("SqlPassword");
                    propertyNames.Add("SqlUserName");
                    propertyNames.Add("SyncInterval");
                    propertyNames.Add("SyncNow");
                    propertyNames.Add("SyncTime");
                    propertyNames.Add("SyncType");
                    propertyNames.Add("TrustedConnection");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DatabaseName
            {	
                get {return new Guid("0b3374c0-596a-9919-1a1e-c2fa177d7262"); }		
            }			
            public static Guid DataProviderDisplayName
            {	
                get {return new Guid("2ec1da07-1dc8-2bbd-f03c-01de8cea5b86"); }		
            }			
            public static Guid DataProviderName
            {	
                get {return new Guid("ed85f7bf-14ab-cc7b-e028-c9191cbc1396"); }		
            }			
            public static Guid DatawarehouseProfileName
            {	
                get {return new Guid("97e296af-af3e-7507-fd7b-a9adcac50b39"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("0a6e2ad0-d84a-9641-58e3-abba4511bb79"); }		
            }			
            public static Guid DiscoveryDataIsManaged
            {	
                get {return new Guid("89b6c2dd-4f07-0f86-a18d-72401ea57f32"); }		
            }			
            public static Guid DiscoveryDataIsShared
            {	
                get {return new Guid("802345ee-2e7b-af9e-469f-612945ce3b81"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Enabled
            {	
                get {return new Guid("071beb6b-2706-cf0c-646b-a0627949ed77"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("29906075-e9fc-7bc4-487b-f964f91d6532"); }		
            }			
            public static Guid ImpersonationEnabled
            {	
                get {return new Guid("04586e4f-8cb7-47e2-451d-5b4bbc46c0f2"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("fd39fd0e-a9df-9509-33b9-ba0f2d9bd215"); }		
            }			
            public static Guid ReaderProfileName
            {	
                get {return new Guid("ec211248-c0f6-9351-ce8f-91f1c1153cf3"); }		
            }			
            public static Guid Reserved
            {	
                get {return new Guid("184ff35b-951e-c7c4-049b-62e9e34c30f3"); }		
            }			
            public static Guid ServerName
            {	
                get {return new Guid("d390df24-a189-1f8d-2e33-369ab3373310"); }		
            }			
            public static Guid SolutionName
            {	
                get {return new Guid("d4d65911-a399-9146-16aa-d726cb1c1a1b"); }		
            }			
            public static Guid SqlPassword
            {	
                get {return new Guid("bff68755-d442-c6a9-e1af-8131a52488df"); }		
            }			
            public static Guid SqlUserName
            {	
                get {return new Guid("1ebd7da5-b2d6-a477-c25d-6b80907adb30"); }		
            }			
            public static Guid SyncInterval
            {	
                get {return new Guid("a58ca650-77b3-34cf-24a9-2fb1fb6a5e19"); }		
            }			
            public static Guid SyncNow
            {	
                get {return new Guid("b712e0ea-ef36-a12f-4848-b953fb9a511e"); }		
            }			
            public static Guid SyncTime
            {	
                get {return new Guid("3b968d84-5783-b073-a9d5-122ad0ae6456"); }		
            }			
            public static Guid SyncType
            {	
                get {return new Guid("a22cd6fc-e822-c134-3ff4-158cd21d3771"); }		
            }			
            public static Guid TrustedConnection
            {	
                get {return new Guid("abce43f8-a23c-5413-b0cb-25bf5a1ec7e3"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 1548950d-6cea-d9c1-11ec-53701fbcbbec
		public static ManagementPackRelationship Microsoft_SystemCenter_LinkingFramework_DataSourceHostSyncStatus
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.LinkingFramework.DataSourceHostSyncStatus");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Announcement.Config	
			Id 				: 0f34b6f1-c047-acc5-aac0-3d5d68e51a19
			Description 	: Defines the properties used in announcement configuration
			ManagementPack	: System.AdminItem.Library
			This class inherits from:
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_Announcement_ConfigClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("0f34b6f1-c047-acc5-aac0-3d5d68e51a19");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("0f34b6f1-c047-acc5-aac0-3d5d68e51a19");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("a87c22c5-8fd4-4252-86e8-b246ab404465");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string TitleBar
            {	
                get {return "TitleBar"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("TitleBar");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("deff380f-1d01-e005-9765-7a80f2760aa6"); }		
            }			
            public static Guid TitleBar
            {	
                get {return new Guid("9c9904b9-2ab3-ed05-f1a7-65549633a3e3"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Announcement.Item	
			Id 				: ef8a786a-5d22-f035-32d7-d0b60d9284ad
			Description 	: Defines the basic properties of announcements for the self-service portal
			ManagementPack	: System.AdminItem.Library
			This class inherits from:
				System.AdminItem
				System.Entity
*/
	public partial class System_Announcement_ItemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ef8a786a-5d22-f035-32d7-d0b60d9284ad");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ef8a786a-5d22-f035-32d7-d0b60d9284ad");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("a87c22c5-8fd4-4252-86e8-b246ab404465");}
		}
        
        
        public static class PropertyNames
        {
            public static string Body
            {	
                get {return "Body"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ExpirationDate
            {	
                get {return "ExpirationDate"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Body");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ExpirationDate");
                    propertyNames.Add("Id");
                    propertyNames.Add("Priority");
                    propertyNames.Add("Title");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Body
            {	
                get {return new Guid("5d4945de-66c5-9324-af6c-aa607e9954b5"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ExpirationDate
            {	
                get {return new Guid("41c117d4-94bd-8388-3636-505a36066145"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("76a2a871-bf71-a8ba-85bf-e140d4cf5c9e"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("4389abeb-5c98-c0e3-3a3f-8826069a87e3"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("d194f047-aabf-167d-3bbf-dfbbb63bb5c8"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.GroomingConfiguration	
			Id 				: 03b9465f-17b5-936a-8f5d-5c50e1a75920
			Description 	: Settings for data grooming in the Service Manager database
			ManagementPack	: System.AdminItem.Library
			This class inherits from:
				System.SolutionSettings
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_GroomingConfigurationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("03b9465f-17b5-936a-8f5d-5c50e1a75920");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("03b9465f-17b5-936a-8f5d-5c50e1a75920");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("a87c22c5-8fd4-4252-86e8-b246ab404465");}
		}
        
        
        public static class PropertyNames
        {
            public static string BatchSize
            {	
                get {return "BatchSize"; }		
            }			
            public static string Category
            {	
                get {return "Category"; }		
            }			
            public static string Criteria
            {	
                get {return "Criteria"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsInternal
            {	
                get {return "IsInternal"; }		
            }			
            public static string RetentionPeriodInMinutes
            {	
                get {return "RetentionPeriodInMinutes"; }		
            }			
            public static string StoredProcedure
            {	
                get {return "StoredProcedure"; }		
            }			
            public static string TargetId
            {	
                get {return "TargetId"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("BatchSize");
                    propertyNames.Add("Category");
                    propertyNames.Add("Criteria");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsInternal");
                    propertyNames.Add("RetentionPeriodInMinutes");
                    propertyNames.Add("StoredProcedure");
                    propertyNames.Add("TargetId");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid BatchSize
            {	
                get {return new Guid("c9412838-aed4-5105-49ff-cc27c19a76de"); }		
            }			
            public static Guid Category
            {	
                get {return new Guid("95dd7722-b42b-84d0-ed5c-f72d4d9e17e6"); }		
            }			
            public static Guid Criteria
            {	
                get {return new Guid("8fc21faa-713b-739e-ca28-5bd1bdb20fee"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsInternal
            {	
                get {return new Guid("2e3634d7-a27f-4a9d-0ffe-6f6b77b4e946"); }		
            }			
            public static Guid RetentionPeriodInMinutes
            {	
                get {return new Guid("503b8ebb-7087-213d-0777-2b22d8633632"); }		
            }			
            public static Guid StoredProcedure
            {	
                get {return new Guid("40256e44-869b-2b43-e368-3f7bf7fcdffa"); }		
            }			
            public static Guid TargetId
            {	
                get {return new Guid("d83e2356-a9f2-95b4-b8a4-c1c8735c9961"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Knowledge.Article	
			Id 				: ca1410d8-6182-1531-092b-d2232f396bb8
			Description 	: Defines the basic properties of knowledge articles
			ManagementPack	: System.Knowledge.Library
			This class inherits from:
				System.ConfigItem
				System.Entity
*/
	public partial class System_Knowledge_ArticleClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ca1410d8-6182-1531-092b-d2232f396bb8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ca1410d8-6182-1531-092b-d2232f396bb8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("0a8001ed-59dc-629c-201f-4643a6a48009");}
		}
        
        
        public static class PropertyNames
        {
            public static string Abstract
            {	
                get {return "Abstract"; }		
            }			
            public static string AnalystContent
            {	
                get {return "AnalystContent"; }		
            }			
            public static string ArticleId
            {	
                get {return "ArticleId"; }		
            }			
            public static string ArticleOwner
            {	
                get {return "ArticleOwner"; }		
            }			
            public static string ArticleTemplate
            {	
                get {return "ArticleTemplate"; }		
            }			
            public static string ArticleType
            {	
                get {return "ArticleType"; }		
            }			
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string Category
            {	
                get {return "Category"; }		
            }			
            public static string Comments
            {	
                get {return "Comments"; }		
            }			
            public static string CreatedBy
            {	
                get {return "CreatedBy"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EndUserContent
            {	
                get {return "EndUserContent"; }		
            }			
            public static string ExternalURL
            {	
                get {return "ExternalURL"; }		
            }			
            public static string ExternalURLSource
            {	
                get {return "ExternalURLSource"; }		
            }			
            public static string Keywords
            {	
                get {return "Keywords"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string PrimaryLocaleID
            {	
                get {return "PrimaryLocaleID"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string Tag
            {	
                get {return "Tag"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string VendorArticleID
            {	
                get {return "VendorArticleID"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Abstract");
                    propertyNames.Add("AnalystContent");
                    propertyNames.Add("ArticleId");
                    propertyNames.Add("ArticleOwner");
                    propertyNames.Add("ArticleTemplate");
                    propertyNames.Add("ArticleType");
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("Category");
                    propertyNames.Add("Comments");
                    propertyNames.Add("CreatedBy");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EndUserContent");
                    propertyNames.Add("ExternalURL");
                    propertyNames.Add("ExternalURLSource");
                    propertyNames.Add("Keywords");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("PrimaryLocaleID");
                    propertyNames.Add("Status");
                    propertyNames.Add("Tag");
                    propertyNames.Add("Title");
                    propertyNames.Add("VendorArticleID");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Abstract
            {	
                get {return new Guid("9c8092e8-a729-9037-0944-56c668269ef0"); }		
            }			
            public static Guid AnalystContent
            {	
                get {return new Guid("92debada-bade-5052-57b5-000e2070ff01"); }		
            }			
            public static Guid ArticleId
            {	
                get {return new Guid("9583d0a2-ea9f-c97e-bdca-7356bd129777"); }		
            }			
            public static Guid ArticleOwner
            {	
                get {return new Guid("4b80c57f-c0e7-0626-b4cb-4b7ea7abf199"); }		
            }			
            public static Guid ArticleTemplate
            {	
                get {return new Guid("a19f6466-3c9c-9207-affd-74bb3307399a"); }		
            }			
            public static Guid ArticleType
            {	
                get {return new Guid("c3cf19b0-f426-661c-031d-fc45844924d8"); }		
            }			
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid Category
            {	
                get {return new Guid("bffb5ae8-23a4-1372-69a6-56c33c88dc0c"); }		
            }			
            public static Guid Comments
            {	
                get {return new Guid("af00af04-4754-6f57-6e8c-8367753be806"); }		
            }			
            public static Guid CreatedBy
            {	
                get {return new Guid("0f46ff38-b47d-3f0b-fae2-7724b1f48112"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("3284d928-8538-94d3-ecd6-f01636f89f63"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EndUserContent
            {	
                get {return new Guid("4b6bf092-d465-4fc3-b6a5-1e3ec9a5071c"); }		
            }			
            public static Guid ExternalURL
            {	
                get {return new Guid("6c4fe2d6-9641-a649-5ea9-29e22f191a8f"); }		
            }			
            public static Guid ExternalURLSource
            {	
                get {return new Guid("d9272c03-900e-9169-931d-144bb5334c92"); }		
            }			
            public static Guid Keywords
            {	
                get {return new Guid("6c6c20b6-f471-84b5-0672-0a356e622596"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid PrimaryLocaleID
            {	
                get {return new Guid("dfe7dc0e-0c67-fd4a-ad57-bf18760bc558"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("9ae0d83f-4100-c69b-f0f8-1321b0aebe4f"); }		
            }			
            public static Guid Tag
            {	
                get {return new Guid("558112fc-abf3-784e-bde3-28f0dc19391c"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("9cbf1a45-0389-f20a-1cd6-2dfe461ab078"); }		
            }			
            public static Guid VendorArticleID
            {	
                get {return new Guid("aee78772-3ac2-023c-3e3f-8a5998f575bd"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// 7b2bf7bb-29f2-31e3-b205-66cea358b0a9
		public static ManagementPackRelationship System_Knowledge_DocumentHasAverageRating
		{
			get{return  ManagementPack.GetRelationship("System.Knowledge.DocumentHasAverageRating");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.StarRating	
			Id 				: d37f9d4f-d641-a28c-fbae-0afda6dc64f0
			Description 	: Defines the properties of star ratings of knowledge articles
			ManagementPack	: System.Knowledge.Library
			This class inherits from:
				System.UserPreference
				System.SupportingItem
				System.Entity
*/
	public partial class System_StarRatingClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d37f9d4f-d641-a28c-fbae-0afda6dc64f0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d37f9d4f-d641-a28c-fbae-0afda6dc64f0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("0a8001ed-59dc-629c-201f-4643a6a48009");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string RatingComments
            {	
                get {return "RatingComments"; }		
            }			
            public static string TotalRatingCount
            {	
                get {return "TotalRatingCount"; }		
            }			
            public static string TotalRatingStars
            {	
                get {return "TotalRatingStars"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("RatingComments");
                    propertyNames.Add("TotalRatingCount");
                    propertyNames.Add("TotalRatingStars");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("4bdb959c-d8d1-c290-5a63-c54406e6ea3e"); }		
            }			
            public static Guid RatingComments
            {	
                get {return new Guid("50ff750b-4500-a90c-2b38-cf8ff566b049"); }		
            }			
            public static Guid TotalRatingCount
            {	
                get {return new Guid("2ece5028-0310-c971-eeb4-da580ffb7413"); }		
            }			
            public static Guid TotalRatingStars
            {	
                get {return new Guid("6c174533-d82b-cff4-e871-2f6122b49cf2"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 16 relationships
		// 7b2bf7bb-29f2-31e3-b205-66cea358b0a9
		public static ManagementPackRelationship System_Knowledge_DocumentHasAverageRating
		{
			get{return  ManagementPack.GetRelationship("System.Knowledge.DocumentHasAverageRating");}
		}
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Domain.User	
			Id 				: eca3c52a-f273-5cdc-f165-3eb95a2b26cf
			Description 	: Defines the basic properties of domain users or groups
			ManagementPack	: System.Library
			This class inherits from:
				System.User
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class System_Domain_UserClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("eca3c52a-f273-5cdc-f165-3eb95a2b26cf");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("eca3c52a-f273-5cdc-f165-3eb95a2b26cf");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("01c8b236-3bce-9dba-6f1c-c119bcdc2972");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string BusinessPhone
            {	
                get {return "BusinessPhone"; }		
            }			
            public static string BusinessPhone2
            {	
                get {return "BusinessPhone2"; }		
            }			
            public static string City
            {	
                get {return "City"; }		
            }			
            public static string Company
            {	
                get {return "Company"; }		
            }			
            public static string Country
            {	
                get {return "Country"; }		
            }			
            public static string Department
            {	
                get {return "Department"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Domain
            {	
                get {return "Domain"; }		
            }			
            public static string EmployeeId
            {	
                get {return "EmployeeId"; }		
            }			
            public static string Fax
            {	
                get {return "Fax"; }		
            }			
            public static string FirstName
            {	
                get {return "FirstName"; }		
            }			
            public static string HomePhone
            {	
                get {return "HomePhone"; }		
            }			
            public static string HomePhone2
            {	
                get {return "HomePhone2"; }		
            }			
            public static string Initials
            {	
                get {return "Initials"; }		
            }			
            public static string LastName
            {	
                get {return "LastName"; }		
            }			
            public static string Mobile
            {	
                get {return "Mobile"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string Office
            {	
                get {return "Office"; }		
            }			
            public static string Pager
            {	
                get {return "Pager"; }		
            }			
            public static string State
            {	
                get {return "State"; }		
            }			
            public static string StreetAddress
            {	
                get {return "StreetAddress"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string UserName
            {	
                get {return "UserName"; }		
            }			
            public static string Zip
            {	
                get {return "Zip"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("BusinessPhone");
                    propertyNames.Add("BusinessPhone2");
                    propertyNames.Add("City");
                    propertyNames.Add("Company");
                    propertyNames.Add("Country");
                    propertyNames.Add("Department");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Domain");
                    propertyNames.Add("EmployeeId");
                    propertyNames.Add("Fax");
                    propertyNames.Add("FirstName");
                    propertyNames.Add("HomePhone");
                    propertyNames.Add("HomePhone2");
                    propertyNames.Add("Initials");
                    propertyNames.Add("LastName");
                    propertyNames.Add("Mobile");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("Office");
                    propertyNames.Add("Pager");
                    propertyNames.Add("State");
                    propertyNames.Add("StreetAddress");
                    propertyNames.Add("Title");
                    propertyNames.Add("UserName");
                    propertyNames.Add("Zip");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid BusinessPhone
            {	
                get {return new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c"); }		
            }			
            public static Guid BusinessPhone2
            {	
                get {return new Guid("51d9d560-1c1a-058e-4307-4e5302132612"); }		
            }			
            public static Guid City
            {	
                get {return new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371"); }		
            }			
            public static Guid Company
            {	
                get {return new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad"); }		
            }			
            public static Guid Country
            {	
                get {return new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0"); }		
            }			
            public static Guid Department
            {	
                get {return new Guid("22405812-2d6d-e429-110c-2d2d8f9518df"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Domain
            {	
                get {return new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b"); }		
            }			
            public static Guid EmployeeId
            {	
                get {return new Guid("d56f368d-2e48-e4be-f4eb-f82744879663"); }		
            }			
            public static Guid Fax
            {	
                get {return new Guid("d962f04f-1429-a910-fa7b-ac8444645aee"); }		
            }			
            public static Guid FirstName
            {	
                get {return new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163"); }		
            }			
            public static Guid HomePhone
            {	
                get {return new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330"); }		
            }			
            public static Guid HomePhone2
            {	
                get {return new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1"); }		
            }			
            public static Guid Initials
            {	
                get {return new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6"); }		
            }			
            public static Guid LastName
            {	
                get {return new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df"); }		
            }			
            public static Guid Mobile
            {	
                get {return new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid Office
            {	
                get {return new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba"); }		
            }			
            public static Guid Pager
            {	
                get {return new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a"); }		
            }			
            public static Guid State
            {	
                get {return new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17"); }		
            }			
            public static Guid StreetAddress
            {	
                get {return new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa"); }		
            }			
            public static Guid UserName
            {	
                get {return new Guid("3217af5a-b135-a850-0562-be3e89da6d1a"); }		
            }			
            public static Guid Zip
            {	
                get {return new Guid("584266bf-a344-f323-a15b-4a761aecd867"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 43 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// 4a807c65-6a1f-15b2-bdf3-e967e58c254a
		public static ManagementPackRelationship System_UserManagesUser
		{
			get{return  ManagementPack.GetRelationship("System.UserManagesUser");}
		}
		// dec8d54a-6284-0f9d-cafb-8373f4dc865a
		public static ManagementPackRelationship System_WorkItem_BillableTimeHasWorkingUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.BillableTimeHasWorkingUser");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 40927c76-8993-7427-dd76-6245e8482ae7
		public static ManagementPackRelationship System_PolicyItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.PolicyItemCreatedByUser");}
		}
		// ffd71f9e-7346-d12b-85d6-7c39f507b7bb
		public static ManagementPackRelationship System_FileAttachmentAddedByUser
		{
			get{return  ManagementPack.GetRelationship("System.FileAttachmentAddedByUser");}
		}
		// 90da7d7c-948b-e16e-f39a-f6e3d1ffc921
		public static ManagementPackRelationship System_ReviewerIsUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerIsUser");}
		}
		// 9441a6d1-1317-9520-de37-6c54512feeba
		public static ManagementPackRelationship System_ReviewerVotedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerVotedByUser");}
		}
		// aaf7adeb-920c-3d3f-2184-1de2a2cba5a0
		public static ManagementPackRelationship System_ComputerPrimaryUser
		{
			get{return  ManagementPack.GetRelationship("System.ComputerPrimaryUser");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// fbd04ee6-9de3-cc91-b9c5-1807e303b1cc
		public static ManagementPackRelationship System_ServiceImpactsUser
		{
			get{return  ManagementPack.GetRelationship("System.ServiceImpactsUser");}
		}
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Channel.SIP	
			Id 				: 24b10896-60bc-fb41-fb61-17afe010b1a0
			Description 	: Notification channel for instant messages (SIP)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.Channel
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_Channel_SIPClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("24b10896-60bc-fb41-fb61-17afe010b1a0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("24b10896-60bc-fb41-fb61-17afe010b1a0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsEnabled");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// f50cb57c-1ed2-ff21-7e1d-5833ede2fe60
		public static ManagementPackRelationship System_Notification_ChannelHasConfigurationSource
		{
			get{return  ManagementPack.GetRelationship("System.Notification.ChannelHasConfigurationSource");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Channel.SMS	
			Id 				: eaa253d6-bdae-7762-0399-e066e2463d4e
			Description 	: Notification channel for text messaging (SMS)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.Channel
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_Channel_SMSClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("eaa253d6-bdae-7762-0399-e066e2463d4e");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("eaa253d6-bdae-7762-0399-e066e2463d4e");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsEnabled");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// f50cb57c-1ed2-ff21-7e1d-5833ede2fe60
		public static ManagementPackRelationship System_Notification_ChannelHasConfigurationSource
		{
			get{return  ManagementPack.GetRelationship("System.Notification.ChannelHasConfigurationSource");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Channel.SMTP	
			Id 				: ab15d533-0d6f-190c-d682-6b16534164ab
			Description 	: Notification channel for e-mail (SMTP)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.Channel
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_Channel_SMTPClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("ab15d533-0d6f-190c-d682-6b16534164ab");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("ab15d533-0d6f-190c-d682-6b16534164ab");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static string RetryIntervalSeconds
            {	
                get {return "RetryIntervalSeconds"; }		
            }			
            public static string ReturnAddress
            {	
                get {return "ReturnAddress"; }		
            }			
            public static string RunAsAccount
            {	
                get {return "RunAsAccount"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsEnabled");
                    propertyNames.Add("RetryIntervalSeconds");
                    propertyNames.Add("ReturnAddress");
                    propertyNames.Add("RunAsAccount");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20"); }		
            }			
            public static Guid RetryIntervalSeconds
            {	
                get {return new Guid("762772bb-0fdb-37f0-724c-fe6a5fe8e912"); }		
            }			
            public static Guid ReturnAddress
            {	
                get {return new Guid("d933c383-a63c-7bcf-d3d0-a7892b5b94f9"); }		
            }			
            public static Guid RunAsAccount
            {	
                get {return new Guid("4ac88436-900e-1c4d-3344-6a965d1fc06e"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// f50cb57c-1ed2-ff21-7e1d-5833ede2fe60
		public static ManagementPackRelationship System_Notification_ChannelHasConfigurationSource
		{
			get{return  ManagementPack.GetRelationship("System.Notification.ChannelHasConfigurationSource");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Endpoint	
			Id 				: c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d
			Description 	: Contains the properties of the subscriber address in notifications
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.UserPreference
				System.SupportingItem
				System.Entity
*/
	public partial class System_Notification_EndpointClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string ChannelName
            {	
                get {return "ChannelName"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string TargetAddress
            {	
                get {return "TargetAddress"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ChannelName");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("TargetAddress");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ChannelName
            {	
                get {return new Guid("57deed7f-bac3-9044-81a3-1da00a5c044e"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("20e82f3c-0cb0-b97d-31dc-bcec1094bb73"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("fa431cec-22a3-b35a-f1ae-62cec2f7b587"); }		
            }			
            public static Guid TargetAddress
            {	
                get {return new Guid("0e6323bc-55f2-eed8-1b6a-a5100417500b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.SIPConfigurationSource	
			Id 				: c6d9a0e6-8997-9958-82ba-23d358dfd198
			Description 	: Notification configuration for the instant messaging channel (SIP)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.ConfigurationSource
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_SIPConfigurationSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("c6d9a0e6-8997-9958-82ba-23d358dfd198");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("c6d9a0e6-8997-9958-82ba-23d358dfd198");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string Authentication
            {	
                get {return "Authentication"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string PortNumber
            {	
                get {return "PortNumber"; }		
            }			
            public static string Protocol
            {	
                get {return "Protocol"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Authentication");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("PortNumber");
                    propertyNames.Add("Protocol");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Authentication
            {	
                get {return new Guid("200cde17-e125-6337-e3f4-b3638135edc0"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("ad7f5272-0673-3e55-80ed-042990cd417f"); }		
            }			
            public static Guid PortNumber
            {	
                get {return new Guid("b65a2eab-3106-20da-07fc-86c7a809721a"); }		
            }			
            public static Guid Protocol
            {	
                get {return new Guid("1d131110-9c93-a569-ba5a-f75680213f18"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("c2450718-3e7a-9d0a-1b05-6e48e3adba7c"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// f50cb57c-1ed2-ff21-7e1d-5833ede2fe60
		public static ManagementPackRelationship System_Notification_ChannelHasConfigurationSource
		{
			get{return  ManagementPack.GetRelationship("System.Notification.ChannelHasConfigurationSource");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.SMTPConfigurationSource	
			Id 				: d928b34e-7b52-2a2a-d100-74cb58eb365a
			Description 	: Configuration information for the e-mail channel (SMTP)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.ConfigurationSource
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_SMTPConfigurationSourceClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("d928b34e-7b52-2a2a-d100-74cb58eb365a");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("d928b34e-7b52-2a2a-d100-74cb58eb365a");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string Authentication
            {	
                get {return "Authentication"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsEnabled
            {	
                get {return "IsEnabled"; }		
            }			
            public static string Name
            {	
                get {return "Name"; }		
            }			
            public static string PortNumber
            {	
                get {return "PortNumber"; }		
            }			
            public static string SequenceNumber
            {	
                get {return "SequenceNumber"; }		
            }			
            public static string Server
            {	
                get {return "Server"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Authentication");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsEnabled");
                    propertyNames.Add("Name");
                    propertyNames.Add("PortNumber");
                    propertyNames.Add("SequenceNumber");
                    propertyNames.Add("Server");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Authentication
            {	
                get {return new Guid("aaf97df8-936c-0da1-0eff-d68699a47c56"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsEnabled
            {	
                get {return new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7"); }		
            }			
            public static Guid Name
            {	
                get {return new Guid("04744e3f-caf0-943d-c038-204fa81e62ce"); }		
            }			
            public static Guid PortNumber
            {	
                get {return new Guid("fe34de95-b0c6-2bf5-c4bb-96e3a6315fe8"); }		
            }			
            public static Guid SequenceNumber
            {	
                get {return new Guid("9f238de4-7b5a-b039-f7fb-baa2c50dba96"); }		
            }			
            public static Guid Server
            {	
                get {return new Guid("0c80eebb-36f2-7ec5-834f-f52f7909ed3f"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// f50cb57c-1ed2-ff21-7e1d-5833ede2fe60
		public static ManagementPackRelationship System_Notification_ChannelHasConfigurationSource
		{
			get{return  ManagementPack.GetRelationship("System.Notification.ChannelHasConfigurationSource");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Template.SIP	
			Id 				: a187e3fc-9cc9-e357-b749-a6d8f58860a2
			Description 	: Notification templates for instant messages (SIP)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.Template
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_Template_SIPClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a187e3fc-9cc9-e357-b749-a6d8f58860a2");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a187e3fc-9cc9-e357-b749-a6d8f58860a2");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string Content
            {	
                get {return "Content"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Encoding
            {	
                get {return "Encoding"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Protocol
            {	
                get {return "Protocol"; }		
            }			
            public static string SeedClass
            {	
                get {return "SeedClass"; }		
            }			
            public static string Sender
            {	
                get {return "Sender"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Content");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Encoding");
                    propertyNames.Add("Id");
                    propertyNames.Add("Protocol");
                    propertyNames.Add("SeedClass");
                    propertyNames.Add("Sender");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Content
            {	
                get {return new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Encoding
            {	
                get {return new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5"); }		
            }			
            public static Guid Protocol
            {	
                get {return new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2"); }		
            }			
            public static Guid SeedClass
            {	
                get {return new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846"); }		
            }			
            public static Guid Sender
            {	
                get {return new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Template.SMS	
			Id 				: 385113d5-dd89-046d-827f-40d3af7f255c
			Description 	: Notification templates for text messaging (SMS)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.Template
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_Template_SMSClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("385113d5-dd89-046d-827f-40d3af7f255c");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("385113d5-dd89-046d-827f-40d3af7f255c");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string Content
            {	
                get {return "Content"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Encoding
            {	
                get {return "Encoding"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Protocol
            {	
                get {return "Protocol"; }		
            }			
            public static string SeedClass
            {	
                get {return "SeedClass"; }		
            }			
            public static string Sender
            {	
                get {return "Sender"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Content");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Encoding");
                    propertyNames.Add("Id");
                    propertyNames.Add("Protocol");
                    propertyNames.Add("SeedClass");
                    propertyNames.Add("Sender");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Content
            {	
                get {return new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Encoding
            {	
                get {return new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5"); }		
            }			
            public static Guid Protocol
            {	
                get {return new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2"); }		
            }			
            public static Guid SeedClass
            {	
                get {return new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846"); }		
            }			
            public static Guid Sender
            {	
                get {return new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Notification.Template.SMTP	
			Id 				: 0814d9a7-8332-a5df-2ec8-34d07f3d40db
			Description 	: Notification templates for e-mail (SMTP)
			ManagementPack	: System.Notifications.Library
			This class inherits from:
				System.Notification.Template
				System.AdminItem
				System.Entity
*/
	public partial class System_Notification_Template_SMTPClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("0814d9a7-8332-a5df-2ec8-34d07f3d40db");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("0814d9a7-8332-a5df-2ec8-34d07f3d40db");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("8e02a0aa-04b1-812b-6ab5-1c12e3288e99");}
		}
        
        
        public static class PropertyNames
        {
            public static string Content
            {	
                get {return "Content"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Encoding
            {	
                get {return "Encoding"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string IsBodyHtml
            {	
                get {return "IsBodyHtml"; }		
            }			
            public static string IsMultiCast
            {	
                get {return "IsMultiCast"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string Protocol
            {	
                get {return "Protocol"; }		
            }			
            public static string SeedClass
            {	
                get {return "SeedClass"; }		
            }			
            public static string Sender
            {	
                get {return "Sender"; }		
            }			
            public static string Subject
            {	
                get {return "Subject"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Content");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Encoding");
                    propertyNames.Add("Id");
                    propertyNames.Add("IsBodyHtml");
                    propertyNames.Add("IsMultiCast");
                    propertyNames.Add("Priority");
                    propertyNames.Add("Protocol");
                    propertyNames.Add("SeedClass");
                    propertyNames.Add("Sender");
                    propertyNames.Add("Subject");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Content
            {	
                get {return new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Encoding
            {	
                get {return new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5"); }		
            }			
            public static Guid IsBodyHtml
            {	
                get {return new Guid("3e3eadd4-f558-12e7-067b-a2c9b08a1386"); }		
            }			
            public static Guid IsMultiCast
            {	
                get {return new Guid("f7e9dd8d-5ab6-4796-9173-4bddf59c0c33"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("26375c85-499e-d5d9-5af5-7dbf02bbac35"); }		
            }			
            public static Guid Protocol
            {	
                get {return new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2"); }		
            }			
            public static Guid SeedClass
            {	
                get {return new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846"); }		
            }			
            public static Guid Sender
            {	
                get {return new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5"); }		
            }			
            public static Guid Subject
            {	
                get {return new Guid("ea0fc320-a749-d424-662e-798c87b15c66"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.SoftwareItem	
			Id 				: e88c746c-27ba-5b70-9f78-13e96ad9cffb
			Description 	: Information about all installable software
			ManagementPack	: System.Software.Library
			This class inherits from:
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class System_SoftwareItemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e88c746c-27ba-5b70-9f78-13e96ad9cffb");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e88c746c-27ba-5b70-9f78-13e96ad9cffb");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("09873caf-e2e2-20d0-c997-cd99c3a31ffd");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string IsVirtualApplication
            {	
                get {return "IsVirtualApplication"; }		
            }			
            public static string LocaleID
            {	
                get {return "LocaleID"; }		
            }			
            public static string MajorVersion
            {	
                get {return "MajorVersion"; }		
            }			
            public static string MinorVersion
            {	
                get {return "MinorVersion"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string ProductName
            {	
                get {return "ProductName"; }		
            }			
            public static string Publisher
            {	
                get {return "Publisher"; }		
            }			
            public static string VersionString
            {	
                get {return "VersionString"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("IsVirtualApplication");
                    propertyNames.Add("LocaleID");
                    propertyNames.Add("MajorVersion");
                    propertyNames.Add("MinorVersion");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("ProductName");
                    propertyNames.Add("Publisher");
                    propertyNames.Add("VersionString");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid IsVirtualApplication
            {	
                get {return new Guid("95b838a1-d55b-bd54-09ed-c9a9fa816ac0"); }		
            }			
            public static Guid LocaleID
            {	
                get {return new Guid("f2459797-6d6e-1009-3f9d-9292787c1a75"); }		
            }			
            public static Guid MajorVersion
            {	
                get {return new Guid("9cb5bc6e-f8ea-8e90-4c2b-4f6e95bb21a8"); }		
            }			
            public static Guid MinorVersion
            {	
                get {return new Guid("047dd640-8a7d-32c3-426a-16e83e310178"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid ProductName
            {	
                get {return new Guid("816f72b9-66bc-479d-a53d-03ca80424bcb"); }		
            }			
            public static Guid Publisher
            {	
                get {return new Guid("b747eae1-d0bb-ebbb-8294-dabd97de7bb3"); }		
            }			
            public static Guid VersionString
            {	
                get {return new Guid("e67f54a2-ed9d-773c-616e-49ca86b5ad51"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 26 relationships
		// 11b06f6d-eebd-906b-ebe9-5cf05f1545f1
		public static ManagementPackRelationship Microsoft_SystemCenter_ConfigurationManager_CategoryOfSoftwareItem
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.ConfigurationManager.CategoryOfSoftwareItem");}
		}
		// 224b24a8-83ac-d6e8-9d66-e1d6d4ebeeab
		public static ManagementPackRelationship System_DeviceHasSoftwareItemInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareItemInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.SoftwareUpdate	
			Id 				: 7ccd1178-66c1-8fed-c363-e8896651453f
			Description 	: An update that can be installed to a device (not necessarily a computer, and not necessarily currently installed)
			ManagementPack	: System.Software.Library
			This class inherits from:
				System.LogicalEntity
				System.ConfigItem
				System.Entity
*/
	public partial class System_SoftwareUpdateClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("7ccd1178-66c1-8fed-c363-e8896651453f");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("7ccd1178-66c1-8fed-c363-e8896651453f");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("09873caf-e2e2-20d0-c997-cd99c3a31ffd");}
		}
        
        
        public static class PropertyNames
        {
            public static string AssetStatus
            {	
                get {return "AssetStatus"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string ObjectStatus
            {	
                get {return "ObjectStatus"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string Vendor
            {	
                get {return "Vendor"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AssetStatus");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Notes");
                    propertyNames.Add("ObjectStatus");
                    propertyNames.Add("Title");
                    propertyNames.Add("Vendor");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AssetStatus
            {	
                get {return new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("55124dce-750d-bd54-4b92-d1fddf99adec"); }		
            }			
            public static Guid ObjectStatus
            {	
                get {return new Guid("11927069-6957-dfcf-a277-08a784221325"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("f9af25bc-d8e4-02ca-c607-ba9d5ad79850"); }		
            }			
            public static Guid Vendor
            {	
                get {return new Guid("2fa20ad3-c8d8-f6d6-9224-a77cd07bf6f3"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 25 relationships
		// 37beea15-dd27-658f-a1c0-e6a5de2cc27a
		public static ManagementPackRelationship System_DeviceHasSoftwareUpdateInstalled
		{
			get{return  ManagementPack.GetRelationship("System.DeviceHasSoftwareUpdateInstalled");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// 91ff6f8e-226f-68b6-d132-d1d2df453693
		public static ManagementPackRelationship System_ConfigItemContainsConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemContainsConfigItem");}
		}
		// 3c00f0fa-66e5-642a-e24d-93fecc6b4f6d
		public static ManagementPackRelationship System_ConfigItemImpactsCustomers
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemImpactsCustomers");}
		}
		// cbb45424-b0a2-72f0-d535-541941cdf8e1
		public static ManagementPackRelationship System_ConfigItemOwnedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemOwnedByUser");}
		}
		// 4448664f-b657-407a-cdbe-b7433af0ccdb
		public static ManagementPackRelationship System_ConfigItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemRelatesToConfigItem");}
		}
		// dd01fc9b-20ce-ea03-3ec1-f52b3241b033
		public static ManagementPackRelationship System_ConfigItemServicedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemServicedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.FileAttachment	
			Id 				: 68a35b6d-ca3d-8d90-f93d-248ceff935c0
			Description 	: Defines the properties of files attached to items such as incidents and change requests
			ManagementPack	: System.SupportingItem.Library
			This class inherits from:
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_FileAttachmentClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("68a35b6d-ca3d-8d90-f93d-248ceff935c0");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("68a35b6d-ca3d-8d90-f93d-248ceff935c0");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("23e3ae8e-1981-8560-2e55-8730cbc04965");}
		}
        
        
        public static class PropertyNames
        {
            public static string AddedDate
            {	
                get {return "AddedDate"; }		
            }			
            public static string Content
            {	
                get {return "Content"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Extension
            {	
                get {return "Extension"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Size
            {	
                get {return "Size"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("AddedDate");
                    propertyNames.Add("Content");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Extension");
                    propertyNames.Add("Id");
                    propertyNames.Add("Size");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid AddedDate
            {	
                get {return new Guid("b27d985e-8104-0789-7488-2106f22f77f1"); }		
            }			
            public static Guid Content
            {	
                get {return new Guid("88aee6e7-0df7-2c06-a92d-8589864781d6"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("47e9627e-114b-620b-f5e8-05b2dbabc842"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Extension
            {	
                get {return new Guid("4fa82b7f-ab97-cdde-09c5-6236b186cf75"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid Size
            {	
                get {return new Guid("a3e2fc65-7cca-d3e6-0b4d-f030dead9d7b"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 17 relationships
		// ffd71f9e-7346-d12b-85d6-7c39f507b7bb
		public static ManagementPackRelationship System_FileAttachmentAddedByUser
		{
			get{return  ManagementPack.GetRelationship("System.FileAttachmentAddedByUser");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// 095ebf2a-ee83-b956-7176-ab09eded6784
		public static ManagementPackRelationship System_ConfigItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.ConfigItemHasFileAttachment");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Search.ProviderConfig	
			Id 				: 32b66b6f-1629-c411-394e-fea87a65143c
			Description 	: Provider Configuration
			ManagementPack	: System.SupportingItem.Library
			This class inherits from:
				System.UserPreference
				System.SupportingItem
				System.Entity
*/
	public partial class System_Search_ProviderConfigClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("32b66b6f-1629-c411-394e-fea87a65143c");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("32b66b6f-1629-c411-394e-fea87a65143c");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("23e3ae8e-1981-8560-2e55-8730cbc04965");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Latitude
            {	
                get {return "Latitude"; }		
            }			
            public static string ProviderName
            {	
                get {return "ProviderName"; }		
            }			
            public static string Url
            {	
                get {return "Url"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Latitude");
                    propertyNames.Add("ProviderName");
                    propertyNames.Add("Url");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("70f3b1ce-68ca-2580-6f21-0957d5e32305"); }		
            }			
            public static Guid Latitude
            {	
                get {return new Guid("57108559-a2c2-1591-4964-6185da8deba1"); }		
            }			
            public static Guid ProviderName
            {	
                get {return new Guid("7251485c-0f98-d924-51db-dbe73afa7680"); }		
            }			
            public static Guid Url
            {	
                get {return new Guid("1fa34a8b-42f1-4230-d2e6-56f5efaae150"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.UserPreference.Localization	
			Id 				: efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8
			Description 	: Localization
			ManagementPack	: System.SupportingItem.Library
			This class inherits from:
				System.UserPreference
				System.SupportingItem
				System.Entity
*/
	public partial class System_UserPreference_LocalizationClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("23e3ae8e-1981-8560-2e55-8730cbc04965");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string LocaleID
            {	
                get {return "LocaleID"; }		
            }			
            public static string Timezone
            {	
                get {return "Timezone"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("LocaleID");
                    propertyNames.Add("Timezone");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("be25717b-4375-6173-193c-a3c5fca16920"); }		
            }			
            public static Guid LocaleID
            {	
                get {return new Guid("620c28f9-3ee0-6686-9de8-ae71ff1bfbec"); }		
            }			
            public static Guid Timezone
            {	
                get {return new Guid("664c0d5a-d0c0-93fc-70b1-08eb88caf14d"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 649e37ab-bf89-8617-94f6-d4d041a05171
		public static ManagementPackRelationship System_UserHasPreference
		{
			get{return  ManagementPack.GetRelationship("System.UserHasPreference");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.Reviewer	
			Id 				: 2f28a9ae-0e94-c895-c087-b222b231dd46
			Description 	: Defines the basic properties of activity reviewers
			ManagementPack	: System.WorkItem.Activity.Library
			This class inherits from:
				System.SupportingItem
				System.Entity
*/
	public partial class System_ReviewerClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("2f28a9ae-0e94-c895-c087-b222b231dd46");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("2f28a9ae-0e94-c895-c087-b222b231dd46");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("aa265d90-3e2e-b9a2-d929-be0d36f1a53e");}
		}
        
        
        public static class PropertyNames
        {
            public static string Comments
            {	
                get {return "Comments"; }		
            }			
            public static string Decision
            {	
                get {return "Decision"; }		
            }			
            public static string DecisionDate
            {	
                get {return "DecisionDate"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string MustVote
            {	
                get {return "MustVote"; }		
            }			
            public static string ReviewerId
            {	
                get {return "ReviewerId"; }		
            }			
            public static string Veto
            {	
                get {return "Veto"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Comments");
                    propertyNames.Add("Decision");
                    propertyNames.Add("DecisionDate");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("MustVote");
                    propertyNames.Add("ReviewerId");
                    propertyNames.Add("Veto");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Comments
            {	
                get {return new Guid("f95c19c3-4065-d025-795f-20b5b36b183a"); }		
            }			
            public static Guid Decision
            {	
                get {return new Guid("d8ed4f28-0b68-a656-6a67-197f74f6b34f"); }		
            }			
            public static Guid DecisionDate
            {	
                get {return new Guid("92b33617-131f-4726-bb9e-8d7974313fc7"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid MustVote
            {	
                get {return new Guid("a4e71854-1fc0-0976-5b77-d6055f733409"); }		
            }			
            public static Guid ReviewerId
            {	
                get {return new Guid("1c98c323-8c9f-1692-f703-4ed0dab1f727"); }		
            }			
            public static Guid Veto
            {	
                get {return new Guid("3b724b51-03e9-7482-c18b-6c2882180a1d"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 17 relationships
		// 90da7d7c-948b-e16e-f39a-f6e3d1ffc921
		public static ManagementPackRelationship System_ReviewerIsUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerIsUser");}
		}
		// 9441a6d1-1317-9520-de37-6c54512feeba
		public static ManagementPackRelationship System_ReviewerVotedByUser
		{
			get{return  ManagementPack.GetRelationship("System.ReviewerVotedByUser");}
		}
		// 6e05d202-38a4-812e-34b8-b11642001a80
		public static ManagementPackRelationship System_ReviewActivityHasReviewer
		{
			get{return  ManagementPack.GetRelationship("System.ReviewActivityHasReviewer");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Activity.ManualActivity	
			Id 				: 7ac62bd4-8fce-a150-3b40-16a39a61383d
			Description 	: Defines the basic properties of manual activities that a user must complete for a change request
			ManagementPack	: System.WorkItem.Activity.Library
			This class inherits from:
				System.WorkItem.Activity
				System.WorkItem
				System.Entity
*/
	public partial class System_WorkItem_Activity_ManualActivityClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("7ac62bd4-8fce-a150-3b40-16a39a61383d");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("7ac62bd4-8fce-a150-3b40-16a39a61383d");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("aa265d90-3e2e-b9a2-d929-be0d36f1a53e");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string Area
            {	
                get {return "Area"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string SequenceId
            {	
                get {return "SequenceId"; }		
            }			
            public static string Stage
            {	
                get {return "Stage"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("Area");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Notes");
                    propertyNames.Add("Priority");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("SequenceId");
                    propertyNames.Add("Stage");
                    propertyNames.Add("Status");
                    propertyNames.Add("Title");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid Area
            {	
                get {return new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("420e7905-4114-0f38-36a2-f19abdac865e"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid SequenceId
            {	
                get {return new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb"); }		
            }			
            public static Guid Stage
            {	
                get {return new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 36 relationships
		// 6e40b18b-0ec4-cd84-fd0c-31f67c9df6c9
		public static ManagementPackRelationship System_ActivityFollowedByActivity
		{
			get{return  ManagementPack.GetRelationship("System.ActivityFollowedByActivity");}
		}
		// 6e05d202-38a4-812e-34b8-b11642001a80
		public static ManagementPackRelationship System_ReviewActivityHasReviewer
		{
			get{return  ManagementPack.GetRelationship("System.ReviewActivityHasReviewer");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Activity.ReviewActivity	
			Id 				: bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36
			Description 	: Defines the basic properties of review activities that a user must complete for a change request
			ManagementPack	: System.WorkItem.Activity.Library
			This class inherits from:
				System.WorkItem.Activity
				System.WorkItem
				System.Entity
*/
	public partial class System_WorkItem_Activity_ReviewActivityClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("aa265d90-3e2e-b9a2-d929-be0d36f1a53e");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string ApprovalCondition
            {	
                get {return "ApprovalCondition"; }		
            }			
            public static string ApprovalPercentage
            {	
                get {return "ApprovalPercentage"; }		
            }			
            public static string Area
            {	
                get {return "Area"; }		
            }			
            public static string Comments
            {	
                get {return "Comments"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string LineManagerShouldReview
            {	
                get {return "LineManagerShouldReview"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string OwnersOfConfigItemShouldReview
            {	
                get {return "OwnersOfConfigItemShouldReview"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string SequenceId
            {	
                get {return "SequenceId"; }		
            }			
            public static string Stage
            {	
                get {return "Stage"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("ApprovalCondition");
                    propertyNames.Add("ApprovalPercentage");
                    propertyNames.Add("Area");
                    propertyNames.Add("Comments");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("LineManagerShouldReview");
                    propertyNames.Add("Notes");
                    propertyNames.Add("OwnersOfConfigItemShouldReview");
                    propertyNames.Add("Priority");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("SequenceId");
                    propertyNames.Add("Stage");
                    propertyNames.Add("Status");
                    propertyNames.Add("Title");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid ApprovalCondition
            {	
                get {return new Guid("3f9f69dd-d949-4ebc-49c6-117ba9e3b43d"); }		
            }			
            public static Guid ApprovalPercentage
            {	
                get {return new Guid("ef4871c7-6eac-0649-1a4b-52ea96c50ecb"); }		
            }			
            public static Guid Area
            {	
                get {return new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8"); }		
            }			
            public static Guid Comments
            {	
                get {return new Guid("7542904e-e083-bb60-ed09-d5dec8feda5a"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid LineManagerShouldReview
            {	
                get {return new Guid("fa78a7e1-c3ff-7cd3-0852-66c3ca077bb7"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("420e7905-4114-0f38-36a2-f19abdac865e"); }		
            }			
            public static Guid OwnersOfConfigItemShouldReview
            {	
                get {return new Guid("d51fb4a8-f285-bee0-26f5-5beba1ea9592"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid SequenceId
            {	
                get {return new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb"); }		
            }			
            public static Guid Stage
            {	
                get {return new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 36 relationships
		// 6e40b18b-0ec4-cd84-fd0c-31f67c9df6c9
		public static ManagementPackRelationship System_ActivityFollowedByActivity
		{
			get{return  ManagementPack.GetRelationship("System.ActivityFollowedByActivity");}
		}
		// 6e05d202-38a4-812e-34b8-b11642001a80
		public static ManagementPackRelationship System_ReviewActivityHasReviewer
		{
			get{return  ManagementPack.GetRelationship("System.ReviewActivityHasReviewer");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.ChangeRequest	
			Id 				: e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c
			Description 	: Defines the basic properties of change requests
			ManagementPack	: System.WorkItem.ChangeRequest.Library
			This class inherits from:
				System.WorkItem
				System.Entity
*/
	public partial class System_WorkItem_ChangeRequestClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("6c2bb84d-3c1f-4006-c551-6ef50179e2e3");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string Area
            {	
                get {return "Area"; }		
            }			
            public static string BackoutPlan
            {	
                get {return "BackoutPlan"; }		
            }			
            public static string Category
            {	
                get {return "Category"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Impact
            {	
                get {return "Impact"; }		
            }			
            public static string ImplementationPlan
            {	
                get {return "ImplementationPlan"; }		
            }			
            public static string ImplementationResults
            {	
                get {return "ImplementationResults"; }		
            }			
            public static string Notes
            {	
                get {return "Notes"; }		
            }			
            public static string PostImplementationReview
            {	
                get {return "PostImplementationReview"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string Reason
            {	
                get {return "Reason"; }		
            }			
            public static string RequiredByDate
            {	
                get {return "RequiredByDate"; }		
            }			
            public static string Risk
            {	
                get {return "Risk"; }		
            }			
            public static string RiskAssessmentPlan
            {	
                get {return "RiskAssessmentPlan"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string TemplateId
            {	
                get {return "TemplateId"; }		
            }			
            public static string TestPlan
            {	
                get {return "TestPlan"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("Area");
                    propertyNames.Add("BackoutPlan");
                    propertyNames.Add("Category");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("Impact");
                    propertyNames.Add("ImplementationPlan");
                    propertyNames.Add("ImplementationResults");
                    propertyNames.Add("Notes");
                    propertyNames.Add("PostImplementationReview");
                    propertyNames.Add("Priority");
                    propertyNames.Add("Reason");
                    propertyNames.Add("RequiredByDate");
                    propertyNames.Add("Risk");
                    propertyNames.Add("RiskAssessmentPlan");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("Status");
                    propertyNames.Add("TemplateId");
                    propertyNames.Add("TestPlan");
                    propertyNames.Add("Title");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid Area
            {	
                get {return new Guid("307cfd9e-4731-ebe2-3d95-808eba544174"); }		
            }			
            public static Guid BackoutPlan
            {	
                get {return new Guid("d5b20722-d119-6702-3308-f987bd5aea75"); }		
            }			
            public static Guid Category
            {	
                get {return new Guid("0baca6fa-4afe-ea7f-a060-6ee31d302152"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid Impact
            {	
                get {return new Guid("767a95c9-96ca-4a43-47dd-62948ac34846"); }		
            }			
            public static Guid ImplementationPlan
            {	
                get {return new Guid("b90e5f89-1e3a-e10f-f6d6-eeee684f896f"); }		
            }			
            public static Guid ImplementationResults
            {	
                get {return new Guid("9d2434e4-4a09-fcee-81fa-78a3b12d806e"); }		
            }			
            public static Guid Notes
            {	
                get {return new Guid("5cc7ed69-4f78-3d14-1d4d-b17616a2b566"); }		
            }			
            public static Guid PostImplementationReview
            {	
                get {return new Guid("d4e89164-5c63-e88b-b693-5d65244b2529"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("a9934ada-3307-1e41-b851-f2d9503dbbbe"); }		
            }			
            public static Guid Reason
            {	
                get {return new Guid("25f2d99d-2a86-a3f6-5157-8672def02553"); }		
            }			
            public static Guid RequiredByDate
            {	
                get {return new Guid("4cb0bdbc-5092-6c7d-1bd3-7fda9df6afd9"); }		
            }			
            public static Guid Risk
            {	
                get {return new Guid("5e41a9d0-7d74-7c5a-e56e-c72292d9be20"); }		
            }			
            public static Guid RiskAssessmentPlan
            {	
                get {return new Guid("596bc015-b878-950a-12ac-96ed5ee70336"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("23659689-c1a7-98b3-bf1c-f352df014a4a"); }		
            }			
            public static Guid TemplateId
            {	
                get {return new Guid("daa7213f-a107-a1a4-964d-1b21af0ec8fb"); }		
            }			
            public static Guid TestPlan
            {	
                get {return new Guid("49e207e5-44b7-2ccb-c062-f7c50db03b57"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 32 relationships
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Incident	
			Id 				: a604b942-4c7b-2fb2-28dc-61dc6f465c68
			Description 	: Defines the basic properties of incidents
			ManagementPack	: System.WorkItem.Incident.Library
			This class inherits from:
				System.WorkItem.TroubleTicket
				System.WorkItem
				System.Entity
*/
	public partial class System_WorkItem_IncidentClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a604b942-4c7b-2fb2-28dc-61dc6f465c68");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("dd26c521-7c2d-58c0-0980-dac2dacb0900");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string ClosedDate
            {	
                get {return "ClosedDate"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Escalated
            {	
                get {return "Escalated"; }		
            }			
            public static string HasCreatedKnowledgeArticle
            {	
                get {return "HasCreatedKnowledgeArticle"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Impact
            {	
                get {return "Impact"; }		
            }			
            public static string LastModifiedSource
            {	
                get {return "LastModifiedSource"; }		
            }			
            public static string NeedsKnowledgeArticle
            {	
                get {return "NeedsKnowledgeArticle"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string ResolutionCategory
            {	
                get {return "ResolutionCategory"; }		
            }			
            public static string ResolutionDescription
            {	
                get {return "ResolutionDescription"; }		
            }			
            public static string ResolvedDate
            {	
                get {return "ResolvedDate"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string Source
            {	
                get {return "Source"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string TargetResolutionTime
            {	
                get {return "TargetResolutionTime"; }		
            }			
            public static string TierQueue
            {	
                get {return "TierQueue"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string Urgency
            {	
                get {return "Urgency"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("Classification");
                    propertyNames.Add("ClosedDate");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Escalated");
                    propertyNames.Add("HasCreatedKnowledgeArticle");
                    propertyNames.Add("Id");
                    propertyNames.Add("Impact");
                    propertyNames.Add("LastModifiedSource");
                    propertyNames.Add("NeedsKnowledgeArticle");
                    propertyNames.Add("Priority");
                    propertyNames.Add("ResolutionCategory");
                    propertyNames.Add("ResolutionDescription");
                    propertyNames.Add("ResolvedDate");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("Source");
                    propertyNames.Add("Status");
                    propertyNames.Add("TargetResolutionTime");
                    propertyNames.Add("TierQueue");
                    propertyNames.Add("Title");
                    propertyNames.Add("Urgency");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1"); }		
            }			
            public static Guid ClosedDate
            {	
                get {return new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Escalated
            {	
                get {return new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6"); }		
            }			
            public static Guid HasCreatedKnowledgeArticle
            {	
                get {return new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid Impact
            {	
                get {return new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5"); }		
            }			
            public static Guid LastModifiedSource
            {	
                get {return new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3"); }		
            }			
            public static Guid NeedsKnowledgeArticle
            {	
                get {return new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2"); }		
            }			
            public static Guid ResolutionCategory
            {	
                get {return new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc"); }		
            }			
            public static Guid ResolutionDescription
            {	
                get {return new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0"); }		
            }			
            public static Guid ResolvedDate
            {	
                get {return new Guid("a1b981cb-fbec-d0df-6465-5212d0076435"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid Source
            {	
                get {return new Guid("72e56ac1-4147-273f-655a-55dafa41ff97"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c"); }		
            }			
            public static Guid TargetResolutionTime
            {	
                get {return new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438"); }		
            }			
            public static Guid TierQueue
            {	
                get {return new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
            public static Guid Urgency
            {	
                get {return new Guid("af230625-9b6c-842f-e22e-06bd25326fa5"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 40 relationships
		// 42179172-3d24-cfc8-3944-b0a18f550214
		public static ManagementPackRelationship System_WorkItem_IncidentPrimaryOwner
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.IncidentPrimaryOwner");}
		}
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// a860c62e-e675-b121-f614-e52fcbd9ef2c
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasActionLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasActionLog");}
		}
		// 835a64cd-7d41-10eb-e5e4-365ea2efc2ea
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAnalystComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAnalystComment");}
		}
		// 5ad35f7b-8ef4-6c4f-ec6d-7a49b0d8f7d7
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAuditComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAuditComment");}
		}
		// 106285b2-0200-8ecb-324e-342976b16151
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
		}
		// ce423786-16dd-da9c-fb7b-21ab5189e12b
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasUserComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasUserComment");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.BillableTime	
			Id 				: 6645cdbe-78a3-ab81-7de9-638b733214fe
			Description 	: Billable time
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_BillableTimeClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("6645cdbe-78a3-ab81-7de9-638b733214fe");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("6645cdbe-78a3-ab81-7de9-638b733214fe");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string LastUpdated
            {	
                get {return "LastUpdated"; }		
            }			
            public static string TimeInMinutes
            {	
                get {return "TimeInMinutes"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Id");
                    propertyNames.Add("LastUpdated");
                    propertyNames.Add("TimeInMinutes");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid LastUpdated
            {	
                get {return new Guid("f2403a92-e488-73aa-9737-41e72ef6106c"); }		
            }			
            public static Guid TimeInMinutes
            {	
                get {return new Guid("d686c35e-e5ad-cdc3-e6db-25a4f1bb4bc0"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 16 relationships
		// dec8d54a-6284-0f9d-cafb-8373f4dc865a
		public static ManagementPackRelationship System_WorkItem_BillableTimeHasWorkingUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.BillableTimeHasWorkingUser");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.TroubleTicket.ActionLog	
			Id 				: dbb6a632-0a7e-cef8-1fc9-405d5cd4d911
			Description 	: Trouble ticket action logs
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.ActionLog
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_TroubleTicket_ActionLogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("dbb6a632-0a7e-cef8-1fc9-405d5cd4d911");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("dbb6a632-0a7e-cef8-1fc9-405d5cd4d911");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActionType
            {	
                get {return "ActionType"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EnteredBy
            {	
                get {return "EnteredBy"; }		
            }			
            public static string EnteredDate
            {	
                get {return "EnteredDate"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActionType");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EnteredBy");
                    propertyNames.Add("EnteredDate");
                    propertyNames.Add("Id");
                    propertyNames.Add("Title");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActionType
            {	
                get {return new Guid("596d0837-943e-5eb8-98b4-9ba218f1c6c9"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("2d9d0674-bde8-dfb5-fa4d-952f011ea6d8"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EnteredBy
            {	
                get {return new Guid("55fe2403-8275-6fde-802f-d68b3d659c4e"); }		
            }			
            public static Guid EnteredDate
            {	
                get {return new Guid("ecfbba98-76cc-a7db-797a-281ae70f18be"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("b38ab8ce-eb5b-451d-00c2-644e9ab70acf"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// a860c62e-e675-b121-f614-e52fcbd9ef2c
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasActionLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasActionLog");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.TroubleTicket.AnalystCommentLog	
			Id 				: f14b70f4-878c-c0e1-b5c1-06ca22d05d40
			Description 	: Analyst comments on trouble tickets
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.CommentLog
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_TroubleTicket_AnalystCommentLogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("f14b70f4-878c-c0e1-b5c1-06ca22d05d40");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("f14b70f4-878c-c0e1-b5c1-06ca22d05d40");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string Comment
            {	
                get {return "Comment"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EnteredBy
            {	
                get {return "EnteredBy"; }		
            }			
            public static string EnteredDate
            {	
                get {return "EnteredDate"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string IsPrivate
            {	
                get {return "IsPrivate"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Comment");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EnteredBy");
                    propertyNames.Add("EnteredDate");
                    propertyNames.Add("Id");
                    propertyNames.Add("IsPrivate");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Comment
            {	
                get {return new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EnteredBy
            {	
                get {return new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840"); }		
            }			
            public static Guid EnteredDate
            {	
                get {return new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid IsPrivate
            {	
                get {return new Guid("bde72300-dd14-b4c9-c60a-0fa84a860976"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 835a64cd-7d41-10eb-e5e4-365ea2efc2ea
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAnalystComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAnalystComment");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.TroubleTicket.AuditCommentLog	
			Id 				: c06a4eb0-d21e-1838-0995-ee817b3aac4a
			Description 	: Trouble Ticket audit logs
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.CommentLog
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_TroubleTicket_AuditCommentLogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("c06a4eb0-d21e-1838-0995-ee817b3aac4a");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("c06a4eb0-d21e-1838-0995-ee817b3aac4a");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string Comment
            {	
                get {return "Comment"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EnteredBy
            {	
                get {return "EnteredBy"; }		
            }			
            public static string EnteredDate
            {	
                get {return "EnteredDate"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Comment");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EnteredBy");
                    propertyNames.Add("EnteredDate");
                    propertyNames.Add("Id");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Comment
            {	
                get {return new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EnteredBy
            {	
                get {return new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840"); }		
            }			
            public static Guid EnteredDate
            {	
                get {return new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 5ad35f7b-8ef4-6c4f-ec6d-7a49b0d8f7d7
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAuditComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAuditComment");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.TroubleTicket.SipNotificationLog	
			Id 				: cb08816f-c354-348c-f6d4-74f9de9b5680
			Description 	: Notification logs for text message (SIP) notifications about trouble tickets
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.TroubleTicket.NotificationLog
				System.WorkItem.NotificationLog
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_TroubleTicket_SipNotificationLogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("cb08816f-c354-348c-f6d4-74f9de9b5680");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("cb08816f-c354-348c-f6d4-74f9de9b5680");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Encoding
            {	
                get {return "Encoding"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Message
            {	
                get {return "Message"; }		
            }			
            public static string SentDate
            {	
                get {return "SentDate"; }		
            }			
            public static string SentTo
            {	
                get {return "SentTo"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Encoding");
                    propertyNames.Add("Id");
                    propertyNames.Add("Message");
                    propertyNames.Add("SentDate");
                    propertyNames.Add("SentTo");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Encoding
            {	
                get {return new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid Message
            {	
                get {return new Guid("af8f007d-905f-6f4c-131d-73e197662825"); }		
            }			
            public static Guid SentDate
            {	
                get {return new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1"); }		
            }			
            public static Guid SentTo
            {	
                get {return new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 106285b2-0200-8ecb-324e-342976b16151
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.TroubleTicket.SmtpNotificationLog	
			Id 				: b4e0d3c5-b138-5f1a-a5cd-2249c3829646
			Description 	: Notification logs for e-mail (SMTP) notifications about trouble tickets
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.TroubleTicket.NotificationLog
				System.WorkItem.NotificationLog
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_TroubleTicket_SmtpNotificationLogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("b4e0d3c5-b138-5f1a-a5cd-2249c3829646");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("b4e0d3c5-b138-5f1a-a5cd-2249c3829646");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string Body
            {	
                get {return "Body"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string Encoding
            {	
                get {return "Encoding"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string SentDate
            {	
                get {return "SentDate"; }		
            }			
            public static string SentTo
            {	
                get {return "SentTo"; }		
            }			
            public static string Subject
            {	
                get {return "Subject"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Body");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("Encoding");
                    propertyNames.Add("Id");
                    propertyNames.Add("Priority");
                    propertyNames.Add("SentDate");
                    propertyNames.Add("SentTo");
                    propertyNames.Add("Subject");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Body
            {	
                get {return new Guid("2dd97e7c-0435-81a5-2d46-cdc3015a8ab3"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid Encoding
            {	
                get {return new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("13625928-2f3a-45be-3d09-d6e786bbc300"); }		
            }			
            public static Guid SentDate
            {	
                get {return new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1"); }		
            }			
            public static Guid SentTo
            {	
                get {return new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73"); }		
            }			
            public static Guid Subject
            {	
                get {return new Guid("39937dac-6844-1cbd-cb8c-7fe97e744d8f"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// 106285b2-0200-8ecb-324e-342976b16151
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.TroubleTicket.UserCommentLog	
			Id 				: a3d4e16f-5e8a-18ba-9198-d9815194c986
			Description 	: User comments on trouble tickets
			ManagementPack	: System.WorkItem.Library
			This class inherits from:
				System.WorkItem.CommentLog
				System.WorkItem.Log
				System.Information
				System.SupportingItem
				System.Entity
*/
	public partial class System_WorkItem_TroubleTicket_UserCommentLogClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("a3d4e16f-5e8a-18ba-9198-d9815194c986");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("a3d4e16f-5e8a-18ba-9198-d9815194c986");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("405d5590-b45f-1c97-024f-24338290453e");}
		}
        
        
        public static class PropertyNames
        {
            public static string Comment
            {	
                get {return "Comment"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string EnteredBy
            {	
                get {return "EnteredBy"; }		
            }			
            public static string EnteredDate
            {	
                get {return "EnteredDate"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("Comment");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("EnteredBy");
                    propertyNames.Add("EnteredDate");
                    propertyNames.Add("Id");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid Comment
            {	
                get {return new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid EnteredBy
            {	
                get {return new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840"); }		
            }			
            public static Guid EnteredDate
            {	
                get {return new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("0efde233-2432-1092-c049-b614b6e3e9bf"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 15 relationships
		// ce423786-16dd-da9c-fb7b-21ab5189e12b
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasUserComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasUserComment");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.GlobalSetting.ProblemSettings	
			Id 				: da0eeac9-9c85-e72b-f321-44a3fcec9c9a
			Description 	: Settings for problems, such as ID prefix, file attachments and priority
			ManagementPack	: System.WorkItem.Problem.Library
			This class inherits from:
				System.SolutionSettings
				System.GlobalSetting
				System.AdminItem
				System.Entity
*/
	public partial class System_GlobalSetting_ProblemSettingsClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("da0eeac9-9c85-e72b-f321-44a3fcec9c9a");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("da0eeac9-9c85-e72b-f321-44a3fcec9c9a");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("d93ec150-3906-5404-ee41-1aefaa35518e");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string MaxAttachments
            {	
                get {return "MaxAttachments"; }		
            }			
            public static string MaxAttachmentSize
            {	
                get {return "MaxAttachmentSize"; }		
            }			
            public static string PriorityMatrix
            {	
                get {return "PriorityMatrix"; }		
            }			
            public static string PriorityMaxValue
            {	
                get {return "PriorityMaxValue"; }		
            }			
            public static string PriorityMinValue
            {	
                get {return "PriorityMinValue"; }		
            }			
            public static string ProblemIdPrefix
            {	
                get {return "ProblemIdPrefix"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("MaxAttachments");
                    propertyNames.Add("MaxAttachmentSize");
                    propertyNames.Add("PriorityMatrix");
                    propertyNames.Add("PriorityMaxValue");
                    propertyNames.Add("PriorityMinValue");
                    propertyNames.Add("ProblemIdPrefix");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid MaxAttachments
            {	
                get {return new Guid("1a264acf-0115-8556-ea20-4e0bc350a205"); }		
            }			
            public static Guid MaxAttachmentSize
            {	
                get {return new Guid("054d3b4c-e021-8d41-2a73-b6258cb98a33"); }		
            }			
            public static Guid PriorityMatrix
            {	
                get {return new Guid("e179d2d6-0d32-90e0-f513-9a84e206ba59"); }		
            }			
            public static Guid PriorityMaxValue
            {	
                get {return new Guid("4341716a-b6b8-5a98-e9cb-963e3dc1bc8a"); }		
            }			
            public static Guid PriorityMinValue
            {	
                get {return new Guid("5bb6afb7-1940-9ec4-1651-1144489841b1"); }		
            }			
            public static Guid ProblemIdPrefix
            {	
                get {return new Guid("9dd2e62e-ecba-966a-4fe8-c469553c689e"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Problem	
			Id 				: 422afc88-5eff-f4c5-f8f6-e01038cde67f
			Description 	: Defines the basic properties of problems
			ManagementPack	: System.WorkItem.Problem.Library
			This class inherits from:
				System.WorkItem.TroubleTicket
				System.WorkItem
				System.Entity
*/
	public partial class System_WorkItem_ProblemClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("422afc88-5eff-f4c5-f8f6-e01038cde67f");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("422afc88-5eff-f4c5-f8f6-e01038cde67f");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("d93ec150-3906-5404-ee41-1aefaa35518e");}
		}
        
        
        public static class PropertyNames
        {
            public static string ActualEndDate
            {	
                get {return "ActualEndDate"; }		
            }			
            public static string ActualStartDate
            {	
                get {return "ActualStartDate"; }		
            }			
            public static string AutoResolve
            {	
                get {return "AutoResolve"; }		
            }			
            public static string Classification
            {	
                get {return "Classification"; }		
            }			
            public static string ClosedDate
            {	
                get {return "ClosedDate"; }		
            }			
            public static string ContactMethod
            {	
                get {return "ContactMethod"; }		
            }			
            public static string CreatedDate
            {	
                get {return "CreatedDate"; }		
            }			
            public static string Description
            {	
                get {return "Description"; }		
            }			
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static string ErrorDescription
            {	
                get {return "ErrorDescription"; }		
            }			
            public static string Id
            {	
                get {return "Id"; }		
            }			
            public static string Impact
            {	
                get {return "Impact"; }		
            }			
            public static string KnownError
            {	
                get {return "KnownError"; }		
            }			
            public static string Priority
            {	
                get {return "Priority"; }		
            }			
            public static string RequiresMajorProblemReview
            {	
                get {return "RequiresMajorProblemReview"; }		
            }			
            public static string Resolution
            {	
                get {return "Resolution"; }		
            }			
            public static string ResolutionDescription
            {	
                get {return "ResolutionDescription"; }		
            }			
            public static string ResolvedDate
            {	
                get {return "ResolvedDate"; }		
            }			
            public static string ReviewNotes
            {	
                get {return "ReviewNotes"; }		
            }			
            public static string ScheduledEndDate
            {	
                get {return "ScheduledEndDate"; }		
            }			
            public static string ScheduledStartDate
            {	
                get {return "ScheduledStartDate"; }		
            }			
            public static string Source
            {	
                get {return "Source"; }		
            }			
            public static string Status
            {	
                get {return "Status"; }		
            }			
            public static string Title
            {	
                get {return "Title"; }		
            }			
            public static string Urgency
            {	
                get {return "Urgency"; }		
            }			
            public static string Workarounds
            {	
                get {return "Workarounds"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("ActualEndDate");
                    propertyNames.Add("ActualStartDate");
                    propertyNames.Add("AutoResolve");
                    propertyNames.Add("Classification");
                    propertyNames.Add("ClosedDate");
                    propertyNames.Add("ContactMethod");
                    propertyNames.Add("CreatedDate");
                    propertyNames.Add("Description");
                    propertyNames.Add("DisplayName");
                    propertyNames.Add("ErrorDescription");
                    propertyNames.Add("Id");
                    propertyNames.Add("Impact");
                    propertyNames.Add("KnownError");
                    propertyNames.Add("Priority");
                    propertyNames.Add("RequiresMajorProblemReview");
                    propertyNames.Add("Resolution");
                    propertyNames.Add("ResolutionDescription");
                    propertyNames.Add("ResolvedDate");
                    propertyNames.Add("ReviewNotes");
                    propertyNames.Add("ScheduledEndDate");
                    propertyNames.Add("ScheduledStartDate");
                    propertyNames.Add("Source");
                    propertyNames.Add("Status");
                    propertyNames.Add("Title");
                    propertyNames.Add("Urgency");
                    propertyNames.Add("Workarounds");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid ActualEndDate
            {	
                get {return new Guid("665ed498-2551-7559-dce8-493e1ea171df"); }		
            }			
            public static Guid ActualStartDate
            {	
                get {return new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405"); }		
            }			
            public static Guid AutoResolve
            {	
                get {return new Guid("9f72a895-81d2-bde9-0e04-38c0dc12b906"); }		
            }			
            public static Guid Classification
            {	
                get {return new Guid("847241ac-5e64-e3a2-1c78-01714e31f094"); }		
            }			
            public static Guid ClosedDate
            {	
                get {return new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb"); }		
            }			
            public static Guid ContactMethod
            {	
                get {return new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b"); }		
            }			
            public static Guid CreatedDate
            {	
                get {return new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645"); }		
            }			
            public static Guid Description
            {	
                get {return new Guid("e5162c95-9469-924c-2298-9e351e0dc383"); }		
            }			
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
            public static Guid ErrorDescription
            {	
                get {return new Guid("d1c50a8d-7375-28a1-35f5-108dee05a1c4"); }		
            }			
            public static Guid Id
            {	
                get {return new Guid("28b1c58f-aefa-a449-7496-4805186bd94f"); }		
            }			
            public static Guid Impact
            {	
                get {return new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5"); }		
            }			
            public static Guid KnownError
            {	
                get {return new Guid("9a03fd17-3b54-2601-72b0-e49e3d711266"); }		
            }			
            public static Guid Priority
            {	
                get {return new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2"); }		
            }			
            public static Guid RequiresMajorProblemReview
            {	
                get {return new Guid("1b39815a-ada2-9062-8965-db23339e5e56"); }		
            }			
            public static Guid Resolution
            {	
                get {return new Guid("9ec7b8e2-7078-771e-eaaa-cade20c82c4f"); }		
            }			
            public static Guid ResolutionDescription
            {	
                get {return new Guid("dfb8df38-8d4f-71b4-44e0-23ac65cef070"); }		
            }			
            public static Guid ResolvedDate
            {	
                get {return new Guid("a1b981cb-fbec-d0df-6465-5212d0076435"); }		
            }			
            public static Guid ReviewNotes
            {	
                get {return new Guid("6a535d3e-503e-09fe-ea3c-52aec02ae841"); }		
            }			
            public static Guid ScheduledEndDate
            {	
                get {return new Guid("1d59dc56-995b-1884-beef-7663a0103e28"); }		
            }			
            public static Guid ScheduledStartDate
            {	
                get {return new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4"); }		
            }			
            public static Guid Source
            {	
                get {return new Guid("70818193-7344-ab63-4760-2ac08ec846c4"); }		
            }			
            public static Guid Status
            {	
                get {return new Guid("0c489de5-4e51-c4dc-4ce9-ce8137ce1a26"); }		
            }			
            public static Guid Title
            {	
                get {return new Guid("029dd446-c76c-ab37-a105-235da4f979dd"); }		
            }			
            public static Guid Urgency
            {	
                get {return new Guid("af230625-9b6c-842f-e22e-06bd25326fa5"); }		
            }			
            public static Guid Workarounds
            {	
                get {return new Guid("64a534e6-830e-c3cb-5493-35abca0b260d"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 39 relationships
		// 76bc6c3b-a77b-2468-0a63-169d23dfcdf0
		public static ManagementPackRelationship System_WorkItem_TroubleTicketClosedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketClosedByUser");}
		}
		// a860c62e-e675-b121-f614-e52fcbd9ef2c
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasActionLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasActionLog");}
		}
		// 835a64cd-7d41-10eb-e5e4-365ea2efc2ea
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAnalystComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAnalystComment");}
		}
		// 5ad35f7b-8ef4-6c4f-ec6d-7a49b0d8f7d7
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasAuditComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasAuditComment");}
		}
		// 106285b2-0200-8ecb-324e-342976b16151
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasNotificationLog
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasNotificationLog");}
		}
		// ce423786-16dd-da9c-fb7b-21ab5189e12b
		public static ManagementPackRelationship System_WorkItem_TroubleTicketHasUserComment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketHasUserComment");}
		}
		// f7d9b385-a84d-3884-7cde-e2c926d931a5
		public static ManagementPackRelationship System_WorkItem_TroubleTicketResolvedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItem.TroubleTicketResolvedByUser");}
		}
		// b73a6094-c64c-b0ff-9706-1822df5c2e82
		public static ManagementPackRelationship System_WorkItemAboutConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAboutConfigItem");}
		}
		// dff9be66-38b0-b6d6-6144-a412a3ebd4ce
		public static ManagementPackRelationship System_WorkItemAffectedUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAffectedUser");}
		}
		// 15e577a3-6bf9-6713-4eac-ba5a5b7c4722
		public static ManagementPackRelationship System_WorkItemAssignedToUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemAssignedToUser");}
		}
		// df738111-c7a2-b450-5872-c5f3b927481a
		public static ManagementPackRelationship System_WorkItemCreatedByUser
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemCreatedByUser");}
		}
		// 8b07ccb6-e081-9fd3-8ead-98f0219f6cd1
		public static ManagementPackRelationship System_WorkItemDependsOnWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemDependsOnWorkItem");}
		}
		// 33835caa-05f9-f881-7bbe-e407dfdb6c55
		public static ManagementPackRelationship System_WorkItemHasBillableTime
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasBillableTime");}
		}
		// b3747e50-2cfd-ad01-a547-77fc3b6a9597
		public static ManagementPackRelationship System_WorkItemHasChildWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasChildWorkItem");}
		}
		// aa8c26dc-3a12-5f88-d9c7-753e5a8a55b4
		public static ManagementPackRelationship System_WorkItemHasFileAttachment
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemHasFileAttachment");}
		}
		// d421cda9-b728-9b41-c27c-7677b9a40d37
		public static ManagementPackRelationship System_WorkItemImpactsService
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemImpactsService");}
		}
		// d96c8b59-8554-6e77-0aa7-f51448868b43
		public static ManagementPackRelationship System_WorkItemRelatesToConfigItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToConfigItem");}
		}
		// cb6ce813-ea8d-094d-ee5a-b755701f4547
		public static ManagementPackRelationship System_WorkItemRelatesToWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemRelatesToWorkItem");}
		}
		// 673535a4-6866-347a-53b7-0550d486ae85
		public static ManagementPackRelationship System_WorkItemResolvesWorkItem
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemResolvesWorkItem");}
		}
		// 2da498be-0485-b2b2-d520-6ebd1698e61b
		public static ManagementPackRelationship System_WorkItemContainsActivity
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemContainsActivity");}
		}
		// 159de6d2-4de8-f998-7765-52bc063f77e4
		public static ManagementPackRelationship System_WorkItemGroupContainsWorkItems
		{
			get{return  ManagementPack.GetRelationship("System.WorkItemGroupContainsWorkItems");}
		}
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	
	
	
/*
			Name	 		: System.WorkItem.Problem.WorkflowTarget	
			Id 				: 1684a476-26b0-3576-9562-29d57a8d73c7
			Description 	: Defines the properties of the problem workflow target
			ManagementPack	: System.WorkItem.Problem.Library
			This class inherits from:
				Microsoft.SystemCenter.WorkflowTarget
				System.AdminItem
				System.Entity
*/
	public partial class System_WorkItem_Problem_WorkflowTargetClass  
	{
		private static ManagementPackClass @class = SCSMServer.GetClass("1684a476-26b0-3576-9562-29d57a8d73c7");

		public static ManagementPackClass GetManagementPackClass() { return  @class; }

		public static ManagementPackType GetManagementPackType() { return (ManagementPackType) @class; }
		
		public static Guid GetClassId() { return new Guid("1684a476-26b0-3576-9562-29d57a8d73c7");}
		
		public static ManagementPack ManagementPack 
		{
			// using SCSMServer for cache
			get { return SCSMServer.GetManagementPack("d93ec150-3906-5404-ee41-1aefaa35518e");}
		}
        
        
        public static class PropertyNames
        {
            public static string DisplayName
            {	
                get {return "DisplayName"; }		
            }			
            public static IList<string> GetPropertyNames()
            {
                var propertyNames = new List<string>();
                    propertyNames.Add("DisplayName");
                
                return propertyNames;
            }
		}
        
        public static class PropertyGuids
        {
            public static Guid DisplayName
            {	
                get {return new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97"); }		
            }			
		}	
		public static class Relationships 
		{
        // There are 14 relationships
		// ec8a256b-cc89-6f18-af6a-e9cdc38cc573
		public static ManagementPackRelationship System_EntityLinksToKnowledgeDocument
		{
			get{return  ManagementPack.GetRelationship("System.EntityLinksToKnowledgeDocument");}
		}
		// 189f4500-7a70-db53-9566-feea4695da29
		public static ManagementPackRelationship System_Containment
		{
			get{return  ManagementPack.GetRelationship("System.Containment");}
		}
		// ae80f883-4409-9e35-03da-90ecc19a8b2c
		public static ManagementPackRelationship System_Hosting
		{
			get{return  ManagementPack.GetRelationship("System.Hosting");}
		}
		// c89ea3f4-bcc3-a4ab-89c0-c58c2cd88c84
		public static ManagementPackRelationship System_Membership
		{
			get{return  ManagementPack.GetRelationship("System.Membership");}
		}
		// 5996b276-2d7f-7ca5-68e7-09186d9462d5
		public static ManagementPackRelationship System_Reference
		{
			get{return  ManagementPack.GetRelationship("System.Reference");}
		}
		// 26ae25af-4307-5414-b07f-eda2bf845f9b
		public static ManagementPackRelationship System_WatchedBy
		{
			get{return  ManagementPack.GetRelationship("System.WatchedBy");}
		}
		// fdd1eeb6-e022-761c-58f1-8afd88ffaa88
		public static ManagementPackRelationship Microsoft_SystemCenter_InstanceGroupContainsEntities
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.InstanceGroupContainsEntities");}
		}
		// a98c9038-6e2a-9394-3b07-9c8380a8956d
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceManagesEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceManagesEntity");}
		}
		// 2f71c644-e092-b80a-040b-5c81ba1ec353
		public static ManagementPackRelationship Microsoft_SystemCenter_HealthServiceShouldManageEntity
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.HealthServiceShouldManageEntity");}
		}
		// 8f9b9f66-9960-4ea5-e2a5-57ad9210a650
		public static ManagementPackRelationship Microsoft_SystemCenter_SiteMembership
		{
			get{return  ManagementPack.GetRelationship("Microsoft.SystemCenter.SiteMembership");}
		}

		}
	
	
		
	}	
	

}